import React from 'react';
type RequireAtLeastOne<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
    [K in Keys]-?: Required<Pick<T, K>> & Partial<Pick<T, Exclude<Keys, K>>>;
}[Keys];
interface SpinnerPropsBase {
    /** The title of the spinner for screen readers. This or `description` is
     * required */
    title?: string;
    /** The description of the spinner for screen readers. This or `title` is
     * required */
    description?: string;
}
export type SpinnerProps = RequireAtLeastOne<SpinnerPropsBase, 'title' | 'description'> & JSXElementProps<'svg'>;
declare const Spinner: React.ForwardRefExoticComponent<SpinnerProps & React.RefAttributes<SVGSVGElement>>;
export default Spinner;
