import React from 'react';
import { DrawerItem, DrawerItemBody, DrawerItemOpener } from "./DrawerItem";
import DrawerPanel, { DrawerPanelProps } from "./DrawerPanel";
import { IconName } from "../../../../../../../shared/types/dist/src";
export { useDrawerItemContext, DrawerItemContext } from "./DrawerItem";
export type ActiveKeys = string | string[];
export type PanelChild = React.ReactElement<DrawerPanelProps>;
export type DrawerProps<T extends ActiveKeys = ActiveKeys> = JSXElementProps<'div'> & {
    activeKeys?: T;
    children?: React.ReactNode;
    closedIconName?: IconName;
    isAccordion?: boolean;
    onActiveKeysChanged?: (keys: string[]) => void;
    openedIconName?: IconName;
    useDefaultStyles?: boolean;
};
type DrawerRefProps<T extends ActiveKeys = ActiveKeys> = DrawerProps<T> & React.RefAttributes<HTMLDivElement>;
interface DrawerComponentType extends React.ForwardRefExoticComponent<DrawerRefProps> {
    <T extends ActiveKeys>(props: DrawerProps<T>): ReturnType<React.ForwardRefExoticComponent<DrawerProps<T>>>;
}
type DrawerComponent = DrawerComponentType & {
    Panel: typeof DrawerPanel;
    Item: typeof DrawerItem;
    ItemOpener: typeof DrawerItemOpener;
    ItemBody: typeof DrawerItemBody;
};
declare const _default: DrawerComponent;
export default _default;
