import React from 'react';
import { AnimateHeightProps } from 'react-animate-height';
interface DrawerItemContextShape {
    open: boolean;
    itemId: string;
    itemKey: string;
    toggleOpen: () => void;
}
export declare const DrawerItemContext: React.Context<DrawerItemContextShape>;
export declare const useDrawerItemContext: () => DrawerItemContextShape;
export interface DrawerItemProps {
    open?: boolean;
    controlledOpen?: boolean;
    onChange?: (open: boolean) => void;
    id?: string;
    panelKey?: string | number;
    children?: React.ReactNode;
}
export declare const DrawerItem: React.FC<DrawerItemProps>;
export type DrawerItemBodyProps = Omit<AnimateHeightProps, 'height' | 'duration' | 'id' | 'role'>;
export declare const DrawerItemBody: React.ForwardRefExoticComponent<DrawerItemBodyProps & React.RefAttributes<HTMLDivElement>>;
export interface DrawerItemOpenerProps {
    children: React.ReactElement<{
        onClick?: (event: React.SyntheticEvent) => void;
        'aria-expanded'?: boolean;
        'aria-controls'?: string;
    }>;
}
export declare const DrawerItemOpener: React.FC<DrawerItemOpenerProps>;
export {};
