import React from 'react';
import PropTypes from 'prop-types';
import { IconName, HeadingLevel } from "../../../../../../../shared/types/dist/src";
export declare const PanelButton: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {}, never>;
export type DrawerPanelProps = Omit<JSXElementProps<'div'>, 'title'> & {
    children: any;
    title: string | number | React.ReactNode;
    titleAside?: string | React.ReactNode;
    noPadding?: boolean;
    headingLevel?: HeadingLevel;
    open?: boolean;
    /** @ignore */
    closedIconName?: IconName;
    /** @ignore */
    openedIconName?: IconName;
    /** @ignore */
    panelKey?: string;
};
declare const DrawerPanel: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "title"> & {
    children: any;
    title: string | number | React.ReactNode;
    titleAside?: string | React.ReactNode;
    noPadding?: boolean | undefined;
    headingLevel?: 6 | 1 | 2 | 3 | 4 | 5 | undefined;
    open?: boolean | undefined;
    /** @ignore */
    closedIconName?: "header" | "picture" | "search" | "time" | "video" | "switch" | "font" | "fill" | "rx" | "scale" | "repeat" | "bold" | "cell" | "checkbox" | "list" | "copy" | "move" | "sort" | "change" | "cut" | "paste" | "pause" | "play" | "message" | "file" | "checked" | "home" | "user" | "accessibility" | "add" | "add-circle" | "agent" | "alarm-clock" | "align-center" | "align-justify" | "align-left" | "align-right" | "archive" | "archive-folder" | "arrow-down" | "arrow-left" | "arrow-right" | "arrow-up" | "asterisk" | "attachment" | "bathtub" | "bell" | "bicycle" | "blood-drop" | "bone" | "book" | "bookmark" | "bot" | "boy" | "brain" | "briefcase" | "bullhorn" | "calendar" | "calculator" | "camera" | "cash-in-hand" | "certificate" | "certificate-ribbon" | "check-document" | "checkbox-checked" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "circle-arrow-down" | "circle-arrow-left" | "circle-arrow-right" | "circle-arrow-up" | "clear-filters" | "click-and-collect" | "clinic" | "cog" | "comment" | "comments" | "compass" | "confusion" | "dashboard" | "denied" | "desktop" | "detour" | "disabled-access" | "discussion" | "divide" | "dna-helix" | "doctors-bag" | "dollar-sign" | "double-chevron-down" | "double-chevron-left" | "double-chevron-right" | "double-chevron-up" | "download" | "download-alt" | "edit" | "edit-document" | "element-block" | "element-page" | "element-section" | "envelope" | "exclamation" | "exclamation-circle" | "exclamation-sign" | "exit" | "export" | "external-link" | "eye-closed" | "eye-open" | "federal" | "file-download" | "file-open" | "film" | "fire" | "flag-empty" | "flag-filled" | "flash" | "folder-close" | "folder-open" | "folder-up-level" | "for-you" | "form-agreement" | "form-checkbox" | "form-dropdown" | "form-number" | "form-radio" | "form-text" | "form-text-box" | "fullscreen" | "funnel" | "girl" | "glasses" | "globe" | "glucometer" | "hand-down" | "hand-left" | "hand-right" | "hand-up" | "handshake-heart" | "health" | "health-checkup" | "hearing" | "hearing-aid" | "heart-empty" | "heart-filled" | "heart-plus" | "helping-hand" | "history" | "hourglass" | "house" | "household" | "hyperlink" | "idea" | "in-progress" | "inbox" | "indent-left" | "indent-right" | "info" | "info-circle" | "info-popup" | "info-squared" | "italic" | "keyhole-shield" | "kidney" | "leaf" | "lightning-bolt" | "list-numbered" | "list-thumbnails" | "list-unordered" | "liver" | "lock" | "lock-open" | "log-in" | "log-out" | "logout-rounded-left" | "lungs" | "mailbox-closed-flag-down" | "male-user" | "man" | "map-marker" | "map-with-marker" | "measuring-tape" | "medical" | "menu-btn" | "minus" | "minus-circle" | "molecule" | "moleskine" | "money" | "muscle" | "neuron" | "new-window" | "no-symbol" | "non-smoker" | "notepad" | "ok" | "ok-circle" | "options-horizontal" | "options-vertical" | "out-patient-department" | "paragraph" | "paycheque" | "physical-therapy" | "phone" | "phone-analog" | "piggy-bank" | "play-circle" | "policy-document" | "power" | "prescription" | "print" | "profile" | "profit" | "purchase-order" | "push-pin" | "question" | "question-circle" | "questions" | "random" | "read-message" | "redo" | "refresh" | "remove" | "remove-circle" | "reply-arrow" | "resize-full" | "resize-horizontal" | "resize-small" | "resize-vertical" | "retweet" | "road" | "rod-of-asclepius" | "rubber-stamp" | "save" | "screenshot" | "security-checked" | "share" | "shopping-cart" | "skin" | "skip-to-start" | "smoker" | "sms" | "sort-alpha" | "sort-alpha-reverse" | "sort-ascending" | "sort-descending" | "sort-num" | "sort-num-reverse" | "speak-to-expert" | "speech-bubble" | "speech-bubble-with-dots" | "spouse" | "star-empty" | "star-filled" | "stats" | "stethoscope" | "stock-growth" | "stomach" | "submit-document" | "tag" | "tags" | "tasks" | "text-color" | "text-height" | "text-size" | "text-width" | "thumbnails" | "thumbnails-large" | "thumbs-down" | "thumbs-up" | "today" | "tooth" | "transfer" | "trash" | "trophy" | "truck" | "trust" | "tune" | "umbrella" | "underline" | "undo" | "upload" | "urgent-message" | "user-secured" | "user-shield" | "users" | "voice-check" | "wallet" | "walker" | "woman" | "wrench" | "zoom-in" | "zoom-out" | "outgoing-call" | "internal-call" | "call-transfer" | undefined;
    /** @ignore */
    openedIconName?: "header" | "picture" | "search" | "time" | "video" | "switch" | "font" | "fill" | "rx" | "scale" | "repeat" | "bold" | "cell" | "checkbox" | "list" | "copy" | "move" | "sort" | "change" | "cut" | "paste" | "pause" | "play" | "message" | "file" | "checked" | "home" | "user" | "accessibility" | "add" | "add-circle" | "agent" | "alarm-clock" | "align-center" | "align-justify" | "align-left" | "align-right" | "archive" | "archive-folder" | "arrow-down" | "arrow-left" | "arrow-right" | "arrow-up" | "asterisk" | "attachment" | "bathtub" | "bell" | "bicycle" | "blood-drop" | "bone" | "book" | "bookmark" | "bot" | "boy" | "brain" | "briefcase" | "bullhorn" | "calendar" | "calculator" | "camera" | "cash-in-hand" | "certificate" | "certificate-ribbon" | "check-document" | "checkbox-checked" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "circle-arrow-down" | "circle-arrow-left" | "circle-arrow-right" | "circle-arrow-up" | "clear-filters" | "click-and-collect" | "clinic" | "cog" | "comment" | "comments" | "compass" | "confusion" | "dashboard" | "denied" | "desktop" | "detour" | "disabled-access" | "discussion" | "divide" | "dna-helix" | "doctors-bag" | "dollar-sign" | "double-chevron-down" | "double-chevron-left" | "double-chevron-right" | "double-chevron-up" | "download" | "download-alt" | "edit" | "edit-document" | "element-block" | "element-page" | "element-section" | "envelope" | "exclamation" | "exclamation-circle" | "exclamation-sign" | "exit" | "export" | "external-link" | "eye-closed" | "eye-open" | "federal" | "file-download" | "file-open" | "film" | "fire" | "flag-empty" | "flag-filled" | "flash" | "folder-close" | "folder-open" | "folder-up-level" | "for-you" | "form-agreement" | "form-checkbox" | "form-dropdown" | "form-number" | "form-radio" | "form-text" | "form-text-box" | "fullscreen" | "funnel" | "girl" | "glasses" | "globe" | "glucometer" | "hand-down" | "hand-left" | "hand-right" | "hand-up" | "handshake-heart" | "health" | "health-checkup" | "hearing" | "hearing-aid" | "heart-empty" | "heart-filled" | "heart-plus" | "helping-hand" | "history" | "hourglass" | "house" | "household" | "hyperlink" | "idea" | "in-progress" | "inbox" | "indent-left" | "indent-right" | "info" | "info-circle" | "info-popup" | "info-squared" | "italic" | "keyhole-shield" | "kidney" | "leaf" | "lightning-bolt" | "list-numbered" | "list-thumbnails" | "list-unordered" | "liver" | "lock" | "lock-open" | "log-in" | "log-out" | "logout-rounded-left" | "lungs" | "mailbox-closed-flag-down" | "male-user" | "man" | "map-marker" | "map-with-marker" | "measuring-tape" | "medical" | "menu-btn" | "minus" | "minus-circle" | "molecule" | "moleskine" | "money" | "muscle" | "neuron" | "new-window" | "no-symbol" | "non-smoker" | "notepad" | "ok" | "ok-circle" | "options-horizontal" | "options-vertical" | "out-patient-department" | "paragraph" | "paycheque" | "physical-therapy" | "phone" | "phone-analog" | "piggy-bank" | "play-circle" | "policy-document" | "power" | "prescription" | "print" | "profile" | "profit" | "purchase-order" | "push-pin" | "question" | "question-circle" | "questions" | "random" | "read-message" | "redo" | "refresh" | "remove" | "remove-circle" | "reply-arrow" | "resize-full" | "resize-horizontal" | "resize-small" | "resize-vertical" | "retweet" | "road" | "rod-of-asclepius" | "rubber-stamp" | "save" | "screenshot" | "security-checked" | "share" | "shopping-cart" | "skin" | "skip-to-start" | "smoker" | "sms" | "sort-alpha" | "sort-alpha-reverse" | "sort-ascending" | "sort-descending" | "sort-num" | "sort-num-reverse" | "speak-to-expert" | "speech-bubble" | "speech-bubble-with-dots" | "spouse" | "star-empty" | "star-filled" | "stats" | "stethoscope" | "stock-growth" | "stomach" | "submit-document" | "tag" | "tags" | "tasks" | "text-color" | "text-height" | "text-size" | "text-width" | "thumbnails" | "thumbnails-large" | "thumbs-down" | "thumbs-up" | "today" | "tooth" | "transfer" | "trash" | "trophy" | "truck" | "trust" | "tune" | "umbrella" | "underline" | "undo" | "upload" | "urgent-message" | "user-secured" | "user-shield" | "users" | "voice-check" | "wallet" | "walker" | "woman" | "wrench" | "zoom-in" | "zoom-out" | "outgoing-call" | "internal-call" | "call-transfer" | undefined;
    /** @ignore */
    panelKey?: string | undefined;
} & React.RefAttributes<unknown>>;
export declare const propTypes: {
    children: PropTypes.Validator<any>;
    /** Title text displayed next to the open/close icon */
    title: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
    /** Aside text/content displayed on the right side of the panel title */
    titleAside: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    /** Removes the default padding from the panel body */
    noPadding: PropTypes.Requireable<boolean>;
    /** Set desired aria-level for heading */
    headingLevel: React.Validator<6 | 1 | 2 | 3 | 4 | 5 | null | undefined> | undefined;
    open: PropTypes.Requireable<boolean>;
    /** @ignore */
    closedIconName: PropTypes.Requireable<"header" | "picture" | "search" | "time" | "video" | "switch" | "font" | "fill" | "rx" | "scale" | "repeat" | "bold" | "cell" | "checkbox" | "list" | "copy" | "move" | "sort" | "change" | "cut" | "paste" | "pause" | "play" | "message" | "file" | "checked" | "home" | "user" | "accessibility" | "add" | "add-circle" | "agent" | "alarm-clock" | "align-center" | "align-justify" | "align-left" | "align-right" | "archive" | "archive-folder" | "arrow-down" | "arrow-left" | "arrow-right" | "arrow-up" | "asterisk" | "attachment" | "bathtub" | "bell" | "bicycle" | "blood-drop" | "bone" | "book" | "bookmark" | "bot" | "boy" | "brain" | "briefcase" | "bullhorn" | "calendar" | "calculator" | "camera" | "cash-in-hand" | "certificate" | "certificate-ribbon" | "check-document" | "checkbox-checked" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "circle-arrow-down" | "circle-arrow-left" | "circle-arrow-right" | "circle-arrow-up" | "clear-filters" | "click-and-collect" | "clinic" | "cog" | "comment" | "comments" | "compass" | "confusion" | "dashboard" | "denied" | "desktop" | "detour" | "disabled-access" | "discussion" | "divide" | "dna-helix" | "doctors-bag" | "dollar-sign" | "double-chevron-down" | "double-chevron-left" | "double-chevron-right" | "double-chevron-up" | "download" | "download-alt" | "edit" | "edit-document" | "element-block" | "element-page" | "element-section" | "envelope" | "exclamation" | "exclamation-circle" | "exclamation-sign" | "exit" | "export" | "external-link" | "eye-closed" | "eye-open" | "federal" | "file-download" | "file-open" | "film" | "fire" | "flag-empty" | "flag-filled" | "flash" | "folder-close" | "folder-open" | "folder-up-level" | "for-you" | "form-agreement" | "form-checkbox" | "form-dropdown" | "form-number" | "form-radio" | "form-text" | "form-text-box" | "fullscreen" | "funnel" | "girl" | "glasses" | "globe" | "glucometer" | "hand-down" | "hand-left" | "hand-right" | "hand-up" | "handshake-heart" | "health" | "health-checkup" | "hearing" | "hearing-aid" | "heart-empty" | "heart-filled" | "heart-plus" | "helping-hand" | "history" | "hourglass" | "house" | "household" | "hyperlink" | "idea" | "in-progress" | "inbox" | "indent-left" | "indent-right" | "info" | "info-circle" | "info-popup" | "info-squared" | "italic" | "keyhole-shield" | "kidney" | "leaf" | "lightning-bolt" | "list-numbered" | "list-thumbnails" | "list-unordered" | "liver" | "lock" | "lock-open" | "log-in" | "log-out" | "logout-rounded-left" | "lungs" | "mailbox-closed-flag-down" | "male-user" | "man" | "map-marker" | "map-with-marker" | "measuring-tape" | "medical" | "menu-btn" | "minus" | "minus-circle" | "molecule" | "moleskine" | "money" | "muscle" | "neuron" | "new-window" | "no-symbol" | "non-smoker" | "notepad" | "ok" | "ok-circle" | "options-horizontal" | "options-vertical" | "out-patient-department" | "paragraph" | "paycheque" | "physical-therapy" | "phone" | "phone-analog" | "piggy-bank" | "play-circle" | "policy-document" | "power" | "prescription" | "print" | "profile" | "profit" | "purchase-order" | "push-pin" | "question" | "question-circle" | "questions" | "random" | "read-message" | "redo" | "refresh" | "remove" | "remove-circle" | "reply-arrow" | "resize-full" | "resize-horizontal" | "resize-small" | "resize-vertical" | "retweet" | "road" | "rod-of-asclepius" | "rubber-stamp" | "save" | "screenshot" | "security-checked" | "share" | "shopping-cart" | "skin" | "skip-to-start" | "smoker" | "sms" | "sort-alpha" | "sort-alpha-reverse" | "sort-ascending" | "sort-descending" | "sort-num" | "sort-num-reverse" | "speak-to-expert" | "speech-bubble" | "speech-bubble-with-dots" | "spouse" | "star-empty" | "star-filled" | "stats" | "stethoscope" | "stock-growth" | "stomach" | "submit-document" | "tag" | "tags" | "tasks" | "text-color" | "text-height" | "text-size" | "text-width" | "thumbnails" | "thumbnails-large" | "thumbs-down" | "thumbs-up" | "today" | "tooth" | "transfer" | "trash" | "trophy" | "truck" | "trust" | "tune" | "umbrella" | "underline" | "undo" | "upload" | "urgent-message" | "user-secured" | "user-shield" | "users" | "voice-check" | "wallet" | "walker" | "woman" | "wrench" | "zoom-in" | "zoom-out" | "outgoing-call" | "internal-call" | "call-transfer">;
    /** @ignore */
    openedIconName: PropTypes.Requireable<"header" | "picture" | "search" | "time" | "video" | "switch" | "font" | "fill" | "rx" | "scale" | "repeat" | "bold" | "cell" | "checkbox" | "list" | "copy" | "move" | "sort" | "change" | "cut" | "paste" | "pause" | "play" | "message" | "file" | "checked" | "home" | "user" | "accessibility" | "add" | "add-circle" | "agent" | "alarm-clock" | "align-center" | "align-justify" | "align-left" | "align-right" | "archive" | "archive-folder" | "arrow-down" | "arrow-left" | "arrow-right" | "arrow-up" | "asterisk" | "attachment" | "bathtub" | "bell" | "bicycle" | "blood-drop" | "bone" | "book" | "bookmark" | "bot" | "boy" | "brain" | "briefcase" | "bullhorn" | "calendar" | "calculator" | "camera" | "cash-in-hand" | "certificate" | "certificate-ribbon" | "check-document" | "checkbox-checked" | "chevron-down" | "chevron-left" | "chevron-right" | "chevron-up" | "circle-arrow-down" | "circle-arrow-left" | "circle-arrow-right" | "circle-arrow-up" | "clear-filters" | "click-and-collect" | "clinic" | "cog" | "comment" | "comments" | "compass" | "confusion" | "dashboard" | "denied" | "desktop" | "detour" | "disabled-access" | "discussion" | "divide" | "dna-helix" | "doctors-bag" | "dollar-sign" | "double-chevron-down" | "double-chevron-left" | "double-chevron-right" | "double-chevron-up" | "download" | "download-alt" | "edit" | "edit-document" | "element-block" | "element-page" | "element-section" | "envelope" | "exclamation" | "exclamation-circle" | "exclamation-sign" | "exit" | "export" | "external-link" | "eye-closed" | "eye-open" | "federal" | "file-download" | "file-open" | "film" | "fire" | "flag-empty" | "flag-filled" | "flash" | "folder-close" | "folder-open" | "folder-up-level" | "for-you" | "form-agreement" | "form-checkbox" | "form-dropdown" | "form-number" | "form-radio" | "form-text" | "form-text-box" | "fullscreen" | "funnel" | "girl" | "glasses" | "globe" | "glucometer" | "hand-down" | "hand-left" | "hand-right" | "hand-up" | "handshake-heart" | "health" | "health-checkup" | "hearing" | "hearing-aid" | "heart-empty" | "heart-filled" | "heart-plus" | "helping-hand" | "history" | "hourglass" | "house" | "household" | "hyperlink" | "idea" | "in-progress" | "inbox" | "indent-left" | "indent-right" | "info" | "info-circle" | "info-popup" | "info-squared" | "italic" | "keyhole-shield" | "kidney" | "leaf" | "lightning-bolt" | "list-numbered" | "list-thumbnails" | "list-unordered" | "liver" | "lock" | "lock-open" | "log-in" | "log-out" | "logout-rounded-left" | "lungs" | "mailbox-closed-flag-down" | "male-user" | "man" | "map-marker" | "map-with-marker" | "measuring-tape" | "medical" | "menu-btn" | "minus" | "minus-circle" | "molecule" | "moleskine" | "money" | "muscle" | "neuron" | "new-window" | "no-symbol" | "non-smoker" | "notepad" | "ok" | "ok-circle" | "options-horizontal" | "options-vertical" | "out-patient-department" | "paragraph" | "paycheque" | "physical-therapy" | "phone" | "phone-analog" | "piggy-bank" | "play-circle" | "policy-document" | "power" | "prescription" | "print" | "profile" | "profit" | "purchase-order" | "push-pin" | "question" | "question-circle" | "questions" | "random" | "read-message" | "redo" | "refresh" | "remove" | "remove-circle" | "reply-arrow" | "resize-full" | "resize-horizontal" | "resize-small" | "resize-vertical" | "retweet" | "road" | "rod-of-asclepius" | "rubber-stamp" | "save" | "screenshot" | "security-checked" | "share" | "shopping-cart" | "skin" | "skip-to-start" | "smoker" | "sms" | "sort-alpha" | "sort-alpha-reverse" | "sort-ascending" | "sort-descending" | "sort-num" | "sort-num-reverse" | "speak-to-expert" | "speech-bubble" | "speech-bubble-with-dots" | "spouse" | "star-empty" | "star-filled" | "stats" | "stethoscope" | "stock-growth" | "stomach" | "submit-document" | "tag" | "tags" | "tasks" | "text-color" | "text-height" | "text-size" | "text-width" | "thumbnails" | "thumbnails-large" | "thumbs-down" | "thumbs-up" | "today" | "tooth" | "transfer" | "trash" | "trophy" | "truck" | "trust" | "tune" | "umbrella" | "underline" | "undo" | "upload" | "urgent-message" | "user-secured" | "user-shield" | "users" | "voice-check" | "wallet" | "walker" | "woman" | "wrench" | "zoom-in" | "zoom-out" | "outgoing-call" | "internal-call" | "call-transfer">;
    /** @ignore */
    panelKey: PropTypes.Requireable<string>;
    slot?: React.Validator<string | null | undefined> | undefined;
    style?: React.Validator<React.CSSProperties | null | undefined> | undefined;
    ref?: React.Validator<((instance: HTMLDivElement | null) => void) | React.RefObject<HTMLDivElement> | null | undefined> | undefined;
    suppressHydrationWarning?: React.Validator<boolean | null | undefined> | undefined;
    className?: React.Validator<string | null | undefined> | undefined;
    color?: React.Validator<string | null | undefined> | undefined;
    id?: React.Validator<string | null | undefined> | undefined;
    lang?: React.Validator<string | null | undefined> | undefined;
    role?: React.Validator<React.AriaRole | null | undefined> | undefined;
    tabIndex?: React.Validator<number | null | undefined> | undefined;
    "aria-activedescendant"?: React.Validator<string | null | undefined> | undefined;
    "aria-atomic"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-autocomplete"?: React.Validator<"list" | "none" | "inline" | "both" | null | undefined> | undefined;
    "aria-braillelabel"?: React.Validator<string | null | undefined> | undefined;
    "aria-brailleroledescription"?: React.Validator<string | null | undefined> | undefined;
    "aria-busy"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-checked"?: React.Validator<boolean | "true" | "false" | "mixed" | null | undefined> | undefined;
    "aria-colcount"?: React.Validator<number | null | undefined> | undefined;
    "aria-colindex"?: React.Validator<number | null | undefined> | undefined;
    "aria-colindextext"?: React.Validator<string | null | undefined> | undefined;
    "aria-colspan"?: React.Validator<number | null | undefined> | undefined;
    "aria-controls"?: React.Validator<string | null | undefined> | undefined;
    "aria-current"?: React.Validator<boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | null | undefined> | undefined;
    "aria-describedby"?: React.Validator<string | null | undefined> | undefined;
    "aria-description"?: React.Validator<string | null | undefined> | undefined;
    "aria-details"?: React.Validator<string | null | undefined> | undefined;
    "aria-disabled"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-dropeffect"?: React.Validator<"link" | "none" | "copy" | "execute" | "move" | "popup" | null | undefined> | undefined;
    "aria-errormessage"?: React.Validator<string | null | undefined> | undefined;
    "aria-expanded"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-flowto"?: React.Validator<string | null | undefined> | undefined;
    "aria-grabbed"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-haspopup"?: React.Validator<boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | null | undefined> | undefined;
    "aria-hidden"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-invalid"?: React.Validator<boolean | "true" | "false" | "grammar" | "spelling" | null | undefined> | undefined;
    "aria-keyshortcuts"?: React.Validator<string | null | undefined> | undefined;
    "aria-label"?: React.Validator<string | null | undefined> | undefined;
    "aria-labelledby"?: React.Validator<string | null | undefined> | undefined;
    "aria-level"?: React.Validator<number | null | undefined> | undefined;
    "aria-live"?: React.Validator<"off" | "assertive" | "polite" | null | undefined> | undefined;
    "aria-modal"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-multiline"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-multiselectable"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-orientation"?: React.Validator<"horizontal" | "vertical" | null | undefined> | undefined;
    "aria-owns"?: React.Validator<string | null | undefined> | undefined;
    "aria-placeholder"?: React.Validator<string | null | undefined> | undefined;
    "aria-posinset"?: React.Validator<number | null | undefined> | undefined;
    "aria-pressed"?: React.Validator<boolean | "true" | "false" | "mixed" | null | undefined> | undefined;
    "aria-readonly"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-relevant"?: React.Validator<"text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | null | undefined> | undefined;
    "aria-required"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-roledescription"?: React.Validator<string | null | undefined> | undefined;
    "aria-rowcount"?: React.Validator<number | null | undefined> | undefined;
    "aria-rowindex"?: React.Validator<number | null | undefined> | undefined;
    "aria-rowindextext"?: React.Validator<string | null | undefined> | undefined;
    "aria-rowspan"?: React.Validator<number | null | undefined> | undefined;
    "aria-selected"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-setsize"?: React.Validator<number | null | undefined> | undefined;
    "aria-sort"?: React.Validator<"other" | "none" | "ascending" | "descending" | null | undefined> | undefined;
    "aria-valuemax"?: React.Validator<number | null | undefined> | undefined;
    "aria-valuemin"?: React.Validator<number | null | undefined> | undefined;
    "aria-valuenow"?: React.Validator<number | null | undefined> | undefined;
    "aria-valuetext"?: React.Validator<string | null | undefined> | undefined;
    dangerouslySetInnerHTML?: React.Validator<{
        __html: string | TrustedHTML;
    } | null | undefined> | undefined;
    onCopy?: React.Validator<React.ClipboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCopyCapture?: React.Validator<React.ClipboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCut?: React.Validator<React.ClipboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCutCapture?: React.Validator<React.ClipboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPaste?: React.Validator<React.ClipboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPasteCapture?: React.Validator<React.ClipboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCompositionEnd?: React.Validator<React.CompositionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCompositionEndCapture?: React.Validator<React.CompositionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCompositionStart?: React.Validator<React.CompositionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCompositionStartCapture?: React.Validator<React.CompositionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCompositionUpdate?: React.Validator<React.CompositionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCompositionUpdateCapture?: React.Validator<React.CompositionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onFocus?: React.Validator<React.FocusEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onFocusCapture?: React.Validator<React.FocusEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onBlur?: React.Validator<React.FocusEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onBlurCapture?: React.Validator<React.FocusEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onChange?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onChangeCapture?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onBeforeInput?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onBeforeInputCapture?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onInput?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onInputCapture?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onReset?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onResetCapture?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSubmit?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSubmitCapture?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onInvalid?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onInvalidCapture?: React.Validator<React.FormEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoad?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onError?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onErrorCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onKeyDown?: React.Validator<React.KeyboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onKeyDownCapture?: React.Validator<React.KeyboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onKeyPress?: React.Validator<React.KeyboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onKeyPressCapture?: React.Validator<React.KeyboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onKeyUp?: React.Validator<React.KeyboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onKeyUpCapture?: React.Validator<React.KeyboardEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAbort?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAbortCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCanPlay?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCanPlayCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCanPlayThrough?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onCanPlayThroughCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDurationChange?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDurationChangeCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onEmptied?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onEmptiedCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onEncrypted?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onEncryptedCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onEnded?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onEndedCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadedData?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadedDataCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadedMetadata?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadedMetadataCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadStart?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLoadStartCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPause?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPauseCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPlay?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPlayCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPlaying?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPlayingCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onProgress?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onProgressCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onRateChange?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onRateChangeCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onResize?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onResizeCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSeeked?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSeekedCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSeeking?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSeekingCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onStalled?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onStalledCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSuspend?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSuspendCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTimeUpdate?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTimeUpdateCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onVolumeChange?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onVolumeChangeCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onWaiting?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onWaitingCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAuxClick?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAuxClickCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onClick?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onClickCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onContextMenu?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onContextMenuCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDoubleClick?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDoubleClickCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDrag?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragEnd?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragEndCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragEnter?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragEnterCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragExit?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragExitCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragLeave?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragLeaveCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragOver?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragOverCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragStart?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDragStartCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDrop?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onDropCapture?: React.Validator<React.DragEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseDown?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseDownCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseEnter?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseLeave?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseMove?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseMoveCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseOut?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseOutCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseOver?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseOverCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseUp?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onMouseUpCapture?: React.Validator<React.MouseEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSelect?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onSelectCapture?: React.Validator<React.ReactEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchCancel?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchCancelCapture?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchEnd?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchEndCapture?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchMove?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchMoveCapture?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchStart?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTouchStartCapture?: React.Validator<React.TouchEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerDown?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerDownCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerMove?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerMoveCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerUp?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerUpCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerCancel?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerCancelCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerEnter?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerEnterCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerLeave?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerLeaveCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerOver?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerOverCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerOut?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onPointerOutCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onGotPointerCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onGotPointerCaptureCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLostPointerCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onLostPointerCaptureCapture?: React.Validator<React.PointerEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onScroll?: React.Validator<React.UIEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onScrollCapture?: React.Validator<React.UIEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onWheel?: React.Validator<React.WheelEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onWheelCapture?: React.Validator<React.WheelEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAnimationStart?: React.Validator<React.AnimationEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAnimationStartCapture?: React.Validator<React.AnimationEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAnimationEnd?: React.Validator<React.AnimationEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAnimationEndCapture?: React.Validator<React.AnimationEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAnimationIteration?: React.Validator<React.AnimationEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onAnimationIterationCapture?: React.Validator<React.AnimationEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTransitionEnd?: React.Validator<React.TransitionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    onTransitionEndCapture?: React.Validator<React.TransitionEventHandler<HTMLDivElement> | null | undefined> | undefined;
    key?: React.Validator<React.Key | null | undefined> | undefined;
    css?: React.Validator<import("styled-components").CSSProp | null | undefined> | undefined;
    defaultChecked?: React.Validator<boolean | null | undefined> | undefined;
    defaultValue?: React.Validator<string | number | readonly string[] | null | undefined> | undefined;
    suppressContentEditableWarning?: React.Validator<boolean | null | undefined> | undefined;
    accessKey?: React.Validator<string | null | undefined> | undefined;
    autoFocus?: React.Validator<boolean | null | undefined> | undefined;
    contentEditable?: React.Validator<"inherit" | (boolean | "true" | "false") | "plaintext-only" | null | undefined> | undefined;
    contextMenu?: React.Validator<string | null | undefined> | undefined;
    dir?: React.Validator<string | null | undefined> | undefined;
    draggable?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    hidden?: React.Validator<boolean | null | undefined> | undefined;
    nonce?: React.Validator<string | null | undefined> | undefined;
    spellCheck?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    translate?: React.Validator<"no" | "yes" | null | undefined> | undefined;
    radioGroup?: React.Validator<string | null | undefined> | undefined;
    about?: React.Validator<string | null | undefined> | undefined;
    content?: React.Validator<string | null | undefined> | undefined;
    datatype?: React.Validator<string | null | undefined> | undefined;
    inlist?: React.Validator<any> | undefined;
    prefix?: React.Validator<string | null | undefined> | undefined;
    property?: React.Validator<string | null | undefined> | undefined;
    rel?: React.Validator<string | null | undefined> | undefined;
    resource?: React.Validator<string | null | undefined> | undefined;
    rev?: React.Validator<string | null | undefined> | undefined;
    typeof?: React.Validator<string | null | undefined> | undefined;
    vocab?: React.Validator<string | null | undefined> | undefined;
    autoCapitalize?: React.Validator<string | null | undefined> | undefined;
    autoCorrect?: React.Validator<string | null | undefined> | undefined;
    autoSave?: React.Validator<string | null | undefined> | undefined;
    itemProp?: React.Validator<string | null | undefined> | undefined;
    itemScope?: React.Validator<boolean | null | undefined> | undefined;
    itemType?: React.Validator<string | null | undefined> | undefined;
    itemID?: React.Validator<string | null | undefined> | undefined;
    itemRef?: React.Validator<string | null | undefined> | undefined;
    results?: React.Validator<number | null | undefined> | undefined;
    security?: React.Validator<string | null | undefined> | undefined;
    unselectable?: React.Validator<"off" | "on" | null | undefined> | undefined;
    inputMode?: React.Validator<"search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | null | undefined> | undefined;
    is?: React.Validator<string | null | undefined> | undefined;
    theme?: React.Validator<import("styled-components").DefaultTheme | null | undefined> | undefined;
};
export default DrawerPanel;
