import React from 'react';
import type * as CSS from 'csstype';
import { DefaultTheme } from 'styled-components';
export interface SkeletonTheme extends DefaultTheme {
    skeleton: {
        shimmerColor: CSS.Property.BackgroundColor;
        shapeColor: CSS.Property.BackgroundColor;
    };
}
declare const SkeletonShape: import("styled-components").StyledComponent<"div", SkeletonTheme, {}, never>;
export type LoadingSkeletonProps = JSXElementProps<'div'> & {
    shapeColor?: CSS.Property.BackgroundColor;
    shimmerColor?: CSS.Property.BackgroundColor;
};
declare const LoadingSkeleton: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref"> & {
    shapeColor?: CSS.Property.BackgroundColor | undefined;
    shimmerColor?: CSS.Property.BackgroundColor | undefined;
} & React.RefAttributes<HTMLDivElement>>;
type LoadingSkeletonComponent = typeof LoadingSkeleton & {
    Shape: typeof SkeletonShape;
};
declare const _default: LoadingSkeletonComponent;
export default _default;
