import React from 'react';
import PropTypes from 'prop-types';
import { HeadingLevel } from "../../../../../../../shared/types/dist/src";
interface ModalHeaderProps {
    hideCloseButton: boolean;
    children: React.ReactNode;
    level: HeadingLevel;
    size?: HeadingLevel;
}
declare function ModalHeader(props: ModalHeaderProps): React.JSX.Element;
declare namespace ModalHeader {
    var propTypes: {
        /** Specify whether the modal header should contain a close button */
        hideCloseButton: PropTypes.Requireable<boolean>;
        children: PropTypes.Requireable<any>;
        level: PropTypes.Requireable<6 | 1 | 2 | 3 | 4 | 5>;
        size: PropTypes.Requireable<6 | 1 | 2 | 3 | 4 | 5>;
        ref: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | PropTypes.InferProps<{
            current: PropTypes.Requireable<any>;
        }> | null | undefined>>;
    };
    var defaultProps: {
        hideCloseButton: boolean;
        children: undefined;
        level: number;
        size: undefined;
        ref: null;
    };
}
export default ModalHeader;
