import React, { AriaRole } from 'react';
import type * as CSS from 'csstype';
import { CSSProperties } from 'styled-components';
import type { ValidationStyleType, NotificationStyleType, IconName } from "../../../../../../../shared/types/dist/src";
interface NotificationContentProps extends Omit<JSXElementProps<'div'>, 'color'> {
    includeIcon?: boolean;
    isDismissable?: boolean;
    onDismiss?: () => void;
    children?: React.ReactNode;
    iconName: IconName;
    iconColor: string;
    color: CSS.Property.Color;
    dismissNotification: () => void;
    alwaysShowIcon?: boolean;
}
export interface BaseNotificationProps extends Omit<NotificationContentProps, 'dismissNotification' | 'color' | 'iconName' | 'iconColor'> {
    role?: AriaRole;
    type: ValidationStyleType;
    className?: string;
    style?: CSSProperties;
    restyleAnchors?: boolean;
    styleType?: NotificationStyleType;
}
export declare const BaseNotification: React.ForwardRefExoticComponent<BaseNotificationProps & React.RefAttributes<HTMLDivElement>>;
export {};
