import React from 'react';
import { PopupProps } from "./Popup";
import { Placement } from '@floating-ui/react';
type HeaderTypes = 'primary' | 'info' | 'success' | 'warning' | 'danger';
type RenderFuncParams = {
    toggleShow: (ev?: React.UIEvent) => void;
};
export type RenderTriggerParams = RenderFuncParams & {
    ref?: React.ForwardedRef<HTMLElement>;
    isOpen: boolean;
};
export type RenderTriggerFunc = (params: RenderTriggerParams) => React.ReactNode;
export interface PopoverProps extends Omit<Partial<PopupProps>, 'content' | 'setIsOpen'> {
    name: string;
    renderTrigger: RenderTriggerFunc;
    title?: string;
    content?: React.ReactNode;
    renderContent?: (contentProps: RenderFuncParams) => React.ReactNode;
    placement?: Placement;
    arrowSize?: 'sm' | 'lg' | 'none' | 'default';
    disableOnScroll?: boolean;
    disableFlipping?: boolean;
    disableRootClose?: boolean;
    hasCloseButton?: boolean;
    hasAltCloseButton?: boolean;
    disableCloseOnScroll?: boolean;
    enableEvents?: boolean;
    strategy?: 'absolute' | 'fixed';
    keepTogether?: boolean;
    popoverWrapperClassName?: string;
    styleType?: HeaderTypes;
}
declare const Popover: React.ForwardRefExoticComponent<PopoverProps & React.RefAttributes<HTMLDivElement>>;
export default Popover;
