import React from 'react';
import { Placement } from '@floating-ui/react';
import { FadeProps } from "../../util/Fade";
type ArrowSizes = 'sm' | 'md' | 'lg' | 'none';
type ArrowSizeOptions = ArrowSizes | 'default';
export interface PopupProps extends JSXElementProps<'div'> {
    name?: Maybe<string>;
    trigger: React.ReactNode;
    children: React.ReactNode;
    position?: Placement;
    arrowSize?: Maybe<ArrowSizeOptions>;
    transitionIn?: boolean;
    transitionTimeout?: number;
    hasTitle?: boolean;
    disableFlipping?: boolean;
    popperRef?: React.ForwardedRef<HTMLDivElement>;
    enableEvents?: boolean;
    strategy?: 'absolute' | 'fixed';
    keepTogether?: boolean;
    setIsOpen: (isOpen: boolean) => void;
    disableRootClose: boolean;
    onExited?: FadeProps['onExited'];
}
declare const Popup: React.ForwardRefExoticComponent<PopupProps & React.RefAttributes<HTMLDivElement>>;
export default Popup;
