import React from 'react';
import PropTypes from 'prop-types';
import { OnAfterOpenCallback, Props as ReactModalProps } from 'react-modal';
import { HeadingLevel } from "../../../../../../../shared/types/dist/src";
import noop from "../../util/noop";
type SlidingPaneProps = Override<ReactModalProps, {
    children: NonNullable<React.ReactNode>;
    title?: string;
    subTitle?: string;
    shouldCloseOnEsc?: boolean;
    onRequestClose?: React.MouseEventHandler<HTMLButtonElement>;
    onAfterOpen?: OnAfterOpenCallback;
    closeIcon?: string;
    closeIconScreenReaderText?: string;
    from?: string;
    headingLevel?: HeadingLevel;
    headingSize?: HeadingLevel;
    closeTimeout?: number;
    overlayStyles?: ReactModal.Styles['overlay'];
    contentStyles?: ReactModal.Styles['content'];
    appElement?: string | HTMLElement;
    parentSelector?: () => HTMLElement;
    hideHeader?: boolean;
    paneWidth?: string;
}>;
declare function SlidingPane({ isOpen, title, subTitle, shouldCloseOnEsc, onRequestClose, onAfterOpen, children, closeIcon, closeIconScreenReaderText, from, headingLevel, headingSize, closeTimeout, overlayStyles, contentStyles, appElement, parentSelector, hideHeader, paneWidth, ...rest }: SlidingPaneProps): React.JSX.Element;
declare namespace SlidingPane {
    var propTypes: {
        isOpen: PropTypes.Validator<boolean>;
        title: PropTypes.Requireable<any>;
        subTitle: PropTypes.Requireable<any>;
        shouldCloseOnEsc: PropTypes.Requireable<boolean>;
        onRequestClose: PropTypes.Requireable<(...args: any[]) => any>;
        onAfterOpen: PropTypes.Requireable<(...args: any[]) => any>;
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        from: PropTypes.Requireable<string>;
        closeIcon: PropTypes.Requireable<any>;
        closeIconScreenReaderText: PropTypes.Requireable<string>;
        headingLevel: React.Validator<6 | 1 | 2 | 3 | 4 | 5 | null | undefined> | undefined;
        headingSize: React.Validator<6 | 1 | 2 | 3 | 4 | 5 | null | undefined> | undefined;
        closeTimeout: PropTypes.Requireable<number>;
        overlayStyles: PropTypes.Requireable<object>;
        contentStyles: PropTypes.Requireable<object>;
        /** selector of application element (e.g. #root), for hiding of
         main content for screenreaders when pane is open */
        appElement: PropTypes.Requireable<string>;
        parentSelector: PropTypes.Requireable<(...args: any[]) => any>;
        hideHeader: PropTypes.Requireable<boolean>;
        /** The width size in pixels of the sliding pane. This defaults to the tablet size.  */
        paneWidth: PropTypes.Requireable<string>;
    };
    var defaultProps: {
        closeTimeout: number;
        from: string;
        headingLevel: number;
        headingSize: number;
        shouldCloseOnEsc: boolean;
        title: undefined;
        subTitle: undefined;
        onRequestClose: typeof noop;
        onAfterOpen: typeof noop;
        closeIcon: undefined;
        closeIconScreenReaderText: string;
        overlayStyles: {};
        contentStyles: {};
        appElement: undefined;
        parentSelector: null;
        hideHeader: boolean;
        paneWidth: null;
    };
}
export default SlidingPane;
