import React from 'react';
type TableProps = Override<JSXElementProps<'table'>, {
    isCondensed?: boolean;
    isRoomy?: boolean;
    hasStripes?: boolean;
    hasHover?: boolean;
}>;
export interface TableBaseProps extends TableProps {
    cellPadding?: number | string;
}
declare const Table: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.TableHTMLAttributes<HTMLTableElement>, HTMLTableElement>, "key">, "ref">, "isCondensed" | "isRoomy" | "hasStripes" | "hasHover"> & {
    isCondensed?: boolean | undefined;
    isRoomy?: boolean | undefined;
    hasStripes?: boolean | undefined;
    hasHover?: boolean | undefined;
} & React.RefAttributes<HTMLTableElement>>;
declare const TableRow: import("styled-components").StyledComponent<"tr", import("styled-components").DefaultTheme, {}, never>;
declare const TableBodyCell: import("styled-components").StyledComponent<"td", import("styled-components").DefaultTheme, {}, never>;
declare const TableHeaderCell: import("styled-components").StyledComponent<"th", import("styled-components").DefaultTheme, {}, never>;
type TableComponent = typeof Table & {
    Row: typeof TableRow;
    Cell: typeof TableBodyCell;
    HeaderCell: typeof TableHeaderCell;
};
declare const _default: TableComponent;
export default _default;
