import React from 'react';
import PropTypes from 'prop-types';
declare const ActionButton: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key">, "ref">, "waiting"> & {
    waiting?: Maybe<boolean>;
} & {
    size?: "default" | "lg" | "sm" | "xs" | undefined;
    styleType?: "default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined;
    mobileBlock?: boolean | undefined;
    flatLeftEdge?: boolean | undefined;
    flatRightEdge?: boolean | undefined;
    block?: boolean | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export declare const propTypes: {
    children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
    /** Select the color style of the button, types come from theme buttonStyles.button */
    styleType: PropTypes.Requireable<"default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined> | PropTypes.Validator<"default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined>;
    form: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    slot: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    style: PropTypes.Requireable<React.CSSProperties | undefined> | PropTypes.Validator<React.CSSProperties | undefined>;
    title: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    type: PropTypes.Requireable<"button" | "reset" | "submit" | undefined> | PropTypes.Validator<"button" | "reset" | "submit" | undefined>;
    name: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    suppressHydrationWarning: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    className: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    color: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    id: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    lang: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    role: PropTypes.Requireable<React.AriaRole | undefined> | PropTypes.Validator<React.AriaRole | undefined>;
    tabIndex: PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-activedescendant": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-atomic": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-autocomplete": PropTypes.Requireable<"list" | "none" | "inline" | "both" | undefined> | PropTypes.Validator<"list" | "none" | "inline" | "both" | undefined>;
    "aria-braillelabel": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-brailleroledescription": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-busy": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-checked": PropTypes.Requireable<boolean | "true" | "false" | "mixed" | undefined> | PropTypes.Validator<boolean | "true" | "false" | "mixed" | undefined>;
    "aria-colcount": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-colindex": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-colindextext": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-colspan": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-controls": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-current": PropTypes.Requireable<boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined> | PropTypes.Validator<boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined>;
    "aria-describedby": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-description": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-details": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-disabled": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-dropeffect": PropTypes.Requireable<"link" | "none" | "copy" | "execute" | "move" | "popup" | undefined> | PropTypes.Validator<"link" | "none" | "copy" | "execute" | "move" | "popup" | undefined>;
    "aria-errormessage": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-expanded": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-flowto": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-grabbed": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-haspopup": PropTypes.Requireable<boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined> | PropTypes.Validator<boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined>;
    "aria-hidden": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-invalid": PropTypes.Requireable<boolean | "true" | "false" | "grammar" | "spelling" | undefined> | PropTypes.Validator<boolean | "true" | "false" | "grammar" | "spelling" | undefined>;
    "aria-keyshortcuts": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-label": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-labelledby": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-level": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-live": PropTypes.Requireable<"off" | "assertive" | "polite" | undefined> | PropTypes.Validator<"off" | "assertive" | "polite" | undefined>;
    "aria-modal": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-multiline": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-multiselectable": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-orientation": PropTypes.Requireable<"horizontal" | "vertical" | undefined> | PropTypes.Validator<"horizontal" | "vertical" | undefined>;
    "aria-owns": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-placeholder": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-posinset": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-pressed": PropTypes.Requireable<boolean | "true" | "false" | "mixed" | undefined> | PropTypes.Validator<boolean | "true" | "false" | "mixed" | undefined>;
    "aria-readonly": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-relevant": PropTypes.Requireable<"text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined> | PropTypes.Validator<"text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined>;
    "aria-required": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-roledescription": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-rowcount": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-rowindex": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-rowindextext": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    "aria-rowspan": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-selected": PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    "aria-setsize": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-sort": PropTypes.Requireable<"other" | "none" | "ascending" | "descending" | undefined> | PropTypes.Validator<"other" | "none" | "ascending" | "descending" | undefined>;
    "aria-valuemax": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-valuemin": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-valuenow": PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    "aria-valuetext": PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    dangerouslySetInnerHTML: PropTypes.Requireable<{
        __html: string | TrustedHTML;
    } | undefined> | PropTypes.Validator<{
        __html: string | TrustedHTML;
    } | undefined>;
    onCopy: PropTypes.Requireable<React.ClipboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ClipboardEventHandler<HTMLButtonElement> | undefined>;
    onCopyCapture: PropTypes.Requireable<React.ClipboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ClipboardEventHandler<HTMLButtonElement> | undefined>;
    onCut: PropTypes.Requireable<React.ClipboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ClipboardEventHandler<HTMLButtonElement> | undefined>;
    onCutCapture: PropTypes.Requireable<React.ClipboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ClipboardEventHandler<HTMLButtonElement> | undefined>;
    onPaste: PropTypes.Requireable<React.ClipboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ClipboardEventHandler<HTMLButtonElement> | undefined>;
    onPasteCapture: PropTypes.Requireable<React.ClipboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ClipboardEventHandler<HTMLButtonElement> | undefined>;
    onCompositionEnd: PropTypes.Requireable<React.CompositionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.CompositionEventHandler<HTMLButtonElement> | undefined>;
    onCompositionEndCapture: PropTypes.Requireable<React.CompositionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.CompositionEventHandler<HTMLButtonElement> | undefined>;
    onCompositionStart: PropTypes.Requireable<React.CompositionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.CompositionEventHandler<HTMLButtonElement> | undefined>;
    onCompositionStartCapture: PropTypes.Requireable<React.CompositionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.CompositionEventHandler<HTMLButtonElement> | undefined>;
    onCompositionUpdate: PropTypes.Requireable<React.CompositionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.CompositionEventHandler<HTMLButtonElement> | undefined>;
    onCompositionUpdateCapture: PropTypes.Requireable<React.CompositionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.CompositionEventHandler<HTMLButtonElement> | undefined>;
    onFocus: PropTypes.Requireable<React.FocusEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FocusEventHandler<HTMLButtonElement> | undefined>;
    onFocusCapture: PropTypes.Requireable<React.FocusEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FocusEventHandler<HTMLButtonElement> | undefined>;
    onBlur: PropTypes.Requireable<React.FocusEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FocusEventHandler<HTMLButtonElement> | undefined>;
    onBlurCapture: PropTypes.Requireable<React.FocusEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FocusEventHandler<HTMLButtonElement> | undefined>;
    onChange: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onChangeCapture: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onBeforeInput: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onBeforeInputCapture: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onInput: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onInputCapture: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onReset: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onResetCapture: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onSubmit: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onSubmitCapture: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onInvalid: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onInvalidCapture: PropTypes.Requireable<React.FormEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.FormEventHandler<HTMLButtonElement> | undefined>;
    onLoad: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onError: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onErrorCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onKeyDown: PropTypes.Requireable<React.KeyboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.KeyboardEventHandler<HTMLButtonElement> | undefined>;
    onKeyDownCapture: PropTypes.Requireable<React.KeyboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.KeyboardEventHandler<HTMLButtonElement> | undefined>;
    onKeyPress: PropTypes.Requireable<React.KeyboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.KeyboardEventHandler<HTMLButtonElement> | undefined>;
    onKeyPressCapture: PropTypes.Requireable<React.KeyboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.KeyboardEventHandler<HTMLButtonElement> | undefined>;
    onKeyUp: PropTypes.Requireable<React.KeyboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.KeyboardEventHandler<HTMLButtonElement> | undefined>;
    onKeyUpCapture: PropTypes.Requireable<React.KeyboardEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.KeyboardEventHandler<HTMLButtonElement> | undefined>;
    onAbort: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onAbortCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onCanPlay: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onCanPlayCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onCanPlayThrough: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onCanPlayThroughCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onDurationChange: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onDurationChangeCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onEmptied: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onEmptiedCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onEncrypted: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onEncryptedCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onEnded: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onEndedCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadedData: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadedDataCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadedMetadata: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadedMetadataCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadStart: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onLoadStartCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onPause: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onPauseCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onPlay: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onPlayCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onPlaying: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onPlayingCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onProgress: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onProgressCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onRateChange: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onRateChangeCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onResize: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onResizeCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSeeked: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSeekedCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSeeking: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSeekingCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onStalled: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onStalledCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSuspend: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSuspendCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onTimeUpdate: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onTimeUpdateCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onVolumeChange: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onVolumeChangeCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onWaiting: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onWaitingCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onAuxClick: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onAuxClickCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onClick: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onClickCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onContextMenu: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onContextMenuCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onDoubleClick: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onDoubleClickCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onDrag: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragEnd: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragEndCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragEnter: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragEnterCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragExit: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragExitCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragLeave: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragLeaveCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragOver: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragOverCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragStart: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDragStartCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDrop: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onDropCapture: PropTypes.Requireable<React.DragEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.DragEventHandler<HTMLButtonElement> | undefined>;
    onMouseDown: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseDownCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseEnter: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseLeave: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseMove: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseMoveCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseOut: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseOutCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseOver: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseOverCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseUp: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onMouseUpCapture: PropTypes.Requireable<React.MouseEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.MouseEventHandler<HTMLButtonElement> | undefined>;
    onSelect: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onSelectCapture: PropTypes.Requireable<React.ReactEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.ReactEventHandler<HTMLButtonElement> | undefined>;
    onTouchCancel: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchCancelCapture: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchEnd: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchEndCapture: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchMove: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchMoveCapture: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchStart: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onTouchStartCapture: PropTypes.Requireable<React.TouchEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TouchEventHandler<HTMLButtonElement> | undefined>;
    onPointerDown: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerDownCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerMove: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerMoveCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerUp: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerUpCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerCancel: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerCancelCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerEnter: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerEnterCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerLeave: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerLeaveCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerOver: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerOverCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerOut: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onPointerOutCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onGotPointerCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onGotPointerCaptureCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onLostPointerCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onLostPointerCaptureCapture: PropTypes.Requireable<React.PointerEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.PointerEventHandler<HTMLButtonElement> | undefined>;
    onScroll: PropTypes.Requireable<React.UIEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.UIEventHandler<HTMLButtonElement> | undefined>;
    onScrollCapture: PropTypes.Requireable<React.UIEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.UIEventHandler<HTMLButtonElement> | undefined>;
    onWheel: PropTypes.Requireable<React.WheelEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.WheelEventHandler<HTMLButtonElement> | undefined>;
    onWheelCapture: PropTypes.Requireable<React.WheelEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.WheelEventHandler<HTMLButtonElement> | undefined>;
    onAnimationStart: PropTypes.Requireable<React.AnimationEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.AnimationEventHandler<HTMLButtonElement> | undefined>;
    onAnimationStartCapture: PropTypes.Requireable<React.AnimationEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.AnimationEventHandler<HTMLButtonElement> | undefined>;
    onAnimationEnd: PropTypes.Requireable<React.AnimationEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.AnimationEventHandler<HTMLButtonElement> | undefined>;
    onAnimationEndCapture: PropTypes.Requireable<React.AnimationEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.AnimationEventHandler<HTMLButtonElement> | undefined>;
    onAnimationIteration: PropTypes.Requireable<React.AnimationEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.AnimationEventHandler<HTMLButtonElement> | undefined>;
    onAnimationIterationCapture: PropTypes.Requireable<React.AnimationEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.AnimationEventHandler<HTMLButtonElement> | undefined>;
    onTransitionEnd: PropTypes.Requireable<React.TransitionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TransitionEventHandler<HTMLButtonElement> | undefined>;
    onTransitionEndCapture: PropTypes.Requireable<React.TransitionEventHandler<HTMLButtonElement> | undefined> | PropTypes.Validator<React.TransitionEventHandler<HTMLButtonElement> | undefined>;
    css: PropTypes.Requireable<import("styled-components").CSSProp | undefined> | PropTypes.Validator<import("styled-components").CSSProp | undefined>;
    defaultChecked: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    defaultValue: PropTypes.Requireable<string | number | readonly string[] | undefined> | PropTypes.Validator<string | number | readonly string[] | undefined>;
    suppressContentEditableWarning: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    accessKey: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    autoFocus: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    contentEditable: PropTypes.Requireable<"inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined> | PropTypes.Validator<"inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined>;
    contextMenu: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    dir: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    draggable: PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    hidden: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    nonce: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    spellCheck: PropTypes.Requireable<(boolean | "true" | "false") | undefined> | PropTypes.Validator<(boolean | "true" | "false") | undefined>;
    translate: PropTypes.Requireable<"no" | "yes" | undefined> | PropTypes.Validator<"no" | "yes" | undefined>;
    radioGroup: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    about: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    content: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    datatype: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    inlist: PropTypes.Validator<any> | PropTypes.Requireable<any>;
    prefix: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    property: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    rel: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    resource: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    rev: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    typeof: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    vocab: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    autoCapitalize: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    autoCorrect: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    autoSave: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    itemProp: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    itemScope: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    itemType: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    itemID: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    itemRef: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    results: PropTypes.Requireable<number | undefined> | PropTypes.Validator<number | undefined>;
    security: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    unselectable: PropTypes.Requireable<"off" | "on" | undefined> | PropTypes.Validator<"off" | "on" | undefined>;
    inputMode: PropTypes.Requireable<"search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined> | PropTypes.Validator<"search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined>;
    is: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    value: PropTypes.Requireable<string | number | readonly string[] | undefined> | PropTypes.Validator<string | number | readonly string[] | undefined>;
    disabled: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    formAction: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    formEncType: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    formMethod: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    formNoValidate: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    formTarget: PropTypes.Requireable<string | undefined> | PropTypes.Validator<string | undefined>;
    waiting: PropTypes.Requireable<Maybe<boolean>> | PropTypes.Validator<Maybe<boolean>>;
    size: PropTypes.Requireable<"default" | "lg" | "sm" | "xs" | undefined> | PropTypes.Validator<"default" | "lg" | "sm" | "xs" | undefined>;
    mobileBlock: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    flatLeftEdge: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    flatRightEdge: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
    block: PropTypes.Requireable<boolean | undefined> | PropTypes.Validator<boolean | undefined>;
};
export declare const defaultProps: {
    styleType: "default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information";
    block: boolean;
    mobileBlock: boolean;
    size: "default" | "lg" | "sm" | "xs";
    flatLeftEdge: boolean;
    flatRightEdge: boolean;
    waiting: boolean;
    form?: string | undefined;
    slot?: string | undefined;
    style?: React.CSSProperties | undefined;
    title?: string | undefined;
    type?: "button" | "reset" | "submit" | undefined;
    name?: string | undefined;
    suppressHydrationWarning?: boolean | undefined;
    className?: string | undefined;
    color?: string | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    role?: React.AriaRole | undefined;
    tabIndex?: number | undefined;
    "aria-activedescendant"?: string | undefined;
    "aria-atomic"?: (boolean | "true" | "false") | undefined;
    "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
    "aria-braillelabel"?: string | undefined;
    "aria-brailleroledescription"?: string | undefined;
    "aria-busy"?: (boolean | "true" | "false") | undefined;
    "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
    "aria-colcount"?: number | undefined;
    "aria-colindex"?: number | undefined;
    "aria-colindextext"?: string | undefined;
    "aria-colspan"?: number | undefined;
    "aria-controls"?: string | undefined;
    "aria-current"?: boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined;
    "aria-describedby"?: string | undefined;
    "aria-description"?: string | undefined;
    "aria-details"?: string | undefined;
    "aria-disabled"?: (boolean | "true" | "false") | undefined;
    "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
    "aria-errormessage"?: string | undefined;
    "aria-expanded"?: (boolean | "true" | "false") | undefined;
    "aria-flowto"?: string | undefined;
    "aria-grabbed"?: (boolean | "true" | "false") | undefined;
    "aria-haspopup"?: boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined;
    "aria-hidden"?: (boolean | "true" | "false") | undefined;
    "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
    "aria-keyshortcuts"?: string | undefined;
    "aria-label"?: string | undefined;
    "aria-labelledby"?: string | undefined;
    "aria-level"?: number | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined;
    "aria-modal"?: (boolean | "true" | "false") | undefined;
    "aria-multiline"?: (boolean | "true" | "false") | undefined;
    "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined;
    "aria-owns"?: string | undefined;
    "aria-placeholder"?: string | undefined;
    "aria-posinset"?: number | undefined;
    "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
    "aria-readonly"?: (boolean | "true" | "false") | undefined;
    "aria-relevant"?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
    "aria-required"?: (boolean | "true" | "false") | undefined;
    "aria-roledescription"?: string | undefined;
    "aria-rowcount"?: number | undefined;
    "aria-rowindex"?: number | undefined;
    "aria-rowindextext"?: string | undefined;
    "aria-rowspan"?: number | undefined;
    "aria-selected"?: (boolean | "true" | "false") | undefined;
    "aria-setsize"?: number | undefined;
    "aria-sort"?: "other" | "none" | "ascending" | "descending" | undefined;
    "aria-valuemax"?: number | undefined;
    "aria-valuemin"?: number | undefined;
    "aria-valuenow"?: number | undefined;
    "aria-valuetext"?: string | undefined;
    children?: React.ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    onCopy?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCopyCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCut?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCutCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onPaste?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onPasteCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCompositionEnd?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionEndCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionStart?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionStartCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionUpdate?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onFocusCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onBlur?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onBlurCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onChange?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onChangeCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onBeforeInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onBeforeInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onReset?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onResetCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onSubmit?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onSubmitCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInvalid?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInvalidCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onLoad?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onError?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onErrorCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyDownCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyPressCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyUpCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onAbort?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onAbortCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlayThrough?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlayThroughCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onDurationChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onDurationChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEmptied?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEmptiedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEncrypted?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEncryptedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEnded?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEndedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedData?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedDataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedMetadata?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedMetadataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadStart?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadStartCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPause?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPauseCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlaying?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlayingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onProgress?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onProgressCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onRateChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onRateChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onResize?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onResizeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeeked?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeekedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeeking?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeekingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onStalled?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onStalledCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSuspend?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSuspendCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onTimeUpdate?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onTimeUpdateCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onVolumeChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onVolumeChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onWaiting?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onWaitingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onAuxClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onAuxClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onContextMenu?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onContextMenuCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onDoubleClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onDoubleClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onDrag?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEnd?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEndCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEnter?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEnterCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragExit?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragExitCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragLeave?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragLeaveCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragOver?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragOverCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragStart?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragStartCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDrop?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDropCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onMouseDown?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseDownCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseEnter?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseLeave?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseMove?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseMoveCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOut?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOutCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOver?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOverCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseUp?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseUpCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onSelect?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSelectCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onTouchCancel?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchCancelCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchEnd?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchEndCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchMove?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchMoveCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchStart?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchStartCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onPointerDown?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerDownCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerMove?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerMoveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerUp?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerUpCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerCancel?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerCancelCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerEnter?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerEnterCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerLeave?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerLeaveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOver?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOverCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOut?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOutCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onGotPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onLostPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onScroll?: React.UIEventHandler<HTMLButtonElement> | undefined;
    onScrollCapture?: React.UIEventHandler<HTMLButtonElement> | undefined;
    onWheel?: React.WheelEventHandler<HTMLButtonElement> | undefined;
    onWheelCapture?: React.WheelEventHandler<HTMLButtonElement> | undefined;
    onAnimationStart?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationStartCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationEnd?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationEndCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationIteration?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationIterationCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onTransitionEnd?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
    onTransitionEndCapture?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
    css?: import("styled-components").CSSProp | undefined;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    accessKey?: string | undefined;
    autoFocus?: boolean | undefined;
    contentEditable?: "inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    hidden?: boolean | undefined;
    nonce?: string | undefined;
    spellCheck?: (boolean | "true" | "false") | undefined;
    translate?: "no" | "yes" | undefined;
    radioGroup?: string | undefined;
    about?: string | undefined;
    content?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    rel?: string | undefined;
    resource?: string | undefined;
    rev?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "off" | "on" | undefined;
    inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
    is?: string | undefined;
    value?: string | number | readonly string[] | undefined;
    disabled?: boolean | undefined;
    formAction?: string | undefined;
    formEncType?: string | undefined;
    formMethod?: string | undefined;
    formNoValidate?: boolean | undefined;
    formTarget?: string | undefined;
};
export default ActionButton;
