import React from 'react';
declare const OutlineButton: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "key">, "ref">, "waiting"> & {
    waiting?: Maybe<boolean>;
} & {
    size?: "default" | "lg" | "sm" | "xs" | undefined;
    styleType?: "default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined;
    mobileBlock?: boolean | undefined;
    flatLeftEdge?: boolean | undefined;
    flatRightEdge?: boolean | undefined;
    block?: boolean | undefined;
} & React.RefAttributes<HTMLButtonElement>>;
export declare const propTypes: {
    /** Select the color style of the button, types come from theme buttonStyles.outlineButton */
    styleType: React.Validator<"default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | null | undefined> | undefined;
    /** Make the button's width the size of it's parent container */
    block: React.Validator<boolean | null | undefined> | undefined;
    form?: React.Validator<string | null | undefined> | undefined;
    slot?: React.Validator<string | null | undefined> | undefined;
    style?: React.Validator<React.CSSProperties | null | undefined> | undefined;
    title?: React.Validator<string | null | undefined> | undefined;
    type?: React.Validator<"button" | "reset" | "submit" | null | undefined> | undefined;
    name?: React.Validator<string | null | undefined> | undefined;
    suppressHydrationWarning?: React.Validator<boolean | null | undefined> | undefined;
    className?: React.Validator<string | null | undefined> | undefined;
    color?: React.Validator<string | null | undefined> | undefined;
    id?: React.Validator<string | null | undefined> | undefined;
    lang?: React.Validator<string | null | undefined> | undefined;
    role?: React.Validator<React.AriaRole | null | undefined> | undefined;
    tabIndex?: React.Validator<number | null | undefined> | undefined;
    "aria-activedescendant"?: React.Validator<string | null | undefined> | undefined;
    "aria-atomic"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-autocomplete"?: React.Validator<"list" | "none" | "inline" | "both" | null | undefined> | undefined;
    "aria-braillelabel"?: React.Validator<string | null | undefined> | undefined;
    "aria-brailleroledescription"?: React.Validator<string | null | undefined> | undefined;
    "aria-busy"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-checked"?: React.Validator<boolean | "true" | "false" | "mixed" | null | undefined> | undefined;
    "aria-colcount"?: React.Validator<number | null | undefined> | undefined;
    "aria-colindex"?: React.Validator<number | null | undefined> | undefined;
    "aria-colindextext"?: React.Validator<string | null | undefined> | undefined;
    "aria-colspan"?: React.Validator<number | null | undefined> | undefined;
    "aria-controls"?: React.Validator<string | null | undefined> | undefined;
    "aria-current"?: React.Validator<boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | null | undefined> | undefined;
    "aria-describedby"?: React.Validator<string | null | undefined> | undefined;
    "aria-description"?: React.Validator<string | null | undefined> | undefined;
    "aria-details"?: React.Validator<string | null | undefined> | undefined;
    "aria-disabled"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-dropeffect"?: React.Validator<"link" | "none" | "copy" | "execute" | "move" | "popup" | null | undefined> | undefined;
    "aria-errormessage"?: React.Validator<string | null | undefined> | undefined;
    "aria-expanded"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-flowto"?: React.Validator<string | null | undefined> | undefined;
    "aria-grabbed"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-haspopup"?: React.Validator<boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | null | undefined> | undefined;
    "aria-hidden"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-invalid"?: React.Validator<boolean | "true" | "false" | "grammar" | "spelling" | null | undefined> | undefined;
    "aria-keyshortcuts"?: React.Validator<string | null | undefined> | undefined;
    "aria-label"?: React.Validator<string | null | undefined> | undefined;
    "aria-labelledby"?: React.Validator<string | null | undefined> | undefined;
    "aria-level"?: React.Validator<number | null | undefined> | undefined;
    "aria-live"?: React.Validator<"off" | "assertive" | "polite" | null | undefined> | undefined;
    "aria-modal"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-multiline"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-multiselectable"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-orientation"?: React.Validator<"horizontal" | "vertical" | null | undefined> | undefined;
    "aria-owns"?: React.Validator<string | null | undefined> | undefined;
    "aria-placeholder"?: React.Validator<string | null | undefined> | undefined;
    "aria-posinset"?: React.Validator<number | null | undefined> | undefined;
    "aria-pressed"?: React.Validator<boolean | "true" | "false" | "mixed" | null | undefined> | undefined;
    "aria-readonly"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-relevant"?: React.Validator<"text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | null | undefined> | undefined;
    "aria-required"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-roledescription"?: React.Validator<string | null | undefined> | undefined;
    "aria-rowcount"?: React.Validator<number | null | undefined> | undefined;
    "aria-rowindex"?: React.Validator<number | null | undefined> | undefined;
    "aria-rowindextext"?: React.Validator<string | null | undefined> | undefined;
    "aria-rowspan"?: React.Validator<number | null | undefined> | undefined;
    "aria-selected"?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    "aria-setsize"?: React.Validator<number | null | undefined> | undefined;
    "aria-sort"?: React.Validator<"other" | "none" | "ascending" | "descending" | null | undefined> | undefined;
    "aria-valuemax"?: React.Validator<number | null | undefined> | undefined;
    "aria-valuemin"?: React.Validator<number | null | undefined> | undefined;
    "aria-valuenow"?: React.Validator<number | null | undefined> | undefined;
    "aria-valuetext"?: React.Validator<string | null | undefined> | undefined;
    children?: React.Validator<React.ReactNode> | undefined;
    dangerouslySetInnerHTML?: React.Validator<{
        __html: string | TrustedHTML;
    } | null | undefined> | undefined;
    onCopy?: React.Validator<React.ClipboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCopyCapture?: React.Validator<React.ClipboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCut?: React.Validator<React.ClipboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCutCapture?: React.Validator<React.ClipboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPaste?: React.Validator<React.ClipboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPasteCapture?: React.Validator<React.ClipboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCompositionEnd?: React.Validator<React.CompositionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCompositionEndCapture?: React.Validator<React.CompositionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCompositionStart?: React.Validator<React.CompositionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCompositionStartCapture?: React.Validator<React.CompositionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCompositionUpdate?: React.Validator<React.CompositionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCompositionUpdateCapture?: React.Validator<React.CompositionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onFocus?: React.Validator<React.FocusEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onFocusCapture?: React.Validator<React.FocusEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onBlur?: React.Validator<React.FocusEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onBlurCapture?: React.Validator<React.FocusEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onChange?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onChangeCapture?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onBeforeInput?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onBeforeInputCapture?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onInput?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onInputCapture?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onReset?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onResetCapture?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSubmit?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSubmitCapture?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onInvalid?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onInvalidCapture?: React.Validator<React.FormEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoad?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onError?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onErrorCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onKeyDown?: React.Validator<React.KeyboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onKeyDownCapture?: React.Validator<React.KeyboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onKeyPress?: React.Validator<React.KeyboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onKeyPressCapture?: React.Validator<React.KeyboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onKeyUp?: React.Validator<React.KeyboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onKeyUpCapture?: React.Validator<React.KeyboardEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAbort?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAbortCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCanPlay?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCanPlayCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCanPlayThrough?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onCanPlayThroughCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDurationChange?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDurationChangeCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onEmptied?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onEmptiedCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onEncrypted?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onEncryptedCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onEnded?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onEndedCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadedData?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadedDataCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadedMetadata?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadedMetadataCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadStart?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLoadStartCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPause?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPauseCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPlay?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPlayCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPlaying?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPlayingCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onProgress?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onProgressCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onRateChange?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onRateChangeCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onResize?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onResizeCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSeeked?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSeekedCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSeeking?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSeekingCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onStalled?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onStalledCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSuspend?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSuspendCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTimeUpdate?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTimeUpdateCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onVolumeChange?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onVolumeChangeCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onWaiting?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onWaitingCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAuxClick?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAuxClickCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onClick?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onClickCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onContextMenu?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onContextMenuCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDoubleClick?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDoubleClickCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDrag?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragEnd?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragEndCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragEnter?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragEnterCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragExit?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragExitCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragLeave?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragLeaveCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragOver?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragOverCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragStart?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDragStartCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDrop?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onDropCapture?: React.Validator<React.DragEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseDown?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseDownCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseEnter?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseLeave?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseMove?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseMoveCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseOut?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseOutCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseOver?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseOverCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseUp?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onMouseUpCapture?: React.Validator<React.MouseEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSelect?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onSelectCapture?: React.Validator<React.ReactEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchCancel?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchCancelCapture?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchEnd?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchEndCapture?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchMove?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchMoveCapture?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchStart?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTouchStartCapture?: React.Validator<React.TouchEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerDown?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerDownCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerMove?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerMoveCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerUp?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerUpCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerCancel?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerCancelCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerEnter?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerEnterCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerLeave?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerLeaveCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerOver?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerOverCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerOut?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onPointerOutCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onGotPointerCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onGotPointerCaptureCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLostPointerCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onLostPointerCaptureCapture?: React.Validator<React.PointerEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onScroll?: React.Validator<React.UIEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onScrollCapture?: React.Validator<React.UIEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onWheel?: React.Validator<React.WheelEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onWheelCapture?: React.Validator<React.WheelEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAnimationStart?: React.Validator<React.AnimationEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAnimationStartCapture?: React.Validator<React.AnimationEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAnimationEnd?: React.Validator<React.AnimationEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAnimationEndCapture?: React.Validator<React.AnimationEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAnimationIteration?: React.Validator<React.AnimationEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onAnimationIterationCapture?: React.Validator<React.AnimationEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTransitionEnd?: React.Validator<React.TransitionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    onTransitionEndCapture?: React.Validator<React.TransitionEventHandler<HTMLButtonElement> | null | undefined> | undefined;
    css?: React.Validator<import("styled-components").CSSProp | null | undefined> | undefined;
    defaultChecked?: React.Validator<boolean | null | undefined> | undefined;
    defaultValue?: React.Validator<string | number | readonly string[] | null | undefined> | undefined;
    suppressContentEditableWarning?: React.Validator<boolean | null | undefined> | undefined;
    accessKey?: React.Validator<string | null | undefined> | undefined;
    autoFocus?: React.Validator<boolean | null | undefined> | undefined;
    contentEditable?: React.Validator<"inherit" | (boolean | "true" | "false") | "plaintext-only" | null | undefined> | undefined;
    contextMenu?: React.Validator<string | null | undefined> | undefined;
    dir?: React.Validator<string | null | undefined> | undefined;
    draggable?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    hidden?: React.Validator<boolean | null | undefined> | undefined;
    nonce?: React.Validator<string | null | undefined> | undefined;
    spellCheck?: React.Validator<(boolean | "true" | "false") | null | undefined> | undefined;
    translate?: React.Validator<"no" | "yes" | null | undefined> | undefined;
    radioGroup?: React.Validator<string | null | undefined> | undefined;
    about?: React.Validator<string | null | undefined> | undefined;
    content?: React.Validator<string | null | undefined> | undefined;
    datatype?: React.Validator<string | null | undefined> | undefined;
    inlist?: React.Validator<any> | undefined;
    prefix?: React.Validator<string | null | undefined> | undefined;
    property?: React.Validator<string | null | undefined> | undefined;
    rel?: React.Validator<string | null | undefined> | undefined;
    resource?: React.Validator<string | null | undefined> | undefined;
    rev?: React.Validator<string | null | undefined> | undefined;
    typeof?: React.Validator<string | null | undefined> | undefined;
    vocab?: React.Validator<string | null | undefined> | undefined;
    autoCapitalize?: React.Validator<string | null | undefined> | undefined;
    autoCorrect?: React.Validator<string | null | undefined> | undefined;
    autoSave?: React.Validator<string | null | undefined> | undefined;
    itemProp?: React.Validator<string | null | undefined> | undefined;
    itemScope?: React.Validator<boolean | null | undefined> | undefined;
    itemType?: React.Validator<string | null | undefined> | undefined;
    itemID?: React.Validator<string | null | undefined> | undefined;
    itemRef?: React.Validator<string | null | undefined> | undefined;
    results?: React.Validator<number | null | undefined> | undefined;
    security?: React.Validator<string | null | undefined> | undefined;
    unselectable?: React.Validator<"off" | "on" | null | undefined> | undefined;
    inputMode?: React.Validator<"search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | null | undefined> | undefined;
    is?: React.Validator<string | null | undefined> | undefined;
    value?: React.Validator<string | number | readonly string[] | null | undefined> | undefined;
    disabled?: React.Validator<boolean | null | undefined> | undefined;
    formAction?: React.Validator<string | null | undefined> | undefined;
    formEncType?: React.Validator<string | null | undefined> | undefined;
    formMethod?: React.Validator<string | null | undefined> | undefined;
    formNoValidate?: React.Validator<boolean | null | undefined> | undefined;
    formTarget?: React.Validator<string | null | undefined> | undefined;
    waiting?: React.Validator<Maybe<boolean>> | undefined;
    size?: React.Validator<"default" | "lg" | "sm" | "xs" | null | undefined> | undefined;
    mobileBlock?: React.Validator<boolean | null | undefined> | undefined;
    flatLeftEdge?: React.Validator<boolean | null | undefined> | undefined;
    flatRightEdge?: React.Validator<boolean | null | undefined> | undefined;
    ref?: React.Validator<React.Ref<HTMLButtonElement> | undefined> | undefined;
    key?: React.Validator<React.Key | null | undefined> | undefined;
};
export declare const defaultProps: {
    form?: string | undefined;
    slot?: string | undefined;
    style?: React.CSSProperties | undefined;
    title?: string | undefined;
    type?: "button" | "reset" | "submit" | undefined;
    name?: string | undefined;
    suppressHydrationWarning?: boolean | undefined;
    className?: string | undefined;
    color?: string | undefined;
    id?: string | undefined;
    lang?: string | undefined;
    role?: React.AriaRole | undefined;
    tabIndex?: number | undefined;
    "aria-activedescendant"?: string | undefined;
    "aria-atomic"?: (boolean | "true" | "false") | undefined;
    "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
    "aria-braillelabel"?: string | undefined;
    "aria-brailleroledescription"?: string | undefined;
    "aria-busy"?: (boolean | "true" | "false") | undefined;
    "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
    "aria-colcount"?: number | undefined;
    "aria-colindex"?: number | undefined;
    "aria-colindextext"?: string | undefined;
    "aria-colspan"?: number | undefined;
    "aria-controls"?: string | undefined;
    "aria-current"?: boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined;
    "aria-describedby"?: string | undefined;
    "aria-description"?: string | undefined;
    "aria-details"?: string | undefined;
    "aria-disabled"?: (boolean | "true" | "false") | undefined;
    "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
    "aria-errormessage"?: string | undefined;
    "aria-expanded"?: (boolean | "true" | "false") | undefined;
    "aria-flowto"?: string | undefined;
    "aria-grabbed"?: (boolean | "true" | "false") | undefined;
    "aria-haspopup"?: boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined;
    "aria-hidden"?: (boolean | "true" | "false") | undefined;
    "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
    "aria-keyshortcuts"?: string | undefined;
    "aria-label"?: string | undefined;
    "aria-labelledby"?: string | undefined;
    "aria-level"?: number | undefined;
    "aria-live"?: "off" | "assertive" | "polite" | undefined;
    "aria-modal"?: (boolean | "true" | "false") | undefined;
    "aria-multiline"?: (boolean | "true" | "false") | undefined;
    "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
    "aria-orientation"?: "horizontal" | "vertical" | undefined;
    "aria-owns"?: string | undefined;
    "aria-placeholder"?: string | undefined;
    "aria-posinset"?: number | undefined;
    "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
    "aria-readonly"?: (boolean | "true" | "false") | undefined;
    "aria-relevant"?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
    "aria-required"?: (boolean | "true" | "false") | undefined;
    "aria-roledescription"?: string | undefined;
    "aria-rowcount"?: number | undefined;
    "aria-rowindex"?: number | undefined;
    "aria-rowindextext"?: string | undefined;
    "aria-rowspan"?: number | undefined;
    "aria-selected"?: (boolean | "true" | "false") | undefined;
    "aria-setsize"?: number | undefined;
    "aria-sort"?: "other" | "none" | "ascending" | "descending" | undefined;
    "aria-valuemax"?: number | undefined;
    "aria-valuemin"?: number | undefined;
    "aria-valuenow"?: number | undefined;
    "aria-valuetext"?: string | undefined;
    children?: React.ReactNode;
    dangerouslySetInnerHTML?: {
        __html: string | TrustedHTML;
    } | undefined;
    onCopy?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCopyCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCut?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCutCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onPaste?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onPasteCapture?: React.ClipboardEventHandler<HTMLButtonElement> | undefined;
    onCompositionEnd?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionEndCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionStart?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionStartCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionUpdate?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLButtonElement> | undefined;
    onFocus?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onFocusCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onBlur?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onBlurCapture?: React.FocusEventHandler<HTMLButtonElement> | undefined;
    onChange?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onChangeCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onBeforeInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onBeforeInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInput?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInputCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onReset?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onResetCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onSubmit?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onSubmitCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInvalid?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onInvalidCapture?: React.FormEventHandler<HTMLButtonElement> | undefined;
    onLoad?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onError?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onErrorCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onKeyDown?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyDownCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyPress?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyPressCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyUp?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onKeyUpCapture?: React.KeyboardEventHandler<HTMLButtonElement> | undefined;
    onAbort?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onAbortCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlayThrough?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onCanPlayThroughCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onDurationChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onDurationChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEmptied?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEmptiedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEncrypted?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEncryptedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEnded?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onEndedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedData?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedDataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedMetadata?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadedMetadataCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadStart?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onLoadStartCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPause?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPauseCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlay?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlayCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlaying?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onPlayingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onProgress?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onProgressCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onRateChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onRateChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onResize?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onResizeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeeked?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeekedCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeeking?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSeekingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onStalled?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onStalledCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSuspend?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSuspendCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onTimeUpdate?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onTimeUpdateCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onVolumeChange?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onVolumeChangeCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onWaiting?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onWaitingCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onAuxClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onAuxClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onContextMenu?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onContextMenuCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onDoubleClick?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onDoubleClickCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onDrag?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEnd?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEndCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEnter?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragEnterCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragExit?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragExitCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragLeave?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragLeaveCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragOver?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragOverCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragStart?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDragStartCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDrop?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onDropCapture?: React.DragEventHandler<HTMLButtonElement> | undefined;
    onMouseDown?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseDownCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseEnter?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseLeave?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseMove?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseMoveCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOut?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOutCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOver?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseOverCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseUp?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onMouseUpCapture?: React.MouseEventHandler<HTMLButtonElement> | undefined;
    onSelect?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onSelectCapture?: React.ReactEventHandler<HTMLButtonElement> | undefined;
    onTouchCancel?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchCancelCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchEnd?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchEndCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchMove?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchMoveCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchStart?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onTouchStartCapture?: React.TouchEventHandler<HTMLButtonElement> | undefined;
    onPointerDown?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerDownCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerMove?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerMoveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerUp?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerUpCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerCancel?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerCancelCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerEnter?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerEnterCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerLeave?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerLeaveCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOver?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOverCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOut?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onPointerOutCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onGotPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onLostPointerCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLButtonElement> | undefined;
    onScroll?: React.UIEventHandler<HTMLButtonElement> | undefined;
    onScrollCapture?: React.UIEventHandler<HTMLButtonElement> | undefined;
    onWheel?: React.WheelEventHandler<HTMLButtonElement> | undefined;
    onWheelCapture?: React.WheelEventHandler<HTMLButtonElement> | undefined;
    onAnimationStart?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationStartCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationEnd?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationEndCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationIteration?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onAnimationIterationCapture?: React.AnimationEventHandler<HTMLButtonElement> | undefined;
    onTransitionEnd?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
    onTransitionEndCapture?: React.TransitionEventHandler<HTMLButtonElement> | undefined;
    css?: import("styled-components").CSSProp | undefined;
    defaultChecked?: boolean | undefined;
    defaultValue?: string | number | readonly string[] | undefined;
    suppressContentEditableWarning?: boolean | undefined;
    accessKey?: string | undefined;
    autoFocus?: boolean | undefined;
    contentEditable?: "inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined;
    contextMenu?: string | undefined;
    dir?: string | undefined;
    draggable?: (boolean | "true" | "false") | undefined;
    hidden?: boolean | undefined;
    nonce?: string | undefined;
    spellCheck?: (boolean | "true" | "false") | undefined;
    translate?: "no" | "yes" | undefined;
    radioGroup?: string | undefined;
    about?: string | undefined;
    content?: string | undefined;
    datatype?: string | undefined;
    inlist?: any;
    prefix?: string | undefined;
    property?: string | undefined;
    rel?: string | undefined;
    resource?: string | undefined;
    rev?: string | undefined;
    typeof?: string | undefined;
    vocab?: string | undefined;
    autoCapitalize?: string | undefined;
    autoCorrect?: string | undefined;
    autoSave?: string | undefined;
    itemProp?: string | undefined;
    itemScope?: boolean | undefined;
    itemType?: string | undefined;
    itemID?: string | undefined;
    itemRef?: string | undefined;
    results?: number | undefined;
    security?: string | undefined;
    unselectable?: "off" | "on" | undefined;
    inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
    is?: string | undefined;
    value?: string | number | readonly string[] | undefined;
    disabled?: boolean | undefined;
    formAction?: string | undefined;
    formEncType?: string | undefined;
    formMethod?: string | undefined;
    formNoValidate?: boolean | undefined;
    formTarget?: string | undefined;
    waiting?: Maybe<boolean>;
    size?: "default" | "lg" | "sm" | "xs" | undefined;
    styleType?: "default" | "magenta" | "violet" | "info" | "success" | "warning" | "danger" | "primary" | "darkDefault" | "information" | "inherited" | undefined;
    mobileBlock?: boolean | undefined;
    flatLeftEdge?: boolean | undefined;
    flatRightEdge?: boolean | undefined;
    block?: boolean | undefined;
    ref?: React.Ref<HTMLButtonElement> | undefined;
    key?: React.Key | null | undefined;
};
export default OutlineButton;
