import React from 'react';
import { ButtonBaseProps } from "../ButtonBase";
export interface LoadingStateOnClick {
    (ev: React.MouseEvent<HTMLButtonElement>): Promise<void>;
}
export interface LoadingStateProps {
    showWhileRunning?: React.ReactNode;
    onClick?: LoadingStateOnClick;
}
type ButtonProps<P> = React.PropsWithoutRef<P>;
type ButtonWithLoadingStateProps<P> = Override<ButtonProps<P>, LoadingStateProps>;
type ForwardedButtonComponent<P> = React.ForwardRefExoticComponent<ButtonProps<P>>;
type ForwardedButtonBaseProps = ButtonProps<ButtonBaseProps>;
type ButtonWithLoadingStateComponent<P> = React.ForwardRefExoticComponent<ButtonWithLoadingStateProps<P> & React.RefAttributes<HTMLButtonElement>>;
export declare function withLoadingStateWhileRunning<P extends ForwardedButtonBaseProps>(ButtonComponent: ForwardedButtonComponent<P>): ButtonWithLoadingStateComponent<P>;
export {};
