import React from 'react';
import { CheckboxProps } from "./Checkbox";
type CheckAllBoxProps = CheckboxProps & {
    textOnHover?: boolean;
};
declare function CheckAllBox({ children, ...checkboxProps }: CheckAllBoxProps): React.JSX.Element;
declare namespace CheckAllBox {
    var propTypes: {
        displayClassName: import("prop-types").Requireable<string>;
        form: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        slot: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        style: import("prop-types").Requireable<React.CSSProperties | undefined> | import("prop-types").Validator<React.CSSProperties | undefined>;
        title: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        pattern: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        type: import("prop-types").Requireable<React.HTMLInputTypeAttribute | undefined> | import("prop-types").Validator<React.HTMLInputTypeAttribute | undefined>;
        name: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        suppressHydrationWarning: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        className: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        color: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        height: import("prop-types").Requireable<string | number | undefined> | import("prop-types").Validator<string | number | undefined>;
        id: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        lang: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        max: import("prop-types").Requireable<string | number | undefined> | import("prop-types").Validator<string | number | undefined>;
        min: import("prop-types").Requireable<string | number | undefined> | import("prop-types").Validator<string | number | undefined>;
        width: import("prop-types").Requireable<string | number | undefined> | import("prop-types").Validator<string | number | undefined>;
        role: import("prop-types").Requireable<React.AriaRole | undefined> | import("prop-types").Validator<React.AriaRole | undefined>;
        tabIndex: import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-activedescendant": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-atomic": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-autocomplete": import("prop-types").Requireable<"list" | "none" | "inline" | "both" | undefined> | import("prop-types").Validator<"list" | "none" | "inline" | "both" | undefined>;
        "aria-braillelabel": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-brailleroledescription": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-busy": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-checked": import("prop-types").Requireable<boolean | "true" | "false" | "mixed" | undefined> | import("prop-types").Validator<boolean | "true" | "false" | "mixed" | undefined>;
        "aria-colcount": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-colindex": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-colindextext": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-colspan": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-controls": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-current": import("prop-types").Requireable<boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined> | import("prop-types").Validator<boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined>;
        "aria-describedby": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-description": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-details": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-disabled": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-dropeffect": import("prop-types").Requireable<"link" | "none" | "copy" | "execute" | "move" | "popup" | undefined> | import("prop-types").Validator<"link" | "none" | "copy" | "execute" | "move" | "popup" | undefined>;
        "aria-errormessage": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-expanded": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-flowto": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-grabbed": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-haspopup": import("prop-types").Requireable<boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined> | import("prop-types").Validator<boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined>;
        "aria-hidden": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-invalid": import("prop-types").Requireable<boolean | "true" | "false" | "grammar" | "spelling" | undefined> | import("prop-types").Validator<boolean | "true" | "false" | "grammar" | "spelling" | undefined>;
        "aria-keyshortcuts": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-label": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-labelledby": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-level": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-live": import("prop-types").Requireable<"off" | "assertive" | "polite" | undefined> | import("prop-types").Validator<"off" | "assertive" | "polite" | undefined>;
        "aria-modal": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-multiline": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-multiselectable": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-orientation": import("prop-types").Requireable<"horizontal" | "vertical" | undefined> | import("prop-types").Validator<"horizontal" | "vertical" | undefined>;
        "aria-owns": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-placeholder": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-posinset": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-pressed": import("prop-types").Requireable<boolean | "true" | "false" | "mixed" | undefined> | import("prop-types").Validator<boolean | "true" | "false" | "mixed" | undefined>;
        "aria-readonly": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-relevant": import("prop-types").Requireable<"text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined> | import("prop-types").Validator<"text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined>;
        "aria-required": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-roledescription": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-rowcount": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-rowindex": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-rowindextext": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        "aria-rowspan": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-selected": import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        "aria-setsize": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-sort": import("prop-types").Requireable<"other" | "none" | "ascending" | "descending" | undefined> | import("prop-types").Validator<"other" | "none" | "ascending" | "descending" | undefined>;
        "aria-valuemax": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-valuemin": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-valuenow": import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        "aria-valuetext": import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        children: import("prop-types").Requireable<React.ReactNode> | import("prop-types").Validator<React.ReactNode>;
        dangerouslySetInnerHTML: import("prop-types").Requireable<{
            __html: string | TrustedHTML;
        } | undefined> | import("prop-types").Validator<{
            __html: string | TrustedHTML;
        } | undefined>;
        onCopy: import("prop-types").Requireable<React.ClipboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ClipboardEventHandler<HTMLInputElement> | undefined>;
        onCopyCapture: import("prop-types").Requireable<React.ClipboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ClipboardEventHandler<HTMLInputElement> | undefined>;
        onCut: import("prop-types").Requireable<React.ClipboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ClipboardEventHandler<HTMLInputElement> | undefined>;
        onCutCapture: import("prop-types").Requireable<React.ClipboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ClipboardEventHandler<HTMLInputElement> | undefined>;
        onPaste: import("prop-types").Requireable<React.ClipboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ClipboardEventHandler<HTMLInputElement> | undefined>;
        onPasteCapture: import("prop-types").Requireable<React.ClipboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ClipboardEventHandler<HTMLInputElement> | undefined>;
        onCompositionEnd: import("prop-types").Requireable<React.CompositionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.CompositionEventHandler<HTMLInputElement> | undefined>;
        onCompositionEndCapture: import("prop-types").Requireable<React.CompositionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.CompositionEventHandler<HTMLInputElement> | undefined>;
        onCompositionStart: import("prop-types").Requireable<React.CompositionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.CompositionEventHandler<HTMLInputElement> | undefined>;
        onCompositionStartCapture: import("prop-types").Requireable<React.CompositionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.CompositionEventHandler<HTMLInputElement> | undefined>;
        onCompositionUpdate: import("prop-types").Requireable<React.CompositionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.CompositionEventHandler<HTMLInputElement> | undefined>;
        onCompositionUpdateCapture: import("prop-types").Requireable<React.CompositionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.CompositionEventHandler<HTMLInputElement> | undefined>;
        onFocus: import("prop-types").Requireable<React.FocusEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FocusEventHandler<HTMLInputElement> | undefined>;
        onFocusCapture: import("prop-types").Requireable<React.FocusEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FocusEventHandler<HTMLInputElement> | undefined>;
        onBlur: import("prop-types").Requireable<React.FocusEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FocusEventHandler<HTMLInputElement> | undefined>;
        onBlurCapture: import("prop-types").Requireable<React.FocusEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FocusEventHandler<HTMLInputElement> | undefined>;
        onChange: import("prop-types").Requireable<React.ChangeEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ChangeEventHandler<HTMLInputElement> | undefined>;
        onChangeCapture: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onBeforeInput: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onBeforeInputCapture: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onInput: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onInputCapture: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onReset: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onResetCapture: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onSubmit: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onSubmitCapture: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onInvalid: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onInvalidCapture: import("prop-types").Requireable<React.FormEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.FormEventHandler<HTMLInputElement> | undefined>;
        onLoad: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onError: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onErrorCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onKeyDown: import("prop-types").Requireable<React.KeyboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.KeyboardEventHandler<HTMLInputElement> | undefined>;
        onKeyDownCapture: import("prop-types").Requireable<React.KeyboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.KeyboardEventHandler<HTMLInputElement> | undefined>;
        onKeyPress: import("prop-types").Requireable<React.KeyboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.KeyboardEventHandler<HTMLInputElement> | undefined>;
        onKeyPressCapture: import("prop-types").Requireable<React.KeyboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.KeyboardEventHandler<HTMLInputElement> | undefined>;
        onKeyUp: import("prop-types").Requireable<React.KeyboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.KeyboardEventHandler<HTMLInputElement> | undefined>;
        onKeyUpCapture: import("prop-types").Requireable<React.KeyboardEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.KeyboardEventHandler<HTMLInputElement> | undefined>;
        onAbort: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onAbortCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onCanPlay: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onCanPlayCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onCanPlayThrough: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onCanPlayThroughCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onDurationChange: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onDurationChangeCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onEmptied: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onEmptiedCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onEncrypted: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onEncryptedCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onEnded: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onEndedCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadedData: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadedDataCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadedMetadata: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadedMetadataCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadStart: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onLoadStartCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onPause: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onPauseCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onPlay: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onPlayCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onPlaying: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onPlayingCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onProgress: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onProgressCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onRateChange: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onRateChangeCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onResize: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onResizeCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSeeked: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSeekedCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSeeking: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSeekingCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onStalled: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onStalledCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSuspend: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSuspendCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onTimeUpdate: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onTimeUpdateCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onVolumeChange: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onVolumeChangeCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onWaiting: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onWaitingCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onAuxClick: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onAuxClickCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onClick: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onClickCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onContextMenu: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onContextMenuCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onDoubleClick: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onDoubleClickCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onDrag: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragEnd: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragEndCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragEnter: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragEnterCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragExit: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragExitCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragLeave: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragLeaveCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragOver: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragOverCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragStart: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDragStartCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDrop: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onDropCapture: import("prop-types").Requireable<React.DragEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.DragEventHandler<HTMLInputElement> | undefined>;
        onMouseDown: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseDownCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseEnter: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseLeave: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseMove: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseMoveCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseOut: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseOutCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseOver: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseOverCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseUp: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onMouseUpCapture: import("prop-types").Requireable<React.MouseEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.MouseEventHandler<HTMLInputElement> | undefined>;
        onSelect: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onSelectCapture: import("prop-types").Requireable<React.ReactEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.ReactEventHandler<HTMLInputElement> | undefined>;
        onTouchCancel: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchCancelCapture: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchEnd: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchEndCapture: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchMove: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchMoveCapture: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchStart: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onTouchStartCapture: import("prop-types").Requireable<React.TouchEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TouchEventHandler<HTMLInputElement> | undefined>;
        onPointerDown: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerDownCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerMove: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerMoveCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerUp: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerUpCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerCancel: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerCancelCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerEnter: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerEnterCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerLeave: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerLeaveCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerOver: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerOverCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerOut: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onPointerOutCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onGotPointerCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onGotPointerCaptureCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onLostPointerCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onLostPointerCaptureCapture: import("prop-types").Requireable<React.PointerEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.PointerEventHandler<HTMLInputElement> | undefined>;
        onScroll: import("prop-types").Requireable<React.UIEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.UIEventHandler<HTMLInputElement> | undefined>;
        onScrollCapture: import("prop-types").Requireable<React.UIEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.UIEventHandler<HTMLInputElement> | undefined>;
        onWheel: import("prop-types").Requireable<React.WheelEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.WheelEventHandler<HTMLInputElement> | undefined>;
        onWheelCapture: import("prop-types").Requireable<React.WheelEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.WheelEventHandler<HTMLInputElement> | undefined>;
        onAnimationStart: import("prop-types").Requireable<React.AnimationEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.AnimationEventHandler<HTMLInputElement> | undefined>;
        onAnimationStartCapture: import("prop-types").Requireable<React.AnimationEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.AnimationEventHandler<HTMLInputElement> | undefined>;
        onAnimationEnd: import("prop-types").Requireable<React.AnimationEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.AnimationEventHandler<HTMLInputElement> | undefined>;
        onAnimationEndCapture: import("prop-types").Requireable<React.AnimationEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.AnimationEventHandler<HTMLInputElement> | undefined>;
        onAnimationIteration: import("prop-types").Requireable<React.AnimationEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.AnimationEventHandler<HTMLInputElement> | undefined>;
        onAnimationIterationCapture: import("prop-types").Requireable<React.AnimationEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.AnimationEventHandler<HTMLInputElement> | undefined>;
        onTransitionEnd: import("prop-types").Requireable<React.TransitionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TransitionEventHandler<HTMLInputElement> | undefined>;
        onTransitionEndCapture: import("prop-types").Requireable<React.TransitionEventHandler<HTMLInputElement> | undefined> | import("prop-types").Validator<React.TransitionEventHandler<HTMLInputElement> | undefined>;
        css: import("prop-types").Requireable<import("styled-components").CSSProp | undefined> | import("prop-types").Validator<import("styled-components").CSSProp | undefined>;
        list: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        step: import("prop-types").Requireable<string | number | undefined> | import("prop-types").Validator<string | number | undefined>;
        defaultChecked: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        defaultValue: import("prop-types").Requireable<string | number | readonly string[] | undefined> | import("prop-types").Validator<string | number | readonly string[] | undefined>;
        suppressContentEditableWarning: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        accessKey: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        autoFocus: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        contentEditable: import("prop-types").Requireable<"inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined> | import("prop-types").Validator<"inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined>;
        contextMenu: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        dir: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        draggable: import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        hidden: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        nonce: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        spellCheck: import("prop-types").Requireable<(boolean | "true" | "false") | undefined> | import("prop-types").Validator<(boolean | "true" | "false") | undefined>;
        translate: import("prop-types").Requireable<"no" | "yes" | undefined> | import("prop-types").Validator<"no" | "yes" | undefined>;
        radioGroup: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        about: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        content: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        datatype: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        inlist: import("prop-types").Validator<any> | import("prop-types").Requireable<any>;
        prefix: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        property: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        rel: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        resource: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        rev: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        typeof: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        vocab: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        autoCapitalize: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        autoCorrect: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        autoSave: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        itemProp: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        itemScope: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        itemType: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        itemID: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        itemRef: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        results: import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        security: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        unselectable: import("prop-types").Requireable<"off" | "on" | undefined> | import("prop-types").Validator<"off" | "on" | undefined>;
        inputMode: import("prop-types").Requireable<"search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined> | import("prop-types").Validator<"search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined>;
        is: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        size: import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        alt: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        src: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        value: import("prop-types").Requireable<string | number | readonly string[] | undefined> | import("prop-types").Validator<string | number | readonly string[] | undefined>;
        accept: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        autoComplete: import("prop-types").Requireable<React.HTMLInputAutoCompleteAttribute | undefined> | import("prop-types").Validator<React.HTMLInputAutoCompleteAttribute | undefined>;
        capture: import("prop-types").Requireable<boolean | "user" | "environment" | undefined> | import("prop-types").Validator<boolean | "user" | "environment" | undefined>;
        checked: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        disabled: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        enterKeyHint: import("prop-types").Requireable<"search" | "enter" | "done" | "go" | "next" | "previous" | "send" | undefined> | import("prop-types").Validator<"search" | "enter" | "done" | "go" | "next" | "previous" | "send" | undefined>;
        formAction: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        formEncType: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        formMethod: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        formNoValidate: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        formTarget: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        maxLength: import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        minLength: import("prop-types").Requireable<number | undefined> | import("prop-types").Validator<number | undefined>;
        multiple: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        placeholder: import("prop-types").Requireable<string | undefined> | import("prop-types").Validator<string | undefined>;
        readOnly: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
        required: import("prop-types").Requireable<boolean | undefined> | import("prop-types").Validator<boolean | undefined>;
    };
    var defaultProps: {
        displayClassName: string;
        form?: string | undefined;
        slot?: string | undefined;
        style?: React.CSSProperties | undefined;
        title?: string | undefined;
        pattern?: string | undefined;
        type?: React.HTMLInputTypeAttribute | undefined;
        name?: string | undefined;
        suppressHydrationWarning?: boolean | undefined;
        className?: string | undefined;
        color?: string | undefined;
        height?: string | number | undefined;
        id?: string | undefined;
        lang?: string | undefined;
        max?: string | number | undefined;
        min?: string | number | undefined;
        width?: string | number | undefined;
        role?: React.AriaRole | undefined;
        tabIndex?: number | undefined;
        "aria-activedescendant"?: string | undefined;
        "aria-atomic"?: (boolean | "true" | "false") | undefined;
        "aria-autocomplete"?: "list" | "none" | "inline" | "both" | undefined;
        "aria-braillelabel"?: string | undefined;
        "aria-brailleroledescription"?: string | undefined;
        "aria-busy"?: (boolean | "true" | "false") | undefined;
        "aria-checked"?: boolean | "true" | "false" | "mixed" | undefined;
        "aria-colcount"?: number | undefined;
        "aria-colindex"?: number | undefined;
        "aria-colindextext"?: string | undefined;
        "aria-colspan"?: number | undefined;
        "aria-controls"?: string | undefined;
        "aria-current"?: boolean | "time" | "true" | "false" | "page" | "step" | "location" | "date" | undefined;
        "aria-describedby"?: string | undefined;
        "aria-description"?: string | undefined;
        "aria-details"?: string | undefined;
        "aria-disabled"?: (boolean | "true" | "false") | undefined;
        "aria-dropeffect"?: "link" | "none" | "copy" | "execute" | "move" | "popup" | undefined;
        "aria-errormessage"?: string | undefined;
        "aria-expanded"?: (boolean | "true" | "false") | undefined;
        "aria-flowto"?: string | undefined;
        "aria-grabbed"?: (boolean | "true" | "false") | undefined;
        "aria-haspopup"?: boolean | "dialog" | "menu" | "grid" | "listbox" | "tree" | "true" | "false" | undefined;
        "aria-hidden"?: (boolean | "true" | "false") | undefined;
        "aria-invalid"?: boolean | "true" | "false" | "grammar" | "spelling" | undefined;
        "aria-keyshortcuts"?: string | undefined;
        "aria-label"?: string | undefined;
        "aria-labelledby"?: string | undefined;
        "aria-level"?: number | undefined;
        "aria-live"?: "off" | "assertive" | "polite" | undefined;
        "aria-modal"?: (boolean | "true" | "false") | undefined;
        "aria-multiline"?: (boolean | "true" | "false") | undefined;
        "aria-multiselectable"?: (boolean | "true" | "false") | undefined;
        "aria-orientation"?: "horizontal" | "vertical" | undefined;
        "aria-owns"?: string | undefined;
        "aria-placeholder"?: string | undefined;
        "aria-posinset"?: number | undefined;
        "aria-pressed"?: boolean | "true" | "false" | "mixed" | undefined;
        "aria-readonly"?: (boolean | "true" | "false") | undefined;
        "aria-relevant"?: "text" | "additions" | "additions removals" | "additions text" | "all" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals" | undefined;
        "aria-required"?: (boolean | "true" | "false") | undefined;
        "aria-roledescription"?: string | undefined;
        "aria-rowcount"?: number | undefined;
        "aria-rowindex"?: number | undefined;
        "aria-rowindextext"?: string | undefined;
        "aria-rowspan"?: number | undefined;
        "aria-selected"?: (boolean | "true" | "false") | undefined;
        "aria-setsize"?: number | undefined;
        "aria-sort"?: "other" | "none" | "ascending" | "descending" | undefined;
        "aria-valuemax"?: number | undefined;
        "aria-valuemin"?: number | undefined;
        "aria-valuenow"?: number | undefined;
        "aria-valuetext"?: string | undefined;
        children?: React.ReactNode;
        dangerouslySetInnerHTML?: {
            __html: string | TrustedHTML;
        } | undefined;
        onCopy?: React.ClipboardEventHandler<HTMLInputElement> | undefined;
        onCopyCapture?: React.ClipboardEventHandler<HTMLInputElement> | undefined;
        onCut?: React.ClipboardEventHandler<HTMLInputElement> | undefined;
        onCutCapture?: React.ClipboardEventHandler<HTMLInputElement> | undefined;
        onPaste?: React.ClipboardEventHandler<HTMLInputElement> | undefined;
        onPasteCapture?: React.ClipboardEventHandler<HTMLInputElement> | undefined;
        onCompositionEnd?: React.CompositionEventHandler<HTMLInputElement> | undefined;
        onCompositionEndCapture?: React.CompositionEventHandler<HTMLInputElement> | undefined;
        onCompositionStart?: React.CompositionEventHandler<HTMLInputElement> | undefined;
        onCompositionStartCapture?: React.CompositionEventHandler<HTMLInputElement> | undefined;
        onCompositionUpdate?: React.CompositionEventHandler<HTMLInputElement> | undefined;
        onCompositionUpdateCapture?: React.CompositionEventHandler<HTMLInputElement> | undefined;
        onFocus?: React.FocusEventHandler<HTMLInputElement> | undefined;
        onFocusCapture?: React.FocusEventHandler<HTMLInputElement> | undefined;
        onBlur?: React.FocusEventHandler<HTMLInputElement> | undefined;
        onBlurCapture?: React.FocusEventHandler<HTMLInputElement> | undefined;
        onChange?: React.ChangeEventHandler<HTMLInputElement> | undefined;
        onChangeCapture?: React.FormEventHandler<HTMLInputElement> | undefined;
        onBeforeInput?: React.FormEventHandler<HTMLInputElement> | undefined;
        onBeforeInputCapture?: React.FormEventHandler<HTMLInputElement> | undefined;
        onInput?: React.FormEventHandler<HTMLInputElement> | undefined;
        onInputCapture?: React.FormEventHandler<HTMLInputElement> | undefined;
        onReset?: React.FormEventHandler<HTMLInputElement> | undefined;
        onResetCapture?: React.FormEventHandler<HTMLInputElement> | undefined;
        onSubmit?: React.FormEventHandler<HTMLInputElement> | undefined;
        onSubmitCapture?: React.FormEventHandler<HTMLInputElement> | undefined;
        onInvalid?: React.FormEventHandler<HTMLInputElement> | undefined;
        onInvalidCapture?: React.FormEventHandler<HTMLInputElement> | undefined;
        onLoad?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onError?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onErrorCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onKeyDown?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
        onKeyDownCapture?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
        onKeyPress?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
        onKeyPressCapture?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
        onKeyUp?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
        onKeyUpCapture?: React.KeyboardEventHandler<HTMLInputElement> | undefined;
        onAbort?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onAbortCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onCanPlay?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onCanPlayCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onCanPlayThrough?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onCanPlayThroughCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onDurationChange?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onDurationChangeCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onEmptied?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onEmptiedCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onEncrypted?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onEncryptedCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onEnded?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onEndedCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadedData?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadedDataCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadedMetadata?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadedMetadataCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadStart?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onLoadStartCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onPause?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onPauseCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onPlay?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onPlayCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onPlaying?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onPlayingCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onProgress?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onProgressCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onRateChange?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onRateChangeCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onResize?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onResizeCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSeeked?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSeekedCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSeeking?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSeekingCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onStalled?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onStalledCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSuspend?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSuspendCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onTimeUpdate?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onTimeUpdateCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onVolumeChange?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onVolumeChangeCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onWaiting?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onWaitingCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onAuxClick?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onAuxClickCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onClick?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onClickCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onContextMenu?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onContextMenuCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onDoubleClick?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onDoubleClickCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onDrag?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragEnd?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragEndCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragEnter?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragEnterCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragExit?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragExitCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragLeave?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragLeaveCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragOver?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragOverCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragStart?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDragStartCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDrop?: React.DragEventHandler<HTMLInputElement> | undefined;
        onDropCapture?: React.DragEventHandler<HTMLInputElement> | undefined;
        onMouseDown?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseDownCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseEnter?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseLeave?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseMove?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseMoveCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseOut?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseOutCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseOver?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseOverCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseUp?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onMouseUpCapture?: React.MouseEventHandler<HTMLInputElement> | undefined;
        onSelect?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onSelectCapture?: React.ReactEventHandler<HTMLInputElement> | undefined;
        onTouchCancel?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchCancelCapture?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchEnd?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchEndCapture?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchMove?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchMoveCapture?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchStart?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onTouchStartCapture?: React.TouchEventHandler<HTMLInputElement> | undefined;
        onPointerDown?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerDownCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerMove?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerMoveCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerUp?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerUpCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerCancel?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerCancelCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerEnter?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerEnterCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerLeave?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerLeaveCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerOver?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerOverCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerOut?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onPointerOutCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onGotPointerCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onGotPointerCaptureCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onLostPointerCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onLostPointerCaptureCapture?: React.PointerEventHandler<HTMLInputElement> | undefined;
        onScroll?: React.UIEventHandler<HTMLInputElement> | undefined;
        onScrollCapture?: React.UIEventHandler<HTMLInputElement> | undefined;
        onWheel?: React.WheelEventHandler<HTMLInputElement> | undefined;
        onWheelCapture?: React.WheelEventHandler<HTMLInputElement> | undefined;
        onAnimationStart?: React.AnimationEventHandler<HTMLInputElement> | undefined;
        onAnimationStartCapture?: React.AnimationEventHandler<HTMLInputElement> | undefined;
        onAnimationEnd?: React.AnimationEventHandler<HTMLInputElement> | undefined;
        onAnimationEndCapture?: React.AnimationEventHandler<HTMLInputElement> | undefined;
        onAnimationIteration?: React.AnimationEventHandler<HTMLInputElement> | undefined;
        onAnimationIterationCapture?: React.AnimationEventHandler<HTMLInputElement> | undefined;
        onTransitionEnd?: React.TransitionEventHandler<HTMLInputElement> | undefined;
        onTransitionEndCapture?: React.TransitionEventHandler<HTMLInputElement> | undefined;
        css?: import("styled-components").CSSProp | undefined;
        list?: string | undefined;
        step?: string | number | undefined;
        defaultChecked?: boolean | undefined;
        defaultValue?: string | number | readonly string[] | undefined;
        suppressContentEditableWarning?: boolean | undefined;
        accessKey?: string | undefined;
        autoFocus?: boolean | undefined;
        contentEditable?: "inherit" | (boolean | "true" | "false") | "plaintext-only" | undefined;
        contextMenu?: string | undefined;
        dir?: string | undefined;
        draggable?: (boolean | "true" | "false") | undefined;
        hidden?: boolean | undefined;
        nonce?: string | undefined;
        spellCheck?: (boolean | "true" | "false") | undefined;
        translate?: "no" | "yes" | undefined;
        radioGroup?: string | undefined;
        about?: string | undefined;
        content?: string | undefined;
        datatype?: string | undefined;
        inlist?: any;
        prefix?: string | undefined;
        property?: string | undefined;
        rel?: string | undefined;
        resource?: string | undefined;
        rev?: string | undefined;
        typeof?: string | undefined;
        vocab?: string | undefined;
        autoCapitalize?: string | undefined;
        autoCorrect?: string | undefined;
        autoSave?: string | undefined;
        itemProp?: string | undefined;
        itemScope?: boolean | undefined;
        itemType?: string | undefined;
        itemID?: string | undefined;
        itemRef?: string | undefined;
        results?: number | undefined;
        security?: string | undefined;
        unselectable?: "off" | "on" | undefined;
        inputMode?: "search" | "text" | "none" | "tel" | "url" | "email" | "numeric" | "decimal" | undefined;
        is?: string | undefined;
        size?: number | undefined;
        alt?: string | undefined;
        src?: string | undefined;
        value?: string | number | readonly string[] | undefined;
        accept?: string | undefined;
        autoComplete?: React.HTMLInputAutoCompleteAttribute | undefined;
        capture?: boolean | "user" | "environment" | undefined;
        checked?: boolean | undefined;
        disabled?: boolean | undefined;
        enterKeyHint?: "search" | "enter" | "done" | "go" | "next" | "previous" | "send" | undefined;
        formAction?: string | undefined;
        formEncType?: string | undefined;
        formMethod?: string | undefined;
        formNoValidate?: boolean | undefined;
        formTarget?: string | undefined;
        maxLength?: number | undefined;
        minLength?: number | undefined;
        multiple?: boolean | undefined;
        placeholder?: string | undefined;
        readOnly?: boolean | undefined;
        required?: boolean | undefined;
    };
}
export default CheckAllBox;
