import React from 'react';
import PropTypes from 'prop-types';
import { RadioGroupContextShape } from "./RadioGroupContext";
export type RadioGroupProps<A extends boolean = false> = Override<RadioGroupContextShape<A>, {
    children: NonNullable<React.ReactNode>;
}>;
declare function RadioGroup<P, A extends boolean>({ children, ...props }: RadioGroupProps<A> & P): React.JSX.Element;
declare namespace RadioGroup {
    var propTypes: {
        children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
        name: PropTypes.Validator<string>;
        selectedValue: PropTypes.Requireable<string | number | readonly string[] | undefined> | PropTypes.Validator<string | number | readonly string[] | undefined>;
        disableAllOptions: PropTypes.Requireable<boolean>;
    };
    var defaultProps: {
        selectedValue: string;
        disableAllOptions: boolean;
    };
}
export declare const propTypes: {
    children: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
    name: PropTypes.Validator<string>;
    selectedValue: PropTypes.Requireable<string | number | readonly string[] | undefined> | PropTypes.Validator<string | number | readonly string[] | undefined>;
    disableAllOptions: PropTypes.Requireable<boolean>;
};
export declare const defaultProps: {
    disableAllOptions: boolean;
};
/** @component */
export default RadioGroup;
