/// <reference types="react" />
import * as CSS from 'csstype';
import PropTypes from 'prop-types';
import { HTMLInputProps } from "../../util/htmlProps";
import type { RadioButtonProps } from "./RadioButton";
import type { ButtonSize, ButtonVariantStyleType } from "../../../../../../../shared/types/dist/src";
export type RadioGroupContextShape<A extends boolean = false> = Override<Partial<RadioButtonProps>, {
    name: string;
    disableAllOptions?: boolean;
    selectedValue?: HTMLInputProps['value'];
    onChange?: HTMLInputProps['onChange'];
    isAnswerGroup?: A;
    size?: A extends true ? ButtonSize : RadioButtonProps['size'];
    isOutline?: A extends true ? boolean : never;
    styleType?: A extends true ? ButtonVariantStyleType : never;
    selectedType?: A extends true ? ButtonVariantStyleType : never;
    itemWidth?: A extends true ? CSS.Property.Width : never;
}>;
export declare const radioGroupContextPropTypes: {
    /** The name of the radio group */
    name: PropTypes.Validator<string>;
    /** Selected option for the radio group */
    selectedValue: PropTypes.Requireable<string | number | readonly string[] | undefined> | PropTypes.Validator<string | number | readonly string[] | undefined>;
    /** Disable all radio buttons */
    disableAllOptions: PropTypes.Requireable<boolean>;
};
export declare const RadioGroupContext: import("react").Context<RadioGroupContextShape<boolean>>;
export declare function useRadioGroupContext<T extends boolean = false>(): RadioGroupContextShape<T>;
