import React from 'react';
import { ButtonVariantStyleType, ValidationStyleType } from "../../../../../../../shared/types/dist/src";
type SwitchStyleType = ButtonVariantStyleType | ValidationStyleType;
declare const Directions: {
    readonly top: "column-reverse";
    readonly bottom: "column";
    readonly right: "row";
    readonly left: "row-reverse";
};
type Direction = keyof typeof Directions;
type InputProps = JSXElementProps<'input'>;
export type SwitchProps = JSXElementProps<'div'> & {
    type?: SwitchStyleType;
    label?: string;
    direction?: Direction;
    ariaLabel?: InputProps['aria-label'];
    onText?: React.ReactNode;
    offText?: React.ReactNode;
    checked?: boolean;
    onChange?: InputProps['onChange'];
    disabled?: InputProps['disabled'];
};
declare const Switch: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref"> & {
    type?: SwitchStyleType | undefined;
    label?: string | undefined;
    direction?: "top" | "left" | "bottom" | "right" | undefined;
    ariaLabel?: InputProps['aria-label'];
    onText?: React.ReactNode;
    offText?: React.ReactNode;
    checked?: boolean | undefined;
    onChange?: InputProps['onChange'];
    disabled?: InputProps['disabled'];
} & React.RefAttributes<HTMLDivElement>>;
export default Switch;
