import 'get-root-node-polyfill/implement';
import React from 'react';
import Day from "./Day";
import Month from "./Month";
import Year from "./Year";
declare const dateParts: readonly ["day", "month", "year"];
export type DatePart = (typeof dateParts)[number];
export type DatePartChangeHandler = (part: DatePart, value: string) => void;
export type DateInputState = {
    [key in DatePart]?: string;
};
type InputProps = JSXElementProps<'input'>;
export type DateChangeEvent = {
    value?: Date;
    isInRange: boolean;
    rawValues: {
        year: string;
        month: string;
        day: string;
    };
};
export type DateInputProps = Override<JSXElementProps<'div'>, {
    children: React.ReactNode;
    onChange: (event: DateChangeEvent) => void;
    id?: string;
    maxDate?: Date;
    minDate?: Date;
    onBlur?: InputProps['onBlur'];
    defaultValue?: Date;
    defaultDay?: string;
}>;
declare const DateInput: React.ForwardRefExoticComponent<Omit<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "key">, "ref">, "id" | "children" | "onBlur" | "onChange" | "defaultValue" | "maxDate" | "minDate" | "defaultDay"> & {
    children: React.ReactNode;
    onChange: (event: DateChangeEvent) => void;
    id?: string | undefined;
    maxDate?: Date | undefined;
    minDate?: Date | undefined;
    onBlur?: InputProps['onBlur'];
    defaultValue?: Date | undefined;
    defaultDay?: string | undefined;
} & React.RefAttributes<HTMLDivElement>>;
type DateInputType = typeof DateInput & {
    Day: typeof Day;
    Month: typeof Month;
    Year: typeof Year;
};
declare const _default: DateInputType;
export default _default;
