import React from 'react';
import type { ReactDatePickerProps } from 'react-datepicker';
import { TextboxProps } from "../../controls/textbox/Textbox";
import { OurReactDatePickerProps } from "./ReactDatePickerPropTypes";
type WithRange = boolean | undefined;
type DatePickerOnChange<T extends WithRange = undefined> = ReactDatePickerProps<T>['onChange'];
type OnChangeDate<T extends WithRange> = Parameters<DatePickerOnChange<T>>[0];
type WithRangeString<T extends WithRange> = T extends true ? never : string;
type SelectedDate<T extends WithRange> = OnChangeDate<T> | WithRangeString<T>;
type NativeWithRange<NT extends WithRange, ST extends WithRange> = NT extends true ? false : ST extends true ? false : WithRange;
export type DatePickerProps<NT extends WithRange, ST extends WithRange, T extends NativeWithRange<NT, ST>> = Override<TextboxProps, Override<OurReactDatePickerProps<T>, {
    onChange?: DatePickerOnChange<T>;
    suppressDatepicker?: ST;
    allowNativeDatepickerOnMobile?: NT;
    selectedDate?: SelectedDate<T>;
}>>;
type GenericDatePickerProps = DatePickerProps<WithRange, WithRange, WithRange>;
declare const DatePicker: React.ForwardRefExoticComponent<Omit<TextboxProps, "form" | "title" | "name" | "className" | "id" | "tabIndex" | "children" | "onFocus" | "onBlur" | "onChange" | "onKeyDown" | "onSelect" | "inline" | "autoFocus" | "value" | "autoComplete" | "disabled" | "readOnly" | "required" | "open" | "selected" | "icon" | "ariaInvalid" | "ariaRequired" | "adjustDateOnChange" | "allowSameDay" | "ariaDescribedBy" | "ariaLabelClose" | "ariaLabelledBy" | "calendarClassName" | "calendarContainer" | "calendarIconClassname" | "calendarStartDay" | "chooseDayAriaLabelPrefix" | "clearButtonClassName" | "clearButtonTitle" | "closeOnScroll" | "customInput" | "customInputRef" | "customTimeInput" | "dateFormat" | "dateFormatCalendar" | "dayClassName" | "weekDayClassName" | "monthClassName" | "timeClassName" | "disabledDayAriaLabelPrefix" | "disabledKeyboardNavigation" | "dropdownMode" | "endDate" | "excludeDates" | "excludeDateIntervals" | "excludeTimes" | "filterDate" | "filterTime" | "fixedHeight" | "forceShowMonthNavigation" | "formatWeekDay" | "formatWeekNumber" | "highlightDates" | "holidays" | "includeDates" | "includeDateIntervals" | "includeTimes" | "injectTimes" | "focusSelectedMonth" | "isClearable" | "locale" | "maxDate" | "maxTime" | "minDate" | "minTime" | "monthsShown" | "nextMonthAriaLabel" | "nextMonthButtonLabel" | "nextYearAriaLabel" | "nextYearButtonLabel" | "onCalendarClose" | "onCalendarOpen" | "onChangeRaw" | "onClickOutside" | "onDayMouseEnter" | "onInputClick" | "onInputError" | "onMonthChange" | "onMonthMouseLeave" | "onWeekSelect" | "onYearChange" | "openToDate" | "peekNextMonth" | "placeholderText" | "popperClassName" | "popperContainer" | "popperModifiers" | "popperPlacement" | "popperProps" | "preventOpenOnFocus" | "previousMonthAriaLabel" | "previousMonthButtonLabel" | "previousYearAriaLabel" | "previousYearButtonLabel" | "renderCustomHeader" | "renderDayContents" | "renderMonthContent" | "renderYearContent" | "scrollableMonthYearDropdown" | "scrollableYearDropdown" | "selectsEnd" | "selectsStart" | "selectsRange" | "shouldCloseOnSelect" | "showDisabledMonthNavigation" | "showFullMonthYearPicker" | "showMonthDropdown" | "showMonthYearDropdown" | "showMonthYearPicker" | "showPopperArrow" | "showPreviousMonths" | "showQuarterYearPicker" | "showTimeInput" | "showTimeSelect" | "showTimeSelectOnly" | "showTwoColumnMonthYearPicker" | "showFourColumnMonthYearPicker" | "showWeekNumbers" | "showWeekPicker" | "showYearDropdown" | "showYearPicker" | "showIcon" | "startDate" | "startOpen" | "strictParsing" | "timeCaption" | "timeFormat" | "timeInputLabel" | "timeIntervals" | "todayButton" | "toggleCalendarOnIconClick" | "useShortMonthInDropdown" | "useWeekdaysShort" | "weekAriaLabelPrefix" | "monthAriaLabelPrefix" | "weekLabel" | "withPortal" | "portalId" | "portalHost" | "wrapperClassName" | "yearDropdownItemNumber" | "excludeScrollbar" | "enableTabLoop" | "yearItemNumber" | "selectsDisabledDaysInRange" | "renderQuarterContent" | "onYearMouseEnter" | "onYearMouseLeave" | "suppressDatepicker" | "allowNativeDatepickerOnMobile" | "selectedDate"> & Omit<OurReactDatePickerProps<WithRange>, "onChange" | "suppressDatepicker" | "allowNativeDatepickerOnMobile" | "selectedDate"> & {
    onChange?: ((date: Date | [Date | null, Date | null] | null, event: React.SyntheticEvent<any, Event> | undefined) => void) | undefined;
    suppressDatepicker?: WithRange;
    allowNativeDatepickerOnMobile?: WithRange;
    selectedDate?: SelectedDate<WithRange> | undefined;
} & React.RefAttributes<HTMLInputElement>>;
export declare const propTypes: React.WeakValidationMap<GenericDatePickerProps>;
export declare const defaultProps: Partial<GenericDatePickerProps>;
export default DatePicker;
