import React from 'react';
import PropTypes from 'prop-types';
import type { ReactDatePickerProps } from 'react-datepicker';
import { Placement } from '@floating-ui/utils';
export interface HighlightDates {
    [className: string]: Date[];
}
declare module 'react-datepicker' {
    interface ReactDatePickerProps {
        form?: JSXElementProps<'input'>['form'];
        selectsDisabledDaysInRange?: boolean;
        renderMonthContent?: (month: number, shortMonth: string, longMonth: string) => React.ReactNode;
        renderQuarterContent?: (quarter: number, shortQuarter: string) => React.ReactNode;
        renderYearContent?: (year: number) => React.ReactNode;
        onYearMouseEnter?: (ev: React.MouseEvent<HTMLDivElement>, year: number) => void;
        onYearMouseLeave?: (ev: React.MouseEvent<HTMLDivElement>, year: number) => void;
    }
}
export type PopperPlacement = Placement;
export type OurReactDatePickerProps<T extends boolean | undefined = undefined> = Override<ReactDatePickerProps<T>, {
    highlightDates?: (HighlightDates | Date)[] | undefined;
}>;
export type ReactDatePickerPropTypes<T extends boolean | undefined = undefined> = {
    [key in keyof OurReactDatePickerProps]: PropTypes.Requireable<OurReactDatePickerProps<T>[key]> | PropTypes.Validator<OurReactDatePickerProps<T>[key]>;
};
export type InnerHighlightDates<T extends boolean | undefined = undefined> = ReactDatePickerProps<T>['highlightDates'];
export declare const reactDatePickerPropTypes: ReactDatePickerPropTypes<boolean | undefined>;
export type ReactDatePickerPropName<T extends boolean | undefined = undefined> = Extract<keyof OurReactDatePickerProps<T>, string>;
export declare const reactDatepickerPropKeys: ReactDatePickerPropName<T>[];
export default reactDatePickerPropTypes;
