import React from 'react';
import { DrawerProps } from "../../containers/drawer/Drawer";
import { SelectionDrawerItem } from "./SelectionDrawerItem";
import { DrawerType, SelectionDrawerProviderProps } from "./SelectionDrawerProvider";
export type SelectionDrawerProps<T extends DrawerType = DrawerType> = Override<Omit<DrawerProps, 'activeKeys' | 'isAccordion' | 'useDefaultStyles'>, SelectionDrawerProviderProps<T>>;
declare const SelectionDrawer: React.ForwardRefExoticComponent<Omit<Omit<DrawerProps, "activeKeys" | "isAccordion" | "useDefaultStyles">, "type" | "name" | "children" | "validationState" | keyof import("./SelectionDrawerProvider").HeaderAlignment | "selectedItems" | "openable" | "disableAll" | "onSelectionChange"> & Omit<import("../../controls/radio-buttons/RadioGroup").RadioGroupProps | {
    name?: string | undefined;
}, "type" | "validationState" | keyof import("./SelectionDrawerProvider").HeaderAlignment | "selectedItems" | "openable" | "disableAll" | "onSelectionChange"> & Partial<import("./SelectionDrawerProvider").HeaderAlignment> & {
    selectedItems?: string[] | undefined;
    validationState?: "default" | "info" | "success" | "warning" | "danger" | "advisor" | undefined;
    openable?: boolean | undefined;
} & {
    onSelectionChange?: ((selectedItems: string[]) => void) | undefined;
    disableAll?: boolean | undefined;
    type?: DrawerType | undefined;
} & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLDivElement>>;
type SelectionDrawerType = typeof SelectionDrawer & {
    Item: typeof SelectionDrawerItem;
};
declare const SelectionDrawerComp: SelectionDrawerType;
export default SelectionDrawerComp;
