import React, { ReactNode } from 'react';
import { ValidationStyleType } from "../../../../../../../shared/types/dist/src";
import { CheckboxProps } from "../../controls/checkbox/Checkbox";
import { DrawerType, HeaderAlignment } from "./SelectionDrawerProvider";
import { RadioButtonProps } from "../../controls/radio-buttons/RadioButton";
export type SelectionDrawerItemProps<T extends DrawerType> = Override<T extends 'radio' ? RadioButtonProps : CheckboxProps, Partial<HeaderAlignment> & {
    header: NonNullable<ReactNode>;
    forceOpen?: boolean;
    forceClose?: boolean;
    disabled?: boolean;
    validationState?: ValidationStyleType;
    openable?: boolean;
    children: NonNullable<ReactNode>;
    inputRef?: React.ForwardedRef<HTMLInputElement>;
    type?: T;
}>;
/**
 * @visibleName SelectionDrawer.Item
 */
export declare const SelectionDrawerItem: React.ForwardRefExoticComponent<Omit<RadioButtonProps | CheckboxProps, "header" | "type" | "children" | "disabled" | "validationState" | "inputRef" | keyof HeaderAlignment | "openable" | "forceOpen" | "forceClose"> & Partial<HeaderAlignment> & {
    header: NonNullable<ReactNode>;
    forceOpen?: boolean | undefined;
    forceClose?: boolean | undefined;
    disabled?: boolean | undefined;
    validationState?: "default" | "info" | "success" | "warning" | "danger" | "advisor" | undefined;
    openable?: boolean | undefined;
    children: NonNullable<ReactNode>;
    inputRef?: React.ForwardedRef<HTMLInputElement> | undefined;
    type?: DrawerType | undefined;
} & React.RefAttributes<HTMLDivElement>>;
