import React from 'react';
import PropTypes from 'prop-types';
import { RadioGroupProps } from "../../controls/radio-buttons/RadioGroup";
import { ValidationStyleType } from "../../../../../../../shared/types/dist/src";
export type DrawerType = 'radio' | 'checkbox';
export type ControlAlignment = 'left' | 'right';
export type HeaderAlignment = {
    inputAlignment: ControlAlignment;
    labelAlignment: ControlAlignment;
};
export type SelectionDrawerSharedProps = Partial<HeaderAlignment> & {
    selectedItems?: string[];
    validationState?: ValidationStyleType;
    openable?: boolean;
};
export declare const SelectionDrawerContext: React.Context<Override<SelectionDrawerSharedProps, {
    selectedItems: string[];
    setSelectedItems: (dispatch: (items: string[]) => string[]) => void;
    drawerType: DrawerType;
    handleCheckboxChange: React.ChangeEventHandler<HTMLInputElement>;
    disableAll?: boolean | undefined;
}>>;
export type SelectionDrawerProviderProps<T extends DrawerType = DrawerType> = React.PropsWithChildren<Override<T extends 'radio' ? RadioGroupProps : {
    name?: string;
}, SelectionDrawerSharedProps & {
    onSelectionChange?: (selectedItems: string[]) => void;
    disableAll?: boolean;
    type?: T;
}>>;
declare function SelectionDrawerProvider<T extends DrawerType>(props: SelectionDrawerProviderProps<T>): React.JSX.Element;
declare namespace SelectionDrawerProvider {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        /** The currently selected items */
        selectedItems: PropTypes.Requireable<string[]>;
        /** Function when selected items changes */
        onSelectionChange: PropTypes.Validator<(...args: any[]) => any>;
        /** Type of drawer */
        type: PropTypes.Requireable<string>;
    };
    var defaultProps: {};
}
export declare const propTypes: {
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    /** The currently selected items */
    selectedItems: PropTypes.Requireable<string[]>;
    /** Function when selected items changes */
    onSelectionChange: PropTypes.Validator<(...args: any[]) => any>;
    /** Type of drawer */
    type: PropTypes.Requireable<string>;
};
export declare const defaultProps: {};
export default SelectionDrawerProvider;
export declare const useSelectionDrawerContext: () => Override<SelectionDrawerSharedProps, {
    selectedItems: string[];
    setSelectedItems: (dispatch: (items: string[]) => string[]) => void;
    drawerType: DrawerType;
    handleCheckboxChange: React.ChangeEventHandler<HTMLInputElement>;
    disableAll?: boolean | undefined;
}>;
