import React from 'react';
export interface DefaultSizeProps {
    defaultWidth?: number;
    defaultHeight?: number;
}
export interface WindowSizeProps {
    windowWidth: number;
    windowHeight: number;
}
type AllWindowSizeProps<P> = P & DefaultSizeProps & WindowSizeProps;
type WithWindowSizeProps<P> = Omit<P, keyof WindowSizeProps> & DefaultSizeProps;
export declare function useWindowSize({ defaultWidth, defaultHeight }?: DefaultSizeProps): WindowSizeProps;
export default function withWindowSize<P extends WindowSizeProps = WindowSizeProps, T = never>(ComponentClass: React.ComponentType<AllWindowSizeProps<P>> | React.ForwardRefExoticComponent<AllWindowSizeProps<P> & React.RefAttributes<T>>): React.ForwardRefExoticComponent<React.PropsWithoutRef<WithWindowSizeProps<P>> & React.RefAttributes<T>>;
export {};
