import type ESTheme from "../../../../shared/types/dist/src";
import React from 'react';
import PropTypes from 'prop-types';
import type { DefaultTheme } from 'styled-components';
declare global {
    type Maybe<T> = T | null | undefined;
    type IsNullable<T, K> = null | undefined extends T ? K : never;
    type IsNonNullable<T, K> = T extends null | undefined ? never : K;
    type NullableKeys<T> = {
        [K in keyof T]-?: IsNullable<T[K], K>;
    }[keyof T];
    type NonNullableKeys<T> = {
        [K in keyof T]-?: IsNonNullable<T[K], K>;
    }[keyof T];
    type BooleanString = 'true' | 'false';
    type RequireAtLeastOne<T, Keys extends keyof T = keyof T> = Pick<T, Exclude<keyof T, Keys>> & {
        [K in Keys]-?: Required<Pick<T, K>> & Partial<Pick<T, Exclude<Keys, K>>>;
    };
    type ReactFCWithChildren<T = unknown> = React.FC<React.PropsWithChildren<T>>;
    type JSXElementProps<T extends keyof JSX.IntrinsicElements> = T extends keyof JSX.IntrinsicElements ? React.PropsWithoutRef<Omit<JSX.IntrinsicElements[T], 'key'>> : never;
    type Theme = ESTheme;
    type HTMLElementProps = React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>;
    type StyledComponentElementProps<T extends keyof JSX.IntrinsicElements> = JSXElementProps<T> & {
        as?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
        forwardedAs?: keyof JSX.IntrinsicElements | React.ComponentType<any>;
    };
    interface OptionalThemeProps {
        theme?: DefaultTheme;
    }
    type Override<T, U> = Omit<T, keyof U> & U;
    type PropTypesOf<T> = {
        [key in keyof T]-?: PropTypes.Requireable<T[key]> | PropTypes.Validator<T[key]>;
    };
    const ASSETS_PATH: string;
    namespace JSX {
        interface IntrinsicElements {
            basicHTMLElement: HTMLElementProps;
        }
    }
}
declare module 'styled-components' {
    interface DefaultTheme extends ESTheme {
    }
}
