import React from 'react';
type MonitoringEffectCallback<T> = (monitor: T) => ReturnType<React.EffectCallback>;
export declare function useMonitoringEffect<T>(effect: MonitoringEffectCallback<T>, monitor: T): void;
export declare function useMonitoringEffect<T>(effect: MonitoringEffectCallback<T>, deps: React.DependencyList, monitor: T): void;
type AnyMonitoringCallback<T> = (...args: [T, ...any]) => any;
type MonitoringCallbackArgs<MonitorT extends AnyMonitoringCallback<any>> = MonitorT extends (arg1: infer T, ...args: infer Args) => any ? [...Args] : never;
type MonitoringCallback<MonitorT extends AnyMonitoringCallback<any>> = (...args: MonitoringCallbackArgs<MonitorT>) => ReturnType<MonitorT>;
export declare function useMonitoringCallback<MonitorT extends AnyMonitoringCallback<MonitoredT>, MonitoredT>(callback: MonitorT, monitor: MonitoredT): MonitoringCallback<MonitorT>;
export declare function useMonitoringCallback<MonitorT extends AnyMonitoringCallback<MonitoredT>, MonitoredT>(callback: MonitorT, deps: React.DependencyList, monitor: MonitoredT): MonitoringCallback<MonitorT>;
export {};
