
var process = {};
try {
  process = this.process ||
    (typeof window !== 'undefined' && window.process) ||
    (typeof global !== 'undefined' && global.process) ||
    {};
} catch {
  process = {};
}
import _defineProperty from '@babel/runtime-corejs3/helpers/defineProperty';
import _extends from '@babel/runtime-corejs3/helpers/extends';
import _slicedToArray from '@babel/runtime-corejs3/helpers/slicedToArray';
import _objectWithoutProperties from '@babel/runtime-corejs3/helpers/objectWithoutProperties';
import 'core-js/modules/es.symbol.js';
import 'core-js/modules/es.array.filter.js';
import 'core-js/modules/es.array.push.js';
import 'core-js/modules/es.object.get-own-property-descriptor.js';
import 'core-js/modules/es.object.get-own-property-descriptors.js';
import 'core-js/modules/es.object.keys.js';
import 'core-js/modules/es.object.to-string.js';
import 'core-js/modules/es.promise.js';
import 'core-js/modules/web.dom-collections.for-each.js';
import React, { useRef, useState, useCallback, useEffect, createContext, useContext, useImperativeHandle, forwardRef, useMemo, Children, useReducer, isValidElement } from 'react';
import PropTypes from 'prop-types';
import _asyncToGenerator from '@babel/runtime-corejs3/helpers/asyncToGenerator';
import _regeneratorRuntime from '@babel/runtime-corejs3/regenerator';
import 'core-js/modules/es.array.concat.js';
import styled$1, { css, ThemeContext, createGlobalStyle, ThemeProvider, useTheme as useTheme$1, withTheme, keyframes } from 'styled-components';
import _toConsumableArray from '@babel/runtime-corejs3/helpers/toConsumableArray';
import 'core-js/modules/es.function.name.js';
import 'core-js/modules/es.regexp.exec.js';
import 'core-js/modules/es.regexp.test.js';
import 'core-js/modules/es.regexp.to-string.js';
import 'core-js/modules/es.string.trim.js';
import 'get-root-node-polyfill/implement';
import _createClass from '@babel/runtime-corejs3/helpers/createClass';
import _classCallCheck from '@babel/runtime-corejs3/helpers/classCallCheck';
import _possibleConstructorReturn from '@babel/runtime-corejs3/helpers/possibleConstructorReturn';
import _getPrototypeOf from '@babel/runtime-corejs3/helpers/getPrototypeOf';
import _assertThisInitialized from '@babel/runtime-corejs3/helpers/assertThisInitialized';
import _inherits from '@babel/runtime-corejs3/helpers/inherits';
import _wrapNativeSuper from '@babel/runtime-corejs3/helpers/wrapNativeSuper';
import 'core-js/modules/es.error.cause.js';
import 'core-js/modules/es.reflect.construct.js';
import 'core-js/modules/es.reflect.to-string-tag.js';
import 'core-js/modules/es.string.replace.js';
import 'core-js/modules/es.array.includes.js';
import 'core-js/modules/es.array.iterator.js';
import 'core-js/modules/es.array.map.js';
import 'core-js/modules/es.set.js';
import 'core-js/modules/es.string.includes.js';
import 'core-js/modules/es.string.iterator.js';
import 'core-js/modules/web.dom-collections.iterator.js';
import AnimateHeight from 'react-animate-height';
import _taggedTemplateLiteral from '@babel/runtime-corejs3/helpers/taggedTemplateLiteral';
import 'core-js/modules/es.array.join.js';
import 'core-js/modules/es.array.flat.js';
import 'core-js/modules/es.array.unscopables.flat.js';
import 'core-js/modules/es.object.entries.js';
import { flip, autoPlacement, useFloating, autoUpdate, arrow, shift, limitShift, useHover, useFocus, useRole, useClick, useDismiss, useInteractions, FloatingPortal, offset } from '@floating-ui/react';
import Transition from 'react-transition-group/Transition';
import 'core-js/modules/es.object.has-own.js';
import tinycolor from 'tinycolor2';
import formatMessage from 'format-message';
import ReactModal from 'react-modal';
import 'core-js/modules/es.object.assign.js';
import { useRootClose } from 'react-overlays';
import 'core-js/modules/es.array.find-index.js';
import 'core-js/modules/es.array.find.js';
import 'core-js/modules/es.array.flat-map.js';
import 'core-js/modules/es.array.unscopables.flat-map.js';
import 'core-js/modules/es.string.match.js';
import MaskedInput from 'react-text-mask';
import createAutoCorrectedDatePipeOrig from 'text-mask-addons/dist/createAutoCorrectedDatePipe';
import createNumberMaskOrig from 'text-mask-addons/dist/createNumberMask';
import _typeof from '@babel/runtime-corejs3/helpers/typeof';
import 'core-js/modules/es.array.fill.js';
import 'core-js/modules/es.array.slice.js';
import { parse, isValid as isValid$1, format, isAfter, isBefore } from 'date-fns';
import ReactDatePicker from 'react-datepicker';
import { placements as placements$1 } from '@floating-ui/utils';
import 'core-js/modules/web.btoa.js';
import 'core-js/modules/web.dom-exception.constructor.js';
import 'core-js/modules/web.dom-exception.stack.js';
import 'core-js/modules/web.dom-exception.to-string-tag.js';
import 'core-js/modules/es.symbol.description.js';
import 'core-js/modules/es.symbol.iterator.js';
import 'core-js/modules/es.number.constructor.js';
import 'core-js/modules/es.number.is-finite.js';

function useMountedOnlyState(origState) {
  var isMountedRef = useRef(true);
  var _useState = useState(origState),
    _useState2 = _slicedToArray(_useState, 2),
    state = _useState2[0],
    setState = _useState2[1];
  var setStateOrNoOp = useCallback(function (stateOrStateSetter) {
    return Boolean(isMountedRef && isMountedRef.current) && setState(stateOrStateSetter);
  }, []);
  useEffect(function () {
    return function () {
      isMountedRef.current = false;
    };
  }, []);
  return [state, setStateOrNoOp];
}

var wait = function wait(ms) {
  return new Promise(function (resolve) {
    return setTimeout(resolve, ms);
  });
};
var minLoadingTime = 500;
function useLoadingState() {
  var _useMountedOnlyState = useMountedOnlyState(false),
    _useMountedOnlyState2 = _slicedToArray(_useMountedOnlyState, 2),
    isLoading = _useMountedOnlyState2[0],
    setIsLoading = _useMountedOnlyState2[1];
  var start = useCallback( /*#__PURE__*/function () {
    var _ref = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(theOperation) {
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            setIsLoading(true);
            _context.prev = 1;
            _context.next = 5;
            return wait(minLoadingTime);
          case 5:
            _context.next = 7;
            return theOperation;
          case 7:
            return _context.abrupt("return", _context.sent);
          case 8:
            _context.prev = 8;
            setIsLoading(false);
            return _context.finish(8);
          case 11:
          case "end":
            return _context.stop();
        }
      }, _callee, null, [[1,, 8, 11]]);
    }));
    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }(), [setIsLoading]);
  return [isLoading, start];
}

var domProps = {
  children: PropTypes.node,
  dangerouslySetInnerHTML: PropTypes.exact({
    __html: PropTypes.string.isRequired
  }),
  // Clipboard Events
  onCopy: PropTypes.func,
  onCopyCapture: PropTypes.func,
  onCut: PropTypes.func,
  onCutCapture: PropTypes.func,
  onPaste: PropTypes.func,
  onPasteCapture: PropTypes.func,
  // Composition Events
  onCompositionEnd: PropTypes.func,
  onCompositionEndCapture: PropTypes.func,
  onCompositionStart: PropTypes.func,
  onCompositionStartCapture: PropTypes.func,
  onCompositionUpdate: PropTypes.func,
  onCompositionUpdateCapture: PropTypes.func,
  // Focus Events
  onFocus: PropTypes.func,
  onFocusCapture: PropTypes.func,
  onBlur: PropTypes.func,
  onBlurCapture: PropTypes.func,
  // Form Events
  onChange: PropTypes.func,
  onChangeCapture: PropTypes.func,
  onBeforeInput: PropTypes.func,
  onBeforeInputCapture: PropTypes.func,
  onInput: PropTypes.func,
  onInputCapture: PropTypes.func,
  onReset: PropTypes.func,
  onResetCapture: PropTypes.func,
  onSubmit: PropTypes.func,
  onSubmitCapture: PropTypes.func,
  onInvalid: PropTypes.func,
  onInvalidCapture: PropTypes.func,
  // Image Events
  onLoad: PropTypes.func,
  onLoadCapture: PropTypes.func,
  onError: PropTypes.func,
  onErrorCapture: PropTypes.func,
  // Keyboard Events
  onKeyDown: PropTypes.func,
  onKeyDownCapture: PropTypes.func,
  /** @deprecated */
  onKeyPress: PropTypes.func,
  /** @deprecated */
  onKeyPressCapture: PropTypes.func,
  onKeyUp: PropTypes.func,
  onKeyUpCapture: PropTypes.func,
  // Media Events
  onAbort: PropTypes.func,
  onAbortCapture: PropTypes.func,
  onCanPlay: PropTypes.func,
  onCanPlayCapture: PropTypes.func,
  onCanPlayThrough: PropTypes.func,
  onCanPlayThroughCapture: PropTypes.func,
  onDurationChange: PropTypes.func,
  onDurationChangeCapture: PropTypes.func,
  onEmptied: PropTypes.func,
  onEmptiedCapture: PropTypes.func,
  onEncrypted: PropTypes.func,
  onEncryptedCapture: PropTypes.func,
  onEnded: PropTypes.func,
  onEndedCapture: PropTypes.func,
  onLoadedData: PropTypes.func,
  onLoadedDataCapture: PropTypes.func,
  onLoadedMetadata: PropTypes.func,
  onLoadedMetadataCapture: PropTypes.func,
  onLoadStart: PropTypes.func,
  onLoadStartCapture: PropTypes.func,
  onPause: PropTypes.func,
  onPauseCapture: PropTypes.func,
  onPlay: PropTypes.func,
  onPlayCapture: PropTypes.func,
  onPlaying: PropTypes.func,
  onPlayingCapture: PropTypes.func,
  onProgress: PropTypes.func,
  onProgressCapture: PropTypes.func,
  onRateChange: PropTypes.func,
  onRateChangeCapture: PropTypes.func,
  onResize: PropTypes.func,
  onResizeCapture: PropTypes.func,
  onSeeked: PropTypes.func,
  onSeekedCapture: PropTypes.func,
  onSeeking: PropTypes.func,
  onSeekingCapture: PropTypes.func,
  onStalled: PropTypes.func,
  onStalledCapture: PropTypes.func,
  onSuspend: PropTypes.func,
  onSuspendCapture: PropTypes.func,
  onTimeUpdate: PropTypes.func,
  onTimeUpdateCapture: PropTypes.func,
  onVolumeChange: PropTypes.func,
  onVolumeChangeCapture: PropTypes.func,
  onWaiting: PropTypes.func,
  onWaitingCapture: PropTypes.func,
  // MouseEvents
  onAuxClick: PropTypes.func,
  onAuxClickCapture: PropTypes.func,
  onClick: PropTypes.func,
  onClickCapture: PropTypes.func,
  onContextMenu: PropTypes.func,
  onContextMenuCapture: PropTypes.func,
  onDoubleClick: PropTypes.func,
  onDoubleClickCapture: PropTypes.func,
  onDrag: PropTypes.func,
  onDragCapture: PropTypes.func,
  onDragEnd: PropTypes.func,
  onDragEndCapture: PropTypes.func,
  onDragEnter: PropTypes.func,
  onDragEnterCapture: PropTypes.func,
  onDragExit: PropTypes.func,
  onDragExitCapture: PropTypes.func,
  onDragLeave: PropTypes.func,
  onDragLeaveCapture: PropTypes.func,
  onDragOver: PropTypes.func,
  onDragOverCapture: PropTypes.func,
  onDragStart: PropTypes.func,
  onDragStartCapture: PropTypes.func,
  onDrop: PropTypes.func,
  onDropCapture: PropTypes.func,
  onMouseDown: PropTypes.func,
  onMouseDownCapture: PropTypes.func,
  onMouseEnter: PropTypes.func,
  onMouseLeave: PropTypes.func,
  onMouseMove: PropTypes.func,
  onMouseMoveCapture: PropTypes.func,
  onMouseOut: PropTypes.func,
  onMouseOutCapture: PropTypes.func,
  onMouseOver: PropTypes.func,
  onMouseOverCapture: PropTypes.func,
  onMouseUp: PropTypes.func,
  onMouseUpCapture: PropTypes.func,
  // Selection Events
  onSelect: PropTypes.func,
  onSelectCapture: PropTypes.func,
  // Touch Events
  onTouchCancel: PropTypes.func,
  onTouchCancelCapture: PropTypes.func,
  onTouchEnd: PropTypes.func,
  onTouchEndCapture: PropTypes.func,
  onTouchMove: PropTypes.func,
  onTouchMoveCapture: PropTypes.func,
  onTouchStart: PropTypes.func,
  onTouchStartCapture: PropTypes.func,
  // Pointer Events
  onPointerDown: PropTypes.func,
  onPointerDownCapture: PropTypes.func,
  onPointerMove: PropTypes.func,
  onPointerMoveCapture: PropTypes.func,
  onPointerUp: PropTypes.func,
  onPointerUpCapture: PropTypes.func,
  onPointerCancel: PropTypes.func,
  onPointerCancelCapture: PropTypes.func,
  onPointerEnter: PropTypes.func,
  onPointerEnterCapture: PropTypes.func,
  onPointerLeave: PropTypes.func,
  onPointerLeaveCapture: PropTypes.func,
  onPointerOver: PropTypes.func,
  onPointerOverCapture: PropTypes.func,
  onPointerOut: PropTypes.func,
  onPointerOutCapture: PropTypes.func,
  onGotPointerCapture: PropTypes.func,
  onGotPointerCaptureCapture: PropTypes.func,
  onLostPointerCapture: PropTypes.func,
  onLostPointerCaptureCapture: PropTypes.func,
  // UI Events
  onScroll: PropTypes.func,
  onScrollCapture: PropTypes.func,
  // Wheel Events
  onWheel: PropTypes.func,
  onWheelCapture: PropTypes.func,
  // Animation Events
  onAnimationStart: PropTypes.func,
  onAnimationStartCapture: PropTypes.func,
  onAnimationEnd: PropTypes.func,
  onAnimationEndCapture: PropTypes.func,
  onAnimationIteration: PropTypes.func,
  onAnimationIterationCapture: PropTypes.func,
  // Transition Events
  onTransitionEnd: PropTypes.func,
  onTransitionEndCapture: PropTypes.func
};
var domDefaultProps = {};

var booleanStrings = ['true', 'false'];
var ariaProps = {
  'aria-activedescendant': PropTypes.string,
  'aria-atomic': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-autocomplete': PropTypes.oneOf(['none', 'inline', 'list', 'both']),
  'aria-braillelabel': PropTypes.string,
  'aria-brailleroledescription': PropTypes.string,
  'aria-busy': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-checked': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf([].concat(booleanStrings, ['mixed']))]),
  'aria-colcount': PropTypes.number,
  'aria-colindex': PropTypes.number,
  'aria-colindextext': PropTypes.string,
  'aria-colspan': PropTypes.number,
  'aria-controls': PropTypes.string,
  'aria-current': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf([].concat(booleanStrings, ['page', 'step', 'location', 'date', 'time']))]),
  'aria-describedby': PropTypes.string,
  'aria-description': PropTypes.string,
  'aria-details': PropTypes.string,
  'aria-disabled': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-dropeffect': PropTypes.oneOf(['none', 'copy', 'execute', 'link', 'move', 'popup']),
  'aria-errormessage': PropTypes.string,
  'aria-expanded': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-flowto': PropTypes.string,
  'aria-grabbed': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-haspopup': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf([].concat(booleanStrings, ['menu', 'listbox', 'tree', 'grid', 'dialog']))]),
  'aria-hidden': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-invalid': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf([].concat(booleanStrings, ['grammar', 'spelling']))]),
  'aria-keyshortcuts': PropTypes.string,
  'aria-label': PropTypes.string,
  'aria-labelledby': PropTypes.string,
  'aria-level': PropTypes.number,
  'aria-live': PropTypes.oneOf(['off', 'assertive', 'polite']),
  'aria-modal': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-multiline': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-multiselectable': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-orientation': PropTypes.oneOf(['horizontal', 'vertical']),
  'aria-owns': PropTypes.string,
  'aria-placeholder': PropTypes.string,
  'aria-posinset': PropTypes.number,
  'aria-pressed': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf([].concat(booleanStrings, ['mixed']))]),
  'aria-readonly': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-relevant': PropTypes.oneOf(['additions', 'additions removals', 'additions text', 'all', 'removals', 'removals additions', 'removals text', 'text', 'text additions', 'text removals']),
  'aria-required': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-roledescription': PropTypes.string,
  'aria-rowcount': PropTypes.number,
  'aria-rowindex': PropTypes.number,
  'aria-rowindextext': PropTypes.string,
  'aria-rowspan': PropTypes.number,
  'aria-selected': PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  'aria-setsize': PropTypes.number,
  'aria-sort': PropTypes.oneOf(['none', 'ascending', 'descending', 'other']),
  'aria-valuemax': PropTypes.number,
  'aria-valuemin': PropTypes.number,
  'aria-valuenow': PropTypes.number,
  'aria-valuetext': PropTypes.string
};
var ariaRoles = ['alert', 'alertdialog', 'application', 'article', 'banner', 'button', 'cell', 'checkbox', 'columnheader', 'combobox', 'complementary', 'contentinfo', 'definition', 'dialog', 'directory', 'document', 'feed', 'figure', 'form', 'grid', 'gridcell', 'group', 'heading', 'img', 'link', 'list', 'listbox', 'listitem', 'log', 'main', 'marquee', 'math', 'menu', 'menubar', 'menuitem', 'menuitemcheckbox', 'menuitemradio', 'navigation', 'none', 'note', 'option', 'presentation', 'progressbar', 'radio', 'radiogroup', 'region', 'row', 'rowgroup', 'rowheader', 'scrollbar', 'search', 'searchbox', 'separator', 'slider', 'spinbutton', 'status', 'switch', 'tab', 'table', 'tablist', 'tabpanel', 'term', 'textbox', 'timer', 'toolbar', 'tooltip', 'tree', 'treegrid', 'treeitem'];
var ariaDefaultProps = {};

function ownKeys$P(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$P(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$P(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$P(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var inputModes = ['none', 'text', 'tel', 'url', 'email', 'numeric', 'decimal', 'search'];
var htmlProps = _objectSpread$P(_objectSpread$P(_objectSpread$P({}, domProps), ariaProps), {}, {
  // React-specific Attributes
  defaultChecked: PropTypes.bool,
  defaultValue: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.arrayOf(PropTypes.string.isRequired)]),
  suppressContentEditableWarning: PropTypes.bool,
  suppressHydrationWarning: PropTypes.bool,
  // Standard HTML Attributes
  accessKey: PropTypes.string,
  autoFocus: PropTypes.bool,
  className: PropTypes.string,
  contentEditable: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf([].concat(_toConsumableArray(booleanStrings), ['inherit']))]),
  contextMenu: PropTypes.string,
  dir: PropTypes.string,
  draggable: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  hidden: PropTypes.bool,
  id: PropTypes.string,
  lang: PropTypes.string,
  nonce: PropTypes.string,
  slot: PropTypes.string,
  spellCheck: PropTypes.oneOfType([PropTypes.bool, PropTypes.oneOf(booleanStrings)]),
  style: PropTypes.object,
  tabIndex: PropTypes.number,
  title: PropTypes.string,
  translate: PropTypes.oneOf(['yes', 'no']),
  // Unknown
  radioGroup: PropTypes.string,
  // <command>, <menuitem>

  // WAI-ARIA
  role: PropTypes.oneOf(ariaRoles),
  // RDFa Attributes
  about: PropTypes.string,
  content: PropTypes.string,
  datatype: PropTypes.string,
  inlist: PropTypes.any,
  prefix: PropTypes.string,
  property: PropTypes.string,
  rel: PropTypes.string,
  resource: PropTypes.string,
  rev: PropTypes.string,
  typeof: PropTypes.string,
  vocab: PropTypes.string,
  // Non-standard Attributes
  autoCapitalize: PropTypes.string,
  autoCorrect: PropTypes.string,
  autoSave: PropTypes.string,
  color: PropTypes.string,
  itemProp: PropTypes.string,
  itemScope: PropTypes.bool,
  itemType: PropTypes.string,
  itemID: PropTypes.string,
  itemRef: PropTypes.string,
  results: PropTypes.number,
  security: PropTypes.string,
  unselectable: PropTypes.oneOf(['on', 'off']),
  inputMode: PropTypes.oneOf(inputModes),
  is: PropTypes.string,
  // styled-components css prop
  css: PropTypes.oneOfType([PropTypes.objectOf(PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.shape({})]).isRequired), PropTypes.string])
});
var htmlDefaultProps = _objectSpread$P(_objectSpread$P({}, domDefaultProps), ariaDefaultProps);

var baseFormElementProps = {
  disabled: PropTypes.bool,
  form: PropTypes.string,
  formAction: PropTypes.string,
  formEncType: PropTypes.string,
  formMethod: PropTypes.string,
  formNoValidate: PropTypes.bool,
  formTarget: PropTypes.string,
  name: PropTypes.string,
  value: PropTypes.oneOfType([PropTypes.string, PropTypes.number, PropTypes.arrayOf(PropTypes.string.isRequired)])
};

function ownKeys$O(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$O(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$O(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$O(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var inputTypes$2 = ['button', 'checkbox', 'color', 'date', 'datetime-local', 'email', 'file', 'hidden', 'image', 'month', 'number', 'password', 'radio', 'range', 'reset', 'search', 'submit', 'tel', 'text', 'time', 'url', 'week'];
var htmlInputPropTypes = _objectSpread$O(_objectSpread$O(_objectSpread$O({}, htmlProps), baseFormElementProps), {}, {
  accept: PropTypes.string,
  alt: PropTypes.string,
  autoComplete: PropTypes.string,
  autoFocus: PropTypes.bool,
  capture: PropTypes.oneOfType([PropTypes.bool.isRequired, PropTypes.oneOf(['user', 'environment']).isRequired]),
  checked: PropTypes.bool,
  form: PropTypes.string,
  enterKeyHint: PropTypes.oneOf(['enter', 'done', 'go', 'next', 'previous', 'search', 'send']),
  height: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  list: PropTypes.string,
  max: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  maxLength: PropTypes.number,
  min: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  minLength: PropTypes.number,
  multiple: PropTypes.bool,
  pattern: PropTypes.string,
  placeholder: PropTypes.string,
  readOnly: PropTypes.bool,
  required: PropTypes.bool,
  size: PropTypes.number,
  src: PropTypes.string,
  step: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  type: PropTypes.oneOf(inputTypes$2),
  width: PropTypes.oneOfType([PropTypes.number, PropTypes.string]),
  onChange: PropTypes.func
});
var htmlInputDefaultProps = {};

function ownKeys$N(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$N(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$N(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$N(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var buttonTypes = ['button', 'submit', 'reset'];
var htmlButtonPropTypes = _objectSpread$N(_objectSpread$N(_objectSpread$N({}, htmlProps), baseFormElementProps), {}, {
  type: PropTypes.oneOf(buttonTypes)
});
var htmlButtonDefaultProps = {};

function useMonitoringEffect() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  var effect = args[0],
    depsOrMonitor = args[1],
    monitor = args[2];
  var depsIncluded = args.length === 3;
  var deps = depsIncluded ? depsOrMonitor : undefined;
  var monitorValue = depsIncluded ? monitor : depsOrMonitor;
  var monitorRef = useRef(monitorValue);
  monitorRef.current = monitorValue;
  var effectRef = useRef(effect);
  effectRef.current = effect;
  useEffect(function () {
    return effectRef.current(monitorRef.current);
  }, deps || []); // eslint-disable-line react-hooks/exhaustive-deps
}

/* eslint-disable @typescript-eslint/no-explicit-any */

/* eslint-enable @typescript-eslint/no-explicit-any */

function useMonitoringCallback() {
  for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
    args[_key2] = arguments[_key2];
  }
  var callback = args[0],
    depsOrMonitor = args[1],
    monitor = args[2];
  var depsIncluded = args.length === 3;
  var callbackRef = useRef(callback);
  callbackRef.current = callback;
  var deps = depsIncluded ? depsOrMonitor : [];
  var monitorValue = depsIncluded ? monitor : depsOrMonitor;
  var monitorRef = useRef(monitorValue);
  monitorRef.current = monitorValue;

  /* eslint-disable react-hooks/exhaustive-deps */
  var monitoredCallback = useCallback(function () {
    for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      args[_key3] = arguments[_key3];
    }
    var result = callbackRef.current.apply(callbackRef, [monitorRef.current].concat(args));
    // eslint seems to think this is unsafe, but it's not
    // eslint-disable-next-line @typescript-eslint/no-unsafe-return
    return result;
  }, deps);
  /* eslint-enable react-hooks/exhaustive-deps */

  return monitoredCallback;
}

var _excluded$13 = ["waiting", "onClick", "className"];
function ownKeys$M(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$M(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$M(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$M(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }

// Using this because React does not like many of our upstream props.
// This allows that to flow without issue.
var UnstyledButton = styled$1.button([""]);
var esComponentsButtonClass = 'es-components-button';
var ButtonBase = /*#__PURE__*/React.forwardRef(function ButtonBaseInner(_ref, ref) {
  var waiting = _ref.waiting,
    onClickProp = _ref.onClick,
    className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded$13);
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  var onClick = useMonitoringCallback(function (currentOnClick) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    return !waiting && (currentOnClick === null || currentOnClick === void 0 ? void 0 : currentOnClick.apply(void 0, args));
  }, [waiting], onClickProp);
  var computedProps = _objectSpread$M(_objectSpread$M(_objectSpread$M({}, props), className ? {
    className: "".concat(className, " ").concat(esComponentsButtonClass)
  } : {
    className: esComponentsButtonClass
  }), waiting ? {
    'data-waiting': waiting
  } : {});
  return /*#__PURE__*/React.createElement(UnstyledButton, _extends({
    type: "button",
    onClick: onClick
  }, computedProps, {
    ref: ref
  }));
});
var propTypes$k = _objectSpread$M(_objectSpread$M({}, htmlButtonPropTypes), {}, {
  /** Styles the Button with the "disabled" state and prevents click action */
  waiting: PropTypes.bool
});
var defaultProps$g = _objectSpread$M(_objectSpread$M({}, htmlButtonDefaultProps), {}, {
  waiting: false
});
ButtonBase.propTypes = propTypes$k;
ButtonBase.defaultProps = defaultProps$g;
var ButtonBase$1 = ButtonBase;

var _excluded$12 = ["showWhileRunning", "children", "waiting", "onClick"];
function ownKeys$L(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$L(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$L(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$L(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var voidClick = function voidClick() {
  return Promise.resolve();
};
function withLoadingStateWhileRunning(ButtonComponent) {
  var ButtonWithLoadingState = /*#__PURE__*/React.forwardRef(function ForwardedButtonWithLoadingState(_ref, ref) {
    var runningContent = _ref.showWhileRunning,
      children = _ref.children,
      waiting = _ref.waiting,
      _ref$onClick = _ref.onClick,
      onClick = _ref$onClick === void 0 ? voidClick : _ref$onClick,
      otherProps = _objectWithoutProperties(_ref, _excluded$12);
    var _useLoadingState = useLoadingState(),
      _useLoadingState2 = _slicedToArray(_useLoadingState, 2),
      isRunning = _useLoadingState2[0],
      showRunningWhile = _useLoadingState2[1];
    var runOperation = useMonitoringCallback(function (currentOnClick) {
      for (var _len = arguments.length, params = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
        params[_key - 1] = arguments[_key];
      }
      if (runningContent && !isRunning) return void showRunningWhile(currentOnClick.apply(void 0, params));
      return void currentOnClick.apply(void 0, params);
    }, [isRunning, runningContent, showRunningWhile], onClick);
    return /*#__PURE__*/React.createElement(ButtonComponent, _extends({}, otherProps, {
      waiting: waiting || isRunning,
      onClick: runOperation,
      ref: ref
    }), isRunning && runningContent || children);
  });
  ButtonWithLoadingState.propTypes = _objectSpread$L(_objectSpread$L(_objectSpread$L({}, propTypes$k), ButtonComponent.propTypes || {}), {}, {
    showWhileRunning: PropTypes.node,
    onClick: PropTypes.func
  });
  ButtonWithLoadingState.defaultProps = _objectSpread$L(_objectSpread$L(_objectSpread$L({}, defaultProps$g), ButtonComponent.defaultProps || {}), {}, {
    showWhileRunning: undefined,
    onClick: undefined
  });
  return ButtonWithLoadingState;
}

/* This file is auto-generated using `npm run generate-icon-names` */
var iconNames = ["accessibility", "add", "add-circle", "agent", "alarm-clock", "align-center", "align-justify", "align-left", "align-right", "archive", "archive-folder", "arrow-down", "arrow-left", "arrow-right", "arrow-up", "asterisk", "attachment", "bathtub", "bell", "bicycle", "blood-drop", "bold", "bone", "book", "bookmark", "bot", "boy", "brain", "briefcase", "bullhorn", "calendar", "calculator", "camera", "cash-in-hand", "cell", "certificate", "certificate-ribbon", "change", "check-document", "checkbox", "checkbox-checked", "checked", "chevron-down", "chevron-left", "chevron-right", "chevron-up", "circle-arrow-down", "circle-arrow-left", "circle-arrow-right", "circle-arrow-up", "clear-filters", "click-and-collect", "clinic", "cog", "comment", "comments", "compass", "confusion", "copy", "cut", "dashboard", "denied", "desktop", "detour", "disabled-access", "discussion", "divide", "dna-helix", "doctors-bag", "dollar-sign", "double-chevron-down", "double-chevron-left", "double-chevron-right", "double-chevron-up", "download", "download-alt", "edit", "edit-document", "element-block", "element-page", "element-section", "envelope", "exclamation", "exclamation-circle", "exclamation-sign", "exit", "export", "external-link", "eye-closed", "eye-open", "federal", "file", "file-download", "file-open", "fill", "film", "fire", "flag-empty", "flag-filled", "flash", "folder-close", "folder-open", "folder-up-level", "font", "for-you", "form-agreement", "form-checkbox", "form-dropdown", "form-number", "form-radio", "form-text", "form-text-box", "fullscreen", "funnel", "girl", "glasses", "globe", "glucometer", "hand-down", "hand-left", "hand-right", "hand-up", "handshake-heart", "header", "health", "health-checkup", "hearing", "hearing-aid", "heart-empty", "heart-filled", "heart-plus", "helping-hand", "history", "home", "hourglass", "house", "household", "hyperlink", "idea", "in-progress", "inbox", "indent-left", "indent-right", "info", "info-circle", "info-popup", "info-squared", "italic", "keyhole-shield", "kidney", "leaf", "lightning-bolt", "list", "list-numbered", "list-thumbnails", "list-unordered", "liver", "lock", "lock-open", "log-in", "log-out", "logout-rounded-left", "lungs", "mailbox-closed-flag-down", "male-user", "man", "map-marker", "map-with-marker", "measuring-tape", "medical", "menu-btn", "message", "minus", "minus-circle", "molecule", "moleskine", "money", "move", "muscle", "neuron", "new-window", "no-symbol", "non-smoker", "notepad", "ok", "ok-circle", "options-horizontal", "options-vertical", "out-patient-department", "paragraph", "paste", "pause", "paycheque", "physical-therapy", "phone", "phone-analog", "picture", "piggy-bank", "play", "play-circle", "policy-document", "power", "prescription", "print", "profile", "profit", "purchase-order", "push-pin", "question", "question-circle", "questions", "random", "read-message", "redo", "refresh", "remove", "remove-circle", "repeat", "reply-arrow", "resize-full", "resize-horizontal", "resize-small", "resize-vertical", "retweet", "road", "rod-of-asclepius", "rubber-stamp", "rx", "save", "scale", "screenshot", "search", "security-checked", "share", "shopping-cart", "skin", "skip-to-start", "smoker", "sms", "sort", "sort-alpha", "sort-alpha-reverse", "sort-ascending", "sort-descending", "sort-num", "sort-num-reverse", "speak-to-expert", "speech-bubble", "speech-bubble-with-dots", "spouse", "star-empty", "star-filled", "stats", "stethoscope", "stock-growth", "stomach", "submit-document", "switch", "tag", "tags", "tasks", "text-color", "text-height", "text-size", "text-width", "thumbnails", "thumbnails-large", "thumbs-down", "thumbs-up", "time", "today", "tooth", "transfer", "trash", "trophy", "truck", "trust", "tune", "umbrella", "underline", "undo", "upload", "urgent-message", "user", "user-secured", "user-shield", "users", "video", "voice-check", "wallet", "walker", "woman", "wrench", "zoom-in", "zoom-out", "outgoing-call", "internal-call", "call-transfer"];

var buttonSizes = ['lg', 'sm', 'xs', 'default'];
var buttonVariantStyleTypes = ['primary', 'default', 'darkDefault', 'success', 'danger', 'warning', 'info', 'information', 'magenta', 'violet'];
var validationStyleTypes = ['success', 'info', 'warning', 'danger', 'advisor', 'default'];
var headingLevel = [1, 2, 3, 4, 5, 6];

function useRootNode(initialRoot) {
  var _useState = useState(initialRoot),
    _useState2 = _slicedToArray(_useState, 2),
    rootNode = _useState2[0],
    setRootNode = _useState2[1];
  var nodeRef = useCallback(function (node) {
    if (!node) return;
    var foundRoot = node.getRootNode();
    var targetNode = foundRoot.body || foundRoot;
    if (initialRoot !== targetNode) setRootNode(targetNode);
  }, [initialRoot]);
  return [rootNode, nodeRef];
}
function useRootNodeLocator(initialRoot) {
  var _useRootNode = useRootNode(initialRoot),
    _useRootNode2 = _slicedToArray(_useRootNode, 2),
    rootNode = _useRootNode2[0],
    rootNodeRef = _useRootNode2[1];
  var RootNodeInput = useCallback(function () {
    return /*#__PURE__*/React.createElement("input", {
      type: "hidden",
      ref: rootNodeRef
    });
  }, [rootNodeRef]);
  return [rootNode, RootNodeInput];
}
var RootNodeContext = /*#__PURE__*/React.createContext(undefined);
function useRootNodeContext() {
  return React.useContext(RootNodeContext);
}
function RootNodeProvider(_ref) {
  var children = _ref.children;
  var _useRootNodeLocator = useRootNodeLocator(document.body),
    _useRootNodeLocator2 = _slicedToArray(_useRootNodeLocator, 2),
    parentNode = _useRootNodeLocator2[0],
    ParentNodeInput = _useRootNodeLocator2[1];
  return /*#__PURE__*/React.createElement(RootNodeContext.Provider, {
    value: parentNode
  }, /*#__PURE__*/React.createElement(ParentNodeInput, null), children);
}

function ownKeys$K(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$K(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$K(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$K(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }
function _isNativeReflectConstruct() { try { var t = !Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); } catch (t) {} return (_isNativeReflectConstruct = function _isNativeReflectConstruct() { return !!t; })(); }
var NodeError = /*#__PURE__*/function (_Error) {
  _inherits(NodeError, _Error);
  function NodeError(node) {
    var _this;
    _classCallCheck(this, NodeError);
    for (var _len = arguments.length, errorArgs = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      errorArgs[_key - 1] = arguments[_key];
    }
    _this = _callSuper(this, NodeError, [].concat(errorArgs));
    _defineProperty(_assertThisInitialized(_this), "node", void 0);
    _this.node = node;
    return _this;
  }
  return _createClass(NodeError);
}( /*#__PURE__*/_wrapNativeSuper(Error));
var iconStyleAttribute = 'data-es-icon-styles';
var iconsAsset = "".concat("https://app.qa.viabenefits.com/static/cdn/es-assets/", "icons.css");
var subdomain = window.location.hostname.split('.')[1];
var environments = ['dev', 'qa', 'stage'];
var local = 'localtest';
if (environments.some(function (arr) {
  return arr === subdomain;
})) iconsAsset = iconsAsset.replace('qa', subdomain);
if (local === subdomain) iconsAsset = iconsAsset.replace('app.qa.viabenefits.com', 'app.localtest.viabenefits.com:34300');
var getExistingStyleTag = function getExistingStyleTag(node) {
  return node.querySelector("[".concat(iconStyleAttribute, "]")) || node.querySelector("link[href=\"".concat(iconsAsset, "\"]:not([rel=\"preload\"])"));
};
var createStyleTag = function createStyleTag() {
  var styleTag = document.createElement('link');
  styleTag.setAttribute(iconStyleAttribute, '');
  styleTag.setAttribute('rel', 'stylesheet');
  styleTag.setAttribute('href', iconsAsset);
  return styleTag;
};
var addTag = function addTag(node, func) {
  try {
    var foundTag = getExistingStyleTag(node);
    if (foundTag) return foundTag;
    var tag = createStyleTag();
    func(tag);
    return tag;
  } catch (err) {
    var nodeError = new NodeError(node, 'Failed to load icon styles on node', {
      cause: err
    });
    console.error(nodeError); // eslint-disable-line no-console
    return undefined;
  }
};
var defaultIconContext = {
  initializedNodes: []
};
var documentAppend = function documentAppend(tag) {
  return document.head.append(tag);
};
var initializeBody = function initializeBody(node) {
  if (getExistingStyleTag(document.head)) return node;
  return addTag(node, documentAppend);
};
var initializeNode = function initializeNode(node) {
  // body must always be set up
  setup(document.body); // eslint-disable-line no-use-before-define
  return addTag(node, function (tag) {
    return node.prepend(tag);
  });
};
var setup = function setup(node) {
  if (!node) return;
  var initializedNodes = defaultIconContext.initializedNodes;
  if (initializedNodes.some(function (initializedNode) {
    return initializedNode === node;
  })) return;
  var isBody = node === document.body;
  (function () {
    return (isBody ? initializeBody : initializeNode)(node) && initializedNodes.push(node);
  })();
};
var IconContext = /*#__PURE__*/createContext(_objectSpread$K(_objectSpread$K({}, defaultIconContext), {}, {
  setup: setup
}));
var IconContext$1 = IconContext;

var _excluded$11 = ["name", "size", "className"];
function ownKeys$J(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$J(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$J(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$J(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var iconBasics = css(["font-style:normal;font-weight:normal;font-variant:normal;text-transform:none;line-height:1;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale;"]);
var iconBaseStyles = css(["", " ", ""], iconBasics, function (_ref) {
  var size = _ref.size;
  return css(["display:inline-block;font-size:", ";text-decoration:none;vertical-align:text-bottom;"], size || 'inherit');
});
var StyledIcon$1 = styled$1.i(["", ""], iconBaseStyles);
var Icon$1 = /*#__PURE__*/React.forwardRef(function ForwardedIcon(_ref2, ref) {
  var name = _ref2.name,
    size = _ref2.size,
    className = _ref2.className,
    other = _objectWithoutProperties(_ref2, _excluded$11);
  var _useRootNodeLocator = useRootNodeLocator(),
    _useRootNodeLocator2 = _slicedToArray(_useRootNodeLocator, 2),
    rootNode = _useRootNodeLocator2[0],
    RootNodeInput = _useRootNodeLocator2[1];
  useContext(IconContext$1).setup(rootNode);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(RootNodeInput, null), /*#__PURE__*/React.createElement(StyledIcon$1, _extends({
    className: "bds-icon bds-".concat(name || '', " ").concat(className || '').trim(),
    size: /^\d+$/.test((size === null || size === void 0 ? void 0 : size.toString()) || '') ? "".concat(size || '', "px") : (size === null || size === void 0 ? void 0 : size.toString()) || 'inherit',
    "aria-hidden": true,
    ref: ref
  }, other)));
});
var propTypes$j = _objectSpread$J(_objectSpread$J({}, htmlProps), {}, {
  /** Name of the icon to display */
  name: PropTypes.oneOf(_toConsumableArray(iconNames)),
  /** Specify icon size in pixels */
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  /** Additional classes to include */
  className: htmlProps['className']
});
var defaultProps$f = _objectSpread$J(_objectSpread$J({}, htmlDefaultProps), {}, {
  size: undefined,
  className: undefined
});
Icon$1.propTypes = propTypes$j;
Icon$1.defaultProps = defaultProps$f;
var Icon$2 = Icon$1;

var _excluded$10 = ["name", "size"];
var Container$3 = styled$1.div(["align-items:center;display:flex;height:", ";justify-content:center;width:", ";"], function (_ref) {
  var size = _ref.size;
  return size;
}, function (_ref2) {
  var size = _ref2.size;
  return size;
});
var Icon = styled$1.img(["height:auto;max-width:100%;"]);
var FullColorIcon = /*#__PURE__*/React.forwardRef(function FullColorIcon(_ref3, ref) {
  var name = _ref3.name,
    size = _ref3.size,
    props = _objectWithoutProperties(_ref3, _excluded$10);
  return (
    /*#__PURE__*/
    // reused this logic for size from the Icon component. Fine with the repeat for now, but should
    // consider moving to a util function later if we use again
    React.createElement(Container$3, _extends({
      ref: ref,
      size: /^\d+$/.test((size === null || size === void 0 ? void 0 : size.toString()) || '') ? "".concat(size, "px") : size || 'inherit'
    }, props), /*#__PURE__*/React.createElement(Icon, {
      src: "".concat("https://app.qa.viabenefits.com/static/cdn/es-assets/", "images/full-color-icons/").concat(name, ".svg"),
      alt: "".concat(name, " icon")
    }))
  );
});
FullColorIcon.propTypes = {
  /** Name of the icon to display */
  name: PropTypes.string.isRequired,
  /** Specify icon size in pixels */
  size: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
FullColorIcon.defaultProps = {
  size: undefined
};
var FullColorIcon$1 = FullColorIcon;

function noop$1() {
  // noop
}

var useTheme = function useTheme() {
  return useContext(ThemeContext);
};

// styles are based off of WebAIM's recommended styles
// https://webaim.org/techniques/css/invisiblecontent/#absolutepositioning
var screenReaderOnlyBase = styled$1.div(["position:absolute !important;left:-10000px;width:1px;height:1px;overflow:hidden;"]);
function screenReaderOnly(Component) {
  return screenReaderOnlyBase.withComponent(Component);
}

var DismissButtonBase = styled$1.button(["background-color:transparent;border:0;cursor:pointer;display:flex;font-weight:bold;opacity:0.2;padding:0;&:hover,&:focus{opacity:0.5;}"]);
var ScreenReaderText$1 = screenReaderOnly('span');
var DismissButton$1 = /*#__PURE__*/React.forwardRef(function DismissButton(props, ref) {
  return /*#__PURE__*/React.createElement(DismissButtonBase, _extends({
    "aria-label": "Close"
  }, props, {
    type: "button",
    ref: ref
  }), /*#__PURE__*/React.createElement(Icon$2, {
    name: "remove"
  }), /*#__PURE__*/React.createElement(ScreenReaderText$1, null, "Close"));
});
var DismissButton$2 = DismissButton$1;

var _excluded$$ = ["includeIcon", "isDismissable", "onDismiss", "children", "iconName", "iconColor", "color", "dismissNotification", "alwaysShowIcon"],
  _excluded2$c = ["role", "type", "children", "className", "style", "restyleAnchors", "styleType"];
function ownKeys$I(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$I(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$I(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$I(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var NotificationIcon = styled$1(Icon$2)(["", ""], function (_ref) {
  var iconColor = _ref.iconColor,
    theme = _ref.theme,
    alwaysShowIcon = _ref.alwaysShowIcon;
  return css(["align-self:start;color:", ";display:none;@media (min-width:", "){display:inline;margin-right:8px;}"], iconColor, alwaysShowIcon ? 0 : theme.screenSize.tablet);
});
var DismissBtn = styled$1(DismissButton$2).withConfig({
  shouldForwardProp: function shouldForwardProp(prop, defaultValidatorFn) {
    return !['color'].includes(prop) && defaultValidatorFn(prop);
  }
})(["", ""], function (_ref2) {
  var color = _ref2.color;
  return css(["align-self:start;color:", ";font-weight:normal;opacity:0.8;i{font-size:27px;}"], color);
});
var ContentWrapper$1 = styled$1.div(["align-self:center;flex-grow:1;word-break:break-word;"]);
function NotificationContent(props) {
  var includeIcon = props.includeIcon,
    isDismissable = props.isDismissable,
    onDismiss = props.onDismiss,
    children = props.children,
    iconName = props.iconName,
    iconColor = props.iconColor,
    color = props.color,
    dismissNotification = props.dismissNotification,
    alwaysShowIcon = props.alwaysShowIcon,
    rest = _objectWithoutProperties(props, _excluded$$);
  function dismiss() {
    onDismiss === null || onDismiss === void 0 || onDismiss();
    dismissNotification();
  }
  return /*#__PURE__*/React.createElement(React.Fragment, null, includeIcon && /*#__PURE__*/React.createElement(NotificationIcon, {
    name: iconName,
    iconColor: iconColor,
    size: 28,
    alwaysShowIcon: Boolean(alwaysShowIcon)
  }), /*#__PURE__*/React.createElement(ContentWrapper$1, rest, children), isDismissable && /*#__PURE__*/React.createElement(DismissBtn, {
    onClick: dismiss,
    color: color
  }));
}
var Notification$2 = styled$1.div(["", ""], function (_ref3) {
  var variant = _ref3.variant,
    restyleAnchors = _ref3.restyleAnchors;
  return css(["align-items:center;background-color:", ";border-radius:2px;color:", ";display:flex;margin-bottom:25px;padding:15px;border:", " ", " ", ";", " button[aria-expanded]{color:", ";}"], variant.bgColor, variant.textColor, variant.borderWidth, variant.borderStyle, variant.borderColor, restyleAnchors ? css(["&& a{color:", ";text-decoration:underline;&:hover,&:focus,&:active{text-decoration:none;}}"], variant.textColor) : "", variant.textColor);
});
var BaseNotification = /*#__PURE__*/React.forwardRef(function ForwardedBaseNotification(_ref4, ref) {
  var _ref4$role = _ref4.role,
    role = _ref4$role === void 0 ? 'dialog' : _ref4$role,
    type = _ref4.type,
    children = _ref4.children,
    className = _ref4.className,
    style = _ref4.style,
    _ref4$restyleAnchors = _ref4.restyleAnchors,
    restyleAnchors = _ref4$restyleAnchors === void 0 ? true : _ref4$restyleAnchors,
    _ref4$styleType = _ref4.styleType,
    styleType = _ref4$styleType === void 0 ? 'base' : _ref4$styleType,
    rest = _objectWithoutProperties(_ref4, _excluded2$c);
  var theme = useTheme();
  var colorVariant = theme.notificationStyles[type][styleType];
  var color = colorVariant.textColor;
  var iconName = theme.validationIconName[type];
  var iconColor = styleType === 'base' ? theme.colors.white : theme.colors[type];
  var notificationContentProps = _objectSpread$I(_objectSpread$I({}, rest), {}, {
    color: color,
    iconName: iconName,
    iconColor: iconColor
  });
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isDismissed = _useState2[0],
    setIsDismissed = _useState2[1];
  function dismissNotification() {
    setIsDismissed(true);
  }
  return !isDismissed ? /*#__PURE__*/React.createElement(Notification$2, {
    ref: ref,
    variant: colorVariant,
    className: className,
    style: style,
    restyleAnchors: restyleAnchors,
    role: role
  }, /*#__PURE__*/React.createElement(NotificationContent, _extends({
    dismissNotification: dismissNotification
  }, notificationContentProps), children)) : /*#__PURE__*/React.createElement(React.Fragment, null);
});

var Notification = /*#__PURE__*/React.forwardRef(function ForwardedNotification(props, ref) {
  return /*#__PURE__*/React.createElement(BaseNotification, _extends({
    ref: ref
  }, props));
});
Notification.propTypes = {
  /** The type of notification to render */
  type: PropTypes.oneOf(validationStyleTypes).isRequired,
  /** Display an icon in the notification on a screen >= 768px */
  includeIcon: PropTypes.bool,
  /** Display a dismiss button that will close the notification */
  isDismissable: PropTypes.bool,
  /** Function to execute when the dialog is closed */
  onDismiss: PropTypes.func,
  /** Allows the icon to display at all resolutions */
  alwaysShowIcon: PropTypes.bool
};
Notification.defaultProps = {
  includeIcon: false,
  isDismissable: false,
  onDismiss: noop$1,
  alwaysShowIcon: false
};
var Notification$1 = Notification;

var LightNotification = /*#__PURE__*/React.forwardRef(function LightNotification(props, ref) {
  return /*#__PURE__*/React.createElement(BaseNotification, _extends({
    ref: ref
  }, props, {
    styleType: "light"
  }));
});
LightNotification.propTypes = {
  /** The type of notification to render */
  type: PropTypes.oneOf(validationStyleTypes).isRequired,
  /** Display an icon in the notification on a screen >= 768px */
  includeIcon: PropTypes.bool,
  /** Display a dismiss button that will close the notification */
  isDismissable: PropTypes.bool,
  /** Function to execute when the dialog is closed */
  onDismiss: PropTypes.func,
  /** Allows the icon to display at all resolutions */
  alwaysShowIcon: PropTypes.bool
};
LightNotification.defaultProps = {
  includeIcon: false,
  isDismissable: false,
  onDismiss: noop$1,
  alwaysShowIcon: false
};
var LightNotification$1 = LightNotification;

var MessageNotification = /*#__PURE__*/React.forwardRef(function ForwardedMessageNotification(props, ref) {
  return /*#__PURE__*/React.createElement(BaseNotification, _extends({
    ref: ref
  }, props, {
    styleType: "messageOnly"
  }));
});
MessageNotification.propTypes = {
  /** The type of notification to render */
  type: PropTypes.oneOf(validationStyleTypes).isRequired,
  /** Display an icon in the notification on a screen >= 768px */
  includeIcon: PropTypes.bool,
  /** Display a dismiss button that will close the notification */
  isDismissable: PropTypes.bool,
  /** Function to execute when the dialog is closed */
  onDismiss: PropTypes.func,
  /** Allows the icon to display at all resolutions */
  alwaysShowIcon: PropTypes.bool
};
MessageNotification.defaultProps = {
  includeIcon: false,
  isDismissable: false,
  onDismiss: noop$1,
  alwaysShowIcon: false
};
var MessageNotification$1 = MessageNotification;

var _excluded$_ = ["emphasizedText", "text", "isInline"];
var propTypes$i = {
  emphasizedText: PropTypes.string,
  text: PropTypes.node.isRequired
};
var defaultProps$e = {
  emphasizedText: undefined
};
var InlineMessage = /*#__PURE__*/React.forwardRef(function ForwardedInlineMessage(props, ref) {
  return /*#__PURE__*/React.createElement(Message, _extends({}, props, {
    isInline: true,
    ref: ref
  }));
});
InlineMessage.propTypes = propTypes$i;
InlineMessage.defaultProps = defaultProps$e;
var Message = /*#__PURE__*/React.forwardRef(function Message(_ref, ref) {
  var emphasizedText = _ref.emphasizedText,
    text = _ref.text,
    isInline = _ref.isInline,
    rest = _objectWithoutProperties(_ref, _excluded$_);
  var inlineBreak = isInline ? /*#__PURE__*/React.createElement(React.Fragment, null) : /*#__PURE__*/React.createElement("br", null);
  return /*#__PURE__*/React.createElement("span", _extends({}, rest, {
    ref: ref
  }), emphasizedText !== undefined ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("strong", null, emphasizedText), inlineBreak) : null, text);
});
Message.propTypes = propTypes$i;
Message.defaultProps = defaultProps$e;

var noop = function noop() {
  // noop
};
var DrawerContext = /*#__PURE__*/createContext({
  activeKeys: '',
  toggleActiveKey: noop,
  setActiveKey: noop,
  unsetActiveKey: noop
});

function generateAlphaName() {
  var possible = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';
  var text = '';
  for (var i = 0; i < 6; i++) {
    text += possible.charAt(Math.floor(Math.random() * possible.length));
  }
  return text;
}

function useUniqueId(providedId) {
  var idRef = useRef(providedId || generateAlphaName());
  return idRef.current;
}

var _excluded$Z = ["id", "panelKey", "open", "controlledOpen", "onChange"],
  _excluded2$b = ["children"];
function ownKeys$H(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$H(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$H(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$H(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var DrawerItemContext = /*#__PURE__*/createContext({
  open: false,
  itemId: '',
  itemKey: '',
  toggleOpen: function toggleOpen() {
    /* noop */
  }
});
var useDrawerItemContext = function useDrawerItemContext() {
  return useContext(DrawerItemContext);
};
var DrawerItem = function DrawerItem(_ref) {
  var id = _ref.id,
    panelKey = _ref.panelKey,
    openProp = _ref.open,
    controlledOpen = _ref.controlledOpen,
    onChange = _ref.onChange,
    props = _objectWithoutProperties(_ref, _excluded$Z);
  var _useContext = useContext(DrawerContext),
    activeKeys = _useContext.activeKeys,
    toggleActiveKey = _useContext.toggleActiveKey,
    setActiveKey = _useContext.setActiveKey,
    unsetActiveKey = _useContext.unsetActiveKey;
  var itemId = useUniqueId(id);
  var itemKey = useUniqueId(panelKey === null || panelKey === void 0 ? void 0 : panelKey.toString());
  var toggleOpen = useCallback(function () {
    return toggleActiveKey(itemKey);
  }, [itemKey, toggleActiveKey]);
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    afterInitialRender = _useState2[0],
    setAfterInitialRender = _useState2[1];
  var _useState3 = useState(activeKeys.includes(itemKey)),
    _useState4 = _slicedToArray(_useState3, 2),
    open = _useState4[0],
    setOpen = _useState4[1];
  var safeSetOpen = useCallback(function (openState) {
    var newOpen = openState;
    if (typeof controlledOpen !== 'undefined') newOpen = controlledOpen;
    setOpen(newOpen);
  }, [controlledOpen]);
  var _useState5 = useState({
      open: open,
      itemId: itemId,
      itemKey: itemKey,
      toggleOpen: toggleOpen
    }),
    _useState6 = _slicedToArray(_useState5, 2),
    itemContext = _useState6[0],
    setItemContext = _useState6[1];
  useEffect(function setOpenFromActiveKeys() {
    var newOpen = activeKeys.includes(itemKey);
    safeSetOpen(newOpen);
  }, [activeKeys, itemKey, safeSetOpen]);
  useEffect(function setOpenFromOpenProp() {
    if (typeof openProp === 'undefined') return;
    (openProp ? setActiveKey : unsetActiveKey)(itemKey);
  }, [openProp, itemKey, setActiveKey, unsetActiveKey]);
  useMonitoringEffect(function callOnChangeWhenOpenChanges(_ref2) {
    var currentOnChange = _ref2.onChange,
      afterRender = _ref2.afterInitialRender;
    if (!afterRender) {
      return;
    }
    currentOnChange === null || currentOnChange === void 0 || currentOnChange(open);
  }, [open], {
    onChange: onChange,
    afterInitialRender: afterInitialRender
  });
  useEffect(function setChangedContext() {
    setItemContext({
      open: open,
      itemId: itemId,
      itemKey: itemKey,
      toggleOpen: toggleOpen
    });
  }, [open, itemId, itemKey, toggleOpen]);
  useEffect(function () {
    setAfterInitialRender(true);
  }, []);
  return /*#__PURE__*/React.createElement(DrawerItemContext.Provider, _extends({}, props, {
    value: itemContext
  }));
};
DrawerItem.propTypes = {
  /** Set the drawer to open or closed (true/false) */
  open: PropTypes.bool,
  /** React when drawer opens or closes */
  onChange: PropTypes.func,
  // INTERNAL PROPS
  /** @ignore@ */
  id: PropTypes.string,
  /** @ignore */
  panelKey: PropTypes.oneOfType([PropTypes.string, PropTypes.number])
};
DrawerItem.defaultProps = {
  open: undefined,
  id: undefined,
  panelKey: undefined
};
var DrawerItemBody = /*#__PURE__*/React.forwardRef(function ForwardedItemBody(props, ref) {
  var _useDrawerItemContext = useDrawerItemContext(),
    open = _useDrawerItemContext.open,
    itemId = _useDrawerItemContext.itemId;
  var height = open ? 'auto' : 0;
  return /*#__PURE__*/React.createElement(AnimateHeight, _extends({
    ref: ref,
    height: height,
    duration: 300,
    id: "".concat(itemId, "-region"),
    role: "region"
  }, props));
});
DrawerItemBody.propTypes = {
  children: PropTypes.node
};
function DrawerItemOpenerSingle(_ref3) {
  var children = _ref3.children;
  var child = React.Children.only(children);
  var _useContext2 = useContext(DrawerItemContext),
    open = _useContext2.open,
    toggleOpen = _useContext2.toggleOpen,
    itemId = _useContext2.itemId;
  var onClick = useMonitoringCallback(function (_ref4, ev) {
    var currentOnClick = _ref4.onChildClick,
      currentToggle = _ref4.toggleOpen;
    currentOnClick === null || currentOnClick === void 0 || currentOnClick(ev);
    currentToggle();
  }, {
    toggleOpen: toggleOpen,
    onChildClick: child.props.onClick
  });
  return /*#__PURE__*/React.cloneElement(child, _objectSpread$H(_objectSpread$H({}, child.props), {}, {
    onClick: onClick,
    'aria-expanded': open,
    'aria-controls': "".concat(itemId, "-region")
  }));
}
var DrawerItemOpener = function DrawerItemOpener(_ref5) {
  var children = _ref5.children,
    props = _objectWithoutProperties(_ref5, _excluded2$b);
  try {
    return /*#__PURE__*/React.createElement(DrawerItemOpenerSingle, props, children);
  } catch (_unused) {
    // eslint-disable-next-line no-console
    console.error('Drawer.ItemOpener could not set onClick. Please ensure it has only one root child component.');
    return children;
  }
};
DrawerItemOpener.propTypes = {
  children: PropTypes.element.isRequired
};

var baseFontCss = css(["", ""], function (_ref) {
  var theme = _ref.theme;
  return (theme === null || theme === void 0 ? void 0 : theme.font) && css(["font-family:", ";"], theme.font.baseFontFace);
});

var _excluded$Y = ["size", "level"],
  _excluded2$a = ["level"];
function ownKeys$G(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$G(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$G(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$G(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var knockoutStyles = css(["background-color:", ";color:white;padding:20px 15px;"], function (_ref) {
  var theme = _ref.theme;
  return theme.colors.primary;
});
var getMarginBottom = function getMarginBottom(size) {
  var sizeNum = parseFloat(size);
  if (sizeNum > 36) {
    return '1.5rem';
  }
  if (sizeNum > 26) {
    return '1.25rem';
  }
  if (sizeNum > 18) {
    return '1rem';
  }
  return '0.75rem';
};
var getHeadingSizeCss = function getHeadingSizeCss(_ref2, adjustedSize) {
  var _ref2$font = _ref2.font,
    headingMobile = _ref2$font.headingMobile,
    headingDesktop = _ref2$font.headingDesktop,
    screenSize = _ref2.screenSize;
  return css(["font-size:", ";margin-bottom:", ";small{font-size:", ";}@media (min-width:", "){font-size:", ";margin-bottom:", ";}"], headingMobile[adjustedSize], getMarginBottom(headingMobile[adjustedSize]), adjustedSize > 3 ? '75%' : '65%', screenSize.tablet, headingDesktop[adjustedSize], getMarginBottom(headingDesktop[adjustedSize]));
};
var headingBaseCss = css(["", " font-weight:300;line-height:calc(1em + 0.5rem);margin-bottom:0.45em;margin-top:0;color:inherit;small{line-height:1;}"], baseFontCss);
var globalHeadingsCss = css(["", "{", "}", ""], headingLevel.map(function (level) {
  return "h".concat(level);
}).join(', '), headingBaseCss, function (_ref3) {
  var theme = _ref3.theme;
  return headingLevel.map(function (size) {
    return css(["h", "{", "}"], size, getHeadingSizeCss(theme, size));
  });
});
function getAdjustedProps(func) {
  return function (_ref4) {
    var size = _ref4.size,
      _ref4$level = _ref4.level,
      level = _ref4$level === void 0 ? 1 : _ref4$level,
      props = _objectWithoutProperties(_ref4, _excluded$Y);
    return func(_objectSpread$G(_objectSpread$G({}, props), {}, {
      size: size,
      level: level,
      adjustedSize: size || level
    }));
  };
}
var UnstyledHeading = styled$1.h1([""]);
var Heading = styled$1(function (_ref5) {
  var _ref5$level = _ref5.level,
    level = _ref5$level === void 0 ? 1 : _ref5$level,
    props = _objectWithoutProperties(_ref5, _excluded2$a);
  return /*#__PURE__*/React.createElement(UnstyledHeading, _extends({
    as: "h".concat(level)
  }, props));
})(["", " border-bottom:", ";padding-bottom:", ";", " &&{", "}"], headingBaseCss, function (props) {
  return props.underlineColor && "2px solid ".concat(props.underlineColor, ";");
}, function (props) {
  return props.underlineColor && '0.22em';
}, getAdjustedProps(function (_ref6) {
  var theme = _ref6.theme,
    adjustedSize = _ref6.adjustedSize;
  return getHeadingSizeCss(theme, adjustedSize);
}), function (_ref7) {
  var isKnockoutStyle = _ref7.isKnockoutStyle;
  return isKnockoutStyle && knockoutStyles;
});
Heading.propTypes = {
  children: PropTypes.node,
  /** Heading level element */
  level: PropTypes.oneOf([1, 2, 3, 4, 5, 6]),
  /** Override the default font size with another level */
  size: PropTypes.oneOf([1, 2, 3, 4, 5, 6]),
  /** Alternate knockout-style header with a solid background */
  isKnockoutStyle: PropTypes.bool,
  /** Include an underline with the provided color */
  underlineColor: PropTypes.string
};
Heading.defaultProps = {
  children: undefined,
  level: 1,
  size: undefined,
  isKnockoutStyle: false,
  underlineColor: null
};

/** @component */
var Heading$1 = Heading;
var PageHeading = styled$1(Heading).attrs({
  isKnockoutStyle: true,
  level: 1
})([""]);

var _templateObject$2;
var _excluded$X = ["openedIconName", "closedIconName"],
  _excluded2$9 = ["children", "title", "titleAside", "noPadding", "headingLevel", "open", "openedIconName", "closedIconName", "panelKey"];
function ownKeys$F(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$F(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$F(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$F(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PanelWrapper = styled$1.div(["border-bottom:1px solid ", ";"], function (props) {
  return props.theme.colors.gray3;
});
var PanelButton = styled$1.button(["background:none;border:0;color:", ";cursor:pointer;display:flex;font-size:18px;justify-content:space-between;padding:10px 15px;width:100%;@media (hover:hover),(-ms-high-contrast:none){&:hover{background-color:", ";color:", ";}}"], function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return props.theme.colors.gray2;
}, function (props) {
  return props.theme.brandColors.primary1;
});
var PanelIcon = styled$1(function (_ref) {
  var openedIconName = _ref.openedIconName,
    closedIconName = _ref.closedIconName,
    props = _objectWithoutProperties(_ref, _excluded$X);
  var _useDrawerItemContext = useDrawerItemContext(),
    open = _useDrawerItemContext.open;
  return /*#__PURE__*/React.createElement(Icon$2, _extends({
    name: open ? openedIconName : closedIconName
  }, props));
})(["margin-right:0.4em;position:relative;top:-2px;"]);
var styledDrawerItemBody = function styledDrawerItemBody() {
  var panelBodyStyle = css(["background-color:", ";color:", ";> div{border-bottom:4px solid ", ";padding:", ";}"], function (props) {
    return props.theme.colors.white;
  }, function (props) {
    return props.theme.colors.gray9;
  }, function (props) {
    return props.theme.colors.gray3;
  }, function (props) {
    return props.noPadding ? '0' : '10px 10px 10px 40px';
  });
  var styledBody = styled$1(DrawerItemBody);

  // handle styled-components v5
  styledBody.withConfig = styledBody.withConfig || function () {
    return styledBody;
  };
  return styledBody.withConfig({
    shouldForwardProp: function shouldForwardProp(prop) {
      return !['noPadding', 'panelKey'].some(function (disallowedProp) {
        return prop === disallowedProp;
      });
    }
  })(_templateObject$2 || (_templateObject$2 = _taggedTemplateLiteral(["\n      ", "\n    "])), panelBodyStyle);
};
var PanelBody = styledDrawerItemBody();
var DrawerPanel = /*#__PURE__*/React.forwardRef(function DrawerPanel(_ref2, ref) {
  var children = _ref2.children,
    title = _ref2.title,
    titleAside = _ref2.titleAside,
    _ref2$noPadding = _ref2.noPadding,
    noPadding = _ref2$noPadding === void 0 ? false : _ref2$noPadding,
    _ref2$headingLevel = _ref2.headingLevel,
    headingLevel = _ref2$headingLevel === void 0 ? 2 : _ref2$headingLevel,
    open = _ref2.open,
    _ref2$openedIconName = _ref2.openedIconName,
    openedIconName = _ref2$openedIconName === void 0 ? 'add' : _ref2$openedIconName,
    _ref2$closedIconName = _ref2.closedIconName,
    closedIconName = _ref2$closedIconName === void 0 ? 'minus' : _ref2$closedIconName,
    panelKey = _ref2.panelKey,
    other = _objectWithoutProperties(_ref2, _excluded2$9);
  var buttonRef = useRef();
  useImperativeHandle(ref, function () {
    return {
      focusHeaderButton: function focusHeaderButton() {
        var _buttonRef$current;
        return (_buttonRef$current = buttonRef.current) === null || _buttonRef$current === void 0 ? void 0 : _buttonRef$current.focus();
      }
    };
  });
  var panelId = useUniqueId(other.id);
  var headingAriaId = "".concat(panelId, "-heading");
  var itemProps = {
    id: panelId,
    panelKey: panelKey,
    open: open
  };
  return /*#__PURE__*/React.createElement(DrawerItem, itemProps, /*#__PURE__*/React.createElement(PanelWrapper, other, /*#__PURE__*/React.createElement("div", {
    id: headingAriaId,
    role: "heading",
    "aria-level": headingLevel
  }, /*#__PURE__*/React.createElement(DrawerItemOpener, null, /*#__PURE__*/React.createElement(PanelButton, {
    ref: buttonRef
  }, /*#__PURE__*/React.createElement("span", null, /*#__PURE__*/React.createElement(PanelIcon, {
    closedIconName: closedIconName,
    openedIconName: openedIconName
  }), title), titleAside && /*#__PURE__*/React.createElement("aside", null, titleAside)))), /*#__PURE__*/React.createElement(PanelBody, {
    "aria-labelledby": headingAriaId,
    noPadding: noPadding
  }, children)));
});
var propTypes$h = _objectSpread$F(_objectSpread$F({}, PanelWrapper.propTypes || {}), {}, {
  children: PropTypes.any.isRequired,
  /** Title text displayed next to the open/close icon */
  title: PropTypes.node.isRequired,
  /** Aside text/content displayed on the right side of the panel title */
  titleAside: PropTypes.node,
  /** Removes the default padding from the panel body */
  noPadding: PropTypes.bool,
  /** Set desired aria-level for heading */
  // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
  headingLevel: Heading$1.propTypes.level,
  open: PropTypes.bool,
  // INTERNAL PROPS
  /** @ignore */
  closedIconName: PropTypes.oneOf(_toConsumableArray(iconNames)),
  /** @ignore */
  openedIconName: PropTypes.oneOf(_toConsumableArray(iconNames)),
  /** @ignore */
  panelKey: PropTypes.string
});
DrawerPanel.propTypes = propTypes$h;
DrawerPanel.defaultProps = _objectSpread$F(_objectSpread$F({}, PanelWrapper.defaultProps || {}), {}, {
  noPadding: false,
  titleAside: undefined,
  headingLevel: 2,
  panelKey: undefined,
  open: undefined,
  closedIconName: 'add',
  openedIconName: 'minus'
});
var DrawerPanel$1 = DrawerPanel;

var _excluded$W = ["activeKeys", "children", "closedIconName", "isAccordion", "onActiveKeysChanged", "openedIconName", "useDefaultStyles"];
var StyledDrawer$1 = styled$1.div(["background-color:", ";border-top:1px solid ", ";box-shadow:0 1px 1px ", ";margin-bottom:25px;"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray3;
}, function (props) {
  return props.theme.colors.boxShadowLight;
});
var UnstyledDrawer = styled$1.div([""]);
var keysAsArray = function keysAsArray(activeKeys) {
  return activeKeys === undefined ? [] : Array.isArray(activeKeys) ? activeKeys : [activeKeys];
};
var simpleArraysEqual = function simpleArraysEqual(arr1, arr2) {
  return arr1.length === arr2.length && arr1.every(function (item) {
    return arr2.includes(item);
  });
};
var addKey = function addKey(key, keysList) {
  if (keysList !== null && keysList !== void 0 && keysList.includes(key)) return keysList;
  var newKeys = _toConsumableArray(new Set([key].concat(_toConsumableArray(keysList))));
  return newKeys;
};
var removeKey = function removeKey(key, keysList) {
  if (!(keysList !== null && keysList !== void 0 && keysList.includes(key))) return keysList;
  var newKeys = keysList === null || keysList === void 0 ? void 0 : keysList.filter(function (k) {
    return k !== key;
  });
  return newKeys;
};
var Drawer = /*#__PURE__*/React.forwardRef(function Drawer(_ref, ref) {
  var activeKeysProp = _ref.activeKeys,
    children = _ref.children,
    _ref$closedIconName = _ref.closedIconName,
    closedIconName = _ref$closedIconName === void 0 ? 'add' : _ref$closedIconName,
    _ref$isAccordion = _ref.isAccordion,
    isAccordion = _ref$isAccordion === void 0 ? false : _ref$isAccordion,
    _ref$onActiveKeysChan = _ref.onActiveKeysChanged,
    onActiveKeysChanged = _ref$onActiveKeysChan === void 0 ? function () {
      // noop
    } : _ref$onActiveKeysChan,
    _ref$openedIconName = _ref.openedIconName,
    openedIconName = _ref$openedIconName === void 0 ? 'minus' : _ref$openedIconName,
    _ref$useDefaultStyles = _ref.useDefaultStyles,
    useDefaultStyles = _ref$useDefaultStyles === void 0 ? true : _ref$useDefaultStyles,
    other = _objectWithoutProperties(_ref, _excluded$W);
  var keysChangedCallback = useRef(onActiveKeysChanged);
  keysChangedCallback.current = onActiveKeysChanged;
  var currentActiveKeysProp = useRef(activeKeysProp);
  currentActiveKeysProp.current = activeKeysProp;
  var _useState = useState(activeKeysProp || []),
    _useState2 = _slicedToArray(_useState, 2),
    activeKeys = _useState2[0],
    setActiveKeys = _useState2[1];
  var resetActiveKeys = useCallback(function (keymaker) {
    return setActiveKeys(function (oldKeys) {
      var oldKeysArray = keysAsArray(oldKeys);
      var keys = keymaker(oldKeysArray);
      var newKeys = keys.length && isAccordion ? [keys[0]] : keys;
      return simpleArraysEqual(oldKeysArray, keysAsArray(newKeys)) ? oldKeys : newKeys;
    });
  }, [isAccordion]);
  var resetActiveKeysCallback = useRef(resetActiveKeys);
  resetActiveKeysCallback.current = resetActiveKeys;
  var setActiveKey = useCallback(function (key) {
    return resetActiveKeysCallback.current(function (oldActiveKeys) {
      return addKey(key, keysAsArray(oldActiveKeys));
    });
  }, []);
  var unsetActiveKey = useCallback(function (key) {
    return resetActiveKeysCallback.current(function (oldActiveKeys) {
      return removeKey(key, keysAsArray(oldActiveKeys));
    });
  }, []);
  var toggleActiveKey = useCallback(function (key) {
    resetActiveKeysCallback.current(function (oldActiveKeys) {
      var isOpen = oldActiveKeys.includes(key);
      return (isOpen ? removeKey : addKey)(key, keysAsArray(oldActiveKeys));
    });
  }, []);
  var _useState3 = useState({
      activeKeys: activeKeys,
      setActiveKey: setActiveKey,
      unsetActiveKey: unsetActiveKey,
      toggleActiveKey: toggleActiveKey
    }),
    _useState4 = _slicedToArray(_useState3, 2),
    drawerState = _useState4[0],
    setDrawerState = _useState4[1];
  useEffect(function () {
    if (simpleArraysEqual(keysAsArray(activeKeys), keysAsArray(currentActiveKeysProp.current))) return;
    keysChangedCallback.current(keysAsArray(activeKeys));
  }, [activeKeys]);
  useEffect(function () {
    if (!activeKeysProp) return;
    resetActiveKeysCallback.current(function (oldKeys) {
      return simpleArraysEqual(keysAsArray(oldKeys), keysAsArray(activeKeysProp)) ? oldKeys : activeKeysProp;
    });
  }, [activeKeysProp]);
  useEffect(function () {
    setDrawerState({
      activeKeys: activeKeys,
      setActiveKey: setActiveKey,
      unsetActiveKey: unsetActiveKey,
      toggleActiveKey: toggleActiveKey
    });
  }, [activeKeys, setActiveKey, unsetActiveKey, toggleActiveKey]);
  var DrawerContainer = useDefaultStyles ? StyledDrawer$1 : UnstyledDrawer;
  return /*#__PURE__*/React.createElement(DrawerContext.Provider, {
    value: drawerState
  }, /*#__PURE__*/React.createElement(DrawerContainer, _extends({}, other, {
    ref: ref
  }), React.Children.map(children, function (child, ind) {
    var _child$key;
    if (!child) return child;
    if (! /*#__PURE__*/React.isValidElement(child)) return child;

    /*Handle styled-component*/
    var targetType = child.type;
    var isDrawerPanel = child.type === DrawerPanel$1 || targetType.target === DrawerPanel$1;
    if (!isDrawerPanel) return child;
    var childKey = (_child$key = child.key) === null || _child$key === void 0 ? void 0 : _child$key.toString();
    var activeIndex = "".concat(ind + 1);
    var panelKey = childKey || activeIndex;
    return /*#__PURE__*/React.cloneElement(child, {
      openedIconName: openedIconName,
      closedIconName: closedIconName,
      panelKey: panelKey
    });
  })));
});
Drawer.propTypes = {
  /** Set which panels are open */
  activeKeys: PropTypes.oneOfType([PropTypes.string.isRequired, PropTypes.arrayOf(PropTypes.string.isRequired).isRequired]),
  /** Usually only one or more Drawer.Panel elements */
  children: PropTypes.node,
  /** Override the default plus icon with another OE icon name */
  closedIconName: PropTypes.oneOf(_toConsumableArray(iconNames)),
  /** Only allows one DrawerPanel to be open at a time */
  isAccordion: PropTypes.bool,
  /** Function called when changing active keys */
  onActiveKeysChanged: PropTypes.func,
  /** Override the default minus icon with another OE icon name */
  openedIconName: PropTypes.oneOf(_toConsumableArray(iconNames)),
  /** Include default container styles */
  useDefaultStyles: PropTypes.bool
};
Drawer.defaultProps = {
  activeKeys: undefined,
  isAccordion: false,
  closedIconName: 'add',
  openedIconName: 'minus',
  children: undefined,
  useDefaultStyles: true,
  onActiveKeysChanged: function onActiveKeysChanged() {
    // noop
  }
};
Drawer.Panel = DrawerPanel$1;
Drawer.Item = DrawerItem;
Drawer.ItemOpener = DrawerItemOpener;
Drawer.ItemBody = DrawerItemBody;
var Drawer$1 = Drawer;

/* eslint-disable
  @typescript-eslint/no-explicit-any,
  @typescript-eslint/restrict-template-expressions
*/
var isBool = function isBool(v) {
  return "".concat(v) === 'true' || "".concat(v) === 'false';
};
var isBool$1 = isBool;

var _excluded$V = ["flat"],
  _excluded2$8 = ["value"];
function ownKeys$E(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$E(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$E(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$E(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Form = /*#__PURE__*/React.forwardRef(function Form(_ref, ref) {
  var flat = _ref.flat,
    otherProps = _objectWithoutProperties(_ref, _excluded$V);
  return /*#__PURE__*/React.createElement(FormContextProvider, {
    value: isBool$1(flat) ? {
      flat: flat
    } : {}
  }, /*#__PURE__*/React.createElement("form", _extends({
    ref: ref
  }, otherProps)));
});
var Form$1 = Form;
var FormContext = /*#__PURE__*/createContext({});
var FormContextProvider = function FormContextProvider(_ref2) {
  var value = _ref2.value,
    props = _objectWithoutProperties(_ref2, _excluded2$8);
  var _useTheme = useTheme(),
    _useTheme$inputStyles = _useTheme.inputStyles,
    inputStyles = _useTheme$inputStyles === void 0 ? {} : _useTheme$inputStyles;
  var _ref3 = inputStyles,
    defaultFormStyle = _ref3.defaultFormStyle;
  var parentFormContext = useContext(FormContext);
  var newContext = _objectSpread$E(_objectSpread$E({}, parentFormContext), value || {});
  if (defaultFormStyle) {
    var newDefaultValue = isBool$1(newContext[defaultFormStyle]) ? newContext[defaultFormStyle] : true;
    newContext[defaultFormStyle] = newDefaultValue;
  }
  return /*#__PURE__*/React.createElement(FormContext.Provider, _extends({
    value: newContext
  }, props));
};
FormContextProvider.propTypes = {
  value: PropTypes.object
};
Form.propTypes = {
  /** Apply the Flat Style to all children */
  flat: PropTypes.bool
};
Form.defaultProps = {
  flat: undefined
};

var orientations = ['stacked', 'inline'];
var OrientationContext = /*#__PURE__*/React.createContext('stacked');

var _excluded$U = ["legendContent", "children", "orientation", "flat"];
var fieldsetReset = css(["appearance:none;border:0;padding:0;margin:0;"]);
var FieldsetBase = styled$1.fieldset(["", " display:flex;flex-wrap:wrap;flex-direction:column;margin-bottom:25px;width:100%;> *:last-child{margin-bottom:0;}", ";"], fieldsetReset, function (props) {
  return props.orientation === 'inline' && css(["@media (min-width:", "){align-items:baseline;flex-direction:row;}"], props.theme.screenSize.tablet);
});
var Legend = styled$1.legend(["", " color:", ";flex:0 0 auto;font-size:21.6px;line-height:", ";margin:0 0 10px 0;width:100%;"], fieldsetReset, function (props) {
  return props.theme.colors.black;
}, function (props) {
  return props.theme.font.baseLineHeight;
});
var Fieldset = /*#__PURE__*/React.forwardRef(function ForwardedFieldset(_ref, ref) {
  var legendContent = _ref.legendContent,
    children = _ref.children,
    orientationProp = _ref.orientation,
    flat = _ref.flat,
    other = _objectWithoutProperties(_ref, _excluded$U);
  var orientation = useContext(OrientationContext);
  var extraFormContext = isBool$1(flat) ? {
    flat: flat
  } : {};
  var finalOrientation = orientationProp || orientation || 'stacked';
  return /*#__PURE__*/React.createElement(OrientationContext.Provider, {
    value: finalOrientation
  }, /*#__PURE__*/React.createElement(FormContextProvider, {
    value: extraFormContext
  }, /*#__PURE__*/React.createElement(FieldsetBase, _extends({
    ref: ref,
    orientation: finalOrientation
  }, other), legendContent && /*#__PURE__*/React.createElement(Legend, null, legendContent), children)));
});
Fieldset.propTypes = {
  orientation: PropTypes.oneOf(['stacked', 'inline']),
  /** Determine whether or not to add a legend and what content to display  */
  legendContent: PropTypes.node,
  /** Apply the Flat Style to all children */
  flat: PropTypes.bool,
  children: PropTypes.node
};
Fieldset.defaultProps = {
  orientation: undefined,
  legendContent: null,
  flat: undefined,
  children: undefined
};
Fieldset.Legend = Legend;
var Fieldset$1 = Fieldset;

var callRef = function callRef(ref, value) {
  return typeof ref === 'function' ? ref(value) : ref && Object.hasOwn(ref, 'current') && (ref.current = value);
};
var callRef$1 = callRef;
function callRefs(value) {
  for (var _len = arguments.length, refs = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    refs[_key - 1] = arguments[_key];
  }
  refs.forEach(function (r) {
    return callRef(r, value);
  });
}
function useMergedRefs() {
  for (var _len2 = arguments.length, refs = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
    refs[_key2] = arguments[_key2];
  }
  var mergedRefs = useCallback(function (el) {
    callRefs.apply(void 0, [el].concat(refs));
  }, [].concat(refs) // eslint-disable-line react-hooks/exhaustive-deps
  );
  return mergedRefs;
}

var _excluded$T = ["children", "style"],
  _excluded2$7 = ["children", "duration", "opacity"];
function ownKeys$D(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$D(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$D(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$D(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var getFadeStyle = function getFadeStyle(status, finalOpacity) {
  switch (status) {
    case 'entering':
    case 'entered':
      return {
        finalOpacity: finalOpacity
      };
    default:
      return {
        opacity: 0
      };
  }
};
var TransitionChild = /*#__PURE__*/forwardRef(function ForwardedTransitionChild(_ref, _ref2) {
  var _children$props;
  var children = _ref.children,
    style = _ref.style,
    transitionStatus = _ref.transitionStatus;
  return /*#__PURE__*/React.cloneElement(children, {
    ref: function ref(el) {
      return callRefs(el, _ref2, children.ref);
    },
    style: _objectSpread$D(_objectSpread$D(_objectSpread$D({}, (children === null || children === void 0 || (_children$props = children.props) === null || _children$props === void 0 ? void 0 : _children$props.style) || {}), style), getFadeStyle(transitionStatus, typeof style.opacity == 'number' || Boolean(style.opacity) ? style.opacity : 1))
  });
});
function FadeTransition(_ref3) {
  var children = _ref3.children,
    style = _ref3.style,
    transitionProps = _objectWithoutProperties(_ref3, _excluded$T);
  var nodeRef = useRef(null);
  var child = React.Children.only(children);
  return /*#__PURE__*/React.createElement(Transition, _extends({
    nodeRef: nodeRef
  }, transitionProps), function (transitionStatus) {
    return /*#__PURE__*/React.createElement(TransitionChild, {
      ref: nodeRef,
      transitionStatus: transitionStatus,
      style: style
    }, child);
  });
}
var Fade = function Fade(_ref4) {
  var children = _ref4.children,
    duration = _ref4.duration,
    opacity = _ref4.opacity,
    otherProps = _objectWithoutProperties(_ref4, _excluded2$7);
  var transitionStyles = {
    transition: "opacity ".concat(duration || 150, "ms linear"),
    opacity: opacity
  };
  var transitionProps = _objectSpread$D(_objectSpread$D({}, otherProps), {}, {
    timeout: duration || otherProps.timeout || 150
  });
  return React.Children.map(children, function (child) {
    return ! /*#__PURE__*/React.isValidElement(child) ? child : /*#__PURE__*/React.createElement(FadeTransition, _extends({}, transitionProps, {
      style: transitionStyles
    }), child);
  });
};
Fade.propTypes = {
  children: PropTypes.any.isRequired,
  duration: PropTypes.number,
  opacity: PropTypes.number
};
Fade.defaultProps = {
  duration: 150,
  opacity: 1
};
var Fade$1 = Fade;

function darken(color, percent) {
  return tinycolor(color).darken(percent).toHexString();
}
function lighten(color, percent) {
  return tinycolor(color).lighten(percent).toHexString();
}
function getTextColor(bgColor) {
  var darkestColor = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'black';
  var lightestColor = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'white';
  return tinycolor(tinycolor.readability(darkestColor, bgColor) > 10 ? darkestColor : lightestColor).toHexString();
}

var getMediaWidth = function getMediaWidth() {
  return (
    // https://stackoverflow.com/a/8876069
    document.documentElement.clientWidth || window.innerWidth || 0
  );
};
var getMediaHeight = function getMediaHeight() {
  return (
    // https://stackoverflow.com/a/8876069
    document.documentElement.clientHeight || window.innerHeight || 0
  );
};
function getWindowSize() {
  var _ref = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
    defaultWidth = _ref.defaultWidth,
    defaultHeight = _ref.defaultHeight;
  return {
    windowWidth: defaultWidth || getMediaWidth(),
    windowHeight: defaultHeight || getMediaHeight()
  };
}
function useWindowSize() {
  var _ref2 = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {},
    defaultWidth = _ref2.defaultWidth,
    defaultHeight = _ref2.defaultHeight;
  var _useState = useState(getWindowSize({
      defaultWidth: defaultWidth,
      defaultHeight: defaultHeight
    })),
    _useState2 = _slicedToArray(_useState, 2),
    windowSize = _useState2[0],
    setWindowSize = _useState2[1];
  useEffect(function () {
    var running = false;
    var handleResize = function handleResize() {
      var _document$activeEleme;
      if (running) return;
      var activeTag = (_document$activeEleme = document.activeElement) === null || _document$activeEleme === void 0 ? void 0 : _document$activeEleme.tagName.toLocaleLowerCase();
      if (activeTag === 'input' || activeTag === 'select') {
        return;
      }
      running = true;
      requestAnimationFrame(function () {
        running = false;
        setWindowSize(getWindowSize());
      });
    };
    window.addEventListener('resize', handleResize);
    return function () {
      return window.removeEventListener('resize', handleResize);
    };
  }, [defaultWidth, defaultHeight]);
  return {
    windowWidth: windowSize.windowWidth,
    windowHeight: windowSize.windowHeight
  };
}
function withWindowSize(ComponentClass) {
  var WithWindowSize = /*#__PURE__*/React.forwardRef(function ForwardedWithWindowSize(props, ref) {
    var windowSize = useWindowSize(props);
    return /*#__PURE__*/React.createElement(ComponentClass, _extends({
      ref: ref
    }, props, {
      windowWidth: windowSize.windowWidth,
      windowHeight: windowSize.windowHeight
    }));
  });
  WithWindowSize.propTypes = {
    defaultWidth: PropTypes.number,
    defaultHeight: PropTypes.number
  };
  WithWindowSize.defaultProps = {
    defaultWidth: undefined,
    defaultHeight: undefined
  };
  return WithWindowSize;
}

var _excluded$S = ["onClick", "iconName"],
  _excluded2$6 = ["children", "slideAmount", "windowWidth", "windowHeight"];
var _templateObject$1, _templateObject2$1;
function ownKeys$C(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$C(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$C(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$C(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var InnerWrapper = styled$1.div(["display:flex;flex-direction:row;align-items:flex-start;justify-content:space-around;height:100%;position:relative;white-space:nowrap;z-index:0;"]);
var OuterWrapper = styled$1.div(["overflow:hidden;overflow-x:auto;position:relative;cursor:", ";", "{", "}"], function (_ref) {
  var hasOverflow = _ref.hasOverflow,
    isDragging = _ref.isDragging;
  var cursor = hasOverflow ? 'grab' : 'default';
  cursor = isDragging ? 'grabbing' : cursor;
  return cursor;
}, InnerWrapper, function (_ref2) {
  var hasOverflow = _ref2.hasOverflow;
  return hasOverflow ? css(["justify-content:flex-start;"]) : css(["justify-content:space-around;"]);
});
var ArrowOuterContainer = styled$1.div(["width:100%;height:0;overflow:visible;position:sticky;top:0;left:0;z-index:2;"]);
var ArrowContainer = styled$1.div(["pointer-events:none;background-color:transparent;height:100%;display:flex;justify-content:space-between;align-items:stretch;"]);
var ArrowIconContainer = styled$1.div(["align-items:center;background-color:", ";border-radius:50%;box-shadow:0 1px 1px ", ";color:", ";display:flex;padding:0.5em;transition:border-color linear 0.15s,box-shadow linear 0.15s;"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.boxShadowDark;
}, function (props) {
  return props.theme.colors.gray9;
});
var ScrollIconBaseComponent = styled$1.button.attrs({
  type: 'button'
})(["display:block;appearance:none;background-color:transparent;border:0;padding-left:0.5em;padding-right:0.5em;font-size:", ";&:focus,&:focus-within{outline:none;", "{box-shadow:0 0 8px rgba(102,175,233,0.6);}}"], function (_ref3) {
  var baseFontSize = _ref3.theme.font.baseFontSize;
  return baseFontSize;
}, ArrowIconContainer);
var IconBase = styled$1(ScrollIconBaseComponent);
var ScrollIconBase = IconBase.withConfig ? IconBase.withConfig({
  shouldForwardProp: function shouldForwardProp(prop, defaultValidatorFn) {
    return !['visible'].includes(prop) && defaultValidatorFn(prop);
  }
})(_templateObject$1 || (_templateObject$1 = _taggedTemplateLiteral([""]))) : IconBase(_templateObject2$1 || (_templateObject2$1 = _taggedTemplateLiteral([""])));
var ScrollIconInner = function ScrollIconInner(_ref4) {
  var onClick = _ref4.onClick,
    iconName = _ref4.iconName,
    props = _objectWithoutProperties(_ref4, _excluded$S);
  return /*#__PURE__*/React.createElement(ScrollIconBase, _extends({
    onClick: onClick
  }, props), /*#__PURE__*/React.createElement(ArrowIconContainer, null, /*#__PURE__*/React.createElement(Icon$2, {
    name: iconName
  })));
};
var ScrollIcon = styled$1(ScrollIconInner)(["align-items:center;cursor:pointer;display:flex;height:100%;outline:0;z-index:1;visibility:", ";pointer-events:all;"], function (props) {
  return props.visible ? 'visible' : 'hidden';
});
var HorizontalScrollWrapper = /*#__PURE__*/React.forwardRef(function HorizontalScrollWrapper(_ref5, ref) {
  var children = _ref5.children,
    _ref5$slideAmount = _ref5.slideAmount,
    slideAmount = _ref5$slideAmount === void 0 ? 300 : _ref5$slideAmount,
    windowWidth = _ref5.windowWidth,
    windowHeight = _ref5.windowHeight,
    otherProps = _objectWithoutProperties(_ref5, _excluded2$6);
  var _useState = useState(null),
    _useState2 = _slicedToArray(_useState, 2),
    containerRef = _useState2[0],
    setContainerRef = _useState2[1];
  var _useState3 = useState(null),
    _useState4 = _slicedToArray(_useState3, 2),
    innerRef = _useState4[0],
    setInnerRef = _useState4[1];
  var _useState5 = useState(0),
    _useState6 = _slicedToArray(_useState5, 2),
    rootHeight = _useState6[0],
    setRootHeight = _useState6[1];
  var _useState7 = useState(false),
    _useState8 = _slicedToArray(_useState7, 2),
    hasOverflow = _useState8[0],
    setHasOverflow = _useState8[1];
  var _useState9 = useState(false),
    _useState10 = _slicedToArray(_useState9, 2),
    isDragging = _useState10[0],
    setIsDragging = _useState10[1];
  var _useState11 = useState(0),
    _useState12 = _slicedToArray(_useState11, 2),
    scrollLeft = _useState12[0],
    setScrollLeft = _useState12[1];
  var _useState13 = useState(0),
    _useState14 = _slicedToArray(_useState13, 2),
    maxScroll = _useState14[0],
    setMaxScroll = _useState14[1];
  var scrollWidthObserver = useRef(null);
  var mutationObserver = useRef(null);
  var onScroll = useCallback(function (ev) {
    var el = ev.target;
    setScrollLeft(el.scrollLeft);
  }, []);
  var resetPosition = useCallback(function () {
    if (!containerRef || !innerRef) return;
    var containerWidth = containerRef.clientWidth;
    var innerWidth = innerRef.scrollWidth;
    setRootHeight(containerRef.clientHeight);
    setHasOverflow(innerWidth > containerWidth);
    setMaxScroll(innerWidth - containerWidth);
  }, [containerRef, innerRef]);
  var callContainerRefs = useCallback(function (el) {
    callRefs(el, setContainerRef, ref);
  }, [ref]);
  useEffect(function () {
    resetPosition();
  }, [resetPosition, windowWidth, windowHeight]);
  useEffect(function () {
    if (!innerRef && !containerRef) return;
    scrollWidthObserver.current = scrollWidthObserver.current || new ResizeObserver(resetPosition);
    mutationObserver.current = mutationObserver.current || new MutationObserver(resetPosition);
    var activeElements = [innerRef, containerRef].filter(function (el) {
      return Boolean(el);
    });
    activeElements.forEach(function (el) {
      var _scrollWidthObserver$, _mutationObserver$cur;
      (_scrollWidthObserver$ = scrollWidthObserver.current) === null || _scrollWidthObserver$ === void 0 || _scrollWidthObserver$.observe(el, {
        box: 'border-box'
      });
      (_mutationObserver$cur = mutationObserver.current) === null || _mutationObserver$cur === void 0 || _mutationObserver$cur.observe(el, {
        childList: true,
        subtree: true,
        attributes: true,
        characterData: true
      });
    });
    return function () {
      activeElements.forEach(function (el) {
        var _scrollWidthObserver$2, _mutationObserver$cur2;
        (_scrollWidthObserver$2 = scrollWidthObserver.current) === null || _scrollWidthObserver$2 === void 0 || _scrollWidthObserver$2.unobserve(el);
        (_mutationObserver$cur2 = mutationObserver.current) === null || _mutationObserver$cur2 === void 0 || _mutationObserver$cur2.disconnect();
      });
    };
  }, [innerRef, containerRef, resetPosition]);
  var scrollContainer = useCallback(function (amount) {
    var extraOpts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    if (!containerRef) return;
    var newLeft = scrollLeft + amount;
    newLeft = Math.max(0, newLeft);
    newLeft = Math.min(newLeft, maxScroll);
    containerRef.scrollTo(_objectSpread$C({
      left: newLeft,
      behavior: 'smooth'
    }, extraOpts));
  }, [containerRef, scrollLeft, maxScroll]);
  var handleClick = useCallback(function (direction) {
    return function (event) {
      event.stopPropagation();
      event.preventDefault();
      var moveAmount = direction === 'left' ? -slideAmount : slideAmount;
      scrollContainer(moveAmount);
    };
  }, [slideAmount, scrollContainer]);

  /* eslint-disable react-hooks/exhaustive-deps */
  var handleLeftClick = useCallback(handleClick('left'), [handleClick]);
  var handleRightClick = useCallback(handleClick('right'), [handleClick]);
  /* eslint-enable react-hooks/exhaustive-deps */

  var handleDownEvent = useCallback(function () {
    if (!hasOverflow) return;
    setIsDragging(true);
  }, [hasOverflow]);
  useEffect(function stopDragging() {
    var handleUpEvent = function handleUpEvent() {
      return setIsDragging(false);
    };
    window.addEventListener('mouseup', handleUpEvent);
    return function () {
      return window.removeEventListener('mouseup', handleUpEvent);
    };
  }, []);
  useEffect(function startDragging() {
    if (!isDragging) return;
    var handleMoveEvent = function handleMoveEvent(moveEvent) {
      moveEvent.preventDefault();
      scrollContainer(-moveEvent.movementX, {
        behavior: 'auto'
      });
    };
    window.addEventListener('mousemove', handleMoveEvent);
    return function () {
      return window.removeEventListener('mousemove', handleMoveEvent);
    };
  }, [isDragging, scrollContainer]);
  return /*#__PURE__*/React.createElement(OuterWrapper, _extends({
    ref: callContainerRefs,
    onScroll: onScroll,
    hasOverflow: hasOverflow,
    isDragging: isDragging
  }, otherProps), !hasOverflow ? /*#__PURE__*/React.createElement(React.Fragment, null) : /*#__PURE__*/React.createElement(ArrowOuterContainer, null, /*#__PURE__*/React.createElement(ArrowContainer, {
    style: {
      height: rootHeight
    }
  }, /*#__PURE__*/React.createElement(ScrollIcon, {
    iconName: "chevron-left",
    onClick: handleLeftClick,
    "aria-label": formatMessage("See previous"),
    visible: scrollLeft > 0
  }), /*#__PURE__*/React.createElement(ScrollIcon, {
    iconName: "chevron-right",
    onClick: handleRightClick,
    "aria-label": formatMessage("See next"),
    visible: scrollLeft < maxScroll
  }))), /*#__PURE__*/React.createElement(InnerWrapper, {
    ref: setInnerRef,
    role: "presentation",
    onMouseDown: handleDownEvent
  }, children));
});
HorizontalScrollWrapper.propTypes = {
  /** Set the number of pixels the contents will move when clicking left/right arrows */
  slideAmount: PropTypes.number
};
HorizontalScrollWrapper.defaultProps = {
  slideAmount: 300
};
var HorizontalScrollWrapper$1 = withWindowSize(HorizontalScrollWrapper);

var sizes = {
  ACTIVE: 45,
  INACTIVE: 20,
  DESKTOP: 41,
  TRACKING_LINE_HEIGHT: 3
};

var ACTIVE = sizes.ACTIVE,
  INACTIVE = sizes.INACTIVE,
  DESKTOP = sizes.DESKTOP,
  TRACKING_LINE_HEIGHT = sizes.TRACKING_LINE_HEIGHT;
var getProgressLineBreakPercentage = function getProgressLineBreakPercentage(activeStepIndex, numberOfSteps) {
  return activeStepIndex / (numberOfSteps - 1) * 100;
};
var getProgressItemWidthPercentage = function getProgressItemWidthPercentage(baseAmount) {
  return 1 / baseAmount * 100;
};
var getCenterTopPosition = function getCenterTopPosition(containerHeight, itemHeight) {
  return containerHeight / 2 - itemHeight / 2;
};
var stepStates = {
  active: 'active',
  pastStep: 'isPastStep',
  clickableFutureStep: 'clickableFutureStep'
};
var ProgressContainer = styled$1.ol(["align-items:flex-start;background-image:linear-gradient( to right,", " 0%,", " ", "%,", " ", "%,", " 100% );background-size:100% ", "px;background-position:0 ", "px;background-repeat:no-repeat;counter-reset:progress-tracker-counter;display:flex;flex-flow:row nowrap;justify-content:space-between;margin-left:0;padding-left:0;width:100%;@media (min-width:", "){background-position:center ", "px;background-size:", "% ", "px;}"], function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return getProgressLineBreakPercentage(props.activeStepIndex, props.numberOfSteps);
}, function (props) {
  return props.theme.colors.gray5;
}, function (props) {
  return getProgressLineBreakPercentage(props.activeStepIndex, props.numberOfSteps);
}, function (props) {
  return props.theme.colors.gray5;
}, function () {
  return TRACKING_LINE_HEIGHT;
}, function () {
  return getCenterTopPosition(ACTIVE, TRACKING_LINE_HEIGHT);
}, function (props) {
  return props.theme.screenSize.tablet;
}, function () {
  return getCenterTopPosition(DESKTOP, TRACKING_LINE_HEIGHT);
}, function (props) {
  return 100 - getProgressItemWidthPercentage(props.numberOfSteps);
}, function () {
  return TRACKING_LINE_HEIGHT;
});
var BasicProgressButton = styled$1.button(["align-items:center;background:none;border:none;counter-increment:progress-tracker-counter;display:flex;flex-flow:column nowrap;font-family:'Source Sans Pro',sans-serif;margin-top:", "px;padding:0;text-align:center;&:active,&:hover,&:focus{outline:none;}@media (min-width:", "){font-size:18px;margin-top:0;margin:0 auto;}span{color:", ";display:none;font-size:18px;line-height:1.1em;@media (min-width:", "){display:inline;font-weight:normal;}}&::before{background-color:white;border:", ";border-radius:", "px;box-shadow:0 0 0 3px white;box-sizing:border-box;color:", ";content:counter(progress-tracker-counter);display:block;font-size:", "px;height:", "px;line-height:1em;margin-bottom:5px;text-align:center;width:", "px;position:relative;@media (min-width:", "){border-radius:", "px;border-width:3px;font-size:", "px;font-weight:normal;height:", "px;line-height:1.7em;width:", "px;}}"], function () {
  return getCenterTopPosition(ACTIVE, INACTIVE);
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return "1px solid ".concat(props.theme.colors.gray5);
}, function () {
  return INACTIVE;
}, function (props) {
  return props.theme.colors.gray9;
}, function () {
  return INACTIVE * 0.8;
}, function () {
  return INACTIVE;
}, function () {
  return INACTIVE;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function () {
  return DESKTOP;
}, function () {
  return DESKTOP * 0.488;
}, function () {
  return DESKTOP;
}, function () {
  return DESKTOP;
});
var FutureProgressButton = styled$1(BasicProgressButton)(["cursor:pointer;&:hover{&::before{box-shadow:rgba(0,0,0,0.35) 0 0 3px 1px;}}&:active,&:hover,&:focus{span{text-decoration:underline;}}"]);
var PastProgressButton = styled$1(BasicProgressButton)(["cursor:pointer;&:hover{&::before{box-shadow:rgba(0,0,0,0.35) 0 0 3px 1px;}}&:active,&:hover,&:focus{span{text-decoration:underline;}}&:focus{&::before{box-shadow:", " 0 0 4px 2px;}span{outline:1px dotted ", ";}}&::before{border-color:", ";@media (min-width:", "){border-width:5px;font-weight:bold;line-height:1.5em;}}span{@media (min-width:", "){font-weight:bold;}}"], function (props) {
  return props.theme.colors.inputFocus;
}, function (props) {
  return props.theme.colors.inputFocus;
}, function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.theme.screenSize.tablet;
});
var NonNavigablePastProgressButton = styled$1(BasicProgressButton)(["&::before{border-color:", ";@media (min-width:", "){border-width:5px;font-weight:bold;line-height:1.5em;}}span{@media (min-width:", "){font-weight:bold;}}"], function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.theme.screenSize.tablet;
});
var ActiveProgressButton = styled$1(BasicProgressButton)(["margin-top:0;&::before{border:5px solid ", ";border-radius:", "px;color:", ";font-size:", "px;font-weight:bold;height:", "px;line-height:1.5em;width:", "px;@media (min-width:", "){border-width:5px;font-size:", "px;height:", "px;line-height:1.5em;width:", "px;}}span{color:", ";display:inline;font-weight:bold;@media (min-width:", "){font-weight:bold;}}"], function (props) {
  return props.theme.brandColors.primary3;
}, ACTIVE, function (props) {
  return props.theme.brandColors.primary3;
}, ACTIVE * 0.488, ACTIVE, ACTIVE, function (props) {
  return props.theme.screenSize.tablet;
}, function () {
  return DESKTOP * 0.488;
}, function () {
  return DESKTOP;
}, function () {
  return DESKTOP;
}, function (props) {
  return props.theme.brandColors.primary3;
}, function (props) {
  return props.theme.screenSize.tablet;
});
var ProgressLi = styled$1.li(["display:flex;list-style-type:none;max-width:", "%;align-items:center;&:first-child{&,& button{align-items:flex-start;text-align:left;}}&:last-child{&,& button{align-items:flex-end;text-align:right;}}@media (min-width:", "){width:", "%;&:first-child,&:last-child{&,& button{align-items:center;text-align:center;}}}"], function (props) {
  return getProgressItemWidthPercentage(props.numberOfSteps - 1);
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return getProgressItemWidthPercentage(props.numberOfSteps);
});
function getProgressItemType(itemType, showNav) {
  switch (itemType) {
    case stepStates.active:
      return ActiveProgressButton;
    case stepStates.pastStep:
      return showNav ? PastProgressButton : NonNavigablePastProgressButton;
    case stepStates.clickableFutureStep:
      return showNav ? FutureProgressButton : BasicProgressButton;
    default:
      return BasicProgressButton;
  }
}
function getStepState(isActiveStep, isPastStep, canClickFutureStep) {
  if (isActiveStep) {
    return stepStates.active;
  }
  if (isPastStep) {
    return stepStates.pastStep;
  }
  if (canClickFutureStep) {
    return stepStates.clickableFutureStep;
  }
  return stepStates.active;
}
var ProgressItem = /*#__PURE__*/React.forwardRef(function ForwardedProgressItem(_ref, ref) {
  var active = _ref.active,
    isPastStep = _ref.isPastStep,
    numberOfSteps = _ref.numberOfSteps,
    onPastStepClicked = _ref.onPastStepClicked,
    onFutureStepClicked = _ref.onFutureStepClicked,
    canClickFutureStep = _ref.canClickFutureStep,
    label = _ref.label,
    showNav = _ref.showNav;
  var itemType;
  if (isPastStep || active || canClickFutureStep) {
    itemType = getStepState(active, isPastStep, canClickFutureStep);
  }
  var ProgressItemType = getProgressItemType(itemType, showNav);
  var itemId = useUniqueId();
  var listItemProps = {
    numberOfSteps: numberOfSteps,
    disabled: !isPastStep && !canClickFutureStep,
    onClick: isPastStep ? onPastStepClicked : onFutureStepClicked
  };
  return /*#__PURE__*/React.createElement(ProgressLi, {
    numberOfSteps: numberOfSteps,
    ref: ref
  }, /*#__PURE__*/React.createElement(ProgressItemType, _extends({}, listItemProps, {
    id: itemId,
    "aria-labelledby": "".concat(itemId, "-span")
  }), /*#__PURE__*/React.createElement("span", {
    id: "".concat(itemId, "-span")
  }, label)));
});
ProgressItem.propTypes = {
  active: PropTypes.bool.isRequired,
  isPastStep: PropTypes.bool.isRequired,
  numberOfSteps: PropTypes.number.isRequired,
  onPastStepClicked: PropTypes.func,
  label: PropTypes.string,
  canClickFutureStep: PropTypes.bool,
  showNav: PropTypes.bool
};
ProgressItem.defaultProps = {
  onPastStepClicked: function onPastStepClicked() {
    // noop
  },
  label: '',
  canClickFutureStep: false,
  showNav: true
};

var _excluded$R = ["children", "styleType", "size", "block", "mobileBlock", "flatLeftEdge", "flatRightEdge"];
function ownKeys$B(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$B(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$B(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$B(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var getButtonCss = function getButtonCss(_ref) {
  var theme = _ref.theme,
    colors = _ref.colors,
    borderRadii = _ref.borderRadii,
    buttonSize = _ref.buttonSize;
  return css(["background-color:", ";border:2px solid transparent;border-color:", ";border-bottom-left-radius:", ";border-bottom-right-radius:", ";border-top-left-radius:", ";border-top-right-radius:", ";box-sizing:border-box;color:", ";cursor:pointer;font-family:inherit;font-size:", ";font-weight:", ";line-height:", ";padding-bottom:", ";padding-left:", ";padding-right:", ";padding-top:", ";position:relative;text-align:center;text-decoration:none;text-transform:", ";transition:color 0.15s ease-in-out,background-color 0.15s ease-in-out,border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;user-select:none;vertical-align:middle;white-space:nowrap;@media (hover:hover),(-ms-high-contrast:none){&:hover{color:", ";background-color:", ";border-color:", ";text-decoration:none;}}&:focus{color:", ";background-color:", ";border:2px solid;border-color:", ";box-shadow:0 1px 1px rgba(0,0,0,0.075),0 0 0 0.2rem ", ";outline:none;}&:active,&.pressed{color:", ";background-color:", ";border-color:", ";box-shadow:inset 0 3px 5px rgba(0,0,0,0.25);}&:active:focus,&.pressed:focus{box-shadow:inset 0 3px 5px rgba(0,0,0,0.25),0 0 0 0.2rem ", ";}&[disabled],&[data-waiting]{color:", ";cursor:not-allowed;background-color:", ";border-color:", ";&:hover,&:active &.pressed{background-color:", ";border-color:", ";color:", ";&:focus{box-shadow:0 0 0 0.2rem ", ";}}> *{pointer-events:none;}}"], colors.bgColor, colors.bgColor, borderRadii.bottomLeft, borderRadii.bottomRight, borderRadii.topLeft, borderRadii.topRight, colors.textColor, buttonSize.fontSize, buttonSize.fontWeight || 'normal', buttonSize.lineHeight ? buttonSize.lineHeight : theme.font.baseLineHeight, buttonSize.paddingBottom, buttonSize.paddingSides, buttonSize.paddingSides, buttonSize.paddingTop, buttonSize.textTransform ? buttonSize.textTransform : 'none', colors.hoverTextColor, colors.hoverBgColor, colors.hoverBorderColor, colors.hoverTextColor, colors.hoverBgColor, colors.hoverBorderColor, colors.focusBoxShadowColor, colors.activeTextColor, colors.activeBgColor, colors.activeBorderColor, colors.focusBoxShadowColor, function (_ref2) {
    var theme = _ref2.theme;
    return theme.colors.gray6;
  }, function (_ref3) {
    var theme = _ref3.theme;
    return theme.colors.gray3;
  }, function (_ref4) {
    var theme = _ref4.theme;
    return theme.colors.gray3;
  }, function (_ref5) {
    var theme = _ref5.theme;
    return theme.colors.gray3;
  }, function (_ref6) {
    var theme = _ref6.theme;
    return theme.colors.gray3;
  }, function (_ref7) {
    var theme = _ref7.theme;
    return theme.colors.gray6;
  }, colors.focusBoxShadowColor);
};
var StyledButton$4 = styled$1(ButtonBase$1)(["", " min-width:100px;display:", ";width:", ";@media (min-width:", "){display:", ";width:", ";}"], getButtonCss, function (_ref8) {
  var mobileBlock = _ref8.mobileBlock;
  return mobileBlock ? 'block' : 'inline-block';
}, function (_ref9) {
  var mobileBlock = _ref9.mobileBlock;
  return mobileBlock ? '100%' : 'auto';
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.screenSize.tablet;
}, function (_ref11) {
  var block = _ref11.block;
  return block ? 'block' : 'inline-block';
}, function (_ref12) {
  var block = _ref12.block;
  return block ? '100%' : 'auto';
});
var getBorderRadii = function getBorderRadii(buttonSize) {
  return {
    topLeft: buttonSize.borderRadius,
    topRight: buttonSize.borderRadius,
    bottomRight: buttonSize.borderRadius,
    bottomLeft: buttonSize.borderRadius
  };
};
var onlyHasOldButtons = function onlyHasOldButtons() {
  return _toConsumableArray(document.querySelectorAll('button')).every(function (button) {
    return !button.classList.contains(esComponentsButtonClass);
  });
};
var globalButtonCss = css(["", ""], function (_ref13) {
  var theme = _ref13.theme;
  return !onlyHasOldButtons() && css(["form button:not( .react-datepicker__navigation,[name^='rsg'],[class^='rsg'],", ",", ",", ",", ",", ",.", " ){", " ", "}"], PanelButton, ScrollIconBaseComponent, StyledButton$4, BasicProgressButton, UnstyledButton, esComponentsButtonClass, getButtonCss({
    theme: theme,
    colors: getButtonColors(theme, false, 'default'),
    borderRadii: getBorderRadii(theme.buttonStyles.button.size.default),
    buttonSize: theme.buttonStyles.button.size.default
  }), buttonVariantStyleTypes.map(function (style) {
    return buttonSizes.map(function (size) {
      var buttonSize = theme.buttonStyles.button.size[size];
      var buttonColors = getButtonColors(theme, false, style);
      var borderRadii = getBorderRadii(buttonSize);
      return css(["&.", "{", "}"], [style, size].join('.'), getButtonCss({
        theme: theme,
        colors: buttonColors,
        borderRadii: borderRadii,
        buttonSize: buttonSize
      }));
    });
  }));
});
var buttonStyleTypes = [].concat(_toConsumableArray(buttonVariantStyleTypes), ['inherited']);
function getButtonVariant(theme, buttonVariant) {
  var variant = theme.buttonStyles.button.variant[buttonVariant] || {};
  variant.bgColor = variant.bgColor || theme.colors.gray4;
  return variant;
}
function getButtonColors(theme, isInheritedStyle) {
  var buttonVariant = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'default';
  var baseButtonColors = {
    bgColor: 'inherited',
    textColor: 'inherited',
    borderColor: 'inherited',
    hoverBgColor: 'inherited',
    focusBoxShadowColor: theme.colors.gray4,
    activeBgColor: 'inherited',
    activeTextColor: 'inherited',
    activeBorderColor: 'inherited',
    hoverTextColor: 'inherited',
    hoverBorderColor: 'inherited'
  };
  if (isInheritedStyle) {
    return baseButtonColors;
  }
  var variant = getButtonVariant(theme, buttonVariant);
  var focusBoxShadowColor = tinycolor.mix(variant.bgColor, theme.colors.black, 14).setAlpha(0.5);
  var calculatedButtonColors = _objectSpread$B(_objectSpread$B({}, baseButtonColors), {}, {
    bgColor: variant.bgColor || baseButtonColors.bgColor,
    textColor: getTextColor(variant.bgColor),
    borderColor: variant.bgColor,
    hoverBgColor: darken(variant.bgColor, 7.5),
    hoverBorderColor: darken(variant.bgColor, 9.9),
    focusBoxShadowColor: focusBoxShadowColor.toRgbString()
  });
  calculatedButtonColors.activeBgColor = darken(calculatedButtonColors.hoverBgColor, 2.5);
  calculatedButtonColors.activeTextColor = getTextColor(calculatedButtonColors.activeBgColor);
  calculatedButtonColors.activeBorderColor = darken(calculatedButtonColors.hoverBgColor, 5);
  calculatedButtonColors.hoverTextColor = getTextColor(calculatedButtonColors.hoverBgColor);
  return calculatedButtonColors;
}
var Button$1 = /*#__PURE__*/React.forwardRef(function Button(_ref14, ref) {
  var children = _ref14.children,
    _ref14$styleType = _ref14.styleType,
    styleType = _ref14$styleType === void 0 ? 'default' : _ref14$styleType,
    _ref14$size = _ref14.size,
    size = _ref14$size === void 0 ? 'default' : _ref14$size,
    _ref14$block = _ref14.block,
    block = _ref14$block === void 0 ? false : _ref14$block,
    _ref14$mobileBlock = _ref14.mobileBlock,
    mobileBlock = _ref14$mobileBlock === void 0 ? true : _ref14$mobileBlock,
    _ref14$flatLeftEdge = _ref14.flatLeftEdge,
    flatLeftEdge = _ref14$flatLeftEdge === void 0 ? false : _ref14$flatLeftEdge,
    _ref14$flatRightEdge = _ref14.flatRightEdge,
    flatRightEdge = _ref14$flatRightEdge === void 0 ? false : _ref14$flatRightEdge,
    other = _objectWithoutProperties(_ref14, _excluded$R);
  var theme = useTheme();
  var buttonSize = theme.buttonStyles.button.size[size];
  var isInheritedStyle = styleType === 'inherited';
  var mobileBlockSetting = flatLeftEdge || flatRightEdge ? false : mobileBlock;
  var defaultRadius = buttonSize.borderRadius;
  var borderRadii = {
    topLeft: flatLeftEdge ? 0 : defaultRadius,
    topRight: flatRightEdge ? 0 : defaultRadius,
    bottomRight: flatRightEdge ? 0 : defaultRadius,
    bottomLeft: flatLeftEdge ? 0 : defaultRadius
  };
  var buttonColors = getButtonColors(theme, isInheritedStyle, styleType);
  return /*#__PURE__*/React.createElement(StyledButton$4, _extends({
    type: "button",
    block: block,
    mobileBlock: mobileBlockSetting,
    buttonSize: buttonSize,
    colors: buttonColors,
    ref: ref,
    borderRadii: borderRadii
  }, other), children);
});
var propTypes$g = _objectSpread$B(_objectSpread$B({}, propTypes$k), {}, {
  children: PropTypes.node.isRequired,
  /** Select the color style of the button, types come from theme buttonStyles.button */
  styleType: PropTypes.oneOf(buttonStyleTypes),
  size: PropTypes.oneOf(buttonSizes),
  /** Make the button's width the size of it's parent container */
  block: PropTypes.bool,
  /** Override the default block mobile style */
  mobileBlock: PropTypes.bool,
  /** Styles the Button with a flat left edge */
  flatLeftEdge: PropTypes.bool,
  /** Styles the Button with a flat right edge */
  flatRightEdge: PropTypes.bool
});
var defaultProps$d = _objectSpread$B(_objectSpread$B({}, defaultProps$g), {}, {
  styleType: 'default',
  block: false,
  mobileBlock: true,
  size: 'default',
  flatLeftEdge: false,
  flatRightEdge: false
});
Button$1.propTypes = propTypes$g;
Button$1.defaultProps = defaultProps$d;
var Button$2 = Button$1;

var _excluded$Q = ["children", "styleType"];
function ownKeys$A(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$A(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$A(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$A(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var StyledButton$3 = styled$1(ButtonBase$1)(["background-color:transparent;border:none;box-shadow:none;cursor:pointer;color:", ";font-size:inherit;line-height:", ";padding:0;text-decoration:underline;&:hover,&:focus,&:active{color:", ";text-decoration:none;}&:active{box-shadow:none;}&[disabled],&[data-waiting],&[data-waiting]:active{color:", ";text-decoration:underline;}"], function (props) {
  return props.variant.textColor;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return darken(props.variant.textColor, 10);
}, function (props) {
  return props.variant.textColor;
});
var LinkButton = /*#__PURE__*/React.forwardRef(function LinkButton(props, ref) {
  var children = props.children,
    _props$styleType = props.styleType,
    styleType = _props$styleType === void 0 ? 'default' : _props$styleType,
    other = _objectWithoutProperties(props, _excluded$Q);
  var theme = useTheme();
  var variant = theme.buttonStyles.linkButton.variant[styleType];
  return /*#__PURE__*/React.createElement(StyledButton$3, _extends({
    ref: ref,
    variant: variant,
    type: "button"
  }, other), children);
});

/* eslint-disable @typescript-eslint/no-non-null-assertion */
var propTypes$f = _objectSpread$A(_objectSpread$A({}, propTypes$k), {}, {
  children: PropTypes.node.isRequired,
  /** Select the color style of the button, types come from theme buttonStyles.linkButton */
  styleType: propTypes$g.styleType
});
var unchildrenDefaults$1 = _objectSpread$A({}, defaultProps$g);
delete unchildrenDefaults$1['children'];
var defaultProps$c = _objectSpread$A(_objectSpread$A({}, unchildrenDefaults$1), {}, {
  styleType: defaultProps$d.styleType
});
/* eslint-enable @typescript-eslint/no-non-null-assertion */

LinkButton.defaultProps = defaultProps$c;
LinkButton.propTypes = propTypes$f;
var LinkButton$1 = LinkButton;

var _excluded$P = ["children", "styleType", "suppressUnderline"];
function ownKeys$z(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$z(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$z(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$z(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var StyledButton$2 = styled$1(LinkButton$1)(["text-underline-position:under;text-decoration-skip-ink:none;text-decoration:", ";&:hover,:focus{text-decoration:", ";}"], function (props) {
  return props.suppressUnderline ? 'none' : "dashed underline";
}, function (props) {
  return props.suppressUnderline ? 'none' : "solid underline";
});
var PopoverLink = /*#__PURE__*/React.forwardRef(function ForwardedPopoverLink(props, forwardedRef) {
  var children = props.children,
    styleType = props.styleType,
    suppressUnderline = props.suppressUnderline,
    other = _objectWithoutProperties(props, _excluded$P);
  return /*#__PURE__*/React.createElement(StyledButton$2, _extends({
    ref: forwardedRef,
    styleType: styleType || 'default',
    suppressUnderline: suppressUnderline || false
  }, other), children || '');
});
var propTypes$e = _objectSpread$z(_objectSpread$z({}, propTypes$f), {}, {
  children: PropTypes.node.isRequired,
  /** Select the color style of the button, types come from theme */
  styleType: PropTypes.oneOf(buttonVariantStyleTypes),
  /** Hide underline from link. Useful for children like Icons */
  suppressUnderline: PropTypes.bool
});
var defaultProps$b = _objectSpread$z(_objectSpread$z({}, defaultProps$c), {}, {
  styleType: 'primary',
  suppressUnderline: false
});
PopoverLink.propTypes = propTypes$e;
PopoverLink.defaultProps = defaultProps$b;
var PopoverLink$1 = PopoverLink;

var topIndex = 0;
var lastComputeTime = 0;
var totalElementCount = 0;
function computeCurrentTopIndex() {
  var allDocumentElements = _toConsumableArray(document.getElementsByTagName('*'));
  var shadowElements = allDocumentElements.filter(function (el) {
    return el.shadowRoot;
  });
  var allElements = _toConsumableArray(allDocumentElements);
  while (shadowElements.length) {
    var _targetShadowEl$shado;
    var targetShadowEl = shadowElements.pop();
    var newElements = _toConsumableArray((targetShadowEl === null || targetShadowEl === void 0 || (_targetShadowEl$shado = targetShadowEl.shadowRoot) === null || _targetShadowEl$shado === void 0 ? void 0 : _targetShadowEl$shado.querySelectorAll('*')) || []);
    allElements = [].concat(_toConsumableArray(allElements), _toConsumableArray(newElements));
    shadowElements = [].concat(_toConsumableArray(shadowElements), _toConsumableArray(newElements.filter(function (el) {
      return el.shadowRoot;
    })));
  }
  if (allElements.length === totalElementCount) {
    // no new elements added since last time
    return topIndex;
  }
  totalElementCount = allElements.length;
  var allIndexes = allElements.map(function (el) {
    return parseInt(window.getComputedStyle(el).zIndex, 10) || 0;
  });
  var newTopIndex = allIndexes.reduce(function (topInd, ind) {
    return ind > topInd ? ind : topInd;
  }, allIndexes[0]);
  topIndex = newTopIndex + 1;
  lastComputeTime = new Date().getTime();
  return topIndex;
}
var naiveTopIndex = 1000;
function getNaiveTopIndex() {
  return naiveTopIndex++;
}
function useTopZIndex() {
  var getTopIndex = useCallback(function () {
    var _process;
    // only compute at most every 1 second
    if (new Date().getTime() - lastComputeTime < 1000) return topIndex;
    if (((_process = process) === null || _process === void 0 || (_process = _process.env) === null || _process === void 0 ? void 0 : _process.NODE_ENV) === 'test') return getNaiveTopIndex();
    computeCurrentTopIndex();
    return topIndex;
  }, []);
  return getTopIndex;
}

var _excluded$O = ["name", "disableHover", "disableFocus", "position", "content", "styleType", "children", "linkProps", "id"];
function ownKeys$y(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$y(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$y(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$y(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var TooltipBase = styled$1.div(["position:absolute;z-index:", ";"], function (_ref) {
  var topIndex = _ref.topIndex;
  return topIndex;
});
var TooltipInner = styled$1.div(["background-color:", ";border-radius:2px;color:", ";font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-size:15px;line-height:", ";max-width:250px;padding:3px 8px;text-align:left;"], function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.font.baseLineHeight;
});
var TooltipArrowBase = styled$1.div(["border-color:transparent;border-style:solid;height:0;position:absolute;width:0;"]);
var TooltipTop = styled$1(TooltipBase)(["padding:5px 0;"]);
var TooltipRight = styled$1(TooltipBase)(["padding:0 5px;"]);
var TooltipBottom = styled$1(TooltipBase)(["padding:5px 0;"]);
var TooltipLeft = styled$1(TooltipBase)(["padding:0 5px;"]);
var TooltipArrowTop = styled$1(TooltipArrowBase)(["border-top-color:", ";border-width:5px 5px 0;bottom:0;"], function (props) {
  return props.theme.colors.primary;
});
var TooltipArrowRight = styled$1(TooltipArrowBase)(["border-right-color:", ";border-width:5px 5px 5px 0;left:0;"], function (props) {
  return props.theme.colors.primary;
});
var TooltipArrowBottom = styled$1(TooltipArrowBase)(["border-bottom-color:", ";border-width:0 5px 5px;top:0;"], function (props) {
  return props.theme.colors.primary;
});
var TooltipArrowLeft = styled$1(TooltipArrowBase)(["border-left-color:", ";border-width:5px 0 5px 5px;right:0;"], function (props) {
  return props.theme.colors.primary;
});
var ScreenReaderContent = screenReaderOnly('div');
var getTooltips = function getTooltips(position) {
  switch (position) {
    case 'right':
    case 'right-start':
    case 'right-end':
      return [TooltipRight, TooltipArrowRight];
    case 'bottom':
    case 'bottom-start':
    case 'bottom-end':
      return [TooltipBottom, TooltipArrowBottom];
    case 'left':
    case 'left-start':
    case 'left-end':
      return [TooltipLeft, TooltipArrowLeft];
    case 'top':
    case 'top-start':
    case 'top-end':
    default:
      return [TooltipTop, TooltipArrowTop];
  }
};
var Tooltip = /*#__PURE__*/React.forwardRef(function ForwardedTooltip(props, _ref3) {
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    show = _useState2[0],
    setShow = _useState2[1];
  var name = props.name,
    disableHover = props.disableHover,
    disableFocus = props.disableFocus,
    position = props.position,
    content = props.content,
    styleType = props.styleType,
    children = props.children,
    linkProps = props.linkProps,
    idProp = props.id,
    other = _objectWithoutProperties(props, _excluded$O);
  var getTopIndex = useTopZIndex();
  var tooltipId = name ? "es-tooltip__".concat(name) : undefined;
  var _useRootNode = useRootNode(document.body),
    _useRootNode2 = _slicedToArray(_useRootNode, 2),
    rootNode = _useRootNode2[0],
    rootNodeRef = _useRootNode2[1];
  var arrowRef = useRef(null);
  var autoPlacementMiddleware = position ? [flip()] : [autoPlacement({
    alignment: 'start'
  })];
  var _useFloating = useFloating({
      open: show,
      onOpenChange: setShow,
      whileElementsMounted: autoUpdate,
      placement: position,
      middleware: [arrow({
        element: arrowRef
      }), shift({
        limiter: limitShift()
      })].concat(autoPlacementMiddleware)
    }),
    x = _useFloating.x,
    y = _useFloating.y,
    placement = _useFloating.placement,
    arrowCoords = _useFloating.middlewareData.arrow,
    context = _useFloating.context,
    floatingAnchorRef = _useFloating.reference,
    floatingTooltipRef = _useFloating.floating,
    strategy = _useFloating.strategy;
  var _ref2 = arrowCoords || {},
    arrowX = _ref2.x,
    arrowY = _ref2.y;
  var _getTooltips = getTooltips(placement),
    _getTooltips2 = _slicedToArray(_getTooltips, 2),
    InnerTooltip = _getTooltips2[0],
    TooltipArrow = _getTooltips2[1];
  var hover = useHover(context, {
    enabled: !disableHover
  });
  var focus = useFocus(context, {
    enabled: !disableFocus
  });
  var role = useRole(context, {
    role: 'tooltip'
  });
  var click = useClick(context);
  var dismiss = useDismiss(context);
  var _useInteractions = useInteractions([hover, focus, role, click, dismiss]),
    getReferenceProps = _useInteractions.getReferenceProps,
    getFloatingProps = _useInteractions.getFloatingProps;
  var descriptionId = "".concat(useUniqueId(idProp), "-description");
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(PopoverLink$1, _extends({
    ref: function ref(el) {
      callRefs(el, floatingAnchorRef, _ref3, rootNodeRef);
    },
    styleType: styleType
  }, getReferenceProps(_objectSpread$y(_objectSpread$y({}, linkProps), {}, {
    'aria-describedby': descriptionId,
    onBlur: function onBlur() {
      return setShow(false);
    }
  }))), children), show && /*#__PURE__*/React.createElement(ScreenReaderContent, {
    id: descriptionId
  }, content), /*#__PURE__*/React.createElement(FloatingPortal, {
    root: rootNode
  }, /*#__PURE__*/React.createElement(Fade$1, {
    in: show,
    mountOnEnter: true,
    unmountOnExit: true
  }, /*#__PURE__*/React.createElement(InnerTooltip, _extends({
    ref: floatingTooltipRef,
    topIndex: getTopIndex()
  }, getFloatingProps(_objectSpread$y({
    id: tooltipId,
    'aria-live': 'polite',
    style: {
      width: 'max-content',
      position: strategy,
      top: y !== null && y !== void 0 ? y : 0,
      left: x !== null && x !== void 0 ? x : 0
    }
  }, other))), /*#__PURE__*/React.createElement(TooltipArrow, {
    ref: arrowRef,
    style: arrowX !== undefined ? {
      left: arrowX !== null && arrowX !== void 0 ? arrowX : 0
    } : {
      top: arrowY !== null && arrowY !== void 0 ? arrowY : 0
    }
  }), /*#__PURE__*/React.createElement(TooltipInner, null, content)))));
});
var passedPopoverLinkProps = Object.entries(propTypes$e || {}).reduce(function (props, _ref4) {
  var _ref5 = _slicedToArray(_ref4, 2),
    key = _ref5[0],
    value = _ref5[1];
  return _objectSpread$y(_objectSpread$y({}, props), ['children', 'styleType'].includes(key) ? {} : _defineProperty({}, key, value));
}, {});
passedPopoverLinkProps.dangerouslySetInnerHTML;
Tooltip.propTypes = {
  name: PropTypes.string.isRequired,
  children: propTypes$e.children,
  /** The text the tooltip displays */
  content: PropTypes.node.isRequired,
  /** Set the position of the tooltip over the content */
  position: PropTypes.oneOf(['top', 'right', 'bottom', 'left']),
  /** Disables the default show onHover functionality */
  disableHover: PropTypes.bool,
  /** Disables the default show onFocus functionality */
  disableFocus: PropTypes.bool,
  /** Select the color style of the button, types come from theme */
  styleType: propTypes$e.styleType,
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  linkProps: PropTypes.exact(passedPopoverLinkProps)
};
Tooltip.defaultProps = {
  position: 'top',
  disableHover: false,
  disableFocus: false,
  styleType: undefined,
  linkProps: {}
};
var Tooltip$1 = Tooltip;

var _excluded$N = ["name", "trigger", "children", "position", "arrowSize", "hasTitle", "transitionIn", "setIsOpen", "transitionTimeout", "disableFlipping", "popperRef", "enableEvents", "strategy", "keepTogether", "disableRootClose", "onExited"];
function ownKeys$x(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$x(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$x(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$x(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PopperBox = styled$1.div(["border:1px solid rgba(0,0,0,0.3);box-shadow:0 5px 10px rgba(0,0,0,0.3);border-radius:2px;max-width:350px;min-width:270px;position:absolute;text-align:center;z-index:", ";"], function (_ref) {
  var topIndex = _ref.topIndex;
  return topIndex;
});
var arrowSizes = {
  sm: {
    size: '5',
    borderSize: '6',
    marginSize: '10',
    bottomWidth: '0 5px 5px',
    bottomBorderWidth: '0 6px 5px',
    rightWidth: '5px 5px 5px 0',
    rightBorderWidth: '6px 5px 6px 0',
    borderColor: 'rgba(0, 0, 0, 0.3)'
  },
  md: {
    size: '10',
    borderSize: '11',
    marginSize: '15',
    bottomWidth: '0 10px 10px',
    bottomBorderWidth: '0 11px 10px',
    rightWidth: '10px 10px 10px 0',
    rightBorderWidth: '11px 10px 11px 0',
    borderColor: 'rgba(0, 0, 0, 0.3)'
  },
  lg: {
    size: '20',
    borderSize: '21',
    marginSize: '30',
    bottomWidth: '0 20px 20px',
    bottomBorderWidth: '0 21px 20px',
    rightWidth: '20px 20px 20px 0',
    rightBorderWidth: '21px 20px 21px 0',
    borderColor: 'rgba(0, 0, 0, 0.3)'
  },
  none: {
    size: '0',
    borderSize: '0',
    marginSize: '10'
  }
};
var Arrow = styled$1.div(["position:absolute;&::before,&::after{border:solid transparent;content:'';position:absolute;}&[data-placement*='bottom']{top:0;left:0;margin-top:-", "px;&::before{border-width:", ";border-color:transparent;border-bottom-color:", ";margin-left:-", "px;}&::after{border-width:", ";border-color:transparent;border-bottom-color:", ";margin-left:-", "px;}}&[data-placement*='top']{&::before{border-width:", "px;border-color:transparent;border-top-color:", ";margin-left:-", "px;}&::after{border-width:", "px;border-color:transparent;border-top-color:", ";margin-left:-", "px;}}&[data-placement*='right']{margin-left:-", "px;&::before{border-width:", ";border-color:transparent;border-right-color:", ";margin-top:-", "px;}&::after{border-width:", ";border-color:transparent;border-right-color:", ";margin-top:-", "px;}}&[data-placement*='left']{right:0;&::before{border-width:", "px;border-color:transparent;border-left-color:", ";margin-top:-", "px;}&::after{border-width:", "px;border-color:transparent;border-left-color:", ";margin-top:-", "px;}}"], function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.arrowSize.bottomBorderWidth;
}, function (props) {
  return props.arrowSize.borderColor;
}, function (props) {
  return props.arrowSize.borderSize;
}, function (props) {
  return props.arrowSize.bottomWidth;
}, function (props) {
  return props.hasTitle ? props.theme.colors.primary : props.theme.colors.white;
}, function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.arrowSize.borderSize;
}, function (props) {
  return props.arrowSize.borderColor;
}, function (props) {
  return props.arrowSize.borderSize;
}, function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.arrowSize.rightBorderWidth;
}, function (props) {
  return props.arrowSize.borderColor;
}, function (props) {
  return props.arrowSize.borderSize;
}, function (props) {
  return props.arrowSize.rightWidth;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.arrowSize.borderSize;
}, function (props) {
  return props.arrowSize.borderColor;
}, function (props) {
  return props.arrowSize.borderSize;
}, function (props) {
  return props.arrowSize.size;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.arrowSize.size;
});
function getArrowValues(size) {
  switch (size) {
    case 'sm':
      return arrowSizes.sm;
    case 'lg':
      return arrowSizes.lg;
    case 'none':
      return arrowSizes.none;
    case 'md':
    case 'default':
    default:
      return arrowSizes.md;
  }
}
var Popup = /*#__PURE__*/React.forwardRef(function ForwardedPopup(_ref2, forwardedRef) {
  var name = _ref2.name,
    trigger = _ref2.trigger,
    children = _ref2.children,
    position = _ref2.position,
    arrowSize = _ref2.arrowSize,
    hasTitle = _ref2.hasTitle,
    isOpen = _ref2.transitionIn,
    setIsOpen = _ref2.setIsOpen,
    transitionTimeout = _ref2.transitionTimeout,
    disableFlipping = _ref2.disableFlipping,
    popperRef = _ref2.popperRef,
    enableEvents = _ref2.enableEvents,
    strategy = _ref2.strategy,
    keepTogether = _ref2.keepTogether,
    disableRootClose = _ref2.disableRootClose,
    onExited = _ref2.onExited,
    otherProps = _objectWithoutProperties(_ref2, _excluded$N);
  var arrowValues = getArrowValues(arrowSize);
  var _useRootNode = useRootNode(document.body),
    _useRootNode2 = _slicedToArray(_useRootNode, 2),
    rootNode = _useRootNode2[0],
    rootNodeRef = _useRootNode2[1];
  var arrowRef = useRef(null);
  var getTopIndex = useTopZIndex();
  var flipMiddleware = disableFlipping ? [] : [flip({
    crossAxis: false
  })];
  var _useFloating = useFloating(_objectSpread$x(_objectSpread$x({
      open: isOpen,
      onOpenChange: setIsOpen,
      placement: position
    }, enableEvents ? {
      whileElementsMounted: autoUpdate
    } : {}), {}, {
      middleware: [].concat(flipMiddleware, [shift(_objectSpread$x({
        padding: arrowValues.marginSize
      }, keepTogether ? {
        limiter: limitShift()
      } : {})), offset({
        mainAxis: parseInt(arrowValues.marginSize, 10)
      }), arrow({
        element: arrowRef
      })])
    })),
    x = _useFloating.x,
    y = _useFloating.y,
    placement = _useFloating.placement,
    context = _useFloating.context,
    floatingAnchorRef = _useFloating.reference,
    floatingPopupRef = _useFloating.floating,
    arrowCoords = _useFloating.middlewareData.arrow;
  var _ref3 = arrowCoords || {},
    arrowX = _ref3.x,
    arrowY = _ref3.y;
  var role = useRole(context);
  var dismiss = useDismiss(context, {
    outsidePress: !disableRootClose,
    outsidePressEvent: 'click'
  });
  var _useInteractions = useInteractions([role, dismiss]),
    getReferenceProps = _useInteractions.getReferenceProps,
    getFloatingProps = _useInteractions.getFloatingProps;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", _extends({
    ref: function ref(el) {
      return callRefs(el, floatingAnchorRef, forwardedRef, rootNodeRef);
    }
  }, getReferenceProps({
    className: "".concat(name || '', "-popper__trigger")
  })), trigger), /*#__PURE__*/React.createElement(FloatingPortal, {
    root: rootNode
  }, /*#__PURE__*/React.createElement(Fade$1, {
    in: isOpen,
    duration: transitionTimeout,
    onExited: onExited,
    mountOnEnter: true,
    unmountOnExit: true
  }, /*#__PURE__*/React.createElement(PopperBox, _extends({
    ref: function ref(el) {
      return callRefs(el, floatingPopupRef, popperRef || null);
    },
    topIndex: getTopIndex()
  }, getFloatingProps(_objectSpread$x(_objectSpread$x({}, otherProps), {}, {
    style: _objectSpread$x(_objectSpread$x({}, otherProps.style || {}), {}, {
      position: strategy,
      width: 'max-content'
    }, typeof x !== 'number' || typeof y !== 'number' ? {} : {
      top: y,
      left: x
    })
  }))), children, /*#__PURE__*/React.createElement(Arrow, {
    ref: arrowRef,
    "data-placement": placement,
    style: arrowX !== undefined ? {
      left: arrowX !== null && arrowX !== void 0 ? arrowX : 0
    } : {
      top: arrowY !== null && arrowY !== void 0 ? arrowY : 0
    },
    arrowSize: arrowValues,
    hasTitle: Boolean(hasTitle)
  })))));
});
Popup.propTypes = {
  name: PropTypes.string,
  trigger: PropTypes.node,
  children: PropTypes.node,
  position: PropTypes.oneOf(['top', 'right', 'bottom', 'left']),
  arrowSize: PropTypes.oneOf(['sm', 'md', 'lg', 'none', 'default']),
  transitionIn: PropTypes.bool,
  transitionTimeout: PropTypes.number,
  hasTitle: PropTypes.bool,
  disableFlipping: PropTypes.bool,
  popperRef: PropTypes.func,
  enableEvents: PropTypes.bool,
  strategy: PropTypes.oneOf(['absolute', 'fixed']),
  keepTogether: PropTypes.bool,
  setIsOpen: PropTypes.func.isRequired,
  disableRootClose: PropTypes.bool.isRequired
};
Popup.defaultProps = {
  name: '',
  trigger: undefined,
  children: undefined,
  position: 'bottom',
  arrowSize: 'default',
  transitionIn: false,
  transitionTimeout: 150,
  hasTitle: false,
  disableFlipping: false,
  popperRef: undefined,
  enableEvents: true,
  strategy: 'absolute',
  keepTogether: true
};
var Popup$1 = Popup;

var _excluded$M = ["name", "title", "content", "renderContent", "placement", "arrowSize", "renderTrigger", "hasCloseButton", "hasAltCloseButton", "disableCloseOnScroll", "disableRootClose", "disableFlipping", "enableEvents", "keepTogether", "strategy", "popoverWrapperClassName", "styleType"];
function ownKeys$w(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$w(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$w(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$w(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Button = Button$2;
var Container$2 = styled$1.div(["display:inline-block;"]);
var PopoverHeader = styled$1.div(["background-color:", ";color:", ";display:flex;justify-content:space-between;line-height:", ";outline:none;"], function (props) {
  return props.hasTitle ? props.theme.colors[props.styleType || 'primary'] : props.theme.colors.white;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.font.baseLineHeight;
});
var TitleBar = styled$1.h3(["flex:1 1;font-size:18px;margin:0;padding:8px 14px;text-align:left;"]);
var PopoverBody = styled$1.div(["background:", ";color:", ";font-size:18px;font-weight:normal;line-height:", ";padding:", ";text-align:right;"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.hasAltCloseWithNoTitle ? '0 14px 8px' : '8px 14px';
});
var PopoverContent = styled$1.div(["margin-bottom:", ";text-align:left;"], function (props) {
  return props.showCloseButton ? '8px' : '0';
});
var PopoverCloseButton = styled$1(Button)(["display:inline-block;margin:5px 0;width:auto;"]);
var AltCloseButton = styled$1(DismissButton$2)(["color:", ";flex:0 1;margin-left:auto;padding:8px;"], function (props) {
  return props.hasTitle ? props.theme.colors.white : props.theme.colors.black;
});
var CloseHelpText = styled$1.span(["color:transparent;flex:none;height:1px;outline:0;width:1px;"]);
var Popover = /*#__PURE__*/React.forwardRef(function ForwardedPopover(_ref, ref) {
  var name = _ref.name,
    title = _ref.title,
    content = _ref.content,
    renderContent = _ref.renderContent,
    placement = _ref.placement,
    arrowSize = _ref.arrowSize,
    renderTrigger = _ref.renderTrigger,
    hasCloseButton = _ref.hasCloseButton,
    hasAltCloseButton = _ref.hasAltCloseButton,
    disableCloseOnScroll = _ref.disableCloseOnScroll,
    disableRootClose = _ref.disableRootClose,
    disableFlipping = _ref.disableFlipping,
    enableEvents = _ref.enableEvents,
    keepTogether = _ref.keepTogether,
    strategy = _ref.strategy,
    popoverWrapperClassName = _ref.popoverWrapperClassName,
    styleType = _ref.styleType,
    otherProps = _objectWithoutProperties(_ref, _excluded$M);
  var hasTitle = title !== undefined;
  var hasAltCloseWithNoTitle = !hasTitle && hasAltCloseButton;
  var showCloseButton = hasCloseButton && !hasAltCloseButton;
  var triggerBtnRef = useRef(null);
  var hasOpened = useRef(false);
  var _useState = useState(null),
    _useState2 = _slicedToArray(_useState, 2),
    popperElement = _useState2[0],
    setPopperElement = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isOpen = _useState4[0],
    setIsOpen = _useState4[1];
  var closedOnScroll = useRef(false);
  var toggleShowFromInteraction = useCallback(function (event) {
    event === null || event === void 0 || event.preventDefault();
    event === null || event === void 0 || event.stopPropagation();
    setIsOpen(function (oldIsOpen) {
      return !oldIsOpen;
    });
  }, []);
  var endScrollClose = useCallback(function () {
    closedOnScroll.current = false;
  }, []);
  useEffect(function closeOnScrollAway() {
    if (disableCloseOnScroll || !popperElement) return;
    var running = false;
    var scrollOffScreenHandler = function scrollOffScreenHandler() {
      if (running) return;
      running = true;
      setTimeout(function () {
        var bounds = popperElement.getBoundingClientRect();
        var inViewport = bounds.top <= window.innerHeight && bounds.bottom >= 0;
        if (!inViewport) {
          closedOnScroll.current = true;
        }
        setIsOpen(function (oldValue) {
          if (inViewport) return oldValue;
          if (oldValue) return false;
          return oldValue;
        });
        running = false;
      }, 1000 / 25 /* 25 FPS */);
    };
    if (isOpen) {
      window.addEventListener('scroll', scrollOffScreenHandler);
    }
    return function () {
      return window.removeEventListener('scroll', scrollOffScreenHandler);
    };
  }, [isOpen, disableCloseOnScroll, popperElement]);
  useEffect(function focusPopperContent() {
    if (isOpen) {
      hasOpened.current = true;
      setTimeout(function focusAfterRenderComplete() {
        popperElement === null || popperElement === void 0 || popperElement.focus();
      }, 0);
    } else {
      if (!hasOpened.current || !popperElement) {
        // ensure we don't focus on mount
        return;
      }
      if (!closedOnScroll.current) {
        var _triggerBtnRef$curren;
        (_triggerBtnRef$curren = triggerBtnRef.current) === null || _triggerBtnRef$curren === void 0 || _triggerBtnRef$curren.focus();
      }
    }
  }, [popperElement, isOpen]);
  return /*#__PURE__*/React.createElement(Container$2, {
    ref: ref
  }, /*#__PURE__*/React.createElement(Popup$1, _extends({
    name: name,
    trigger: renderTrigger({
      ref: triggerBtnRef,
      toggleShow: toggleShowFromInteraction,
      isOpen: isOpen
    }),
    position: placement,
    arrowSize: arrowSize,
    transitionIn: isOpen,
    hasTitle: hasTitle,
    disableFlipping: disableFlipping,
    popperRef: setPopperElement,
    enableEvents: enableEvents,
    strategy: strategy,
    keepTogether: keepTogether,
    setIsOpen: setIsOpen,
    disableRootClose: Boolean(disableRootClose),
    onExited: endScrollClose
  }, otherProps), /*#__PURE__*/React.createElement("div", {
    "aria-live": "assertive",
    className: "root-close-wrapper ".concat(popoverWrapperClassName || '')
  }, /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(PopoverHeader, {
    hasTitle: hasTitle,
    styleType: styleType
  }, hasTitle && /*#__PURE__*/React.createElement(TitleBar, null, title), hasAltCloseButton ? /*#__PURE__*/React.createElement(AltCloseButton, {
    "aria-label": "Close",
    hasTitle: hasTitle,
    onClick: toggleShowFromInteraction,
    "aria-hidden": true
  }) : /*#__PURE__*/React.createElement(React.Fragment, null), /*#__PURE__*/React.createElement(CloseHelpText, {
    tabIndex: -1,
    "aria-label": "Press escape to close the Popover"
  })), /*#__PURE__*/React.createElement(PopoverBody, {
    hasAltCloseWithNoTitle: hasAltCloseWithNoTitle
  }, /*#__PURE__*/React.createElement(PopoverContent, {
    showCloseButton: showCloseButton
  }, renderContent ? renderContent({
    toggleShow: toggleShowFromInteraction
  }) : content), showCloseButton ? /*#__PURE__*/React.createElement(PopoverCloseButton, {
    onClick: toggleShowFromInteraction
  }, "Close") : /*#__PURE__*/React.createElement(React.Fragment, null))))));
});
function contentRequired(props, propName, componentName) {
  props.content || props.renderContent;
  PropTypes.checkPropTypes({
    content: PropTypes.node,
    renderContent: PropTypes.func
  }, props, propName, componentName);
  return null;
}
var placements = ['top', 'top-start', 'top-end', 'right', 'right-start', 'right-end', 'bottom', 'bottom-start', 'bottom-end', 'left', 'left-start', 'left-end'];
function filterPopup(popupObj) {
  return Object.entries(popupObj || {}).filter(function (_ref2) {
    var _ref3 = _slicedToArray(_ref2, 1),
      key = _ref3[0];
    return !['name', 'trigger', 'position', 'arrowSize', 'transitionIn', 'hasTitle', 'disableFlipping', 'popperRef', 'enableEvents', 'strategy', 'keepTogether', 'setIsOpen', 'disableRootClose'].includes(key);
  }).reduce(function (finalProps, _ref4) {
    var _ref5 = _slicedToArray(_ref4, 2),
      key = _ref5[0],
      prop = _ref5[1];
    return _objectSpread$w(_objectSpread$w({}, finalProps), {}, _defineProperty({}, key, prop));
  }, {});
}
Popover.propTypes = _objectSpread$w(_objectSpread$w({}, filterPopup(Popup$1.propTypes)), {}, {
  /** The name of the popover. Used for differentiating popovers */
  name: PropTypes.string.isRequired,
  /** The text displayed in the popover title section */
  title: PropTypes.string,
  /** The content displayed in the popover body. This is required if renderContent is not used */
  // eslint-disable-next-line react/require-default-props
  content: contentRequired,
  /** Function returning the content to be displayed in the popover body. This is required if content is not used */
  // eslint-disable-next-line react/require-default-props
  renderContent: contentRequired,
  /** The placement of the popover in relation to the link */
  placement: PropTypes.oneOf(placements),
  /** The size of the arrow on the popover box */
  arrowSize: PropTypes.oneOf(['sm', 'lg', 'none', 'default']),
  /** Disables popover's ability to close when the user scrolls  */
  disableCloseOnScroll: PropTypes.bool,
  /** Disables popover's ability to change position to stay in viewport */
  disableFlipping: PropTypes.bool,
  /** Prevents popover from closing when clicked outside of it */
  disableRootClose: PropTypes.bool,
  /** Display a close button in the bottom right of the popover body */
  hasCloseButton: PropTypes.bool,
  /** Display a close ('x') button in the popover title bar */
  hasAltCloseButton: PropTypes.bool,
  /** Function returning a button component to be used as the popover trigger */
  renderTrigger: PropTypes.func.isRequired,
  /** Enable event handlers provided by Popper.js */
  enableEvents: PropTypes.bool,
  /** Sets the strategy for positioning the popover in Popper.js */
  strategy: PropTypes.oneOf(['absolute', 'fixed']),
  /** When using a React portal, such as sliding pane, this helps the arrow to stay aligned with the trigger */
  keepTogether: PropTypes.bool,
  /** Pass a className to the wrapper of the popover content */
  popoverWrapperClassName: PropTypes.string,
  /** Specify the background color of the popover header (similar to Button style types) */
  styleType: PropTypes.oneOf(['primary', 'info', 'success', 'warning', 'danger'])
});
Popover.defaultProps = _objectSpread$w(_objectSpread$w({}, filterPopup(Popup$1.defaultProps)), {}, {
  name: '',
  placement: 'bottom',
  arrowSize: 'default',
  disableRootClose: false,
  hasCloseButton: false,
  hasAltCloseButton: false,
  disableFlipping: false,
  disableCloseOnScroll: false,
  title: undefined,
  enableEvents: true,
  strategy: 'absolute',
  keepTogether: true,
  styleType: 'primary',
  popoverWrapperClassName: 'popover--active'
});
var Popover$1 = Popover;

var useDisableBodyScroll = function useDisableBodyScroll(shouldDisableScroll) {
  useEffect(function () {
    var newStyle = 'overflow: hidden;';
    var getCurrentStyle = function getCurrentStyle() {
      return document.body.getAttribute('style') || '';
    };
    var scrollDisabled = false;
    var disableScroll = function disableScroll() {
      scrollDisabled = true;
      document.body.setAttribute('style', "".concat(getCurrentStyle(), " ").concat(newStyle));
    };
    var enableScroll = function enableScroll() {
      if (!scrollDisabled) return;
      scrollDisabled = false;
      document.body.setAttribute('style',
      // this will only replace one instance of newStyle, which is what we want.
      getCurrentStyle().replace(newStyle, ''));
    };
    if (shouldDisableScroll) {
      disableScroll();
    } else {
      enableScroll();
    }
    return enableScroll;
  }, [shouldDisableScroll]);
};

var ModalContext = /*#__PURE__*/React.createContext({
  onHide: function onHide() {
    throw new Error('Function not implemented.');
  },
  ariaId: ''
});

var _excluded$L = ["hideCloseButton", "children", "level", "size"];
var DismissButton = DismissButton$2;

// Note: ModalHeader relies on a parent (Modal) with ThemeProvider wrapping it
var Header$2 = styled$1.div(["align-items:baseline;background-color:", ";border-bottom:2px solid ", ";box-sizing:border-box;color:", ";display:flex;font-size:26px;justify-content:space-between;padding:15px;.small &{@media (min-width:", "){position:static;width:unset;}}.medium &{@media (min-width:", "){position:static;width:unset;}}.large &{@media (min-width:", "){position:static;width:unset;}}"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.brandColors.primary3;
}, function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.screenSize.phone;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.theme.screenSize.desktop;
});
var Title = styled$1(Heading$1)(["margin:0;"]);
var DismissModal = styled$1(DismissButton)(["align-self:center;color:", ";font-size:18px;"], function (props) {
  return props.theme.colors.black;
});
function ModalHeader(props) {
  var hideCloseButton = props.hideCloseButton,
    children = props.children,
    level = props.level,
    size = props.size,
    otherProps = _objectWithoutProperties(props, _excluded$L);
  var _useContext = useContext(ModalContext),
    onHide = _useContext.onHide,
    ariaId = _useContext.ariaId;
  return /*#__PURE__*/React.createElement(Header$2, otherProps, /*#__PURE__*/React.createElement(Title, {
    id: ariaId,
    level: level,
    size: size
  }, children), !hideCloseButton && /*#__PURE__*/React.createElement(DismissModal, {
    onClick: onHide
  }));
}
ModalHeader.propTypes = {
  /** Specify whether the modal header should contain a close button */
  hideCloseButton: PropTypes.bool,
  children: PropTypes.any,
  level: PropTypes.oneOf(headingLevel),
  size: PropTypes.oneOf(headingLevel),
  ref: PropTypes.oneOfType([PropTypes.func, PropTypes.shape({
    current: PropTypes.any
  })])
};
ModalHeader.defaultProps = {
  hideCloseButton: false,
  children: undefined,
  level: 4,
  size: undefined,
  ref: null
};

// Note: ModalBody relies on a parent (Modal) with ThemeProvider wrapping it
var ModalBody = styled$1.div(["color:", ";padding:15px;.small &{@media (min-width:", "){margin-top:unset;}}.medium &{@media (min-width:", "){margin-top:unset;}}.large &{@media (min-width:", "){margin-top:unset;}}"], function (props) {
  return props.theme.colors.gray9;
}, function (props) {
  return props.theme.screenSize.phone;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.theme.screenSize.desktop;
});
var Body = ModalBody;

// Note: ModalFooter relies on a parent (Modal) with ThemeProvider wrapping it
var ModalFooter = styled$1.div(["align-items:baseline;display:flex;padding:15px 15px 55px;text-align:right;button{width:auto;}@media (min-width:", "){padding:15px 15px 19px;}"], function (props) {
  return props.theme.screenSize.tablet;
});
var Footer = ModalFooter;

var _excluded$K = ["animation", "backdrop", "children", "escapeExits", "onEnter", "onExit", "onHide", "show", "size", "parentSelector", "className", "overlayRef", "contentRef"];
function ownKeys$v(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$v(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$v(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$v(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var modalSize = {
  small: '300px',
  medium: '600px',
  large: '900px'
};
var animationTimeMs = 300;
var getModalMargin = function getModalMargin(windowHeight, modalHeight) {
  var fullMargin = windowHeight - modalHeight;
  var thirdTopMargin = fullMargin / 3;
  return Math.max(thirdTopMargin, 50);
};
var getAlphaColor = function getAlphaColor(color, alpha) {
  var colorObj = tinycolor(color);
  colorObj.setAlpha(alpha);
  return colorObj.toRgbString();
};
var ModalStyles = createGlobalStyle(["", ""], function (_ref) {
  var _ref$theme = _ref.theme,
    portalClassName = _ref$theme.portalClassName,
    colors = _ref$theme.colors,
    font = _ref$theme.font,
    screenSize = _ref$theme.screenSize,
    windowHeight = _ref$theme.windowHeight,
    modalHeight = _ref$theme.modalHeight,
    showBackdrop = _ref.showBackdrop,
    topIndex = _ref.topIndex,
    showAnimation = _ref.showAnimation;
  return css([".", "{.background-overlay{bottom:0;background-color:", ";left:0;max-height:100%;overflow-y:auto;position:fixed;right:0;top:0;transition:background-color ", "ms linear;z-index:", ";-webkit-overflow-scrolling:touch;&.ReactModal__Overlay--after-open{background-color:", ";&.ReactModal__Overlay--before-close{background-color:", ";}}}.modal-content{background-clip:padding-box;background-color:", ";border-radius:3px;box-shadow:0 5px 15px rgba(0,0,0,0.5);font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-size:", ";margin:0.5rem;outline:0;opacity:0;position:absolute;left:0;transform:translateY(0);transition:transform ", "ms ease-out ", "ms,opacity ", "ms ease-out ", "ms;", ";&.ReactModal__Content--after-open{opacity:1;", ";&.ReactModal__Content--before-close{opacity:0;", ";}}&.small{@media (min-width:", "){position:relative;margin:", "px auto;width:", ";}}&.medium{@media (min-width:", "){position:relative;margin:", "px auto;width:", ";}}&.large{@media (min-width:", "){position:relative;margin:", "px auto;width:", ";}}}}"], portalClassName, getAlphaColor(colors.gray9, 0), animationTimeMs / 2, topIndex, function () {
    if (!showBackdrop) return '';
    return getAlphaColor(colors.gray9, 0.5);
  }, getAlphaColor(colors.gray9, 0), colors.white, font.baseFontSize, animationTimeMs, animationTimeMs / 4, animationTimeMs, animationTimeMs / 4, showAnimation ? "\n            transform: translateY(-50px);\n          " : '', showAnimation ? "\n              transform: translateY(0);\n            " : '', showAnimation ? "\n                transform: translateY(-50px);\n              " : '', screenSize.phone, getModalMargin(windowHeight, modalHeight), modalSize.small, screenSize.tablet, getModalMargin(windowHeight, modalHeight), modalSize.medium, screenSize.desktop, getModalMargin(windowHeight, modalHeight), modalSize.large);
});
var ModalThemeProvider = ThemeProvider;
function Modal(_ref2) {
  var _ref2$animation = _ref2.animation,
    animation = _ref2$animation === void 0 ? true : _ref2$animation,
    _ref2$backdrop = _ref2.backdrop,
    backdrop = _ref2$backdrop === void 0 ? true : _ref2$backdrop,
    children = _ref2.children,
    escapeExits = _ref2.escapeExits,
    onEnter = _ref2.onEnter,
    onExit = _ref2.onExit,
    onHide = _ref2.onHide,
    show = _ref2.show,
    size = _ref2.size,
    parentSelector = _ref2.parentSelector,
    className = _ref2.className,
    overlayRef = _ref2.overlayRef,
    contentRef = _ref2.contentRef,
    other = _objectWithoutProperties(_ref2, _excluded$K);
  var ariaId = useUniqueId(other.id);
  var portalClassName = "ReactModalPortal-".concat(useUniqueId());
  var _useRootNodeLocator = useRootNodeLocator(document.body),
    _useRootNodeLocator2 = _slicedToArray(_useRootNodeLocator, 2),
    rootNode = _useRootNodeLocator2[0],
    RootNodeLocator = _useRootNodeLocator2[1];
  var _useState = useState(300),
    _useState2 = _slicedToArray(_useState, 2),
    modalHeight = _useState2[0],
    setModalHeight = _useState2[1];
  var _useState3 = useState(show),
    _useState4 = _slicedToArray(_useState3, 2),
    shouldShow = _useState4[0],
    setShouldShow = _useState4[1];
  var modalRef = useRef(null);
  var innerContentRef = useRef(null);
  var getTopIndex = useTopZIndex();
  var setContentRef = useCallback(function (contentElement) {
    callRef$1(contentRef, contentElement);
    innerContentRef.current = contentElement;
  }, [contentRef]);
  var _useWindowSize = useWindowSize(),
    windowHeight = _useWindowSize.windowHeight;
  var modalHeightRef = useCallback(function (modalElement) {
    callRef$1(overlayRef, modalElement);
    var newHeight = 0;
    if (modalElement) {
      modalRef.current = modalElement;
      newHeight = modalElement.offsetHeight;
    }
    if (innerContentRef.current) {
      var contRefHeight = innerContentRef.current.offsetHeight;
      if (contRefHeight < newHeight) newHeight = contRefHeight;
    }
    setModalHeight(newHeight);
  }, [overlayRef]);
  var rootNodeSelector = useCallback(function () {
    return rootNode;
  }, [rootNode]);
  var modalParentSelector = parentSelector || rootNodeSelector;
  useEffect(function () {
    if (!animation || show) {
      setShouldShow(show);
      return noop$1;
    }
    var mounted = true;
    setTimeout(function () {
      if (!mounted) return;
      setShouldShow(false);
    }, animationTimeMs);
    return function () {
      mounted = false;
    };
  }, [show, animation]);
  useEffect(function () {
    if (modalRef.current && modalRef.current.scroll) {
      modalRef.current.scroll(0, 0);
    }
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [modalRef.current]);
  useDisableBodyScroll(show);
  var shouldCloseOnOverlayClick = backdrop === 'static' ? false : backdrop;
  return /*#__PURE__*/React.createElement(ModalThemeProvider, {
    theme: function theme(_theme) {
      return _objectSpread$v(_objectSpread$v({}, _theme), {}, {
        modalHeight: modalHeight,
        windowHeight: windowHeight,
        portalClassName: portalClassName
      });
    }
  }, /*#__PURE__*/React.createElement(RootNodeLocator, null), shouldShow ? /*#__PURE__*/React.createElement(ModalStyles, {
    showAnimation: animation,
    showBackdrop: Boolean(backdrop),
    topIndex: getTopIndex()
  }) : null, /*#__PURE__*/React.createElement(ModalContext.Provider, {
    value: {
      onHide: onHide || noop$1,
      ariaId: ariaId
    }
  }, /*#__PURE__*/React.createElement(ReactModal, _extends({
    portalClassName: portalClassName,
    className: "".concat(className || '', " ").concat(size || 'medium', " modal-content"),
    overlayClassName: "background-overlay",
    closeTimeoutMS: animation ? animationTimeMs : undefined,
    aria: {
      labelledby: ariaId
    },
    shouldCloseOnOverlayClick: shouldCloseOnOverlayClick,
    onRequestClose: onHide,
    onAfterOpen: onEnter,
    onAfterClose: onExit,
    shouldCloseOnEsc: escapeExits,
    parentSelector: modalParentSelector,
    contentRef: setContentRef,
    overlayRef: modalHeightRef
  }, _objectSpread$v(_objectSpread$v({}, other || {}), {}, {
    isOpen: Boolean(show)
  })), children)));
}
var badProp = function badProp(props, propName, componentName) {
  if (props[propName]) {
    return new Error("Invalid ReactModal prop '".concat(propName, "' supplied to '").concat(componentName, "'."));
  }
};
var propTypes$d = _objectSpread$v(_objectSpread$v({}, ReactModal.propTypes), {}, {
  isOpen: badProp,
  overlayClassName: badProp,
  closeTimeoutMS: badProp,
  aria: badProp,
  onRequestClose: badProp,
  onAfterOpen: badProp,
  onAfterClose: badProp,
  shouldCloseOnEsc: badProp,
  /** Open and close the Modal with transitions. */
  animation: PropTypes.bool,
  /**
   * Include a backdrop component. Specify 'static' for a backdrop that doesn't
   * trigger an "onHide" when clicked.
   */
  backdrop: PropTypes.oneOf(['static', true, false]),
  /**
   * Usually contains a Modal.Header, Modal.Body, and Modal.Footer
   * but can contain any content
   */
  children: PropTypes.any,
  /** Set whether the Escape key exits the modal */
  escapeExits: PropTypes.bool,
  /** Callback fired when the Modal transitions in */
  onEnter: PropTypes.func,
  /** Callback fired when the modal transitions out */
  onExit: PropTypes.func,
  /**
   * A callback fired when the header closeButton or non-static backdrop is
   * clicked. Required if either are specified.
   */
  onHide: PropTypes.func,
  /** When `true` The modal will show itself. */
  show: PropTypes.bool,
  /** Sets the size of the modal */
  size: PropTypes.oneOf(['small', 'medium', 'large']),
  /** Selects the parent */
  parentSelector: PropTypes.func,
  className: PropTypes.string,
  overlayRef: PropTypes.oneOfType([PropTypes.func, PropTypes.shape({
    current: PropTypes.any
  })]),
  contentRef: PropTypes.oneOfType([PropTypes.func, PropTypes.shape({
    current: PropTypes.any
  })])
});
var defaultProps$a = {
  animation: true,
  backdrop: true,
  escapeExits: true,
  onEnter: noop$1,
  onExit: noop$1,
  onHide: noop$1,
  show: false,
  size: 'medium',
  children: undefined,
  parentSelector: null,
  className: null,
  overlayRef: null,
  contentRef: null
};
Modal.propTypes = propTypes$d;
Modal.defaultProps = defaultProps$a;
Modal.Header = ModalHeader;
Modal.Body = Body;
Modal.Footer = Footer;

var ModalButtonContainer = styled$1.div(["display:flex;flex-direction:column;justify-content:flex-end;width:100%;@media (min-width:", "){flex-direction:row;}"], function (props) {
  return props.theme.screenSize.tablet;
});

var _Heading$propTypes, _Heading$propTypes2;
var _excluded$J = ["isOpen", "title", "subTitle", "shouldCloseOnEsc", "onRequestClose", "onAfterOpen", "children", "closeIcon", "closeIconScreenReaderText", "from", "headingLevel", "headingSize", "closeTimeout", "overlayStyles", "contentStyles", "appElement", "parentSelector", "hideHeader", "paneWidth"];
function ownKeys$u(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$u(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$u(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$u(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var PaneBase = styled$1(ReactModal)(["background:", ";box-shadow:0 8px 8px ", ";display:flex;flex-direction:column;height:100%;min-width:100px;transition:transform 0.5s;width:100%;will-change:transform;&:focus{outline-style:none;}@media (min-width:", "){width:", ";}"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.boxShadowDark;
}, function (props) {
  return props.paneWidth;
}, function (props) {
  return props.paneWidth;
});
var PaneRight = styled$1(PaneBase)(["margin-left:auto;transform:translateX(100%);&.ReactModal__Content--after-open{transform:translateX(0%);}&.ReactModal__Content--before-close{transform:translateX(100%);}"]);
var PaneLeft = styled$1(PaneBase)(["margin-right:auto;transform:translateX(-100%);&.ReactModal__Content--after-open{transform:translateX(0%);}&.ReactModal__Content--before-close{transform:translateX(-100%);}"]);
var PaneBottom = styled$1(PaneBase)(["height:90vh;margin-top:10vh;transform:translateY(100%);&.ReactModal__Content--after-open{transform:translateY(0%);}&.ReactModal__Content--before-close{transform:translateY(100%);}"]);
var Header$1 = styled$1.div(["align-items:center;background-color:", ";color:", ";display:flex;flex:0 0 64px;height:64px;"], function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return props.theme.colors.white;
});
var CloseLink = styled$1(LinkButton$1)(["cursor:pointer;opacity:0.7;padding:16px;"]);
var TitleWrapper = styled$1.div(["display:flex;flex:1;flex-direction:column;min-width:0;"]);
var TitleText = styled$1(Heading$1)(["margin:0;max-width:80%;overflow:hidden;padding:1px;text-overflow:ellipsis;white-space:nowrap;"]);
var SubTitle = styled$1.div(["font-size:12px;margin-top:2px;"]);
var Content$1 = styled$1.div(["flex:1 1 auto;overflow-y:auto;padding:1.5em;position:relative;"]);
var ScreenReaderText = screenReaderOnly('span');
var defaultStyles = {
  overlay: {
    backgroundColor: 'rgba(0,0,0,0)',
    top: '0',
    left: '0',
    right: '0',
    bottom: '0',
    position: 'fixed',
    zIndex: '1000',
    transition: 'background-color 0.5s'
  },
  content: {}
};
var GlobalPaneStyles = createGlobalStyle([".ReactModal__Overlay--after-open{background-color:rgba(0,0,0,0.5) !important;}.ReactModal__Overlay--before-close{background-color:rgba(0,0,0,0) !important;}"]);
function getPane(direction) {
  switch (direction) {
    case 'bottom':
      return PaneBottom;
    case 'left':
      return PaneLeft;
    default:
      return PaneRight;
  }
}
function SlidingPane(_ref) {
  var isOpen = _ref.isOpen,
    title = _ref.title,
    subTitle = _ref.subTitle,
    shouldCloseOnEsc = _ref.shouldCloseOnEsc,
    _ref$onRequestClose = _ref.onRequestClose,
    onRequestClose = _ref$onRequestClose === void 0 ? noop$1 : _ref$onRequestClose,
    onAfterOpen = _ref.onAfterOpen,
    children = _ref.children,
    closeIcon = _ref.closeIcon,
    closeIconScreenReaderText = _ref.closeIconScreenReaderText,
    _ref$from = _ref.from,
    from = _ref$from === void 0 ? 'right' : _ref$from,
    headingLevel = _ref.headingLevel,
    headingSize = _ref.headingSize,
    closeTimeout = _ref.closeTimeout,
    overlayStyles = _ref.overlayStyles,
    contentStyles = _ref.contentStyles,
    appElement = _ref.appElement,
    parentSelector = _ref.parentSelector,
    hideHeader = _ref.hideHeader,
    paneWidth = _ref.paneWidth,
    rest = _objectWithoutProperties(_ref, _excluded$J);
  var _useRootNodeLocator = useRootNodeLocator(document.body),
    _useRootNodeLocator2 = _slicedToArray(_useRootNodeLocator, 2),
    rootNode = _useRootNodeLocator2[0],
    RootNodeLocator = _useRootNodeLocator2[1];
  useDisableBodyScroll(isOpen);
  var handle = useCallback(function () {
    return rootNode;
  }, [rootNode]);
  var modalParentSelector = parentSelector || handle;
  var Pane = getPane(from);
  var styles = {
    overlay: _objectSpread$u(_objectSpread$u({}, defaultStyles.overlay), overlayStyles),
    content: _objectSpread$u(_objectSpread$u({}, defaultStyles.content), contentStyles)
  };
  if (appElement) {
    Pane.setAppElement(appElement);
  } else {
    Object.assign(rest, {
      ariaHideApp: false
    });
  }
  var theme = useTheme();
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(GlobalPaneStyles, null), /*#__PURE__*/React.createElement(RootNodeLocator, null), /*#__PURE__*/React.createElement(Pane, _extends({
    style: styles,
    closeTimeoutMS: closeTimeout,
    isOpen: isOpen,
    onAfterOpen: onAfterOpen,
    onRequestClose: onRequestClose,
    shouldCloseOnEsc: shouldCloseOnEsc,
    contentLabel: "Modal \"".concat(title, "\""),
    parentSelector: modalParentSelector,
    paneWidth: paneWidth || "".concat(theme.screenSize.tablet)
  }, rest), hideHeader ? /*#__PURE__*/React.createElement(React.Fragment, null) : /*#__PURE__*/React.createElement(Header$1, null, /*#__PURE__*/React.createElement(CloseLink, {
    onClick: onRequestClose
  }, closeIcon || /*#__PURE__*/React.createElement(Icon$2, {
    name: "remove",
    size: 34
  }), /*#__PURE__*/React.createElement(ScreenReaderText, null, closeIconScreenReaderText)), /*#__PURE__*/React.createElement(TitleWrapper, null, /*#__PURE__*/React.createElement(TitleText, {
    level: headingLevel,
    size: headingSize
  }, title), /*#__PURE__*/React.createElement(SubTitle, null, subTitle))), /*#__PURE__*/React.createElement(Content$1, null, children)));
}
SlidingPane.propTypes = {
  isOpen: PropTypes.bool.isRequired,
  title: PropTypes.any,
  subTitle: PropTypes.any,
  shouldCloseOnEsc: PropTypes.bool,
  onRequestClose: PropTypes.func,
  onAfterOpen: PropTypes.func,
  children: PropTypes.node.isRequired,
  from: PropTypes.oneOf(['left', 'right', 'bottom']),
  closeIcon: PropTypes.any,
  closeIconScreenReaderText: PropTypes.string,
  headingLevel: (_Heading$propTypes = Heading$1.propTypes) === null || _Heading$propTypes === void 0 ? void 0 : _Heading$propTypes.level,
  headingSize: (_Heading$propTypes2 = Heading$1.propTypes) === null || _Heading$propTypes2 === void 0 ? void 0 : _Heading$propTypes2.size,
  closeTimeout: PropTypes.number,
  overlayStyles: PropTypes.object,
  contentStyles: PropTypes.object,
  /** selector of application element (e.g. #root), for hiding of
   main content for screenreaders when pane is open */
  appElement: PropTypes.string,
  parentSelector: PropTypes.func,
  hideHeader: PropTypes.bool,
  /** The width size in pixels of the sliding pane. This defaults to the tablet size.  */
  paneWidth: PropTypes.string
};
SlidingPane.defaultProps = {
  /* Timeout is in milliseconds */
  closeTimeout: 500,
  from: 'right',
  headingLevel: 2,
  headingSize: 3,
  shouldCloseOnEsc: true,
  title: undefined,
  subTitle: undefined,
  onRequestClose: noop$1,
  onAfterOpen: noop$1,
  closeIcon: undefined,
  closeIconScreenReaderText: 'Close',
  overlayStyles: {},
  contentStyles: {},
  appElement: undefined,
  parentSelector: null,
  hideHeader: false,
  paneWidth: null
};

var _excluded$I = ["children", "styleType", "size", "block"];
function ownKeys$t(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$t(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$t(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$t(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var StyledButton$1 = styled$1(ButtonBase$1)(["background-color:", ";border:2px solid ", ";border-radius:", ";box-sizing:border-box;color:", ";cursor:pointer;display:block;font-family:inherit;font-size:", ";font-weight:", ";line-height:", ";min-width:100px;padding-bottom:", ";padding-left:", ";padding-right:", ";padding-top:", ";text-align:center;text-decoration:none;text-transform:", ";transition:color 0.15s ease-in-out,background-color 0.15s ease-in-out,border-color 0.15s ease-in-out,box-shadow 0.15s ease-in-out;user-select:none;vertical-align:middle;white-space:nowrap;width:100%;@media (min-width:", "){display:", ";width:", ";}&:focus{box-shadow:0 0 0 0.2rem ", ";outline:none;}@media (hover:hover),(-ms-high-contrast:none){&:hover{background-color:", ";color:", ";border-color:", ";}}&:active,&.pressed{background-color:", ";color:", ";}&.pressed{box-shadow:inset 0 3px 5px rgba(0,0,0,0.25);}&:active:focus,&.pressed:focus{box-shadow:inset 0 3px 5px rgba(0,0,0,0.25),0 0 0 0.2rem ", ";}&[disabled],&[data-waiting],&[data-waiting]:active,&[data-waiting].pressed,&[data-waiting].pressed{background-color:#e6e6e6;border-color:#e6e6e6;color:#ccc;cursor:not-allowed;&:hover,&:active,&.pressed{background-color:#e6e6e6;border-color:#e6e6e6;color:#ccc;&:focus{box-shadow:0 0 0 0.2rem ", ";}}> *{pointer-events:none;}}"], function (props) {
  return props.colors.bgColor;
}, function (props) {
  return props.colors.textColor;
}, function (props) {
  return props.buttonSize.borderRadius;
}, function (props) {
  return props.colors.textColor;
}, function (props) {
  return props.buttonSize.fontSize;
}, function (props) {
  return props.buttonSize.fontWeight || 'normal';
}, function (props) {
  return props.buttonSize.lineHeight || props.theme.font.baseLineHeight;
}, function (props) {
  return props.buttonSize.paddingBottom;
}, function (props) {
  return props.buttonSize.paddingSides;
}, function (props) {
  return props.buttonSize.paddingSides;
}, function (props) {
  return props.buttonSize.paddingTop;
}, function (props) {
  return props.buttonSize.textTransform ? props.buttonSize.textTransform : 'none';
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.block ? 'block' : 'inline-block';
}, function (props) {
  return props.block ? '100%' : 'auto';
}, function (props) {
  return props.colors.focusBoxShadowColor;
}, function (props) {
  return props.colors.hoverBgColor;
}, function (props) {
  return props.colors.hoverTextColor;
}, function (props) {
  return props.colors.hoverBorderColor;
}, function (props) {
  return props.colors.textColor;
}, function (props) {
  return props.colors.hoverTextColor;
}, function (props) {
  return props.colors.focusBoxShadowColor;
}, function (props) {
  return props.colors.focusBoxShadowColor;
});
var OutlineButton = /*#__PURE__*/React.forwardRef(function OutlineButton(props, ref) {
  var children = props.children,
    _props$styleType = props.styleType,
    styleType = _props$styleType === void 0 ? 'default' : _props$styleType,
    _props$size = props.size,
    size = _props$size === void 0 ? 'default' : _props$size,
    _props$block = props.block,
    block = _props$block === void 0 ? false : _props$block,
    other = _objectWithoutProperties(props, _excluded$I);
  var theme = useTheme();
  var buttonSize = theme.buttonStyles.outlineButton.size[size];
  var variant = theme.buttonStyles.outlineButton.variant[styleType];
  var isInheritedStyle = styleType === 'inherited';
  var focusBoxShadowColor = tinycolor.mix(variant.bgColor, theme.colors.black, 14);
  focusBoxShadowColor.setAlpha(0.5);
  var buttonColors = {
    textColor: 'inherited',
    bgColor: 'inherited',
    hoverTextColor: 'inherited',
    hoverBgColor: 'inherited',
    hoverBorderColor: 'inherited',
    focusBoxShadowColor: theme.colors.gray4
  };
  if (!isInheritedStyle) {
    buttonColors = {
      textColor: variant.bgColor,
      bgColor: theme.colors.white,
      hoverTextColor: (variant === null || variant === void 0 ? void 0 : variant.hoverColor) || theme.colors.white,
      hoverBgColor: (variant === null || variant === void 0 ? void 0 : variant.hoverBgColor) || variant.bgColor,
      hoverBorderColor: (variant === null || variant === void 0 ? void 0 : variant.hoverColor) || (variant === null || variant === void 0 ? void 0 : variant.bgColor),
      focusBoxShadowColor: focusBoxShadowColor.toRgbString()
    };
  }
  return /*#__PURE__*/React.createElement(StyledButton$1, _extends({
    ref: ref,
    block: block,
    buttonSize: buttonSize,
    colors: buttonColors,
    type: "button"
  }, other), children);
});

/* eslint-disable @typescript-eslint/no-non-null-assertion */
var propTypes$c = _objectSpread$t(_objectSpread$t({}, Button$2.propTypes), {}, {
  /** Select the color style of the button, types come from theme buttonStyles.outlineButton */
  styleType: Button$2.propTypes.styleType,
  /** Make the button's width the size of it's parent container */
  block: Button$2.propTypes.block
});
/* eslint-enable @typescript-eslint/no-non-null-assertion */

var defaultProps$9 = _objectSpread$t({}, Button$2.defaultProps);
OutlineButton.propTypes = propTypes$c;
OutlineButton.defaultProps = defaultProps$9;
var OutlineButton$1 = OutlineButton;

var _excluded$H = ["styleType", "size", "block", "isOutline", "onClick"];
function ownKeys$s(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$s(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$s(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$s(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ToggleButton = /*#__PURE__*/React.forwardRef(function ToggleButton(props, ref) {
  var styleType = props.styleType,
    size = props.size,
    block = props.block,
    isOutline = props.isOutline,
    onClick = props.onClick,
    buttonProps = _objectWithoutProperties(props, _excluded$H);
  var _useState = useState(props.isPressed),
    _useState2 = _slicedToArray(_useState, 2),
    isPressed = _useState2[0],
    setIsPressed = _useState2[1];
  useEffect(function () {
    setIsPressed(props.isPressed);
  }, [props.isPressed]);
  var toggleButton = useMonitoringCallback(function (currentOnClick, event) {
    setIsPressed(function (oldIsPressed) {
      return !oldIsPressed;
    });
    currentOnClick === null || currentOnClick === void 0 || currentOnClick(event);
  }, onClick);
  var ToggleButtonType = isOutline ? OutlineButton$1 : Button$2;
  return /*#__PURE__*/React.createElement(ToggleButtonType, _extends({}, buttonProps, {
    onClick: toggleButton,
    styleType: styleType,
    size: size,
    block: block,
    className: isPressed ? "".concat(buttonProps.className || '', " pressed") : buttonProps.className,
    "aria-pressed": isPressed,
    ref: ref
  }), props.children);
});

/* eslint-disable @typescript-eslint/no-non-null-assertion */
ToggleButton.propTypes = _objectSpread$s(_objectSpread$s({}, Button$2.propTypes), {}, {
  isOutline: PropTypes.bool,
  isPressed: PropTypes.bool
});
var unchildrenDefaults = _objectSpread$s({}, Button$2.defaultProps);
delete unchildrenDefaults['children'];
ToggleButton.defaultProps = _objectSpread$s(_objectSpread$s({}, unchildrenDefaults), {}, {
  isOutline: false,
  isPressed: false
});
/* eslint-enable @typescript-eslint/no-non-null-assertion */

var ToggleButton$1 = ToggleButton;

var InlineContext = /*#__PURE__*/React.createContext(false);

var _excluded$G = ["children", "headerContent", "isOpen", "onClose"];
var StyledPanel = styled$1.div(["background-color:", ";display:", ";position:absolute;z-index:", ";"], function (_ref) {
  var gray2 = _ref.theme.colors.gray2;
  return gray2;
}, function (props) {
  return props.isOpen ? 'block' : 'none';
}, function (_ref2) {
  var topIndex = _ref2.topIndex;
  return topIndex;
});
var StyledDismissButton = styled$1(DismissButton$2)(["margin-left:auto;margin-right:4px;"]);
var Header = styled$1.header(["align-items:center;display:flex;flex-wrap:wrap;justify-content:space-between;padding-bottom:", ";padding-left:11px;padding-right:5px;padding-top:", ";"], function (props) {
  return props.hasHeaderContent ? '10px' : '0';
}, function (props) {
  return props.hasHeaderContent ? '5px' : '0';
});
var StyledChildrenContainer$1 = styled$1.div(["display:flex;flex-direction:", ";flex-wrap:wrap;"], function (props) {
  return props.inline ? 'row' : 'column';
});
var MenuPanel = /*#__PURE__*/React.forwardRef(function ForwardedMenuPanel(_ref3, ref) {
  var children = _ref3.children,
    headerContent = _ref3.headerContent,
    isOpen = _ref3.isOpen,
    onClose = _ref3.onClose,
    other = _objectWithoutProperties(_ref3, _excluded$G);
  var getTopIndex = useTopZIndex();
  useMonitoringEffect(function (currentOnClose) {
    if (!isOpen) {
      return;
    }
    function onEscape(_ref4) {
      var key = _ref4.key;
      if (key === 'Escape') {
        currentOnClose === null || currentOnClose === void 0 || currentOnClose();
      }
    }
    window.addEventListener('keydown', onEscape);
    return function removeKeydownListener() {
      window.removeEventListener('keydown', onEscape);
    };
  }, [isOpen], onClose);
  var hasHeaderContent = !!headerContent;
  var inline = useContext(InlineContext);
  return /*#__PURE__*/React.createElement(StyledPanel, _extends({
    ref: ref,
    isOpen: isOpen,
    topIndex: getTopIndex()
  }, other), /*#__PURE__*/React.createElement(Header, {
    hasHeaderContent: hasHeaderContent
  }, hasHeaderContent && /*#__PURE__*/React.createElement("span", null, headerContent), /*#__PURE__*/React.createElement(StyledDismissButton, {
    onClick: onClose
  })), /*#__PURE__*/React.createElement(StyledChildrenContainer$1, {
    inline: inline
  }, children));
});
MenuPanel.propTypes = {
  children: PropTypes.any.isRequired,
  headerContent: PropTypes.node,
  isOpen: PropTypes.bool.isRequired,
  onClose: PropTypes.func.isRequired
};
MenuPanel.defaultProps = {
  headerContent: null,
  isOpen: false
};
var MenuPanel$1 = MenuPanel;

var _excluded$F = ["title", "children", "isLast", "isFirst", "isOnlySection"];
var StyledMenuSection = styled$1.section(["padding-top:", ";padding-bottom:", ";border-bottom:", ";"], function (props) {
  return !props.isFirst && !props.inline && !props.isOnlySection ? '20px' : '0px';
}, function (props) {
  return props.isLast ? '0px' : '20px';
}, function (props) {
  return !props.isLast && !props.inline ? "1px solid ".concat(props.theme.colors.gray5) : 'none';
});
var StyledHeader = styled$1.header(["padding-left:10px;"]);
var StyledChildrenContainer = styled$1.section(["padding:15px 20px 0px 20px;"]);
var MenuSection = /*#__PURE__*/React.forwardRef(function MenuSection(props, ref) {
  var title = props.title,
    children = props.children,
    isLast = props.isLast,
    isFirst = props.isFirst,
    isOnlySection = props.isOnlySection,
    other = _objectWithoutProperties(props, _excluded$F);
  var inline = useContext(InlineContext);
  return /*#__PURE__*/React.createElement(StyledMenuSection, _extends({
    ref: ref,
    isLast: isLast,
    isFirst: isFirst,
    inline: inline,
    isOnlySection: isOnlySection
  }, other), title && /*#__PURE__*/React.createElement(StyledHeader, {
    "aria-label": title
  }, title), children && /*#__PURE__*/React.createElement(StyledChildrenContainer, null, children));
});
MenuSection.propTypes = {
  title: PropTypes.string,
  children: PropTypes.any,
  isLast: PropTypes.bool,
  isFirst: PropTypes.bool,
  isOnlySection: PropTypes.bool
};
MenuSection.defaultProps = {
  title: undefined,
  children: undefined,
  isLast: false,
  isFirst: false,
  isOnlySection: false
};
var MenuSection$1 = MenuSection;

var RootCloseWrapper = /*#__PURE__*/React.forwardRef(function ForwardedRootCloseWrapper(_ref, ref) {
  var children = _ref.children,
    onRootClose = _ref.onRootClose,
    disabled = _ref.disabled,
    className = _ref.className;
  var rootCloseRef = useRef(null);
  useRootClose(rootCloseRef.current, onRootClose, {
    disabled: disabled
  });
  var handleRef = useMergedRefs(rootCloseRef, ref);
  return /*#__PURE__*/React.createElement("div", {
    ref: handleRef,
    className: "root-close-wrapper ".concat(className || '')
  }, children);
});
var RootCloseWrapper$1 = RootCloseWrapper;

var _excluded$E = ["inline", "children", "buttonContent", "openButtonType", "rootClose", "hasBackdrop", "headerContent"];
var Backdrop = styled$1.div(["background-color:black;bottom:0;cursor:auto;left:0;opacity:0.5;position:fixed;right:0;top:0;z-index:auto;display:", ";"], function (props) {
  return props.isMenuOpen ? 'inherit' : 'none';
});
var Menu = /*#__PURE__*/React.forwardRef(function ForwardedMenu(props, ref) {
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    isMenuOpen = _useState2[0],
    setIsMenuOpen = _useState2[1];
  function toggleMenu() {
    setIsMenuOpen(!isMenuOpen);
  }
  function closeMenu() {
    setIsMenuOpen(false);
  }
  var inline = props.inline,
    children = props.children,
    buttonContent = props.buttonContent,
    openButtonType = props.openButtonType,
    rootClose = props.rootClose,
    hasBackdrop = props.hasBackdrop,
    headerContent = props.headerContent,
    other = _objectWithoutProperties(props, _excluded$E);
  return /*#__PURE__*/React.createElement(RootCloseWrapper$1, {
    onRootClose: closeMenu,
    disabled: !rootClose
  }, /*#__PURE__*/React.createElement("div", _extends({
    ref: ref
  }, other), hasBackdrop && /*#__PURE__*/React.createElement(Backdrop, {
    isMenuOpen: isMenuOpen,
    onClick: closeMenu
  }), /*#__PURE__*/React.createElement(ToggleButton$1, {
    onClick: toggleMenu,
    isPressed: isMenuOpen,
    styleType: openButtonType,
    "aria-expanded": isMenuOpen
  }, buttonContent), /*#__PURE__*/React.createElement(InlineContext.Provider, {
    value: Boolean(inline)
  }, /*#__PURE__*/React.createElement(MenuPanel$1, {
    headerContent: headerContent,
    isOpen: isMenuOpen,
    onClose: closeMenu
  }, children))));
});
Menu.MenuSection = MenuSection$1;
Menu.propTypes = {
  children: PropTypes.node.isRequired,
  buttonContent: PropTypes.node.isRequired,
  openButtonType: PropTypes.oneOf(buttonVariantStyleTypes),
  rootClose: PropTypes.bool,
  inline: PropTypes.bool,
  hasBackdrop: PropTypes.bool,
  headerContent: PropTypes.node
};
Menu.defaultProps = {
  rootClose: false,
  openButtonType: 'default',
  inline: false,
  hasBackdrop: false,
  headerContent: undefined
};
var Menu$1 = Menu;

var _excluded$D = ["name", "selected", "action", "children", "simpleName", "announcerText"];
var TabButton = styled$1.button(["background-color:", ";box-shadow:", ";color:", ";display:inline-block;font-size:inherit;line-height:", ";padding:10px;text-align:left;z-index:1;&:focus{outline:none;}@media (max-width:", "){border:1px solid ", ";}@media (min-width:", "){background-color:", ";border:", ";border-bottom-color:", ";box-shadow:none;padding:10px 15px;margin:0 2px 0px 0;&:hover,&:focus{background-color:", ";}}"], function (props) {
  return props.selected ? props.theme.colors.white : props.theme.colors.gray2;
}, function (props) {
  return props.selected ? '0 6px 12px rgba(0, 0, 0, 0.175)' : 'none';
}, function (props) {
  return props.selected ? props.theme.colors.black : props.theme.colors.primary;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.theme.screenSize.desktop;
}, function (props) {
  return props.theme.colors.gray4;
}, function (props) {
  return props.theme.screenSize.desktop;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.selected ? "1px solid ".concat(props.theme.colors.gray4) : '1px solid transparent';
}, function (props) {
  return props.selected ? ' transparent' : "".concat(props.theme.colors.gray4);
}, function (props) {
  return props.selected ? props.theme.colors.white : props.theme.colors.gray2;
});
var AriaAnnouncer = screenReaderOnly('div');
var Tab = /*#__PURE__*/React.forwardRef(function ForwardedTab(_ref, ref) {
  var name = _ref.name,
    selected = _ref.selected,
    _ref$action = _ref.action,
    action = _ref$action === void 0 ? noop$1 : _ref$action,
    children = _ref.children,
    _ref$simpleName = _ref.simpleName,
    simpleName = _ref$simpleName === void 0 ? '' : _ref$simpleName,
    _ref$announcerText = _ref.announcerText,
    announcerText = _ref$announcerText === void 0 ? '' : _ref$announcerText,
    props = _objectWithoutProperties(_ref, _excluded$D);
  var className = "tab-button-".concat(selected ? 'selected' : 'unselected', " ").concat(props.className || '');
  var ariaLabel = "".concat(simpleName || name.toString(), " tab");
  return /*#__PURE__*/React.createElement(TabButton, _extends({
    ref: ref,
    className: className,
    onClick: function onClick() {
      void action(name, children, simpleName, announcerText);
    },
    selected: selected,
    "aria-label": ariaLabel,
    "aria-selected": selected,
    role: "tab"
  }, props), selected && (simpleName.length > 0 || announcerText.length > 0) && /*#__PURE__*/React.createElement(AriaAnnouncer, {
    id: "announcer",
    "aria-live": "assertive"
  }, "".concat(simpleName, " ").concat(announcerText)), name);
});
Tab.propTypes = {
  /**
   * The name of the tab, and the displayed value
   */
  name: PropTypes.node.isRequired,
  /**
   * Whether the tab is selected and should be rendered to appear selected.
   */
  selected: PropTypes.bool,
  /**
   * The function to call when the tab is clicked
   */
  action: PropTypes.func,
  /**
   * Children to be rendered in the TabContent area.
   */
  children: PropTypes.node,
  /**
   * A simpler representation for screen readers.
   */
  simpleName: PropTypes.string,
  /*
   * Additional text to be read after the simple name
   */
  announcerText: PropTypes.string
};
Tab.defaultProps = {
  selected: false,
  action: noop$1,
  children: undefined,
  simpleName: '',
  announcerText: ''
};
var Tab$1 = Tab;

var _excluded$C = ["child"],
  _excluded2$5 = ["children", "selectedKey", "tabChanged", "canTabChange"];
var TabList = styled$1.div(["display:flex;flex-direction:column;font-size:inherit;overflow:hidden;@media (max-width:", "){width:100%;}@media (min-width:", "){flex-direction:row;justify-content:flex-start;}"], function (props) {
  return props.theme.screenSize.desktop;
}, function (props) {
  return props.theme.screenSize.desktop;
});
var TabContent = styled$1.div(["margin-top:-1px;background-color:", ";border-top:1px solid ", ";"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray4;
});
var TabPanelTabRenderer = function TabPanelTabRenderer(_ref) {
  var child = _ref.child,
    tabChildProps = _objectWithoutProperties(_ref, _excluded$C);
  return /*#__PURE__*/React.isValidElement(child) ? /*#__PURE__*/React.cloneElement(child, tabChildProps) : child;
};
var TabContentChildRenderer = function TabContentChildRenderer(_ref2) {
  var child = _ref2.child;
  return /*#__PURE__*/React.isValidElement(child) ? child.props.children : child;
};
var childIsSelected = function childIsSelected(child, key) {
  if (! /*#__PURE__*/React.isValidElement(child)) {
    return false;
  }
  var elementName = child.props.name;
  return elementName !== null && elementName !== void 0 && elementName.key ? elementName.key === key : child.props.name === key;
};
var tabCanChangeFunc = function tabCanChangeFunc() {
  return true;
};
var TabPanel = /*#__PURE__*/React.forwardRef(function ForwardedTabPanel(_ref3, ref) {
  var children = _ref3.children,
    selectedKey = _ref3.selectedKey,
    _ref3$tabChanged = _ref3.tabChanged,
    tabChanged = _ref3$tabChanged === void 0 ? noop$1 : _ref3$tabChanged,
    _ref3$canTabChange = _ref3.canTabChange,
    canTabChange = _ref3$canTabChange === void 0 ? tabCanChangeFunc : _ref3$canTabChange,
    props = _objectWithoutProperties(_ref3, _excluded2$5);
  var _useState = useState(selectedKey),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var _useState3 = useState(0),
    _useState4 = _slicedToArray(_useState3, 2),
    selectedIndex = _useState4[0],
    setSelectedIndex = _useState4[1];
  var selectTabAction = useCallback( /*#__PURE__*/function () {
    var _ref4 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(header) {
      var canChange;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return canTabChange(header);
          case 2:
            canChange = _context.sent;
            if (canChange) {
              setValue(header);
              tabChanged(header);
            }
          case 4:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function (_x) {
      return _ref4.apply(this, arguments);
    };
  }(), [canTabChange, tabChanged]);
  var arrayOfChildren = React.Children.toArray(children);
  useEffect(function () {
    var childArray = React.Children.toArray(children);
    var newSelectedIndex = childArray.findIndex(function (child) {
      return childIsSelected(child, selectedKey || value);
    });
    setSelectedIndex(Math.max(newSelectedIndex, 0));
  }, [selectedKey, value, children]);
  return /*#__PURE__*/React.createElement("div", _extends({
    ref: ref
  }, props), /*#__PURE__*/React.createElement(TabList, {
    role: "tablist",
    className: "tab-list"
  }, arrayOfChildren.map(function (child, index) {
    return /*#__PURE__*/React.createElement(TabPanelTabRenderer, {
      key: "".concat(child.key || '', "-").concat(index),
      selected: index === selectedIndex,
      action: selectTabAction,
      child: child
    });
  })), /*#__PURE__*/React.createElement(TabContent, {
    role: "tabpanel",
    className: "tab-content"
  }, /*#__PURE__*/React.createElement(TabContentChildRenderer, {
    child: arrayOfChildren[selectedIndex]
  })));
});
var childrenMustBeTabsRule = function childrenMustBeTabsRule(props, propName) {
  var theProp = props[propName];
  var children = Array.isArray(theProp) ? theProp : [theProp];
  if (!children.every(function (child) {
    if (! /*#__PURE__*/React.isValidElement(child)) return false;
    var constructorType = child.type;
    var targetType = child.type;
    return child.type === 'Tab' || child.type === Tab$1 || constructorType.name === 'Tab' || targetType.target === Tab$1;
  })) {
    console.error('tab panel tab failure', children);
    return new Error('Tab Panel only accepts Tabs as direct descendants.');
  }
  return null;
};
TabPanel.propTypes = {
  /**
   * Makes sure immediate children are Tabs, as we cannot render anything else in the tab heading.
   */
  children: childrenMustBeTabsRule,
  selectedKey: PropTypes.any,
  /**
   * Callback run before the selected tab has changed. The callback is given the name of the tab that is active and returns whether the tab change event should fire.
   */
  canTabChange: PropTypes.func,
  /**
   * Callback when the selected tab has changed. The callback is given the name of the tab that is active
   */
  tabChanged: PropTypes.func,
  className: PropTypes.string
};
TabPanel.defaultProps = {
  children: undefined,
  selectedKey: '',
  tabChanged: noop$1,
  canTabChange: tabCanChangeFunc
};
TabPanel.Tab = Tab$1;
var TabPanel$1 = TabPanel;

var StripedContainer = styled$1.div(["> *{display:block;padding:20px;&:nth-child(even){background-color:", ";}&:nth-child(odd){background-color:", ";}}"], function (_ref) {
  var theme = _ref.theme;
  return theme.colors.gray4;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colors.gray2;
});

/** @component */
var StripedContainer$1 = StripedContainer;

function getProp(propPath, propTarget, props) {
  var targ = props[propTarget];
  var properties = propPath.split('.');
  while (properties.length && targ) {
    targ = targ[properties.shift()];
  }
  return targ;
}
function getStyledProp(propPath, propTarget, givenProps) {
  var themeProp = 'theme';
  if (!propTarget && !givenProps) {
    return function (props) {
      return getProp(propPath, themeProp, props);
    };
  }
  if (!givenProps) {
    return getProp(propPath, themeProp, propTarget);
  }
  return getProp(propPath, propTarget || themeProp, givenProps);
}

var Label$1 = styled$1.label(["color:", ";cursor:pointer;font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-size:", ";font-weight:", ";line-height:", ";margin-bottom:5px;display:inline-block;&[disabled]{cursor:not-allowed;}@media (min-width:", "){margin-right:20px;}"], getStyledProp('colors.gray9'), function (props) {
  return getStyledProp('font.labelFontSize', props) || getStyledProp('font.baseFontSize', props);
}, function (props) {
  return getStyledProp('font.labelFontWeight', props) || 'bold';
}, getStyledProp('font.baseLineHeight'), getStyledProp('screenSize.tablet'));

/** @component */
var Label$2 = Label$1;

var PromptType = {
  readAloud: 'readAloud',
  doNotReadAloud: 'doNotReadAloud'
};

var _excluded$B = ["isContentReadAloud", "children"];
var IconWrapper = styled$1.div(["background-color:", ";padding:6px 0 0 6px;"], function (promptProps) {
  return promptProps.bannerBgColor;
});
var StyledIcon = styled$1(Icon$2)(["", "}"], function (_ref) {
  var name = _ref.name,
    iconColor = _ref.iconColor;
  return css(["name:", ";color:", ";padding-right:5px;"], name, iconColor);
});
var ContentWrapper = styled$1.div(["align-items:center;background-color:", ";color:black;border-radius:2px;display:block;margin-bottom:25px;padding:15px;"], function (promptProps) {
  return promptProps.bgColor;
});
var Content = styled$1.div(["font-size:18px;align-self:center;word-break:break-word;"]);
var BannerLabel = styled$1(Label$2)(["letter-spacing:0.5px;font-size:20px;font-weight:500;color:", ";"], function (promptProps) {
  return promptProps.bannerTextColor;
});
var Prompt = /*#__PURE__*/React.forwardRef(function ForwardedPrompt(_ref2, ref) {
  var isContentReadAloud = _ref2.isContentReadAloud,
    children = _ref2.children,
    props = _objectWithoutProperties(_ref2, _excluded$B);
  var theme = useTheme();
  var promptStyles = isContentReadAloud ? theme.promptStyles[PromptType.readAloud] : theme.promptStyles[PromptType.doNotReadAloud];
  var inlineIconText = isContentReadAloud ? /*#__PURE__*/React.createElement(BannerLabel, {
    bannerTextColor: promptStyles.bannerTextColor
  }, "Read Aloud") : /*#__PURE__*/React.createElement(BannerLabel, {
    bannerTextColor: promptStyles.bannerTextColor
  }, "Do Not Read Aloud");
  return /*#__PURE__*/React.createElement("div", _extends({
    ref: ref
  }, props), /*#__PURE__*/React.createElement(IconWrapper, {
    bannerBgColor: promptStyles.bannerBgColor,
    textColor: promptStyles.textColor
  }, /*#__PURE__*/React.createElement(StyledIcon, {
    name: promptStyles.iconName,
    iconColor: promptStyles.iconColor,
    size: 30
  }), inlineIconText), /*#__PURE__*/React.createElement(ContentWrapper, {
    bgColor: promptStyles.bgColor
  }, /*#__PURE__*/React.createElement(Content, null, children)));
});
Prompt.defaultProps = {
  isContentReadAloud: true
};
Prompt.propTypes = {
  isContentReadAloud: PropTypes.bool
};
var Prompt$1 = Prompt;

var _excluded$A = ["type"];
function ownKeys$r(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$r(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$r(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$r(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var BannerContainer = styled$1.div(["align-items:center;background-color:", ";border-radius:2px;color:", ";display:flex;padding:", ";", ""], function (props) {
  return props.variant.bgColor;
}, function (props) {
  return props.variant.textColor;
}, function (_ref) {
  var theme = _ref.theme;
  return theme.spacing.defaultMargin;
}, function (props) {
  return css(["& a,& button[aria-expanded]{color:", ";}a{&:hover{text-decoration:none;}}"], props.variant.textColor);
});
var Banner = /*#__PURE__*/React.forwardRef(function InnerBanner(_ref2, ref) {
  var type = _ref2.type,
    props = _objectWithoutProperties(_ref2, _excluded$A);
  var theme = useTheme();
  var variant = theme.bannerStyles[type];
  var bannerProps = _objectSpread$r({
    variant: variant
  }, props);
  return /*#__PURE__*/React.createElement(BannerContainer, _extends({
    ref: ref
  }, bannerProps));
});
var propTypes$b = {
  /** The type of notification to render */
  type: PropTypes.oneOf(validationStyleTypes).isRequired
};
Banner.propTypes = propTypes$b;
var Banner$1 = Banner;

var _excluded$z = ["isCondensed", "isRoomy"];
var TableBase$1 = styled$1.table(["border-collapse:collapse;border:0;border-spacing:0;margin:0 0 25px 0;padding:0;width:100%;caption{padding-top:8px;padding-bottom:8px;color:", ";font-size:1.3em;margin:0.5em 0;text-align:left;}thead th{border-bottom:2px solid ", ";}tbody tr:not(:first-child){th,td{border-top:1px solid ", ";}}th{font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-weight:bold;line-height:", ";padding:", ";text-align:left;vertical-align:bottom;}td{line-height:", ";padding:", ";vertical-align:top;}&& tbody{", ";th{vertical-align:top;}}&& tbody{", ";}"], function (props) {
  return props.theme.colors.gray8;
}, function (props) {
  return props.theme.colors.gray4;
}, function (props) {
  return props.theme.colors.gray4;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.cellPadding;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.cellPadding;
}, function (props) {
  return props.hasStripes && css(["tr:nth-of-type(odd){background-color:", ";}"], props.theme.colors.gray0);
}, function (props) {
  return props.hasHover && css(["tr:hover{background-color:", ";}"], props.theme.colors.gray1);
});
var Table = /*#__PURE__*/React.forwardRef(function ForwardedTable(props, ref) {
  var isCondensed = props.isCondensed,
    isRoomy = props.isRoomy,
    rest = _objectWithoutProperties(props, _excluded$z);
  var cellPadding = '8px';
  cellPadding = isCondensed ? '5px' : cellPadding;
  cellPadding = isRoomy ? '12px' : cellPadding;
  return /*#__PURE__*/React.createElement(TableBase$1, _extends({
    ref: ref,
    cellPadding: cellPadding
  }, rest));
});

// kept to preserve backward-compatibility for now
var TableRow = styled$1.tr([""]);
var TableBodyCell = styled$1.td([""]);
var TableHeaderCell = styled$1.th([""]);
Table.Row = TableRow;
Table.Cell = TableBodyCell;
Table.HeaderCell = TableHeaderCell;
Table.propTypes = {
  /** adds a darker background to every other row */
  hasStripes: PropTypes.bool,
  /** adds a hover effect to rows */
  hasHover: PropTypes.bool,
  /** reduce cell padding for a smaller footprint */
  isCondensed: PropTypes.bool,
  /** increase cell padding for more white space */
  isRoomy: PropTypes.bool
};
Table.defaultProps = {
  hasStripes: false,
  hasHover: false,
  isCondensed: false,
  isRoomy: false
};
var Table$1 = Table;

var TableBase = styled$1(Table$1)(["tbody{th{font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-weight:normal;}}&&&{@media (max-width:", "){background-color:", ";thead{border:none;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px;}tr{background-color:", ";box-shadow:1px 1px 3px 1px rgba(0,0,0,0.2);display:block;margin:0.625em;padding:0.35em;}td,tbody th{border-top:1px solid ", ";display:flex;justify-content:space-between;padding:0.625em;text-align:right;&:before{content:attr(data-label);font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-weight:bold;margin-right:2em;max-width:25%;text-align:left;}&:first-child{border-top:0;}&:last-child{border-bottom:0;}}}}"], function (props) {
  return props.theme.screenSize.phone;
}, function (props) {
  return props.theme.colors.gray2;
}, function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray4;
});
var ResponsiveTable = /*#__PURE__*/React.forwardRef(function ForwardedResponsiveTable(props, ref) {
  return /*#__PURE__*/React.createElement(TableBase, _extends({
    ref: ref
  }, props));
});
var ResponsiveTable$1 = ResponsiveTable;

var _excluded$y = ["shapeColor", "shimmerColor"];
var _templateObject, _templateObject2;
function ownKeys$q(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$q(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$q(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$q(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var styled = styled$1;
var SkeletonContainer = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteral(["\n  position: relative;\n  background-color: ", ";\n\n  &::after {\n    animation: loading-keyframes 2s linear infinite;\n    background-size: 50%;\n    background-repeat: no-repeat;\n    background-image: linear-gradient(\n      -60deg,\n      ", "\n        0,\n      ", "\n        40%,\n      ", "\n        50%,\n      ", "\n        60%,\n      ", "\n        100%\n    );\n    content: '';\n    display: block;\n    height: 100%;\n    left: 0;\n    position: absolute;\n    top: 0;\n    width: 100%;\n  }\n\n  @keyframes loading-keyframes {\n    0% {\n      background-position: -150% 0;\n    }\n    75% {\n      background-position: 250% 0;\n    }\n    100% {\n      background-position: 250% 0;\n    }\n  }\n"])), function (_ref) {
  var skeleton = _ref.theme.skeleton;
  return skeleton.shimmerColor;
}, function (_ref2) {
  var skeleton = _ref2.theme.skeleton;
  return tinycolor(skeleton.shimmerColor).setAlpha(0).toRgbString();
}, function (_ref3) {
  var skeleton = _ref3.theme.skeleton;
  return tinycolor(skeleton.shimmerColor).setAlpha(0).toRgbString();
}, function (_ref4) {
  var skeleton = _ref4.theme.skeleton;
  return tinycolor(skeleton.shimmerColor).setAlpha(0.8).toRgbString();
}, function (_ref5) {
  var skeleton = _ref5.theme.skeleton;
  return tinycolor(skeleton.shimmerColor).setAlpha(0).toRgbString();
}, function (_ref6) {
  var skeleton = _ref6.theme.skeleton;
  return tinycolor(skeleton.shimmerColor).setAlpha(0).toRgbString();
});
var SkeletonShape = styled.div(_templateObject2 || (_templateObject2 = _taggedTemplateLiteral(["\n  background-color: ", ";\n"])), function (_ref7) {
  var skeleton = _ref7.theme.skeleton;
  return skeleton.shapeColor;
});
var LoadingSkeleton = /*#__PURE__*/React.forwardRef(function ForwardedLoadingSkeleton(_ref8, ref) {
  var shapeColor = _ref8.shapeColor,
    shimmerColor = _ref8.shimmerColor,
    props = _objectWithoutProperties(_ref8, _excluded$y);
  var theme = useTheme();
  var colors = theme.colors;
  var shimmer = shimmerColor || colors.white;
  var shape = shapeColor || colors.gray3;
  var skeleton = {
    shimmerColor: shimmer,
    shapeColor: shape
  };
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: _objectSpread$q(_objectSpread$q({}, theme), {}, {
      skeleton: skeleton
    })
  }, /*#__PURE__*/React.createElement(SkeletonContainer, _extends({
    ref: ref
  }, props)));
});
LoadingSkeleton.propTypes = {
  shapeColor: PropTypes.string,
  shimmerColor: PropTypes.string
};
LoadingSkeleton.defaultProps = {
  shapeColor: '',
  shimmerColor: ''
};
LoadingSkeleton.Shape = SkeletonShape;
var LoadingSkeleton$1 = LoadingSkeleton;

var ValidationContext = /*#__PURE__*/React.createContext('default');
var ValidationContext$1 = ValidationContext;
var useValidationState = function useValidationState() {
  return React.useContext(ValidationContext);
};

var _excluded$x = ["validationState", "hasValidationBorder", "orientation", "borderOffset", "children", "flat"];
function ownKeys$p(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$p(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$p(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$p(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var FlexControl = styled$1.div(["color:", ";display:flex;flex-wrap:wrap;flex-direction:column;margin-bottom:25px;>[role=\"group\"]{margin-bottom:0;}", "}", ";"], function (props) {
  return props.textColor;
}, function (props) {
  return props.hasValidationBorder && props.validationState !== 'default' && css(["border-bottom:2px solid ", ";box-shadow:inset 0 7px 6px -6px ", ";padding:15px ", ";margin-left:-", ";margin-right:-", ";"], props.theme.colors.gray4, props.textColor, props.borderOffset, props.borderOffset, props.borderOffset);
}, function (props) {
  return props.layoutOrientation === 'inline' && css(["@media (min-width:", "){align-items:baseline;flex-direction:row;}"], props.theme.screenSize.tablet);
});
var Control = /*#__PURE__*/React.forwardRef(function ForwardedControl(props, ref) {
  var _props$validationStat = props.validationState,
    validationState = _props$validationStat === void 0 ? 'default' : _props$validationStat,
    hasValidationBorder = props.hasValidationBorder,
    _props$orientation = props.orientation,
    orientation = _props$orientation === void 0 ? 'stacked' : _props$orientation,
    borderOffset = props.borderOffset,
    children = props.children,
    flat = props.flat,
    other = _objectWithoutProperties(props, _excluded$x);
  var theme = useTheme();
  var extraFormContext = isBool$1(flat) ? {
    flat: flat
  } : {};
  var textColor = theme.validationTextColor[validationState] || theme.validationTextColor['default'];
  return /*#__PURE__*/React.createElement(OrientationContext.Provider, {
    value: orientation
  }, /*#__PURE__*/React.createElement(FormContextProvider, {
    value: extraFormContext
  }, /*#__PURE__*/React.createElement(FlexControl, _extends({
    ref: ref,
    textColor: textColor,
    borderOffset: borderOffset,
    validationState: validationState
  }, theme.validationInputColor[validationState], {
    layoutOrientation: orientation,
    hasValidationBorder: hasValidationBorder
  }, other), /*#__PURE__*/React.createElement(ValidationContext$1.Provider, {
    value: validationState
  }, children))));
});
Control.propTypes = _objectSpread$p(_objectSpread$p({}, FlexControl.propTypes), {}, {
  orientation: PropTypes.oneOf(orientations),
  validationState: PropTypes.oneOf(validationStyleTypes),
  /** Apply a top/bottom validation border to a control (usually checkbox/radios)  */
  hasValidationBorder: PropTypes.bool,
  /** Set the border offset to match container padding */
  borderOffset: PropTypes.string,
  /** Apply the Flat Style to all children */
  flat: PropTypes.bool,
  children: PropTypes.node
});
Control.defaultProps = {
  orientation: 'stacked',
  validationState: 'default',
  hasValidationBorder: false,
  borderOffset: '15px',
  flat: undefined,
  children: null
};
var Control$1 = Control;

var _excluded$w = ["children", "hasValidationIcon"];
function ownKeys$o(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$o(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$o(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$o(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var ValidationIcon = styled$1(Icon$2)(["&&{align-self:flex-start;font-size:35px;margin-right:5px;}"]);
var HelpText = styled$1.div(["align-items:center;color:inherit;display:inline-flex;margin-top:5px;margin-bottom:10px;width:100%;"]);
var AdditionalHelp = /*#__PURE__*/React.forwardRef(function AdditionalHelp(_ref, ref) {
  var children = _ref.children,
    hasValidationIcon = _ref.hasValidationIcon,
    props = _objectWithoutProperties(_ref, _excluded$w);
  var theme = useTheme();
  var validationState = React.useContext(ValidationContext$1);
  return /*#__PURE__*/React.createElement(HelpText, _extends({}, props, {
    ref: ref
  }), hasValidationIcon && children && validationState !== 'default' && /*#__PURE__*/React.createElement(ValidationIcon, {
    "aria-hidden": "true",
    name: theme.validationIconName[validationState]
  }), children);
});
AdditionalHelp.propTypes = _objectSpread$o(_objectSpread$o({}, HelpText.propTypes), {}, {
  children: PropTypes.any,
  /** use to show or hide an associated validation icon */
  hasValidationIcon: PropTypes.bool
});
AdditionalHelp.defaultProps = {
  children: undefined,
  hasValidationIcon: true
};
var AdditionalHelp$1 = AdditionalHelp;

var _excluded$v = ["icons", "style", "iconProps"];
function ownKeys$n(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$n(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$n(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$n(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var computeStyle = function computeStyle() {
  try {
    var _window;
    return (_window = window).getComputedStyle.apply(_window, arguments);
  } catch (err) {
    var _message;
    if (err !== null && err !== void 0 && (_message = err.message) !== null && _message !== void 0 && _message.match(/Not Implemented/i)) {
      return {};
    }
    throw err;
  }
};
var getIconElementStyles = function getIconElementStyles(icon) {
  var computedStyle = computeStyle(icon);
  var beforeStyle = computeStyle(icon, ':before');
  return css(["", ""], function () {
    return css(["", " content:", ";font-family:", ";font-size:", ";"], iconBaseStyles, beforeStyle.content, computedStyle.fontFamily, computedStyle.fontSize);
  });
};
var getIconStyles = function getIconStyles(iconName, rootNode) {
  var _rootNode$getRootNode;
  var rules = _toConsumableArray(new Set([].concat(_toConsumableArray((rootNode === null || rootNode === void 0 || (_rootNode$getRootNode = rootNode.getRootNode()) === null || _rootNode$getRootNode === void 0 ? void 0 : _rootNode$getRootNode.styleSheets) || []), _toConsumableArray(document.styleSheets)))).flatMap(function (sheet) {
    try {
      return _toConsumableArray(sheet.rules || []);
    } catch (e) {
      return [];
    }
  }).filter(function (rule) {
    return Boolean(rule.selectorText);
  });
  var baseIconRule = rules.find(function (rule) {
    return rule.selectorText === '.bds-icon';
  });
  var iconRule = rules.find(function (rule) {
    return [".bds-".concat(iconName, ":before"), ".bds-".concat(iconName, "::before")].includes(rule.selectorText);
  });
  var iconStyles = css(["", " ", ""], baseIconRule === null || baseIconRule === void 0 ? void 0 : baseIconRule.cssText, iconRule === null || iconRule === void 0 ? void 0 : iconRule.cssText);
  return iconStyles;
};
var HiddenIcons = /*#__PURE__*/forwardRef(function ForwardedHiddenIcons(_ref, ref) {
  var icons = _ref.icons,
    style = _ref.style,
    iconProps = _ref.iconProps,
    props = _objectWithoutProperties(_ref, _excluded$v);
  return /*#__PURE__*/React.createElement("div", _extends({
    "aria-hidden": "true",
    style: _objectSpread$n({
      position: 'absolute',
      visibility: 'hidden',
      overflow: 'visible',
      width: 0,
      height: 0,
      left: -5000
    }, style || {})
  }, props, {
    ref: ref
  }), Object.entries(icons).map(function (_ref2) {
    var _ref3 = _slicedToArray(_ref2, 2),
      iconName = _ref3[0],
      iconRef = _ref3[1];
    return /*#__PURE__*/React.createElement(Icon$2, _extends({
      key: iconName,
      ref: iconRef
    }, iconProps, {
      name: iconName
    }));
  }));
});
var useIconStyles = function useIconStyles(iconName, icon) {
  var rootNode = useRootNodeContext();
  var iconStyles = useMemo(function () {
    return icon ? getIconElementStyles(icon) : iconName ? getIconStyles(iconName, rootNode) : undefined;
  }, [iconName, rootNode, icon]);
  return iconStyles;
};

function ownKeys$m(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$m(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$m(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$m(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var noInset = 'inset 0 0 0 0 rgba(0, 0, 0, 0)';
var validationStateHighlightStyles = function validationStateHighlightStyles(_ref) {
  var focusBorderColor = _ref.focusBorderColor,
    focusBoxShadow = _ref.focusBoxShadow;
  return css(["border-color:", ";box-shadow:", ",", ";"], focusBorderColor, focusBoxShadow, noInset);
};
var validationStateInputStyles = function validationStateInputStyles(props) {
  return css(["border:1px solid ", ";border-radius:", ";box-sizing:border-box;", ""], props.borderColor, getStyledProp('inputStyles.borderRadius', props) || '2px', props.flat && css(["border-width:0;border-bottom-width:2px;"]));
};
var validationStateReadonlyStyles = function validationStateReadonlyStyles(_ref2) {
  var disabledBackgroundColor = _ref2.disabledBackgroundColor;
  return css(["background-color:", ";cursor:text;"], disabledBackgroundColor);
};
var maybeGetComma = function maybeGetComma(_ref3) {
  var flat = _ref3.flat,
    boxShadow = _ref3.boxShadow;
  return (flat || boxShadow) && ', ';
};
var validationStateSetupStyles = function validationStateSetupStyles(_ref4) {
  var backgroundColor = _ref4.backgroundColor,
    borderColor = _ref4.borderColor,
    flat = _ref4.flat,
    boxShadow = _ref4.boxShadow;
  return css(["background-color:", ";box-shadow:0 0 0 0 ", "", "", ";transition:border-color linear 0.15s,box-shadow linear 0.15s;"], backgroundColor, borderColor, maybeGetComma({
    flat: flat,
    boxShadow: boxShadow
  }), flat ? noInset : boxShadow);
};
var placeholderStyles = css(["color:", ";"], function (_ref5) {
  var theme = _ref5.theme;
  return theme.colors.gray7;
});
var getInputStyles = function getInputStyles(props) {
  return css(["", " ", " color:", ";font-size:", ";font-family:", ";font-weight:normal;height:2.2em;line-height:", ";min-width:0;padding:6px 12px;flex:1;&&{outline:0;}&::placeholder{", "}&:disabled,&:disabled:read-only{", " cursor:not-allowed;}"], validationStateInputStyles(props), validationStateSetupStyles(props), getStyledProp('colors.black'), getStyledProp('font.baseFontSize'), getStyledProp('font.baseFontFace'), getStyledProp('font.baseLineHeight'), placeholderStyles, validationStateReadonlyStyles(props));
};
var InputBaseComponent = styled$1.input(["", ""], getInputStyles);
function getValidationStyleProp(props, propName, fallback) {
  return props[propName] || fallback;
}
function getValidationStylesOrDefault(theme, validationState) {
  var validationTarget = theme.validationInputColor[validationState] || theme.validationInputColor.default || {};
  return validationTarget;
}
var getDisabledBackgroundColor = function getDisabledBackgroundColor(color) {
  return darken(color, 7);
};
function getInputPropsForValidation(theme, validationState, flat) {
  var validationStyleProps = getValidationStylesOrDefault(theme, validationState);
  var getValidationProp = getValidationStyleProp.bind(null, validationStyleProps);
  var backgroundColor = flat ? getValidationProp('backgroundColorFlat', theme.colors.gray1) : getValidationProp('backgroundColor', theme.colors.white);
  var focusBoxShadow = flat ? getValidationProp('focusBoxShadowFlat', "0 0 1px 2px ".concat(validationStyleProps.focusBorderColor)) : validationStyleProps.focusBoxShadow;
  var addOn = getValidationProp('addOn', {
    textColor: validationState === 'default' ? theme.colors.gray8 : 'white',
    backgroundColor: validationState === 'default' ? theme.colors.gray3 : validationStyleProps.borderColor
  });
  var disabledBackgroundColor = getDisabledBackgroundColor(backgroundColor);
  var calculatedProps = {
    disabledBackgroundColor: disabledBackgroundColor,
    backgroundColor: backgroundColor,
    focusBoxShadow: focusBoxShadow,
    addOn: addOn
  };
  var validationProps = _objectSpread$m(_objectSpread$m({}, validationStyleProps), calculatedProps);
  return validationProps;
}
var inputTypes$1 = ['date', 'datetime-local', 'email', 'month', 'number', 'password', 'search', 'tel', 'text', 'time', 'url', 'week'];
var globalInputCss = css(["", "{", "}"], inputTypes$1.map(function (type) {
  return "input[type='".concat(type, "']");
}).join(','), function (_ref6) {
  var theme = _ref6.theme;
  return getInputStyles(_objectSpread$m({
    theme: theme
  }, getInputPropsForValidation(theme, 'default')));
});
var InputBase = /*#__PURE__*/React.forwardRef(function ForwardedInputBase(props, ref) {
  var validationStyleProps = useValidationStyleProps(props);
  return /*#__PURE__*/React.createElement(InputBaseComponent, _extends({
    ref: ref
  }, validationStyleProps));
});
var propTypes$a = _objectSpread$m({}, htmlInputPropTypes);
var defaultProps$8 = _objectSpread$m({}, htmlInputDefaultProps);
InputBase.propTypes = propTypes$a;
InputBase.defaultProps = defaultProps$8;
var InputBase$1 = InputBase;
var basicTextboxStyles = css(["", " ", ""], validationStateSetupStyles, css(["display:table-cell;-webkit-appearance:none;&&:read-only{", "}"], validationStateReadonlyStyles));
var BasicTextboxComponent = styled$1(InputBaseComponent)(["", " &&:focus{", "}"], basicTextboxStyles, validationStateHighlightStyles);
var BasicTextbox = /*#__PURE__*/React.forwardRef(function ForwardedBasicTextbox(props, ref) {
  var validationStyleProps = useValidationStyleProps(props);
  return /*#__PURE__*/React.createElement(BasicTextboxComponent, _extends({}, props, validationStyleProps, {
    ref: ref
  }));
});
var basicTextboxPropTypes = _objectSpread$m(_objectSpread$m({}, htmlInputPropTypes), {}, {
  flat: PropTypes.bool
});
var basicTextboxDefaultProps = _objectSpread$m(_objectSpread$m({}, htmlInputDefaultProps), {}, {
  flat: false
});
BasicTextbox.propTypes = basicTextboxPropTypes;
BasicTextbox.defaultProps = basicTextboxDefaultProps;
function useValidationStyleProps(props) {
  var validationState = useContext(ValidationContext$1);
  var formContext = useContext(FormContext);
  var flat = isBool$1(props.flat) ? props.flat : formContext.flat;
  var theme = useTheme();
  var finalProps = {
    flat: flat
  };
  var newValidationProps = useMemo(function () {
    return getInputPropsForValidation(theme, validationState, flat);
  }, [theme, validationState, flat]);
  return _objectSpread$m(_objectSpread$m(_objectSpread$m({}, newValidationProps), props), finalProps);
}

var _excluded$u = ["prependIconName", "appendIconName", "type", "flat", "className", "style"];
function ownKeys$l(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$l(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$l(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$l(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var InputWrapper = styled$1.div(["", " ", " display:flex;padding:0 !important;&:focus-within{", "}&&:before{", "}&&:after{", "}&&:before,&&:after{", " box-sizing:border-box;display:flex;flex-direction:column;justify-content:center;line-height:1;margin:0;outline:0;padding:0.333em 0.6111em;}"], validationStateSetupStyles, validationStateInputStyles, validationStateHighlightStyles, function (props) {
  return props.prependIconStyles;
}, function (props) {
  return props.appendIconStyles;
}, function (props) {
  return css(["background-color:", ";color:", ";"], getStyledProp('backgroundColor', 'addOn', props), getStyledProp('textColor', 'addOn', props));
});
var TextboxBase = styled$1(InputBase$1)(["", " width:100%;&&{border:none !important;margin:0 !important;&:not([disabled]):not([readonly]){box-shadow:none !important;background-color:transparent !important;}height:", ";}", " ", " &&:focus{box-shadow:", ";}"], basicTextboxStyles, function (props) {
  return getStyledProp('inputStyles.inputHeight', props) || '2.2em';
}, function (_ref) {
  var hasPrepend = _ref.hasPrepend;
  return hasPrepend && css(["border-bottom-left-radius:0;border-top-left-radius:0;"]);
}, function (_ref2) {
  var hasAppend = _ref2.hasAppend;
  return hasAppend && css(["border-bottom-right-radius:0;border-top-right-radius:0;"]);
}, noInset);
var Textbox = /*#__PURE__*/React.forwardRef(function ForwardedTextbox(props, ref) {
  var prependIconName = props.prependIconName,
    appendIconName = props.appendIconName,
    _props$type = props.type,
    type = _props$type === void 0 ? 'text' : _props$type,
    flat = props.flat,
    className = props.className,
    style = props.style,
    additionalTextProps = _objectWithoutProperties(props, _excluded$u);
  var validationProps = useValidationStyleProps({
    flat: flat
  });
  var _useState = useState(null),
    _useState2 = _slicedToArray(_useState, 2),
    inputRef = _useState2[0],
    setInputRef = _useState2[1];
  var _useState3 = useState(),
    _useState4 = _slicedToArray(_useState3, 2),
    prependIcon = _useState4[0],
    setPrependIcon = _useState4[1];
  var _useState5 = useState(),
    _useState6 = _slicedToArray(_useState5, 2),
    appendIcon = _useState6[0],
    setAppendIcon = _useState6[1];
  var prependIconStyles = useIconStyles(prependIconName, prependIcon);
  var appendIconStyles = useIconStyles(appendIconName, appendIcon);
  useImperativeHandle(ref, function () {
    return inputRef;
  }, [inputRef]);
  var setRefs = useCallback(function (instance) {
    callRefs(instance, setInputRef, ref);
  }, [ref]);
  var hasPrepend = !!prependIconName;
  var hasAppend = !!appendIconName;
  var prependProps = {
    hasPrepend: hasPrepend,
    hasAppend: hasAppend
  };
  var sharedProps = _objectSpread$l(_objectSpread$l({}, validationProps), prependProps);
  var focusInput = useCallback(function () {
    return inputRef === null || inputRef === void 0 ? void 0 : inputRef.focus();
  }, [inputRef]);
  return /*#__PURE__*/React.createElement(InputWrapper, _extends({
    className: className,
    as: "div",
    onClick: focusInput,
    style: style
  }, _objectSpread$l(_objectSpread$l({}, sharedProps), {}, {
    prependIconStyles: prependIconStyles,
    appendIconStyles: appendIconStyles
  })), hasPrepend || hasAppend ? /*#__PURE__*/React.createElement(HiddenIcons, {
    icons: _objectSpread$l(_objectSpread$l({}, hasPrepend ? _defineProperty({}, prependIconName, setPrependIcon) : {}), hasAppend ? _defineProperty({}, appendIconName, setAppendIcon) : {}),
    iconProps: {
      size: 18
    }
  }) : /*#__PURE__*/React.createElement(React.Fragment, null), /*#__PURE__*/React.createElement(TextboxBase, _extends({
    ref: setRefs,
    type: type,
    className: className
  }, additionalTextProps, sharedProps)));
});
var inputTypes = ['button', 'checkbox', 'color', 'date', 'datetime-local', 'email', 'file', 'hidden', 'image', 'month', 'number', 'password', 'radio', 'range', 'reset', 'search', 'submit', 'tel', 'text', 'time', 'url', 'week'];
var propTypes$9 = _objectSpread$l(_objectSpread$l({}, propTypes$a), {}, {
  /** Content to prepend input box with */
  prependIconName: PropTypes.oneOf(iconNames),
  /** Content to append to input box */
  appendIconName: PropTypes.oneOf(iconNames),
  /** The type attribute for the textbox input */
  type: PropTypes.oneOf(inputTypes),
  /** Whether the textbox is the flat style or not */
  flat: PropTypes.bool
});
var defaultProps$7 = _objectSpread$l(_objectSpread$l({}, defaultProps$8), {}, {
  prependIconName: undefined,
  appendIconName: undefined,
  type: 'text',
  flat: undefined
});
Textbox.propTypes = propTypes$9;
Textbox.defaultProps = defaultProps$7;
var Textbox$1 = Textbox;

var TextareaBase = styled$1.textarea(["border:1px solid ", ";border-radius:2px;box-shadow:", ";box-sizing:border-box;color:", ";font-size:", ";font-family:", ";font-weight:normal;line-height:", ";min-width:0;padding:6px 12px;transition:border-color ease-in-out 0.15s,box-shadow ease-in-out 0.15s;&:focus{border-color:", ";box-shadow:", ";outline:0;}&:disabled{background-color:", ";cursor:not-allowed;}&:read-only{background-color:transparent;border:0;box-shadow:none;padding-left:0;padding-right:0;}"], function (props) {
  return props.borderColor;
}, function (props) {
  return props.boxShadow;
}, function (props) {
  return props.theme.colors.black;
}, function (props) {
  return props.theme.font.baseFontSize;
}, function (props) {
  return props.theme.font.baseFontFace;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.focusBorderColor;
}, function (props) {
  return props.focusBoxShadow;
}, function (props) {
  return props.theme.colors.gray2;
});
var Textarea = /*#__PURE__*/React.forwardRef(function Textarea(props, ref) {
  var theme = useTheme();
  var validationState = React.useContext(ValidationContext$1);
  return /*#__PURE__*/React.createElement(TextareaBase, _extends({
    ref: ref
  }, props, theme.validationInputColor[validationState]));
});
var Textarea$1 = Textarea;

var createAutoCorrectedDatePipe = createAutoCorrectedDatePipeOrig;
var createNumberMask = createNumberMaskOrig;
var maskTypes$1 = ['date', 'dollar', 'phone', 'ssnum', 'zip'];
// https://github.com/text-mask/text-mask/blob/master/componentDocumentation.md
var inputMask = {
  date: {
    mask: [/\d/, /\d/, '/', /\d/, /\d/, '/', /\d/, /\d/, /\d/, /\d/],
    pipe: createAutoCorrectedDatePipe('mm/dd/yyyy'),
    showMask: false,
    keepCharPositions: true,
    placeholderChar: "\u2000",
    title: 'Enter month, day, and 4-digit year'
  },
  dollar: {
    mask: createNumberMask({
      prefix: '$'
    })
  },
  phone: {
    mask: ['(', /[1-9]/, /\d/, /\d/, ')', ' ', /\d/, /\d/, /\d/, '-', /\d/, /\d/, /\d/, /\d/],
    showMask: false,
    keepCharPositions: true,
    placeholderChar: "\u2000",
    title: 'Enter area code and phone number'
  },
  ssnum: {
    mask: [/\d/, /\d/, /\d/, '-', /\d/, /\d/, '-', /\d/, /\d/, /\d/, /\d/],
    showMask: false,
    keepCharPositions: true,
    placeholderChar: "\u2000",
    title: 'Enter 9-digit social security number'
  },
  zip: {
    mask: [/\d/, /\d/, /\d/, /\d/, /\d/],
    guide: false,
    title: 'Enter 5-digit zip code'
  }
};
var inputMaskType = inputMask;

var _excluded$t = ["maskType", "customMask"];
function ownKeys$k(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$k(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$k(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$k(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var maskTypes = [].concat(_toConsumableArray(maskTypes$1), ['custom']);
var MaskedTextbox = /*#__PURE__*/React.forwardRef(function MaskedTextbox(props, ref) {
  var maskType = props.maskType,
    customMask = props.customMask,
    additionalTextProps = _objectWithoutProperties(props, _excluded$t);
  var _useState = useState(),
    _useState2 = _slicedToArray(_useState, 2),
    inputRef = _useState2[0],
    setInputRef = _useState2[1];
  React.useImperativeHandle(ref, function () {
    return inputRef || undefined;
  });
  if (maskType === 'custom' && !customMask) {
    throw new Error('customMask must be provided when maskType is "custom"');
  }
  var maskArgs =
  // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
  maskType === 'custom' ? customMask : inputMaskType[maskType];
  var inputRender = useCallback(function (maskRef, textboxProps) {
    var setRef = function setRef(inputElement) {
      if (!inputElement) return;

      // we need to set both the mask ref and the passed in ref
      callRefs(inputElement, maskRef, setInputRef, ref);
    };
    return /*#__PURE__*/React.createElement(Textbox$1, _extends({
      ref: setRef
    }, textboxProps));
  }, [ref]);
  return /*#__PURE__*/React.createElement(MaskedInput, _extends({
    render: inputRender
  }, maskArgs, {
    type: "text"
  }, additionalTextProps));
});
var propTypes$8 = _objectSpread$k(_objectSpread$k({}, propTypes$9), {}, {
  /** Sets a mask type on the input */
  maskType: PropTypes.oneOf(maskTypes).isRequired,
  /** Provide a custom mask */
  customMask: PropTypes.shape({
    mask: PropTypes.oneOfType([PropTypes.array, PropTypes.func]).isRequired,
    guide: PropTypes.bool,
    placeholderChar: PropTypes.string,
    keepCharPositions: PropTypes.bool,
    pipe: PropTypes.func,
    showMask: PropTypes.bool
  })
});
var defaultProps$6 = _objectSpread$k(_objectSpread$k({}, defaultProps$7), {}, {
  /** Sets a mask type on the input */
  customMask: undefined
});
MaskedTextbox.propTypes = propTypes$8;
MaskedTextbox.defaultProps = defaultProps$6;
var MaskedTextbox$1 = MaskedTextbox;

var _excluded$s = ["children", "styleType"];
function ownKeys$j(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$j(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$j(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$j(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var StyledButton = styled$1(Button$2)(["background-color:", ";border-color:", ";color:", ";@media (hover:hover),(-ms-high-contrast:none){&:hover{background-color:", ";border-color:", ";}}"], function (props) {
  return props.defaultStyle.bgColor;
}, function (props) {
  return props.defaultStyle.bgColor;
}, function (props) {
  return props.theme.colors.black;
}, function (props) {
  return props.hoverStyle.bgColor;
}, function (props) {
  return props.hoverStyle.bgColor;
});
var ActionButton$1 = /*#__PURE__*/React.forwardRef(function ActionButton(props, ref) {
  var children = props.children,
    _props$styleType = props.styleType,
    styleType = _props$styleType === void 0 ? 'default' : _props$styleType,
    other = _objectWithoutProperties(props, _excluded$s);
  var theme = useTheme();
  var defaultStyle = theme.buttonStyles.button.variant.default;
  var hoverStyle = theme.buttonStyles.button.variant[styleType];
  return /*#__PURE__*/React.createElement(StyledButton, _extends({
    ref: ref,
    defaultStyle: defaultStyle,
    hoverStyle: hoverStyle,
    styleType: styleType,
    type: "button"
  }, other), children);
});
var propTypes$7 = _objectSpread$j(_objectSpread$j({}, propTypes$g), {}, {
  children: PropTypes.node.isRequired,
  /** Select the color style of the button, types come from theme buttonStyles.button */
  styleType: propTypes$g.styleType
});
var defaultProps$5 = _objectSpread$j(_objectSpread$j({}, defaultProps$d), {}, {
  styleType: 'primary'
});
ActionButton$1.propTypes = propTypes$7;
ActionButton$1.defaultProps = defaultProps$5;
var ActionButton$2 = ActionButton$1;

var _excluded$r = ["id", "rootClose", "children", "buttonValue", "manualButtonValue", "shouldCloseOnButtonClick", "shouldUpdateButtonValue", "styleType", "inline", "flatLeftEdge", "flatRightEdge"];
function ownKeys$i(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$i(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$i(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$i(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var SplitButton = styled$1(Button$2)(["", " ", " min-width:10px;padding-left:8px;padding-right:6px;span{margin-left:0;}"], function (props) {
  return props.flatLeftEdge && "\n    border-left: solid 1px ".concat(props.theme.colors.gray9, ";\n  ");
}, function (props) {
  return props.flatRightEdge && "\n    border-right: solid 1px ".concat(props.theme.colors.gray9, ";\n  ");
});
var Caret = styled$1.span(["border-left:4px solid transparent;border-right:4px solid transparent;border-top:4px dashed;display:inline-block;height:0;margin-left:5px;vertical-align:middle;width:0;"]);
var ButtonPanel = styled$1.div(["background-color:", ";border:1px solid ", ";display:", ";margin-top:3px;position:relative;z-index:", ";@media (min-width:", "){position:absolute;}"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray3;
}, function (props) {
  return props.isOpen ? 'block' : 'none';
}, function (_ref) {
  var topIndex = _ref.topIndex;
  return topIndex;
}, function (props) {
  return props.theme.screenSize.tablet;
});
var ButtonPanelChildrenContainer = styled$1.div(["display:flex;flex-direction:column;"]);
var StyledButtonLink = styled$1(LinkButton$1)(["color:black;margin-bottom:0;padding:10px 20px;text-align:left;text-decoration:none;&:active,&:focus,&:hover{background-color:", ";color:white;}"], function (props) {
  return props.theme.colors.primary;
});
var TAB_KEY_CODE = 9;
var UP_ARROW_CODE = 38;
var DOWN_ARROW_CODE = 40;
var UP_ARROW_KEY = 'ArrowUp';
var DOWN_ARROW_KEY = 'ArrowDown';
function getFocusables(node) {
  var focusableElements = node.querySelectorAll('button');
  var firstFocusable = focusableElements[0];
  var lastFocusable = focusableElements[focusableElements.length - 1];
  return {
    focusableElements: focusableElements,
    firstFocusable: firstFocusable,
    lastFocusable: lastFocusable
  };
}
var getRootNode = function getRootNode(node) {
  return node.getRootNode();
};
function isCurrentlyActive(node) {
  var rootNode = getRootNode(node);
  return rootNode.activeElement === node;
}
function focusTrap(node) {
  if (!node) return function () {
    return {};
  };
  var _getFocusables = getFocusables(node),
    firstFocusable = _getFocusables.firstFocusable,
    lastFocusable = _getFocusables.lastFocusable;
  function handleTabFocus(event) {
    if (event.key === 'Tab' || event.keyCode === TAB_KEY_CODE) {
      if (event.shiftKey) {
        if (isCurrentlyActive(firstFocusable)) {
          lastFocusable.focus();
          event.preventDefault();
        }
      } else if (isCurrentlyActive(lastFocusable)) {
        firstFocusable.focus();
        event.preventDefault();
      }
    }
  }
  node.addEventListener('keydown', handleTabFocus);
  return function removeKeydownListener() {
    node.removeEventListener('keydown', handleTabFocus);
  };
}
function arrowMovement(node) {
  if (!node) return function () {
    return {};
  };
  var _getFocusables2 = getFocusables(node),
    focusableElements = _getFocusables2.focusableElements,
    firstFocusable = _getFocusables2.firstFocusable,
    lastFocusable = _getFocusables2.lastFocusable;
  var focusables = _toConsumableArray(focusableElements);
  var rootNode = getRootNode(node);
  function handleArrowMovementKeys(event) {
    var isUp = event.key === UP_ARROW_KEY || event.keyCode === UP_ARROW_CODE;
    var isDown = event.key === DOWN_ARROW_KEY || event.keyCode === DOWN_ARROW_CODE;
    if (!isUp && !isDown) return;
    var focusedIndex = focusables.indexOf(rootNode.activeElement);
    var newIndex = focusedIndex + (isDown ? 1 : -1);
    newIndex = isUp && isCurrentlyActive(firstFocusable) ? focusables.length - 1 : newIndex;
    newIndex = isDown && isCurrentlyActive(lastFocusable) ? 0 : newIndex;
    focusableElements[newIndex].focus();
    event.preventDefault();
  }
  node.addEventListener('keydown', handleArrowMovementKeys);
  return function removeArrowMovementListener() {
    node.removeEventListener('keydown', handleArrowMovementKeys);
  };
}
var DropdownButton = /*#__PURE__*/React.forwardRef(function DropdownButton(_ref2, ref) {
  var id = _ref2.id,
    rootClose = _ref2.rootClose,
    children = _ref2.children,
    buttonValue = _ref2.buttonValue,
    manualButtonValue = _ref2.manualButtonValue,
    shouldCloseOnButtonClick = _ref2.shouldCloseOnButtonClick,
    shouldUpdateButtonValue = _ref2.shouldUpdateButtonValue,
    styleType = _ref2.styleType,
    inline = _ref2.inline,
    flatLeftEdge = _ref2.flatLeftEdge,
    flatRightEdge = _ref2.flatRightEdge,
    otherProps = _objectWithoutProperties(_ref2, _excluded$r);
  var ActivationButton = flatLeftEdge || flatRightEdge ? SplitButton : Button$2;
  var _useState = useState(buttonValue),
    _useState2 = _slicedToArray(_useState, 2),
    buttonStateValue = _useState2[0],
    setButtonStateValue = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    isOpen = _useState4[0],
    setIsOpen = _useState4[1];
  var initialRender = useRef(true);
  var buttonDropdown = useRef(null);
  var triggerButton = useRef(null);
  var panelId = useUniqueId(id);
  var getTopIndex = useTopZIndex();
  var mainRef = useMergedRefs(ref, triggerButton);
  useEffect(function () {
    var removeFocusTrapListener = focusTrap(buttonDropdown.current);
    var removeArrowMovementListener = arrowMovement(buttonDropdown.current);
    return function removeListeners() {
      removeFocusTrapListener();
      removeArrowMovementListener();
    };
  }, [isOpen]);
  useEffect(function () {
    if (!initialRender.current) {
      var _triggerButton$curren;
      (_triggerButton$curren = triggerButton.current) === null || _triggerButton$curren === void 0 || _triggerButton$curren.focus();
    }
    initialRender.current = false;
  }, [isOpen]);
  var toggleDropdown = useCallback(function () {
    return setIsOpen(function (oldIsOpen) {
      return !oldIsOpen;
    });
  }, []);
  var closeDropdown = useCallback(function () {
    return setIsOpen(false);
  }, []);
  var handleDropdownItemClick = useCallback(function (childProps) {
    return function (event) {
      var _buttonProps$onClick;
      if (!childProps) return;
      var buttonProps = childProps;
      if (shouldUpdateButtonValue) {
        setButtonStateValue(buttonProps.children);
      }
      if (shouldCloseOnButtonClick) {
        closeDropdown();
      }
      buttonProps === null || buttonProps === void 0 || (_buttonProps$onClick = buttonProps.onClick) === null || _buttonProps$onClick === void 0 || _buttonProps$onClick.call(buttonProps, event, (buttonProps === null || buttonProps === void 0 ? void 0 : buttonProps.name) || '');
    };
  }, [shouldUpdateButtonValue, shouldCloseOnButtonClick, closeDropdown]);
  return /*#__PURE__*/React.createElement(_StyledRootCloseWrapper, {
    onRootClose: closeDropdown,
    disabled: !rootClose,
    $_css: inline ? 'inline-flex' : 'block'
  }, /*#__PURE__*/React.createElement("div", {
    ref: buttonDropdown,
    role: "combobox",
    "aria-controls": panelId,
    "aria-expanded": isOpen,
    "aria-haspopup": "listbox"
  }, /*#__PURE__*/React.createElement(ActivationButton, _extends({}, otherProps, {
    flatLeftEdge: flatLeftEdge,
    flatRightEdge: flatRightEdge,
    onClick: toggleDropdown,
    "aria-haspopup": "true",
    "aria-pressed": isOpen,
    className: isOpen ? "".concat((otherProps === null || otherProps === void 0 ? void 0 : otherProps.className) || '', " pressed") : otherProps.className,
    ref: mainRef,
    styleType: styleType
  }), manualButtonValue || buttonStateValue, /*#__PURE__*/React.createElement(Caret, null)), /*#__PURE__*/React.createElement(_StyledDiv, null, /*#__PURE__*/React.createElement(ButtonPanel, {
    isOpen: isOpen,
    id: panelId,
    topIndex: isOpen ? getTopIndex() : -1
  }, /*#__PURE__*/React.createElement(ButtonPanelChildrenContainer, null, Children.map(children, function (ch) {
    if (!ch || _typeof(ch) !== 'object') return ch;
    var child = ch;
    var onClickHandler = handleDropdownItemClick(child.props);
    var newProps = {
      onClick: onClickHandler,
      role: 'option'
    };
    return /*#__PURE__*/React.cloneElement(child, newProps);
  }))))));
});
DropdownButton.Button = StyledButtonLink;
DropdownButton.propTypes = _objectSpread$i(_objectSpread$i({}, propTypes$g), {}, {
  /** Content shown in the button */
  buttonValue: PropTypes.node,
  /**
   * Defines what value should be displayed on the button.
   * Overrides the stored state value, and renders shouldUpdateButtonValue
   * useless
   */
  manualButtonValue: PropTypes.node,
  children: PropTypes.node.isRequired,
  /**
   * Defines if the buttons value should update to the last pressed,
   * childs value.
   */
  shouldUpdateButtonValue: PropTypes.bool,
  /** Defines if the dropdown should close when any child button is clicked */
  shouldCloseOnButtonClick: PropTypes.bool,
  /**
   * Defines whether the dropdown will close when any other element on the page is clicked.
   * Uses RootCloseWrapper from React-Overlay
   */
  rootClose: PropTypes.bool,
  /** Select the color style of the button, types come from theme */
  styleType: PropTypes.oneOf(buttonStyleTypes),
  /** Display the dropdown button inline */
  inline: PropTypes.bool,
  id: PropTypes.string,
  /** Styles the Button with a flat left edge */
  flatLeftEdge: PropTypes.bool,
  /** Styles the Button with a flat right edge */
  flatRightEdge: PropTypes.bool
});
var correctedDefaultProps = Object.entries(defaultProps$d).filter(function (entry) {
  return entry[0] !== 'children';
}).reduce(function (acc, _ref3) {
  var _ref4 = _slicedToArray(_ref3, 2),
    key = _ref4[0],
    value = _ref4[1];
  return (// eslint-disable-next-line @typescript-eslint/no-unsafe-assignment
    _objectSpread$i(_objectSpread$i({}, acc), {}, _defineProperty({}, key, value))
  );
}, {});
DropdownButton.defaultProps = _objectSpread$i(_objectSpread$i({}, correctedDefaultProps), {}, {
  buttonValue: undefined,
  manualButtonValue: undefined,
  shouldUpdateButtonValue: false,
  shouldCloseOnButtonClick: false,
  styleType: 'default',
  rootClose: false,
  inline: false,
  id: undefined,
  flatLeftEdge: false,
  flatRightEdge: false
});
var DropdownButton$1 = DropdownButton;
var _StyledRootCloseWrapper = styled$1(RootCloseWrapper$1)(["display:", ";flex-direction:column;position:relative;"], function (p) {
  return p.$_css;
});
var _StyledDiv = styled$1("div")(["position:relative;"]);

var _excluded$q = ["iconName", "iconSize", "childrenFontSize", "isHighlighted", "isIncomplete", "disabled", "maxWidth", "onClick", "styleType", "children"];
function ownKeys$h(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$h(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$h(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$h(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Container$1 = styled$1.div(["align-items:center;display:flex;flex-direction:column;max-width:", ";"], function (props) {
  return props.maxWidth;
});
var StyledIconButton = styled$1(OutlineButton$1)(["background-color:", ";border-radius:50%;border-width:3px;color:", ";display:inline-block;font-weight:normal;min-width:0;padding:13px 14px;width:auto;-webkit-tap-highlight-color:transparent;"], function (props) {
  return props.isHighlighted && props.activeColor;
}, function (props) {
  return props.isHighlighted && props.theme.colors.white;
});
var IncompleteButton = styled$1(StyledIconButton)(["background-color:", ";border-left:3px dashed ", ";color:", ";transform:rotate(45deg);&:hover,&:active{background-color:", ";color:", ";}& i{transform:rotate(-45deg) translate(-1px,1px);}"], function (props) {
  return props.isHighlighted ? props.theme.colors.gray5 : props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray5;
}, function (props) {
  return props.isHighlighted ? props.theme.colors.white : props.theme.colors.gray5;
}, function (props) {
  return props.theme.colors.gray6;
}, function (props) {
  return props.theme.colors.white;
});
var IconText = styled$1.span(["font-size:", "px;font-weight:", ";margin-top:6px;max-width:", ";overflow:hidden;text-overflow:ellipsis;white-space:nowrap;"], function (props) {
  return props.fontSize;
}, function (props) {
  return props.isHighlighted ? 'bold' : 'normal';
}, function (props) {
  return props.maxWidth;
});
var IconButton = /*#__PURE__*/React.forwardRef(function IconButton(_ref, ref) {
  var iconName = _ref.iconName,
    iconSize = _ref.iconSize,
    _ref$childrenFontSize = _ref.childrenFontSize,
    childrenFontSize = _ref$childrenFontSize === void 0 ? 18 : _ref$childrenFontSize,
    isHighlighted = _ref.isHighlighted,
    isIncomplete = _ref.isIncomplete,
    disabled = _ref.disabled,
    _ref$maxWidth = _ref.maxWidth,
    maxWidth = _ref$maxWidth === void 0 ? 'auto' : _ref$maxWidth,
    onClick = _ref.onClick,
    _ref$styleType = _ref.styleType,
    styleType = _ref$styleType === void 0 ? 'magenta' : _ref$styleType,
    children = _ref.children,
    otherProps = _objectWithoutProperties(_ref, _excluded$q);
  var CurrentButton = isIncomplete ? IncompleteButton : StyledIconButton;
  var theme = useTheme();
  var textId = generateAlphaName();
  var buttonStyle = theme.buttonStyles.outlineButton.variant[styleType];
  return /*#__PURE__*/React.createElement(Container$1, _extends({
    ref: ref,
    maxWidth: maxWidth
  }, otherProps), /*#__PURE__*/React.createElement(CurrentButton, {
    onClick: onClick,
    styleType: styleType,
    isHighlighted: isHighlighted,
    disabled: disabled,
    activeColor: buttonStyle.bgColor,
    "aria-pressed": isHighlighted,
    "aria-labelledby": textId
  }, /*#__PURE__*/React.createElement(Icon$2, {
    name: iconName,
    size: iconSize
  })), /*#__PURE__*/React.createElement(IconText, {
    id: textId,
    isHighlighted: isHighlighted,
    maxWidth: maxWidth,
    fontSize: childrenFontSize
  }, children));
});
IconButton.propTypes = _objectSpread$h(_objectSpread$h({}, Container$1.propTypes), {}, {
  /** Used to specify the icon used within the button */
  iconName: PropTypes.oneOf(iconNames).isRequired,
  /** The font size of the inner icon */
  iconSize: PropTypes.number,
  /** The font size of the text displayed below the icon */
  childrenFontSize: PropTypes.number,
  /** Determines whether the icon is shown with a solid background by default */
  isHighlighted: PropTypes.bool,
  /** Displays the icon with a style representing an incomplete state */
  isIncomplete: PropTypes.bool,
  /** Disables the click event on the button */
  disabled: PropTypes.bool,
  /** Sets the max width for the button, affects text ellipsis */
  maxWidth: PropTypes.string,
  /** Onclick function used by the button */
  onClick: PropTypes.func,
  /** OutlineButton styleType (from theme) used for the icon */
  styleType: PropTypes.oneOf(buttonVariantStyleTypes),
  /** Content to be displayed below the icon */
  children: PropTypes.node
});
IconButton.defaultProps = _objectSpread$h(_objectSpread$h({}, Container$1.defaultProps), {}, {
  isHighlighted: false,
  isIncomplete: false,
  iconSize: 45,
  childrenFontSize: 18,
  disabled: false,
  maxWidth: undefined,
  onClick: function onClick() {
    return {};
  },
  styleType: 'magenta',
  children: undefined
});
var IconButton$1 = IconButton;

var radioGroupContextPropTypes = {
  /** The name of the radio group */
  name: PropTypes.string.isRequired,
  /** Selected option for the radio group */
  selectedValue: htmlInputPropTypes.value,
  /** Disable all radio buttons */
  disableAllOptions: PropTypes.bool
};
var RadioGroupContext = /*#__PURE__*/createContext({
  name: '',
  selectedValue: ''
});
function useRadioGroupContext() {
  return useContext(RadioGroupContext);
}

var _excluded$p = ["children", "className", "displayClassName"];
function ownKeys$g(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$g(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$g(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$g(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var RadioDisplayWrapper = styled$1.div([""]);
var RadioDisplay = styled$1.span(["align-items:center;border-radius:50%;border-style:solid;border-width:3px;box-sizing:border-box;display:flex;height:25px;justify-content:center;margin-right:8px;min-width:25px;&:before{background-color:transparent;border-radius:50%;content:'';display:block;height:13px;width:13px;transition:background 0.25s linear;}"]);
var RadioInput = styled$1.input(["", ""], function (_ref) {
  var _ref$theme = _ref.theme,
    _ref$theme$colors = _ref$theme.colors,
    inputFocus = _ref$theme$colors.inputFocus,
    disabledColor = _ref$theme$colors.disabled,
    disabledBorderColor = _ref$theme.validationInputColor.default.borderColor,
    fill = _ref.fill;
  return css(["clip:rect(0,0,0,0);pointer-events:none;position:absolute;~ ", "{border-color:", ";}&:focus ~ ", "{box-shadow:0 0 3px 3px ", ";}&:checked ~ ", ":before{background-color:", ";}&&:disabled{~ ", "{border-color:", ";}&:checked ~ ", ":before{background-color:", ";}}"], RadioDisplay, fill, RadioDisplay, inputFocus, RadioDisplay, fill, RadioDisplay, disabledColor || disabledBorderColor, RadioDisplay, disabledColor || disabledBorderColor);
});
var RadioLabel = styled$1(Label$2)(["", ""], function (_ref2) {
  var theme = _ref2.theme,
    hover = _ref2.hover;
  return css(["align-self:flex-start;cursor:pointer;display:flex;font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-size:", ";font-weight:normal;line-height:", ";margin-right:15px;margin-bottom:10px;position:relative;padding:10px 0 10px 10px;text-transform:none;@media (min-width:", "){padding:5px 0;}&:hover{& > ", "{& > ", ":not(:disabled):not(:checked) ~ ", ":before{background-color:", ";}}}"], theme.font.baseFontSize, theme.font.baseLineHeight, theme.screenSize.tablet, RadioDisplayWrapper, RadioInput, RadioDisplay, hover);
});
var getOnChange = function getOnChange() {
  for (var _len = arguments.length, onChanges = new Array(_len), _key = 0; _key < _len; _key++) {
    onChanges[_key] = arguments[_key];
  }
  return function (event) {
    onChanges.forEach(function (c) {
      return c === null || c === void 0 ? void 0 : c(event);
    });
  };
};
function getCheckedProps(radioProps, contextProps) {
  var checked = Boolean(radioProps.checked || radioProps.defaultChecked || contextProps.selectedValue === radioProps.value);
  var onChanges = [radioProps.onChange, contextProps.onChange];
  return onChanges.some(function (c) {
    return c;
  }) ? {
    onChange: getOnChange.apply(void 0, onChanges),
    checked: checked,
    defaultChecked: undefined
  } : {
    defaultChecked: checked,
    checked: undefined
  };
}
var getValidationSelectionColors = function getValidationSelectionColors(theme, validationState, checked) {
  var targetColor = validationState === 'default' && checked ? theme.colors.primary : theme.validationTextColor[validationState];
  return {
    fill: targetColor,
    hover: lighten(targetColor, 40)
  };
};
var RadioButton = /*#__PURE__*/React.forwardRef(function ForwardedRadioButton(_ref3, ref) {
  var children = _ref3.children,
    className = _ref3.className,
    displayClassName = _ref3.displayClassName,
    radioProps = _objectWithoutProperties(_ref3, _excluded$p);
  var contextProps = useRadioGroupContext();
  var disableAllOptions = contextProps.disableAllOptions;
  var id = useUniqueId(radioProps.id);
  var checkedProps = getCheckedProps(radioProps, contextProps);
  var checked = checkedProps.checked || checkedProps.defaultChecked;
  var theme = useTheme();
  var validationState = useValidationState();
  var _useMemo = useMemo(function () {
      return getValidationSelectionColors(theme, validationState, checked);
    }, [theme, validationState, checked]),
    fill = _useMemo.fill,
    hover = _useMemo.hover;
  var disabled = radioProps.disabled || disableAllOptions;
  var labelProps = {
    htmlFor: id,
    disabled: disabled,
    validationState: validationState,
    checked: checked,
    hover: hover
  };
  var inputProps = _objectSpread$g(_objectSpread$g(_objectSpread$g({}, contextProps), radioProps), {}, {
    disabled: disabled,
    fill: fill
  }, checkedProps);
  var displayWrapperClasses = "".concat(displayClassName || '', " ").concat(contextProps.displayClassName || '').trim();
  return /*#__PURE__*/React.createElement(RadioLabel, _extends({
    className: className
  }, labelProps), /*#__PURE__*/React.createElement(RadioDisplayWrapper, {
    className: displayWrapperClasses
  }, /*#__PURE__*/React.createElement(RadioInput, _extends({
    ref: ref,
    type: "radio",
    id: id
  }, inputProps)), /*#__PURE__*/React.createElement(RadioDisplay, {
    className: "es-radio__fill"
  })), children);
});
var propTypes$6 = _objectSpread$g(_objectSpread$g({}, htmlInputPropTypes), {}, {
  /** supports styled-component usage, applies to the wrapping Label */
  className: htmlInputPropTypes['className'],
  /** applies to the display wrapper */
  displayClassName: htmlInputPropTypes['className']
});
RadioButton.propTypes = propTypes$6;
RadioButton.defaultProps = _objectSpread$g(_objectSpread$g({}, htmlInputDefaultProps), {}, {
  displayClassName: ''
});
var RadioButton$1 = RadioButton;

var _excluded$o = ["children", "itemWidth", "styleType", "selectedType", "size", "isOutline"],
  _excluded2$4 = ["size"];
function ownKeys$f(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$f(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$f(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$f(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var AnswerLabel = styled$1.label(["flex-grow:1;@media (min-width:", "){flex-grow:0;min-width:", ";}"], function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.itemWidth;
});
var AnswerDisplay = styled$1.div(["background-color:", ";border-color:transparent;box-shadow:0 4px 0 0 ", ";color:", ";font-weight:", ";font-size:", ";line-height:", ";margin-bottom:4px;margin-top:0;padding-top:", ";padding-right:", ";padding-bottom:", ";padding-left:", ";text-align:center;text-transform:", ";transition:background-color 250ms linear,color 250ms linear;user-select:none;&:active{background-color:", ";box-shadow:0 0 0 0 transparent;color:", ";margin-bottom:0;margin-top:4px;}@media (hover:hover),(-ms-high-contrast:none){&:hover{background-color:", ";color:", ";}}&[disabled]{cursor:not-allowed;opacity:0.65;> *{pointer-events:none;}}"], function (props) {
  return props.buttonStyle.bgColor;
}, function (props) {
  return darken(props.buttonStyle.bgColor, 10);
}, function (props) {
  return getTextColor(props.buttonStyle.bgColor);
}, function (props) {
  return props.buttonSize.fontWeight || 'normal';
}, function (props) {
  return props.buttonSize.fontSize;
}, function (props) {
  return props.buttonSize.lineHeight;
}, function (props) {
  return props.buttonSize.paddingTop;
}, function (props) {
  return props.buttonSize.paddingSides;
}, function (props) {
  return props.buttonSize.paddingBottom;
}, function (props) {
  return props.buttonSize.paddingSides;
}, function (props) {
  return props.buttonSize.textTransform ? props.buttonSize.textTransform : 'none';
}, function (props) {
  return darken(props.buttonStyle.bgColor, 8);
}, function (props) {
  return getTextColor(props.buttonStyle.bgColor);
}, function (props) {
  return darken(props.buttonStyle.bgColor, 8);
}, function (props) {
  return getTextColor(props.buttonStyle.bgColor);
});
var OutlineAnswerDisplay = styled$1(AnswerDisplay)(["background-color:", ";border:2px solid ", ";box-shadow:none;box-sizing:border-box;color:", ";margin:0;&:active{margin:0;}"], function (props) {
  return props.isChecked ? props.buttonStyle.bgColor : props.theme.colors.white;
}, function (props) {
  return props.buttonStyle.borderColor || props.buttonStyle.bgColor;
}, function (props) {
  return props.isChecked ? props.theme.colors.white : props.buttonStyle.bgColor;
});

// this preserves css syntax highlighting
var ModifiedAnswerInput = styled$1('input').withConfig({
  shouldForwardProp: function shouldForwardProp(prop, defaultValidatorFn) {
    return !['buttonStyle', 'size'].includes(prop) && defaultValidatorFn(prop);
  }
})([""]);
var AnswerInput = styled$1(ModifiedAnswerInput)(["clip-path:inset(100%);clip:rect(1px,1px,1px,1px);height:1px;overflow:hidden;position:absolute;white-space:nowrap;width:1px;&:focus + div{background-color:", ";color:", ";}"], function (props) {
  return darken(props.buttonStyle.bgColor, 8);
}, function (props) {
  return getTextColor(props.buttonStyle.bgColor);
});
var AnswerButton = /*#__PURE__*/React.forwardRef(function AnswerButton(_ref, ref) {
  var children = _ref.children,
    itemWidthProp = _ref.itemWidth,
    styleTypeProp = _ref.styleType,
    selectedTypeProp = _ref.selectedType,
    sizeProp = _ref.size,
    isOutlineProp = _ref.isOutline,
    radioProps = _objectWithoutProperties(_ref, _excluded$o);
  var _useRadioGroupContext = useRadioGroupContext(),
    contextPropsSize = _useRadioGroupContext.size,
    contextProps = _objectWithoutProperties(_useRadioGroupContext, _excluded2$4);
  var disableAllOptions = contextProps.disableAllOptions;
  var checkedProps = getCheckedProps(radioProps, contextProps);
  var id = useUniqueId(radioProps.id);
  var isChecked = checkedProps.checked || checkedProps.defaultChecked;
  var disabled = radioProps.disabled || disableAllOptions;
  var theme = useTheme();
  var validationState = React.useContext(ValidationContext$1);
  var isOutline = isOutlineProp !== undefined ? isOutlineProp : contextProps.isOutline;
  var size = sizeProp || contextPropsSize || 'default';
  var styleType = styleTypeProp || contextProps.styleType || 'default';
  var selectedType = selectedTypeProp || contextProps.selectedType || 'default';
  var itemWidth = itemWidthProp || contextProps.itemWidth;
  var buttonType = isOutline ? 'outlineButton' : 'button';
  var buttonSize = theme.buttonStyles[buttonType].size[size];
  var variant = validationState !== 'default' && !isOutline ? validationState : styleType;
  var validationBorder = theme.buttonStyles[buttonType].variant[validationState].bgColor;
  var selectedStyles = theme.buttonStyles[buttonType].variant[selectedType];
  var unSelectedStyles = theme.buttonStyles[buttonType].variant[variant];
  if (isOutline && validationState !== 'default') {
    selectedStyles = _objectSpread$f(_objectSpread$f({}, selectedStyles), {}, {
      borderColor: validationBorder
    });
    unSelectedStyles = _objectSpread$f(_objectSpread$f({}, unSelectedStyles), {}, {
      borderColor: validationBorder
    });
  }
  var buttonStyle = isChecked ? selectedStyles : unSelectedStyles;
  var buttonProps = {
    disabled: disabled,
    isChecked: isChecked,
    buttonStyle: buttonStyle,
    buttonSize: buttonSize
  };
  var labelProps = {
    disabled: radioProps.disabled,
    itemWidth: itemWidth,
    htmlFor: id,
    validationState: validationState
  };
  var inputProps = _objectSpread$f(_objectSpread$f(_objectSpread$f(_objectSpread$f({}, contextProps), radioProps), checkedProps), {}, {
    disabled: disabled
  });
  var Display = isOutline ? OutlineAnswerDisplay : AnswerDisplay;
  return /*#__PURE__*/React.createElement(AnswerLabel, labelProps, /*#__PURE__*/React.createElement(AnswerInput, _extends({
    type: "radio",
    id: id,
    buttonStyle: buttonStyle,
    ref: ref
  }, inputProps)), /*#__PURE__*/React.createElement(Display, buttonProps, children));
});
var propTypes$5 = _objectSpread$f(_objectSpread$f({}, htmlInputPropTypes), {}, {
  itemWidth: PropTypes.string,
  styleType: PropTypes.oneOf(buttonVariantStyleTypes),
  selectedType: PropTypes.oneOf(buttonVariantStyleTypes),
  size: PropTypes.oneOf(buttonSizes),
  isOutline: PropTypes.bool
});
AnswerButton.propTypes = propTypes$5;
var AnswerButton$1 = AnswerButton;

var _excluded$n = ["children"];
function ownKeys$e(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$e(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$e(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$e(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function RadioGroup(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties(_ref, _excluded$n);
  return /*#__PURE__*/React.createElement(RadioGroupContext.Provider, {
    value: props
  }, children);
}
var propTypes$4 = _objectSpread$e(_objectSpread$e({}, radioGroupContextPropTypes), {}, {
  children: PropTypes.node.isRequired
});
var defaultProps$4 = {
  disableAllOptions: false
};
RadioGroup.propTypes = propTypes$4;
RadioGroup.defaultProps = {
  selectedValue: '',
  disableAllOptions: false
};

function ownKeys$d(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$d(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$d(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$d(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var outlineStyles = css(["> label:first-child > div{border-radius:4px 0 0 4px;}> label:last-child > div{border-left:none;border-radius:0 4px 4px 0;}> label:not(:first-child):not(:last-child) > div{border-left:1px;}"]);
var AnswerSet = styled$1.div(["display:flex;flex-wrap:nowrap;", ";"], function (props) {
  return props.isOutline && outlineStyles;
});
var AnswerGroup = /*#__PURE__*/React.forwardRef(function ForwardedAnswerGroup(props, ref) {
  // eslint-disable-next-line @typescript-eslint/no-unused-vars
  return /*#__PURE__*/React.createElement(AnswerSet, {
    isOutline: props.isOutline,
    ref: ref
  }, /*#__PURE__*/React.createElement(RadioGroup, _extends({}, props, {
    isAnswerGroup: true
  })));
});
AnswerGroup.propTypes = _objectSpread$d(_objectSpread$d(_objectSpread$d({}, propTypes$5), propTypes$4), {}, {
  /** The name of the answer group */
  name: propTypes$4.name,
  /** The width of each item when not in mobile view */
  itemWidth: propTypes$5.itemWidth,
  /** Select the color style of the buttons, types come from theme */
  styleType: propTypes$5.styleType,
  /** Select the color style of the selected button, types come from theme */
  selectedType: propTypes$5.selectedType,
  /** Set the button size, sizes come from theme (buttonStyles) */
  size: propTypes$5.size,
  /** Set if the items should have a flat outline style */
  isOutline: propTypes$5.isOutline,
  /** Disable all radio buttons */
  disableAllOptions: propTypes$4.disableAllOptions,
  /** Selected option for the answer group */
  selectedValue: propTypes$4.selectedValue
});
AnswerGroup.defaultProps = _objectSpread$d(_objectSpread$d({}, defaultProps$4), {}, {
  styleType: 'default',
  selectedType: 'success',
  size: 'default',
  itemWidth: '100px',
  isOutline: false,
  disableAllOptions: false,
  selectedValue: undefined
});
var AnswerGroup$1 = AnswerGroup;

var arrowDown = "data:image/svg+xml,%3C%3Fxml version='1.0' encoding='utf-8'%3F%3E%3Csvg viewBox='0 0 269.08 507.48' xmlns='http://www.w3.org/2000/svg'%3E%3Cg id='Rounded_Rectangle_33_copy_4_1_' transform='matrix(0.480497  0  0  0.480497  -96.099159  130.928314)' style='' %3E%3Cpath d='M480 344.181L268.869 131.889c-15.756-15.859-41.3-15.859-57.054 0c-15.754 15.857-15.754 41.57 0 57.431l237.632 238.937 c8.395 8.451 19.562 12.254 30.553 11.698c10.993 0.556 22.159-3.247 30.555-11.698l237.631-238.937 c15.756-15.86 15.756-41.571 0-57.431s-41.299-15.859-57.051 0L480 344.181z'/%3E%3C/g%3E%3C/svg%3E";

var _InputBase$defaultPro;
var _excluded$m = ["onChange"];
function ownKeys$c(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$c(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$c(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$c(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var getCSSArrow = function getCSSArrow(props) {
  return "\"".concat(getStyledProp('inputStyles.dropdownArrow', props) || arrowDown, "\"");
};
var getDropdownStyles = function getDropdownStyles(props) {
  return css(["", " min-width:100px;appearance:none;background-image:url(", ");background-repeat:no-repeat;background-position:right 0.5em center;background-size:0.6em auto;line-height:", ";&:not(:has(:checked)){", "}&&:focus{", "}"], getInputStyles(props), getCSSArrow(props), function (props) {
    return getStyledProp('inputStyles.dropdownLineHeight', props) || '1.5em';
  }, placeholderStyles, validationStateHighlightStyles(props));
};
var globalDrowdownCss = css(["select{", "}"], function (_ref) {
  var theme = _ref.theme;
  return getDropdownStyles(_objectSpread$c({
    theme: theme
  }, getInputPropsForValidation(theme, 'default')));
});
var StyledDropdownInput = styled$1(InputBase$1)(["", " &&{", "}"], getDropdownStyles, function (_ref2) {
  var hasValue = _ref2.hasValue;
  return !hasValue ? placeholderStyles : css(["color:", ";"], getStyledProp('colors.black'));
});
var DropdownInput = StyledDropdownInput;
var Dropdown = /*#__PURE__*/React.forwardRef(function ForwardedDropdown(_ref3, ref) {
  var onChangeProp = _ref3.onChange,
    props = _objectWithoutProperties(_ref3, _excluded$m);
  var value = props.value,
    defaultValue = props.defaultValue;
  var validationStyleProps = useValidationStyleProps(props);
  var _useState = useState(Boolean(props.value)),
    _useState2 = _slicedToArray(_useState, 2),
    hasValue = _useState2[0],
    setHasValue = _useState2[1];
  var _useState3 = useState(null),
    _useState4 = _slicedToArray(_useState3, 2),
    inputRef = _useState4[0],
    setInputRef = _useState4[1];
  var onChange = useMonitoringCallback(function (currentOnChange, ev) {
    setHasValue(Boolean(ev.target.value));
    currentOnChange === null || currentOnChange === void 0 || currentOnChange(ev);
  }, onChangeProp);
  var inputRefCallback = useCallback(function (node) {
    return callRefs(node, setInputRef, ref);
  }, [ref]);
  useEffect(function () {
    if (inputRef) {
      setHasValue(Boolean(inputRef && inputRef.value));
      return;
    }
    setHasValue(Boolean(value || defaultValue));
  }, [value, defaultValue, inputRef, inputRef === null || inputRef === void 0 ? void 0 : inputRef.value]);
  return /*#__PURE__*/React.createElement(DropdownInput, _extends({}, validationStyleProps, props, {
    onChange: onChange,
    hasValue: hasValue,
    ref: inputRefCallback,
    forwardedAs: "select"
  }));
});
var UnstyledSelectInput = styled$1('select')([""]);
var propTypes$3 = _objectSpread$c(_objectSpread$c({}, UnstyledSelectInput.propTypes), {}, {
  /** Whether the input should be rendered as a flat-style input */
  flat: PropTypes.bool
});
var defaultProps$3 = _objectSpread$c(_objectSpread$c({}, UnstyledSelectInput.defaultProps), {}, {
  flat: (_InputBase$defaultPro = InputBase$1.defaultProps) === null || _InputBase$defaultPro === void 0 ? void 0 : _InputBase$defaultPro.flat
});
Dropdown.propTypes = propTypes$3;
Dropdown.defaultProps = defaultProps$3;
var Dropdown$1 = Dropdown;

var _excluded$l = ["children", "displayClassName"];
function ownKeys$b(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$b(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$b(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$b(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var CheckboxLabel = styled$1(Label$2)(["font-size:", ";font-family:'Source Sans Pro','Segoe UI',Segoe,Calibri,Tahoma,sans-serif;font-size:", ";font-weight:normal;line-height:", ";margin-left:-10px;min-height:25px;padding:10px 0 10px 42px;position:relative;@media (min-width:", "){margin-left:0;padding:5px 0 5px 32px;}[disabled]{pointer-events:none;cursor:not-allowed;outline:0;}"], function (props) {
  return props.theme.font.baseFontSize;
}, function (props) {
  return props.theme.font.baseFontSize;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.theme.screenSize.tablet;
});
var CheckboxInput = styled$1.input(["clip:rect(0,0,0,0);pointer-events:none;position:absolute;"]);
var CheckboxDisplayWrapper = styled$1.div([""]);
var CheckboxDisplay = styled$1.span(["", ""], function (_ref) {
  var theme = _ref.theme,
    fill = _ref.fill,
    hover = _ref.hover,
    validationStateClass = _ref.validationStateClass;
  return css(["background-color:", ";border:3px solid;border-radius:4px;box-sizing:border-box;cursor:pointer;height:25px;left:10px;position:absolute;top:0.55em;transition:all 0.25s linear,box-shadow 0.15s linear;width:25px;@media (min-width:", "){left:0;top:0.35em;}&:after{background:transparent;border:3px solid transparent;border-right:none;border-top:none;box-sizing:border-box;content:'';display:block;height:9px;margin:3px 0 0 2px;transform:rotate(-45deg);transition:border 0.25s linear;width:15px;}", ":focus &,", ":focus ~ &{box-shadow:0 0 3px 3px ", ";}", ":disabled ~ &&{border-color:", ";cursor:not-allowed;outline:0;", ":focus &:after,", ":hover &:after,&:after{border-color:transparent;}}", ":disabled:checked ~ &&{background-color:", ";border-color:transparent;", ":focus &:after,", ":hover &:after,&:after{border-color:", ";}}&.", "{border-color:", ";", ":checked ~ &{background-color:", ";&:after{border-color:", ";}}&:after{", ":not(:disabled):not(:checked) ~ &{", ":focus &,", ":hover &,", ":focus&,", ":hover&{border-color:", ";}}}}"], theme.colors.white, theme.screenSize.tablet, CheckboxLabel, CheckboxInput, theme.colors.inputFocus, CheckboxInput, theme.colors.disabled || theme.validationInputColor.default.borderColor, CheckboxLabel, CheckboxLabel, CheckboxInput, theme.colors.disabled || theme.validationInputColor.default.borderColor, CheckboxLabel, CheckboxLabel, theme.colors.white, validationStateClass, fill, CheckboxInput, fill, theme.colors.white, CheckboxInput, CheckboxLabel, CheckboxLabel, CheckboxInput, CheckboxInput, hover);
});
var Checkbox = /*#__PURE__*/React.forwardRef(function ForwardedCheckbox(_ref2, ref) {
  var _theme$themeName;
  var children = _ref2.children,
    displayClassName = _ref2.displayClassName,
    checkboxProps = _objectWithoutProperties(_ref2, _excluded$l);
  var theme = useTheme$1();
  var validationState = useValidationState();
  var isChecked = Boolean(checkboxProps.checked || checkboxProps.defaultChecked);
  var _useMemo = useMemo(function () {
      return getValidationSelectionColors(theme, validationState, isChecked);
    }, [theme, validationState, isChecked]),
    hover = _useMemo.hover,
    fill = _useMemo.fill;
  var uniqueName = useUniqueId();
  var checkboxName = checkboxProps.name || uniqueName;
  var validationStateClass = "".concat(((_theme$themeName = theme.themeName) === null || _theme$themeName === void 0 ? void 0 : _theme$themeName.toLowerCase().replace(/\s+/g, '-')) || 'es', "-").concat(validationState).concat(isChecked ? '-checked' : '');
  return /*#__PURE__*/React.createElement(CheckboxLabel, {
    disabled: checkboxProps.disabled
  }, /*#__PURE__*/React.createElement(CheckboxDisplayWrapper, {
    className: displayClassName
  }, /*#__PURE__*/React.createElement(CheckboxInput, _extends({
    type: "checkbox"
  }, checkboxProps, {
    name: checkboxName,
    ref: ref
  })), /*#__PURE__*/React.createElement(CheckboxDisplay, {
    className: "es-checkbox__fill ".concat(validationStateClass),
    hover: hover,
    fill: fill,
    validationStateClass: validationStateClass
  })), children);
});
var propTypes$2 = _objectSpread$b(_objectSpread$b({}, htmlInputPropTypes), {}, {
  /** applies to the display wrapper */
  displayClassName: PropTypes.string
});
var defaultProps$2 = _objectSpread$b(_objectSpread$b({}, htmlInputDefaultProps), {}, {
  displayClassName: ''
});
Checkbox.propTypes = propTypes$2;
Checkbox.defaultProps = defaultProps$2;
var Checkbox$1 = Checkbox;

var _excluded$k = ["children"];
function ownKeys$a(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$a(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$a(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$a(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Label = styled$1.label(["font-weight:bold;margin-bottom:10px;padding:10px 0;display:flex;align-items:center;justify-content:flex-start;@media (min-width:", "){margin-left:0;padding:5px 0;}", ""], function (props) {
  return props.theme.screenSize.tablet;
}, function (_ref) {
  var textOnHover = _ref.textOnHover;
  return textOnHover && css(["&:hover{", "{opacity:1;transition:visibility 0s linear 10ms,opacity 10ms;visibility:visible;}}"], Text);
});
var Well = styled$1.div(["background-color:", ";border:solid 1px ", ";border-radius:2px;height:45px;margin-right:6px;width:45px;display:flex;align-items:center;justify-content:center;flex-wrap:wrap;label{position:relative;display:block;top:0;left:0;margin:0;padding:0;}", "{display:block;position:relative;top:0;left:0;}"], function (props) {
  return props.theme.colors.gray1;
}, function (props) {
  return props.theme.colors.gray3;
}, CheckboxDisplay);
var Text = styled$1.span(["", ""], function (_ref2) {
  var textOnHover = _ref2.textOnHover,
    theme = _ref2.theme;
  return textOnHover && css(["@media (min-width:", "){opacity:0;transition:visibility 0s linear 500ms,opacity 500ms;visibility:hidden;}"], theme.screenSize.tablet);
});
function CheckAllBox(_ref3) {
  var children = _ref3.children,
    checkboxProps = _objectWithoutProperties(_ref3, _excluded$k);
  var id = useUniqueId(checkboxProps.id);
  return /*#__PURE__*/React.createElement(Label, {
    htmlFor: id
  }, /*#__PURE__*/React.createElement(Well, null, /*#__PURE__*/React.createElement(Checkbox$1, _extends({}, checkboxProps, {
    id: id
  }))), /*#__PURE__*/React.createElement(Text, {
    className: "es-checkbox__text",
    textOnHover: checkboxProps.textOnHover
  }, children));
}
CheckAllBox.propTypes = _objectSpread$a({}, propTypes$2);
CheckAllBox.defaultProps = _objectSpread$a({}, defaultProps$2);

var Spacer = styled$1.div(["margin-left:", ";"], function (props) {
  return props.bumpRight ? '10px' : '0';
});
function useCheckboxGroupActions(_ref) {
  var originalSelectedValues = _ref.originalSelectedValues,
    onChange = _ref.onChange;
  var _useState = useState(originalSelectedValues),
    _useState2 = _slicedToArray(_useState, 2),
    selectedValues = _useState2[0],
    setSelectedValues = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    afterFirstRender = _useState4[0],
    setAfterFirstRender = _useState4[1];
  useMonitoringEffect(function (_ref2) {
    var currentOnChange = _ref2.onChange,
      currentAfterFirst = _ref2.afterFirstRender;
    if (!currentAfterFirst) return;
    currentOnChange === null || currentOnChange === void 0 || currentOnChange(selectedValues);
  }, [selectedValues], {
    onChange: onChange,
    afterFirstRender: afterFirstRender
  });
  var handleCheckboxChange = useCallback(function (ev) {
    setSelectedValues(function (oldValues) {
      var includeValue = ev.target.checked;
      var value = ev.target.value;
      var hasValue = oldValues.includes(value);
      if (includeValue) return hasValue ? oldValues : [].concat(_toConsumableArray(oldValues), [value]);
      return hasValue ? oldValues.filter(function (v) {
        return v !== value;
      }) : oldValues;
    });
  }, []);
  useEffect(function lastEffect() {
    setAfterFirstRender(true);
  }, []);
  return {
    selectedValues: selectedValues,
    setSelectedValues: setSelectedValues,
    handleCheckboxChange: handleCheckboxChange
  };
}
var CheckboxGroup = function CheckboxGroup(_ref3) {
  var disableAllOptions = _ref3.disableAllOptions,
    _ref3$options = _ref3.options,
    options = _ref3$options === void 0 ? [] : _ref3$options,
    checkAllText = _ref3.checkAllText,
    textOnHoverCheckAll = _ref3.textOnHoverCheckAll,
    onChange = _ref3.onChange,
    displayClassName = _ref3.displayClassName;
  var originalSelectedValues = useMemo(function () {
    return options.filter(function (o) {
      return o.checked;
    }).map(function (o) {
      var _o$value;
      return ((_o$value = o.value) === null || _o$value === void 0 ? void 0 : _o$value.toString()) || '';
    });
  }, [] // eslint-disable-line react-hooks/exhaustive-deps
  );
  var _useCheckboxGroupActi = useCheckboxGroupActions({
      originalSelectedValues: originalSelectedValues,
      onChange: onChange
    }),
    selectedValues = _useCheckboxGroupActi.selectedValues,
    setSelectedValues = _useCheckboxGroupActi.setSelectedValues,
    handleCheckboxChange = _useCheckboxGroupActi.handleCheckboxChange;
  var _useState5 = useState(false),
    _useState6 = _slicedToArray(_useState5, 2),
    checkAll = _useState6[0],
    setCheckAll = _useState6[1];
  useEffect(function () {
    var allChecked = options.every(function (o) {
      var _o$value2;
      return selectedValues.includes(((_o$value2 = o.value) === null || _o$value2 === void 0 ? void 0 : _o$value2.toString()) || '');
    });
    setCheckAll(allChecked);
  }, [options, selectedValues]);
  var handleCheckAll = useCallback(function (ev) {
    var checked = ev.target.checked;
    setSelectedValues(checked ? options.map(function (o) {
      var _o$value3;
      return ((_o$value3 = o.value) === null || _o$value3 === void 0 ? void 0 : _o$value3.toString()) || '';
    }) : []);
  }, [options, setSelectedValues]);
  return /*#__PURE__*/React.createElement(React.Fragment, null, checkAllText && /*#__PURE__*/React.createElement(CheckAllBox, {
    onChange: handleCheckAll,
    checked: checkAll,
    disabled: disableAllOptions,
    textOnHover: textOnHoverCheckAll,
    displayClassName: displayClassName
  }, checkAllText), options.map(function (_ref4, ind) {
    var name = _ref4.name,
      value = _ref4.value,
      disabled = _ref4.disabled,
      content = _ref4.content;
    return /*#__PURE__*/React.createElement(Spacer, {
      bumpRight: Boolean(checkAllText),
      key: (Array.isArray(value) ? value.join(';') : value === null || value === void 0 ? void 0 : value.toString()) || ind
    }, /*#__PURE__*/React.createElement(Checkbox$1, {
      name: name,
      value: value,
      checked: selectedValues.includes((value === null || value === void 0 ? void 0 : value.toString()) || ''),
      disabled: disableAllOptions || disabled,
      onChange: handleCheckboxChange,
      displayClassName: displayClassName
    }, content || value));
  }));
};
CheckboxGroup.propTypes = {
  /** change handler */
  onChange: PropTypes.func.isRequired,
  /** Disable all checkbox buttons */
  disableAllOptions: PropTypes.bool,
  /** array of checkbox objects defined by this shape */
  options: PropTypes.arrayOf(PropTypes.shape(htmlInputPropTypes).isRequired),
  /** display an optional "Check All" checkbox with this value */
  checkAllText: PropTypes.string,
  /** display the "Check All" text on hover */
  textOnHoverCheckAll: PropTypes.bool,
  /** applies to the checkboxes display wrappers */
  displayClassName: PropTypes.string
};
CheckboxGroup.defaultProps = {
  checkAllText: undefined,
  textOnHoverCheckAll: false,
  disableAllOptions: false,
  options: [],
  displayClassName: ''
};
var CheckboxGroup$1 = CheckboxGroup;

var _excluded$j = ["type", "label", "direction", "ariaLabel", "onText", "offText", "checked", "disabled", "onChange"];
var Directions = {
  top: 'column-reverse',
  bottom: 'column',
  right: 'row',
  left: 'row-reverse'
};
var directions = Object.keys(Directions);
var Padding = {
  top: '0 0 0.5rem',
  bottom: '2.25rem 0 0',
  right: '0 0 0.5rem',
  left: '0 1rem 0 0'
};
function isValidationType(type) {
  return validationStyleTypes.includes(type);
}
function isButtonType(type) {
  return buttonVariantStyleTypes.includes(type);
}
function hasLightColor(colors, type) {
  return Boolean(colors) && Object.hasOwn(colors, "".concat(type, "Light"));
}
function hasButtonVariantColor(colors, type) {
  return Boolean(colors) && Object.hasOwn(colors, type);
}
function getTypeColor(theme, type, light) {
  if (isValidationType(type)) {
    if (light && hasLightColor(theme.colors, type)) {
      return theme.colors["".concat(type, "Light")];
    }
    return theme.validationInputColor[type].borderColor;
  } else if (light) {
    return theme.colors.gray2;
  } else if (hasButtonVariantColor(theme.colors, type)) {
    return theme.colors[type];
  } else if (isButtonType(type)) {
    return theme.buttonStyles.button.variant[type].bgColor;
  }
  return theme.colors.gray1;
}
var SwitchBase = styled$1.div(["margin:0 auto 10px;display:flex;"]);
var SwitchLabel = styled$1.label(["flex-direction:", ";text-align:", ";justify-content:", ";cursor:", ";display:flex;position:relative:padding:5px 0;transition:all .25s linear;&:hover{span{&::before{box-shadow:", ";}}input[type=\"checkbox\"]:checked ~ span::before{box-shadow:", ";}}"], function (props) {
  return Directions[props.direction];
}, function (props) {
  return props.direction === 'top' || props.direction === 'bottom' ? 'center' : 'left';
}, function (props) {
  return props.direction === 'left' ? 'flex-end' : 'normal';
}, function (props) {
  return props.isDisabled ? 'not-allowed' : 'pointer';
}, function (props) {
  return props.isDisabled ? '0' : 'inset 0 3px 3px rgba(0,0,0,0.4)';
}, function (props) {
  return props.isDisabled ? '0' : 'inset 0 3px 3px rgba(0,0,0,0.7)';
});
var SwitchInput = styled$1.input(["overflow:visible;margin:0;font-family:inherit;font-size:inherit;line-height:inherit;position:absolute;clip:rect(0,0,0,0);pointer-events:none;box-sizing:border-box;padding:0;&:focus ~ span::after{box-shadow:0 0 3px 3px #83bffc;}&:checked ~ span{&::before{background:", ";}&::after{background:#f4f4f4;left:28px;}}"], function (_ref) {
  var theme = _ref.theme,
    styleType = _ref.styleType;
  return getTypeColor(theme, styleType, false);
});
var SwitchLabelText = styled$1.span(["padding:", ";flex-grow:1;color:", ";"], function (props) {
  return Padding[props.direction];
}, function (_ref2) {
  var theme = _ref2.theme,
    type = _ref2.type;
  return type === 'primary' ? '#000' : getTypeColor(theme, type, false);
});
var SwitchCheck = styled$1.span(["order:-2;position:relative;width:64px;&::before{background:", ";border-radius:11px;content:'';display:block;height:25px;left:3px;outline:none;position:absolute;top:0.2rem;width:54px;z-index:5;transition:background-color 0.25s linear,border 0.25s linear,box-shadow 0.25s linear;}&::after{background:#f4f4f4;box-shadow:0 2px 6px #444;display:block;position:absolute;content:'';border-radius:100%;height:30px;width:30px;top:0;left:0;transform:all 0.18s linear;z-index:7;}"], function (_ref3) {
  var theme = _ref3.theme,
    type = _ref3.type;
  return getTypeColor(theme, type, true);
});
var SwitchOffText = styled$1.span(["order:", ";padding:", ";vertical-align:middle;"], function (props) {
  return props.direction === 'left' || props.direction === 'top' ? '-1' : '-3';
}, function (props) {
  return props.textOff === '' ? '0' : '0 1rem 0 1rem';
});
var SwitchOnText = styled$1.span(["order:", ";padding:", ";vertical-align:middle;"], function (props) {
  return props.direction === 'left' || props.direction === 'top' ? '-3' : '-1';
}, function (props) {
  return props.textOn === '' ? '0' : '0 1rem 0 0.75rem';
});
var Switch = /*#__PURE__*/React.forwardRef(function Switch(_ref4, ref) {
  var _ref4$type = _ref4.type,
    type = _ref4$type === void 0 ? 'primary' : _ref4$type,
    label = _ref4.label,
    _ref4$direction = _ref4.direction,
    direction = _ref4$direction === void 0 ? 'right' : _ref4$direction,
    ariaLabel = _ref4.ariaLabel,
    _ref4$onText = _ref4.onText,
    onText = _ref4$onText === void 0 ? '' : _ref4$onText,
    _ref4$offText = _ref4.offText,
    offText = _ref4$offText === void 0 ? '' : _ref4$offText,
    checked = _ref4.checked,
    disabled = _ref4.disabled,
    onChange = _ref4.onChange,
    switchProps = _objectWithoutProperties(_ref4, _excluded$j);
  var _useState = useState(checked),
    _useState2 = _slicedToArray(_useState, 2),
    isToggled = _useState2[0],
    setIsToggled = _useState2[1];
  var elementProps = {
    direction: direction,
    type: type
  };
  useEffect(function () {
    setIsToggled(checked);
  }, [checked]);
  var handleToggle = useMonitoringCallback(function (currentOnChange, event) {
    var isChecked = event.target.checked;
    setIsToggled(isChecked);
    currentOnChange === null || currentOnChange === void 0 || currentOnChange(event);
  }, onChange);
  return /*#__PURE__*/React.createElement(SwitchBase, _extends({}, elementProps, switchProps, {
    ref: ref,
    className: "".concat(switchProps.className || '', " es-switch__container ").concat(isToggled ? 'toggled-on' : 'toggled-off')
  }), /*#__PURE__*/React.createElement(SwitchLabel, _extends({
    isDisabled: disabled
  }, elementProps), /*#__PURE__*/React.createElement(SwitchInput, {
    disabled: disabled,
    styleType: type,
    type: "checkbox",
    checked: isToggled,
    onChange: handleToggle,
    "aria-label": ariaLabel
  }), /*#__PURE__*/React.createElement(SwitchLabelText, _extends({}, elementProps, {
    className: "es-switch__label-text"
  }), label), /*#__PURE__*/React.createElement(SwitchOffText, _extends({}, elementProps, {
    textOff: offText,
    className: "es-switch__off-text"
  }), offText), /*#__PURE__*/React.createElement(SwitchCheck, _extends({}, elementProps, {
    className: "es-switch__display"
  })), /*#__PURE__*/React.createElement(SwitchOnText, _extends({}, elementProps, {
    textOn: onText,
    className: "es-switch__on-text"
  }), onText)));
});
Switch.propTypes = {
  /** The type attribute for the switch */
  type: PropTypes.oneOf([].concat(_toConsumableArray(buttonVariantStyleTypes), _toConsumableArray(validationStyleTypes))),
  /** The label text for the switch */
  label: PropTypes.string,
  /** The location of the label */
  direction: PropTypes.oneOf(directions),
  /** Accessibility label for the checkbox */
  ariaLabel: PropTypes.string,
  /** This text goes on the right of the switch, denoting the 'on' position */
  onText: PropTypes.node,
  /** This text goes on the left of the switch, denoting the 'off' position */
  offText: PropTypes.node,
  /** Initial state of the toggle switch */
  checked: PropTypes.bool,
  /** Function for what happens when the switch is toggled */
  onChange: PropTypes.func,
  /** Determines whether the switch is disabled */
  disabled: PropTypes.bool
};
Switch.defaultProps = {
  type: 'primary',
  label: '',
  direction: 'right',
  ariaLabel: '',
  onText: '',
  offText: '',
  checked: false,
  onChange: noop$1,
  disabled: false
};
var Switch$1 = Switch;

var anchorCss = css(["background-color:transparent;box-sizing:border-box;color:", ";text-decoration:underline;&:hover{color:", ";text-decoration:none;}"], function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return props.theme.colors.primaryHover;
});
var globalAnchorCss = css(["a{", ";}"], anchorCss);
var Anchor = styled$1.a(["", ""], anchorCss);

/** @component */
var Anchor$1 = Anchor;

var _excluded$i = ["children"];
function darkenPrimary(primary) {
  return tinycolor(primary).darken(15).toRgbString();
}
var OrderedList = styled$1.ol(["background-color:", ";border-radius:2px;line-height:", ";list-style:none;margin-bottom:25px;margin-top:0;padding:8px 15px;> li + li{padding-left:24px;&::before{border-color:", ";border-style:solid;border-width:0 2px 2px 0;box-sizing:border-box;content:'';display:block;height:13px;left:0px;position:absolute;top:20%;transform:rotate(-45deg);width:13px;}}"], function (props) {
  return props.theme.colors.gray1;
}, function (props) {
  return props.theme.font.baseLineHeight;
}, function (props) {
  return props.theme.colors.gray5;
});
var Crumb = styled$1.li(["color:", ";display:inline-block;margin-right:2px;position:relative;> a{color:", ";text-decoration:none;}> a:hover{color:", ";text-decoration:underline;}"], function (props) {
  return props.theme.brandColors.primary3;
}, function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return darkenPrimary(props.theme.colors.primary);
});
var getChildKey = function getChildKey(child) {
  var _ref;
  return (_ref = (child === null || child === void 0 ? void 0 : child.key) || (typeof child === 'string' || typeof child === 'number' || typeof child === 'boolean' ? child : undefined)) === null || _ref === void 0 ? void 0 : _ref.toString();
};
var Breadcrumb = /*#__PURE__*/React.forwardRef(function Breadcrumb(_ref2, ref) {
  var children = _ref2.children,
    props = _objectWithoutProperties(_ref2, _excluded$i);
  var keyId = useUniqueId();
  return /*#__PURE__*/React.createElement(OrderedList, _extends({}, props, {
    ref: ref
  }), React.Children.map(children, function (child, index) {
    return /*#__PURE__*/React.createElement(Crumb, {
      key: "".concat(keyId, "-").concat(getChildKey(child), "-").concat(index)
    }, child);
  }));
});
Breadcrumb.propTypes = {
  children: PropTypes.node.isRequired
};
var Breadcrumb$1 = Breadcrumb;

var _excluded$h = ["navOrientation", "children", "useAltStyle", "selected"];
function ownKeys$9(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$9(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$9(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$9(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var VerticalNavigation = styled$1.nav(["background-color:", ";box-shadow:2px 2px 5px ", ";ul{list-style:none;margin:0;padding:0;}"], function (props) {
  return props.theme.colors.white;
}, function (props) {
  return props.theme.colors.gray6;
});
var HorizontalNavigation = styled$1.nav(["background-color:", ";ul{display:flex;list-style:none;margin:0;padding:0;}"], function (props) {
  return props.theme.colors.white;
});
var Navigation = /*#__PURE__*/React.forwardRef(function ForwardedNavigation(_ref, ref) {
  var navOrientation = _ref.navOrientation,
    children = _ref.children,
    useAltStyle = _ref.useAltStyle,
    selectedProp = _ref.selected,
    props = _objectWithoutProperties(_ref, _excluded$h);
  var OrientedNavigation = navOrientation === 'horizontal' ? HorizontalNavigation : VerticalNavigation;
  var _React$useState = React.useState(selectedProp),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    selected = _React$useState2[0],
    setSelected = _React$useState2[1];
  React.useEffect(function () {
    setSelected(selectedProp);
  }, [selectedProp]);
  var className = "es-sidenav ".concat(props.className || '');
  var navProps = _objectSpread$9(_objectSpread$9({}, props), {}, {
    className: className
  });
  return /*#__PURE__*/React.createElement(OrientedNavigation, _extends({
    ref: ref
  }, navProps), /*#__PURE__*/React.createElement("ul", null, React.Children.map(children, function (child) {
    return /*#__PURE__*/React.isValidElement(child) ? /*#__PURE__*/React.cloneElement(child, {
      useAltStyle: useAltStyle,
      highlightedId: selected
    }) : child;
  })));
});
Navigation.propTypes = {
  /** Use the alternate nav style */
  useAltStyle: PropTypes.bool,
  children: PropTypes.node.isRequired,
  /** Set the selected nav item by id, controlled mode */
  selected: PropTypes.string
};
Navigation.defaultProps = {
  useAltStyle: false,
  selected: undefined
};

var _excluded$g = ["highlightedId", "id", "isDisabled", "useAltStyle", "children", "navOrientation"],
  _excluded2$3 = ["children"];
function ownKeys$8(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$8(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$8(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$8(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var NavItemWrapper = styled$1.li(["", ""], function (_ref) {
  var isActive = _ref.isActive,
    isDisabled = _ref.isDisabled,
    theme = _ref.theme;
  return css(["background-color:", ";color:", ";cursor:pointer;line-height:", ";min-width:75px;padding:0;&:hover{background-color:", ";color:", ";> i{color:", ";}}", " ", ";"], theme.colors.white, theme.colors.black, theme.font.baseLineHeight, theme.colors.gray2, theme.colors.primary, theme.colors.primary, isActive && css(["background-color:", ";color:", ";&:hover{background-color:", ";color:", ";> i{color:", ";}}"], theme.colors.primary, theme.colors.white, theme.colors.primary, theme.colors.white, theme.colors.white), isDisabled && css(["background-color:", ";color:", ";cursor:not-allowed;> span{pointer-events:none;}> i{color:", ";}&:hover{background-color:", ";color:", ";> i{color:", ";}}"], theme.colors.gray1, theme.colors.gray6, theme.colors.gray1, theme.colors.gray1, theme.colors.gray6, theme.colors.gray1));
});
var AltNavItemWrapper = styled$1(NavItemWrapper)(["border-bottom:", " ", ";padding-left:", ";&:hover{border-", ":4px solid ", ";padding-left:0;}", " ", ";"], function (props) {
  return props.isVertical ? 'none' : '2px solid';
}, function (props) {
  return props.theme.colors.gray5;
}, function (props) {
  return props.isVertical ? '4px' : '0';
}, function (props) {
  return props.isVertical ? 'left' : 'bottom';
}, function (props) {
  return props.theme.colors.primary;
}, function (props) {
  return props.isActive && css(["background-color:", ";border-", ":4px solid ", ";color:", ";padding-left:0;> i{color:", ";}&:hover{background-color:", ";border-", ":4px solid ", ";color:", ";> i{color:", ";}}"], props.theme.colors.gray1, props.isVertical ? 'left' : 'bottom', props.theme.brandColors.primary3, props.theme.colors.black, props.theme.brandColors.primary3, props.theme.colors.gray1, props.isVertical ? 'left' : 'bottom', props.theme.brandColors.primary3, props.theme.colors.black, props.theme.brandColors.primary3);
}, function (props) {
  return props.isDisabled && css(["padding-left:0;&:hover{border-left:none;}"]);
});
var NavIcon = styled$1(Icon$2)(["align-self:flex-end;"]);
var NavigationAnchor = styled$1.a(["align-content:center;background-color:transparent;box-sizing:border-box;border:0;color:inherit;cursor:inherit;display:flex;font-size:inherit;height:100%;padding:10px;position:relative;text-decoration:none;width:100%;&:hover,&:focus,&:active,&:visited{color:inherit;}"]);
var NavigationItem = /*#__PURE__*/React.forwardRef(function NavigationItem(_ref2, ref) {
  var highlightedId = _ref2.highlightedId,
    id = _ref2.id,
    isDisabled = _ref2.isDisabled,
    useAltStyle = _ref2.useAltStyle,
    children = _ref2.children,
    navOrientation = _ref2.navOrientation,
    props = _objectWithoutProperties(_ref2, _excluded$g);
  var isActive = id === highlightedId;
  var Wrapper = useAltStyle ? AltNavItemWrapper : NavItemWrapper;
  var isVertical = navOrientation === 'vertical';
  var disabledClick = useCallback(function (ev) {
    ev.preventDefault();
    ev.stopPropagation();
  }, []);
  var child = React.Children.only(children);
  var isElement = /*#__PURE__*/React.isValidElement(child);
  var _ref3 = isElement ? child.props : {},
    grandChildren = _ref3.children,
    rest = _objectWithoutProperties(_ref3, _excluded2$3);
  var styledChild = isElement ? /*#__PURE__*/React.createElement(NavigationAnchor, _extends({
    as: child.type,
    style: {
      justifyContent: isVertical ? 'space-between' : 'center'
    }
  }, rest), /*#__PURE__*/React.createElement("span", null, grandChildren), isVertical ? /*#__PURE__*/React.createElement(NavIcon, {
    name: "chevron-right"
  }) : null) : child;
  var className = "es-sidenav__navitem ".concat(props.className || '');
  var wrapperProps = _objectSpread$8(_objectSpread$8({}, props), {}, {
    onClick: isDisabled ? disabledClick : props.onClick,
    className: className
  });
  return /*#__PURE__*/React.createElement(Wrapper, _extends({
    ref: ref
  }, wrapperProps, {
    isActive: isActive,
    isDisabled: isDisabled,
    isVertical: isVertical
  }), styledChild);
});
NavigationItem.propTypes = {
  /** @ignore */
  useAltStyle: PropTypes.bool,
  /** Item content */
  children: PropTypes.any,
  /** @ignore */
  highlightedId: PropTypes.oneOfType([PropTypes.string, PropTypes.number]),
  /** Each item must have a unique identifier */
  id: PropTypes.oneOfType([PropTypes.string, PropTypes.number]).isRequired,
  /** Disable the nav item to render it un-clickable */
  isDisabled: PropTypes.bool
};
NavigationItem.defaultProps = {
  useAltStyle: false,
  isDisabled: false,
  children: undefined,
  highlightedId: undefined
};

var SideNav = /*#__PURE__*/React.forwardRef(function ForwardedSideNav(props, ref) {
  return /*#__PURE__*/React.createElement(Navigation, _extends({
    ref: ref
  }, props, {
    navOrientation: "vertical"
  }));
});
var SideNavItem = /*#__PURE__*/React.forwardRef(function ForwardedSideNavItem(props, ref) {
  return /*#__PURE__*/React.createElement(NavigationItem, _extends({
    ref: ref
  }, props, {
    navOrientation: "vertical"
  }));
});
SideNav.Item = SideNavItem;
var SideNav$1 = SideNav;

var HorizontalNav = /*#__PURE__*/React.forwardRef(function ForwardedHorizontalNav(props, ref) {
  return /*#__PURE__*/React.createElement(Navigation, _extends({
    ref: ref
  }, props, {
    navOrientation: "horizontal"
  }));
});
var HorizontalNavItem = /*#__PURE__*/React.forwardRef(function ForwardedHorizontalNavItem(props, ref) {
  return /*#__PURE__*/React.createElement(NavigationItem, _extends({
    ref: ref
  }, props, {
    navOrientation: "horizontal"
  }));
});
HorizontalNav.Item = HorizontalNavItem;
var HorizontalNav$1 = HorizontalNav;

function useWindowWidth() {
  var _useWindowSize = useWindowSize(),
    windowWidth = _useWindowSize.windowWidth;
  return windowWidth;
}

var ariaStyles = css([".react-datepicker__aria-live{border:0;clip-path:circle(0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;white-space:nowrap;width:1px;}"]);
var downArrowStyles = css([".react-datepicker__year-read-view--down-arrow,.react-datepicker__month-read-view--down-arrow,.react-datepicker__month-year-read-view--down-arrow{margin-left:-8px;position:absolute;}.react-datepicker__year-read-view--down-arrow,.react-datepicker__month-read-view--down-arrow,.react-datepicker__month-year-read-view--down-arrow,.react-datepicker__year-read-view--down-arrow::before,.react-datepicker__month-read-view--down-arrow::before,.react-datepicker__month-year-read-view--down-arrow::before{box-sizing:content-box;position:absolute;border:8px solid transparent;height:0;width:1px;}.react-datepicker__year-read-view--down-arrow::before,.react-datepicker__month-read-view--down-arrow::before,.react-datepicker__month-year-read-view--down-arrow::before{content:'';z-index:-1;border-width:8px;left:-8px;border-bottom-color:", ";}.react-datepicker__year-read-view--down-arrow,.react-datepicker__month-read-view--down-arrow,.react-datepicker__month-year-read-view--down-arrow{bottom:1px;margin-bottom:-8px;}.react-datepicker__year-read-view--down-arrow,.react-datepicker__month-read-view--down-arrow,.react-datepicker__month-year-read-view--down-arrow,.react-datepicker__year-read-view--down-arrow::before,.react-datepicker__month-read-view--down-arrow::before,.react-datepicker__month-year-read-view--down-arrow::before{border-bottom:none;border-top-color:", ";}.react-datepicker__year-read-view--down-arrow::before,.react-datepicker__month-read-view--down-arrow::before,.react-datepicker__month-year-read-view--down-arrow::before{bottom:-1px;border-top-color:", ";}.react-datepicker__year-read-view:hover .react-datepicker__year-read-view--down-arrow,.react-datepicker__year-read-view:hover .react-datepicker__month-read-view--down-arrow,.react-datepicker__month-read-view:hover .react-datepicker__year-read-view--down-arrow,.react-datepicker__month-read-view:hover .react-datepicker__month-read-view--down-arrow,.react-datepicker__month-year-read-view:hover .react-datepicker__year-read-view--down-arrow,.react-datepicker__month-year-read-view:hover .react-datepicker__month-read-view--down-arrow{border-top-color:", ";}.react-datepicker__year-read-view--down-arrow,.react-datepicker__month-read-view--down-arrow,.react-datepicker__month-year-read-view--down-arrow{border-top-color:", ";float:right;margin-left:20px;top:5px;position:relative;border-width:0.45rem;}"], function (_ref) {
  var theme = _ref.theme;
  return theme.colors.gray5;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colors.white;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colors.gray5;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colors.gray5;
}, function (_ref5) {
  var theme = _ref5.theme;
  return theme.colors.gray3;
});
var timeStyles = css([".react-datepicker--time-only{.react-datepicker__time-container{border-left:0;}.react-datepicker__time,.react-datepicker__time-box{border-bottom-left-radius:0.3rem;border-bottom-right-radius:0.3rem;}}.react-datepicker--time-only{.react-datepicker__time-container{border-left:0;}.react-datepicker__time,.react-datepicker__time-box{border-bottom-left-radius:0.3rem;border-bottom-right-radius:0.3rem;}}.react-datepicker--time-only .react-datepicker__time,.react-datepicker--time-only .react-datepicker__time-box{border-bottom-left-radius:0.3rem;border-bottom-right-radius:0.3rem;}.react-datepicker__time-container{float:right;border-left:1px solid ", ";&--with-today-button{display:inline;border:1px solid ", ";border-radius:0.3rem;position:absolute;right:-72px;top:0;}.react-datepicker__time{font-size:14px;position:relative;background:white;border-bottom-right-radius:0.3rem;.react-datepicker__time-box{width:102px;overflow-x:hidden;margin:0 auto;border-bottom-right-radius:0.3rem;ul.react-datepicker__time-list{list-style:none;margin:0;height:204px;overflow-y:scroll;padding-right:0;padding-left:0;width:100%;box-sizing:content-box;li.react-datepicker__time-list-item{padding:5px 10px;white-space:nowrap;&:hover{cursor:pointer;background-color:", ";}&--selected{background-color:", ";color:white;font-weight:bold;&:hover{background-color:", ";}}&--disabled{color:", ";&:hover{cursor:default;background-color:transparent;}}}}}}}.react-datepicker__input-time-container{&,& .react-datecker-time__input-container{&,& .react-datepicker-time__input{display:inline-block;}}.react-datepicker-time__input-container{clear:both;width:100%;float:left;margin:5px 0 10px 15px;text-align:left;.react-datepicker-time__input{margin-left:10px;input{width:85px;}input[type='time']::-webkit-inner-spin-button,input[type='time']::-webkit-outer-spin-button{-webkit-appearance:none;margin:0;}input[type='time']{-moz-appearance:textfield;}}.react-datepicker-time__delimiter{margin-left:5px;display:inline-block;}}}.react-datepicker__portal .react-datepicker__current-month,.react-datepicker__portal .react-datepicker-time__header{font-size:1.44rem;}"], function (_ref6) {
  var theme = _ref6.theme;
  return theme.colors.gray5;
}, function (_ref7) {
  var theme = _ref7.theme;
  return theme.colors.gray5;
}, function (_ref8) {
  var theme = _ref8.theme;
  return theme.colors.gray1;
}, function (_ref9) {
  var theme = _ref9.theme;
  return theme.datepickerColors.selected;
}, function (_ref10) {
  var theme = _ref10.theme;
  return theme.datepickerColors.selected;
}, function (_ref11) {
  var theme = _ref11.theme;
  return theme.colors.gray2;
});
var popperStyles = css(["", ""], function (_ref12) {
  var topIndex = _ref12.topIndex;
  return css([".react-datepicker-popper{z-index:", ";}.react-datepicker-popper[data-placement^='bottom']{margin-top:12px;}.react-datepicker-popper[data-placement^='top']{margin-bottom:6px;}.react-datepicker-popper[data-placement^='right']{margin-left:8px;}.react-datepicker-popper[data-placement^='left']{margin-right:8px;}"], topIndex || 1060);
});
var headerStyles = css([".react-datepicker__header{text-align:center;background-color:", ";border-top-left-radius:0.3rem;padding-top:10px;position:relative;}.react-datepicker__header--time{padding-bottom:8px;padding-left:5px;padding-right:5px;}.react-datepicker__header--time:not(.react-datepicker__header--time--only){border-top-left-radius:0;}.react-datepicker__header:not(.react-datepicker__header--has-time-select){border-top-right-radius:0.3rem;}.react-datepicker__current-month,.react-datepicker-time__header,.react-datepicker-year-header{margin-top:0;color:", ";font-weight:bold;font-size:18px;}.react-datepicker-time__header{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;}"], function (_ref13) {
  var theme = _ref13.theme;
  return theme.datepickerColors.dpBackground;
}, function (_ref14) {
  var theme = _ref14.theme;
  return theme.colors.white;
});
var dropdownStyles = css([".react-datepicker__year-dropdown-container--select,.react-datepicker__month-dropdown-container--select,.react-datepicker__month-year-dropdown-container--select,.react-datepicker__year-dropdown-container--scroll,.react-datepicker__month-dropdown-container--scroll,.react-datepicker__month-year-dropdown-container--scroll{display:inline-block;margin:0 2px;}"]);
var navigationStyles = css(["", ""], function (_ref15) {
  var _ref15$theme = _ref15.theme,
    colors = _ref15$theme.colors,
    datepickerColors = _ref15$theme.datepickerColors;
  return css([".react-datepicker__navigation{background-color:transparent;line-height:1.7rem;text-align:center;cursor:pointer;position:absolute;top:10px;padding:0;border:0.45rem solid transparent;z-index:1;height:10px;width:0;text-indent:-999em;overflow:hidden;}.react-datepicker__navigation--previous{left:10px;border-right-color:", ";}.react-datepicker__navigation--previous:hover{border-right-color:", ";}.react-datepicker__navigation--previous--disabled,.react-datepicker__navigation--previous--disabled:hover{border-right-color:", ";cursor:default;}.react-datepicker__navigation--next{right:10px;border-left-color:", ";}.react-datepicker__navigation--next--with-time:not( .react-datepicker__navigation--next--with-today-button ){right:110px;}.react-datepicker__navigation--next:hover{border-left-color:", ";}.react-datepicker__navigation--next--disabled,.react-datepicker__navigation--next--disabled:hover{border-left-color:", ";cursor:default;}.react-datepicker__navigation--years{position:relative;top:0;display:block;margin-left:auto;margin-right:auto;}.react-datepicker__navigation--years-previous{top:4px;border-top-color:", ";}.react-datepicker__navigation--years-previous:hover{border-top-color:", ";}.react-datepicker__navigation--years-upcoming{top:-4px;border-bottom-color:", ";}.react-datepicker__navigation--years-upcoming:hover{border-bottom-color:", ";}.react-datepicker__portal .react-datepicker__navigation{border:0.81rem solid transparent;}.react-datepicker__portal .react-datepicker__navigation--previous{border-right-color:", ";}.react-datepicker__portal .react-datepicker__navigation--previous:hover{border-right-color:", ";}.react-datepicker__portal .react-datepicker__navigation--previous--disabled,.react-datepicker__portal .react-datepicker__navigation--previous--disabled:hover{border-right-color:", ";cursor:default;}.react-datepicker__portal .react-datepicker__navigation--next{border-left-color:", ";}.react-datepicker__portal .react-datepicker__navigation--next:hover{border-left-color:", ";}.react-datepicker__portal .react-datepicker__navigation--next--disabled,.react-datepicker__portal .react-datepicker__navigation--next--disabled:hover{border-left-color:", ";cursor:default;}"], datepickerColors.navArrow, datepickerColors.navArrowHover, colors.gray3, datepickerColors.navArrow, datepickerColors.navArrowHover, colors.gray3, datepickerColors.dpBackground, datepickerColors.dpBackground, datepickerColors.dpBackground, datepickerColors.dpBackground, datepickerColors.navArrow, datepickerColors.navArrowHover, colors.gray3, datepickerColors.navArrow, datepickerColors.navArrowHover, colors.gray3);
});
var dayStyles = css([".react-datepicker__day-names,.react-datepicker__week{white-space:nowrap;}.react-datepicker__day-names{font-weight:bold;}.react-datepicker__day-names .react-datepicker__day-name{color:", ";}.react-datepicker__day-name,.react-datepicker__day,.react-datepicker__time-name{color:", ";display:inline-block;width:1.9rem;line-height:1.9rem;text-align:center;margin:0.2rem;}.react-datepicker__portal .react-datepicker__day-name,.react-datepicker__portal .react-datepicker__day,.react-datepicker__portal .react-datepicker__time-name{width:3rem;line-height:3rem;}@media (max-width:400px),(max-height:550px){.react-datepicker__portal .react-datepicker__day-name,.react-datepicker__portal .react-datepicker__day,.react-datepicker__portal .react-datepicker__time-name{width:2rem;line-height:2rem;}}"], function (_ref16) {
  var theme = _ref16.theme;
  return theme.colors.white;
}, function (_ref17) {
  var theme = _ref17.theme;
  return theme.colors.gray9;
});
var monthStyles = css([".react-datepicker__month-container{float:left;}.react-datepicker__month{margin:0.4rem;text-align:center;}.react-datepicker__month .react-datepicker__month-text,.react-datepicker__month .react-datepicker__quarter-text{display:inline-block;width:4rem;margin:2px;}.react-datepicker__month--selected,.react-datepicker__month--in-selecting-range,.react-datepicker__month--in-range,.react-datepicker__quarter--selected,.react-datepicker__quarter--in-selecting-range,.react-datepicker__quarter--in-range{border-radius:0.3rem;background-color:#216ba5;color:#fff;}.react-datepicker__month--selected:hover,.react-datepicker__month--in-selecting-range:hover,.react-datepicker__month--in-range:hover,.react-datepicker__quarter--selected:hover,.react-datepicker__quarter--in-selecting-range:hover,.react-datepicker__quarter--in-range:hover{background-color:#1d5d90;}.react-datepicker__month--disabled,.react-datepicker__quarter--disabled{color:#ccc;pointer-events:none;}.react-datepicker__month--disabled:hover,.react-datepicker__quarter--disabled:hover{cursor:default;background-color:transparent;}.react-datepicker__day,.react-datepicker__month-text,.react-datepicker__quarter-text,.react-datepicker__year-text{cursor:pointer;}"]);
var yearStyles = css([".react-datepicker__year{margin:0.4rem;text-align:center;}.react-datepicker__year-wrapper{display:flex;flex-wrap:wrap;max-width:180px;}.react-datepicker__year .react-datepicker__year-text{display:inline-block;width:4rem;margin:2px;}"]);
var weekStyles = css([".react-datepicker__week-number{color:", ";display:inline-block;width:1.7rem;line-height:1.7rem;text-align:center;margin:0.166rem;}.react-datepicker__week-number.react-datepicker__week-number--clickable{cursor:pointer;}.react-datepicker__week-number.react-datepicker__week-number--clickable:hover{border-radius:0.3rem;background-color:", ";}"], function (_ref18) {
  var theme = _ref18.theme;
  return theme.colors.gray2;
}, function (_ref19) {
  var theme = _ref19.theme;
  return theme.colors.gray1;
});
var sharedDateStyles = css(["", " ", " ", ""], function (_ref20) {
  var _ref20$theme = _ref20.theme,
    colors = _ref20$theme.colors,
    datepickerColors = _ref20$theme.datepickerColors;
  return ['.react-datepicker__day', '.react-datepicker__month-text', '.react-datepicker__quarter-text', '.react-datepicker__year-text'].reduce(function (generatedCss, selector) {
    return css(["", " ", "{&:hover{border-radius:0.3rem;background-color:", ";}&--today{font-weight:bold;}&--highlighted{border-radius:0.3rem;background-color:", ";color:", ";&:hover{background-color:", ";color:", ";}}&--selected,&--in-selecting-range,&--in-range{border-radius:0.3rem;background-color:", ";color:", ";&:hover{background-color:", ";color:", ";}}&--keyboard-selected{border-radius:0.3rem;background-color:", ";color:", ";&:hover{background-color:", ";color:", ";}}&--in-selecting-range{background-color:", ";color:", ";}.react-datepicker__month--selecting-range &--in-range{background-color:", ";color:", ";}&--disabled{cursor:default;color:", ";&:hover{background-color:transparent;color:", ";}}}"], generatedCss, selector, colors.gray3, datepickerColors.highlight, colors.white, datepickerColors.highlightHover, colors.gray9, datepickerColors.selected, colors.white, datepickerColors.hover, colors.white, datepickerColors.keyboard, colors.white, datepickerColors.hover, colors.white, datepickerColors.inRange, colors.gray9, colors.gray3, colors.gray9, colors.gray5, colors.gray5);
  }, css([""]));
}, function (_ref21) {
  var theme = _ref21.theme;
  return ['.react-datepicker__month-text', '.react-datepicker__quarter-text'].reduce(function (generatedCss, selector) {
    var textHover = css(["", " ", ":hover{background-color:", ";color:", ";}"], generatedCss, selector, theme.colors.gray3, theme.colors.gray9);
    var finalCss = ['.react-datepicker__month', '.react-datepicker__quarter'].map(function (parent) {
      return "".concat(parent).concat(selector);
    }).reduce(function (innerCss, sel) {
      return css(["", " ", "{&--selected:hover,&--in-range:hover{background-color:", ";}}"], innerCss, sel, theme.datepickerColors.selected);
    }, textHover);
    return finalCss;
  }, css([""]));
}, function (_ref22) {
  var theme = _ref22.theme;
  return ['.react-datepicker__year', '.react-datepicker__month', '.react-datepicker__month-year'].reduce(function (generatedCss, selector) {
    return css(["", " ", "{&-read-view{border:1px solid transparent;border-radius:0.3rem;color:", ";cursor:pointer;}&-dropdown{background-color:", ";position:absolute;width:50%;left:25%;top:30px;z-index:1;text-align:center;border-radius:0.3rem;border:1px solid ", ";cursor:pointer;}&--scrollable{height:150px;overflow-y:scroll;}&-option{line-height:20px;width:100%;display:block;margin-left:auto;margin-right:auto;&:first-of-type{border-top-left-radius:0.3rem;border-top-right-radius:0.3rem;}&:last-of-type{user-select:none;border-bottom-left-radius:0.3rem;border-bottom-right-radius:0.3rem;}&:hover{background-color:", ";}&--selected{position:absolute;left:15px;}}}"], generatedCss, selector, theme.colors.white, theme.colors.gray1, theme.colors.gray5, function (_ref23) {
      var theme = _ref23.theme;
      return theme.colors.gray3;
    });
  }, css([""]));
});
var auxiliaryStyles = css([".react-datepicker__close-icon{cursor:pointer;background-color:transparent;border:0;outline:0;padding:0px 6px 0px 0px;position:absolute;top:0;right:0;height:100%;display:table-cell;vertical-align:middle;&:after{cursor:pointer;background-color:", ";color:", ";border-radius:0.5em;height:16px;width:16px;padding:2px;font-size:12px;line-height:1;text-align:center;display:table-cell;vertical-align:middle;content:'\\00d7';}}.react-datepicker__today-button{background:", ";border-top:1px solid ", ";cursor:pointer;text-align:center;font-weight:bold;padding:5px 0;clear:left;}.react-datepicker__portal{position:fixed;width:100vw;height:100vh;background-color:", ";left:0;top:0;justify-content:center;align-items:center;display:flex;z-index:2147483647;}"], function (_ref24) {
  var theme = _ref24.theme;
  return theme.datepickerColors.selected;
}, function (_ref25) {
  var theme = _ref25.theme;
  return theme.colors.white;
}, function (_ref26) {
  var theme = _ref26.theme;
  return theme.colors.gray1;
}, function (_ref27) {
  var theme = _ref27.theme;
  return theme.colors.gray5;
}, function (_ref28) {
  var theme = _ref28.theme;
  return theme.colors.boxShadowDark;
});
var containerStyles = css([".react-datepicker-wrapper{display:inline-block;padding:0;border:0;}.react-datepicker__input-container{position:relative;display:inline-block;width:100%;}.react-datepicker{max-width:fit-content;}.react-datepicker-popper .react-datepicker__triangle{display:none;}"]);
var DatepickerStyles = createGlobalStyle(["", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", " ", ""], ariaStyles, containerStyles, downArrowStyles, timeStyles, popperStyles, headerStyles, dropdownStyles, navigationStyles, dayStyles, monthStyles, yearStyles, weekStyles, sharedDateStyles, auxiliaryStyles);

// copied from react-datepicker@v4.15.0 - https://github.com/Hacker0x01/react-datepicker/blob/v4.15.0/src/index.jsx
var reactDatePickerPropTypes = {
  adjustDateOnChange: PropTypes.bool,
  allowSameDay: PropTypes.bool,
  ariaDescribedBy: PropTypes.string,
  ariaInvalid: PropTypes.string,
  ariaLabelClose: PropTypes.string,
  ariaLabelledBy: PropTypes.string,
  ariaRequired: PropTypes.string,
  autoComplete: PropTypes.string,
  autoFocus: PropTypes.bool,
  calendarClassName: PropTypes.string,
  calendarContainer: PropTypes.func,
  children: PropTypes.node,
  chooseDayAriaLabelPrefix: PropTypes.string,
  closeOnScroll: PropTypes.oneOfType([PropTypes.bool, PropTypes.func]),
  className: PropTypes.string,
  customInput: PropTypes.element,
  customInputRef: PropTypes.string,
  calendarStartDay: PropTypes.number,
  // eslint-disable-next-line react/no-unused-prop-types
  dateFormat: PropTypes.oneOfType([PropTypes.string, PropTypes.array]),
  dateFormatCalendar: PropTypes.string,
  dayClassName: PropTypes.func,
  weekDayClassName: PropTypes.func,
  disabledDayAriaLabelPrefix: PropTypes.string,
  monthClassName: PropTypes.func,
  timeClassName: PropTypes.func,
  disabled: PropTypes.bool,
  disabledKeyboardNavigation: PropTypes.bool,
  dropdownMode: PropTypes.oneOf(['scroll', 'select']).isRequired,
  endDate: PropTypes.instanceOf(Date),
  excludeDates: PropTypes.array,
  excludeDateIntervals: PropTypes.arrayOf(PropTypes.shape({
    start: PropTypes.instanceOf(Date).isRequired,
    end: PropTypes.instanceOf(Date).isRequired
  }).isRequired),
  filterDate: PropTypes.func,
  fixedHeight: PropTypes.bool,
  form: PropTypes.string,
  formatWeekNumber: PropTypes.func,
  highlightDates: PropTypes.arrayOf(PropTypes.oneOfType([PropTypes.instanceOf(Date).isRequired, PropTypes.objectOf(PropTypes.arrayOf(PropTypes.instanceOf(Date).isRequired).isRequired).isRequired]).isRequired),
  id: PropTypes.string,
  includeDates: PropTypes.array,
  includeDateIntervals: PropTypes.array,
  includeTimes: PropTypes.array,
  injectTimes: PropTypes.array,
  inline: PropTypes.bool,
  isClearable: PropTypes.bool,
  showIcon: PropTypes.bool,
  locale: PropTypes.oneOfType([PropTypes.string, PropTypes.object]),
  maxDate: PropTypes.instanceOf(Date),
  minDate: PropTypes.instanceOf(Date),
  monthsShown: PropTypes.number,
  name: PropTypes.string,
  onBlur: PropTypes.func,
  onChange: PropTypes.func.isRequired,
  onSelect: PropTypes.func,
  onWeekSelect: PropTypes.func,
  onClickOutside: PropTypes.func,
  onChangeRaw: PropTypes.func,
  onFocus: PropTypes.func,
  onInputClick: PropTypes.func,
  onKeyDown: PropTypes.func,
  onMonthChange: PropTypes.func,
  onYearChange: PropTypes.func,
  onInputError: PropTypes.func,
  open: PropTypes.bool,
  onCalendarOpen: PropTypes.func,
  onCalendarClose: PropTypes.func,
  openToDate: PropTypes.instanceOf(Date),
  peekNextMonth: PropTypes.bool,
  placeholderText: PropTypes.string,
  popperContainer: PropTypes.func,
  popperClassName: PropTypes.string,
  // <PopperComponent/> props
  popperModifiers: PropTypes.arrayOf(PropTypes.shape({
    name: PropTypes.string.isRequired,
    options: PropTypes.object,
    fn: PropTypes.func.isRequired
  }).isRequired),
  // <PopperComponent/> props
  popperPlacement: PropTypes.oneOf(placements$1),
  // <PopperComponent/> props
  popperProps: PropTypes.object,
  preventOpenOnFocus: PropTypes.bool,
  readOnly: PropTypes.bool,
  required: PropTypes.bool,
  scrollableYearDropdown: PropTypes.bool,
  scrollableMonthYearDropdown: PropTypes.bool,
  selected: PropTypes.instanceOf(Date),
  selectsEnd: PropTypes.bool,
  selectsStart: PropTypes.bool,
  selectsRange: PropTypes.oneOfType([PropTypes.oneOf([undefined, true, false]).isRequired]),
  selectsDisabledDaysInRange: PropTypes.bool,
  showMonthDropdown: PropTypes.bool,
  showPreviousMonths: PropTypes.bool,
  showMonthYearDropdown: PropTypes.bool,
  showWeekNumbers: PropTypes.bool,
  showYearDropdown: PropTypes.bool,
  strictParsing: PropTypes.bool,
  forceShowMonthNavigation: PropTypes.bool,
  showDisabledMonthNavigation: PropTypes.bool,
  startDate: PropTypes.instanceOf(Date),
  startOpen: PropTypes.bool,
  tabIndex: PropTypes.number,
  timeCaption: PropTypes.string,
  title: PropTypes.string,
  todayButton: PropTypes.node,
  useWeekdaysShort: PropTypes.bool,
  formatWeekDay: PropTypes.func,
  value: PropTypes.string,
  weekLabel: PropTypes.string,
  withPortal: PropTypes.bool,
  portalId: PropTypes.string,
  portalHost: PropTypes.instanceOf(ShadowRoot),
  yearItemNumber: PropTypes.number,
  yearDropdownItemNumber: PropTypes.number,
  shouldCloseOnSelect: PropTypes.bool,
  showTimeInput: PropTypes.bool,
  showMonthYearPicker: PropTypes.bool,
  showFullMonthYearPicker: PropTypes.bool,
  showTwoColumnMonthYearPicker: PropTypes.bool,
  showFourColumnMonthYearPicker: PropTypes.bool,
  showYearPicker: PropTypes.bool,
  showQuarterYearPicker: PropTypes.bool,
  showTimeSelect: PropTypes.bool,
  showTimeSelectOnly: PropTypes.bool,
  timeFormat: PropTypes.string,
  timeIntervals: PropTypes.number,
  minTime: PropTypes.instanceOf(Date),
  maxTime: PropTypes.instanceOf(Date),
  excludeTimes: PropTypes.array,
  filterTime: PropTypes.func,
  useShortMonthInDropdown: PropTypes.bool,
  clearButtonTitle: PropTypes.string,
  clearButtonClassName: PropTypes.string,
  previousMonthAriaLabel: PropTypes.string,
  previousMonthButtonLabel: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  nextMonthAriaLabel: PropTypes.string,
  nextMonthButtonLabel: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
  previousYearAriaLabel: PropTypes.string,
  previousYearButtonLabel: PropTypes.string,
  nextYearAriaLabel: PropTypes.string,
  nextYearButtonLabel: PropTypes.string,
  timeInputLabel: PropTypes.string,
  renderCustomHeader: PropTypes.func,
  renderDayContents: PropTypes.func,
  renderMonthContent: PropTypes.func,
  renderQuarterContent: PropTypes.func,
  renderYearContent: PropTypes.func,
  wrapperClassName: PropTypes.string,
  focusSelectedMonth: PropTypes.bool,
  onDayMouseEnter: PropTypes.func,
  onMonthMouseLeave: PropTypes.func,
  onYearMouseEnter: PropTypes.func,
  onYearMouseLeave: PropTypes.func,
  showPopperArrow: PropTypes.bool,
  excludeScrollbar: PropTypes.bool,
  enableTabLoop: PropTypes.bool,
  customTimeInput: PropTypes.element,
  weekAriaLabelPrefix: PropTypes.string,
  monthAriaLabelPrefix: PropTypes.string
};
var reactDatepickerPropKeys = ['adjustDateOnChange', 'allowSameDay', 'ariaDescribedBy', 'ariaInvalid', 'ariaLabelClose', 'ariaLabelledBy', 'ariaRequired', 'autoComplete', 'autoFocus', 'calendarClassName', 'calendarContainer', 'children', 'chooseDayAriaLabelPrefix', 'closeOnScroll', 'className', 'customInput', 'customInputRef', 'calendarStartDay', 'dateFormat', 'dateFormatCalendar', 'dayClassName', 'weekDayClassName', 'disabledDayAriaLabelPrefix', 'monthClassName', 'timeClassName', 'disabled', 'disabledKeyboardNavigation', 'dropdownMode', 'endDate', 'excludeDates', 'excludeDateIntervals', 'filterDate', 'fixedHeight', 'form', 'formatWeekNumber', 'highlightDates', 'id', 'includeDates', 'includeDateIntervals', 'includeTimes', 'injectTimes', 'inline', 'isClearable', 'showIcon', 'locale', 'maxDate', 'minDate', 'monthsShown', 'name', 'onBlur', 'onChange', 'onSelect', 'onWeekSelect', 'onClickOutside', 'onChangeRaw', 'onFocus', 'onInputClick', 'onKeyDown', 'onMonthChange', 'onYearChange', 'onInputError', 'open', 'onCalendarOpen', 'onCalendarClose', 'openToDate', 'peekNextMonth', 'placeholderText', 'popperContainer', 'popperClassName', 'popperModifiers', 'popperPlacement', 'popperProps', 'preventOpenOnFocus', 'readOnly', 'required', 'scrollableYearDropdown', 'scrollableMonthYearDropdown', 'selected', 'selectsEnd', 'selectsStart', 'selectsRange', 'selectsDisabledDaysInRange', 'showMonthDropdown', 'showPreviousMonths', 'showMonthYearDropdown', 'showWeekNumbers', 'showYearDropdown', 'strictParsing', 'forceShowMonthNavigation', 'showDisabledMonthNavigation', 'startDate', 'startOpen', 'tabIndex', 'timeCaption', 'title', 'todayButton', 'useWeekdaysShort', 'formatWeekDay', 'value', 'weekLabel', 'withPortal', 'portalId', 'portalHost', 'yearItemNumber', 'yearDropdownItemNumber', 'shouldCloseOnSelect', 'showTimeInput', 'showMonthYearPicker', 'showFullMonthYearPicker', 'showTwoColumnMonthYearPicker', 'showFourColumnMonthYearPicker', 'showYearPicker', 'showQuarterYearPicker', 'showTimeSelect', 'showTimeSelectOnly', 'timeFormat', 'timeIntervals', 'minTime', 'maxTime', 'excludeTimes', 'filterTime', 'useShortMonthInDropdown', 'clearButtonTitle', 'clearButtonClassName', 'previousMonthAriaLabel', 'previousMonthButtonLabel', 'nextMonthAriaLabel', 'nextMonthButtonLabel', 'previousYearAriaLabel', 'previousYearButtonLabel', 'nextYearAriaLabel', 'nextYearButtonLabel', 'timeInputLabel', 'renderCustomHeader', 'renderDayContents', 'renderMonthContent', 'renderQuarterContent', 'renderYearContent', 'wrapperClassName', 'focusSelectedMonth', 'onDayMouseEnter', 'onMonthMouseLeave', 'onYearMouseEnter', 'onYearMouseLeave', 'showPopperArrow', 'excludeScrollbar', 'enableTabLoop', 'customTimeInput', 'weekAriaLabelPrefix', 'monthAriaLabelPrefix'];

var getTriangleSvgBg = function getTriangleSvgBg(color) {
  var svg = "<?xml version=\"1.0\" encoding=\"UTF-8\"?><svg version=\"1.0\" viewBox=\"0 0 351 351\" xmlns=\"http://www.w3.org/2000/svg\"><path transform=\"matrix(0 1 -1 0 351 0)\" d=\"m0 0v351h351l-351-351z\" fill=\"".concat(color, "\"/></svg>");
  return "url('data:image/svg+xml;base64,".concat(btoa(svg), "')");
};
var calendarArrowStyles = css(["&:before{content:'';width:1em;height:1em;background-color:transparent;background-image:", ";background-size:100% 100%;background-repeat:no-repeat;background-position:top left;box-sizing:border-box;position:absolute;pointer-events:none;border:1px solid transparent;border-top-color:", ";border-left-color:", ";border-top-left-radius:1px;.react-datepicker-popper[data-placement^='bottom'] &,.react-datepicker-popper[data-placement^='top'] &{left:50%;}.react-datepicker-popper[data-placement^='top'] &{bottom:calc(-1em + 3px);transform:rotate(225deg) translateX(50%);}.react-datepicker-popper[data-placement^='bottom'] &{top:0;transform:rotate(45deg) translateX(-50%);background-image:", ";}.react-datepicker-popper[data-placement^='left'] &,.react-datepicker-popper[data-placement^='right'] &{top:50%;}.react-datepicker-popper[data-placement^='right'] &{left:-2px;transform:rotate(-45deg) translateY(-50%);}.react-datepicker-popper[data-placement^='left'] &{right:calc(-1em + 3px);transform:rotate(135deg) translateY(50%);}.react-datepicker-popper[data-placement^='top'].has-children &{background-image:", ";}}"], function (_ref) {
  var theme = _ref.theme;
  return getTriangleSvgBg(theme.colors.white);
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colors.gray5;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colors.gray5;
}, function (_ref4) {
  var theme = _ref4.theme;
  return getTriangleSvgBg(theme.datepickerColors.dpBackground);
}, function () {
  return getTriangleSvgBg('whitesmoke');
});

var _excluded$f = ["selectedDate", "onChange", "onSelect"],
  _excluded2$2 = ["selectedDate", "onChange", "allowNativeDatepickerOnMobile"];
function ownKeys$7(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$7(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$7(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$7(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var STRING_FORMAT = 'yyyy-MM-dd';
var isValid = function isValid(date) {
  return isValid$1(date);
};
var isKeyOf = function isKeyOf(obj, key) {
  return Boolean(obj && (key === null || key === void 0 ? void 0 : key.toString) && Object.hasOwn(obj, key === null || key === void 0 ? void 0 : key.toString()));
};
function pick(obj, keys) {
  return keys.reduce(function (acc, key) {
    if (isKeyOf(obj, key)) {
      acc[key] = obj[key];
    }
    return acc;
  }, {});
}
function omit(obj, keys) {
  return Object.keys(obj).reduce(function (acc, key) {
    if (!keys.includes(key) && isKeyOf(obj, key)) {
      acc[key] = obj[key];
    }
    return acc;
  }, {});
}
function normalizeDateString(date) {
  var stringFormat = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : STRING_FORMAT;
  if (typeof date === 'string') {
    var parsedDate = parse(date, stringFormat, new Date());
    return isValid(parsedDate) ? format(parsedDate, stringFormat) : '';
  }
  return isValid(date) ? format(date, stringFormat) : '';
}
function normalizeDate(date) {
  if (typeof date === 'string') {
    var parsedDate = parse(date, STRING_FORMAT, new Date());
    return isValid(parsedDate) ? parsedDate : null;
  }
  if (Array.isArray(date)) {
    return date.map(function (d) {
      return isValid(d) ? d : null;
    });
  }
  return isValid(date) ? date : null;
}
var textboxKeys = Object.keys(Textbox$1.propTypes);
var CalendarContainer = styled$1.div(["font-size:18px;background-color:", ";border:1px solid ", ";border-radius:0.3rem;color:", ";box-shadow:0 5px 10px ", ";display:inline-block;position:relative;", ""], function (_ref) {
  var theme = _ref.theme;
  return theme.colors.white;
}, function (_ref2) {
  var theme = _ref2.theme;
  return theme.colors.gray5;
}, function (_ref3) {
  var theme = _ref3.theme;
  return theme.colors.gray9;
}, function (_ref4) {
  var theme = _ref4.theme;
  return theme.colors.boxShadowLight;
}, calendarArrowStyles);
var NativeDatePicker = /*#__PURE__*/React.forwardRef(function ForwardedNativeDatePicker(_ref5, ref) {
  var selectedDate = _ref5.selectedDate,
    onChangeProp = _ref5.onChange,
    onSelectProp = _ref5.onSelect,
    props = _objectWithoutProperties(_ref5, _excluded$f);
  var textboxProps = pick(props, textboxKeys);
  var onChange = useMonitoringCallback(function (currentOnChange) {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }
    var e = args[0],
      rest = args.slice(1);
    currentOnChange === null || currentOnChange === void 0 || currentOnChange.apply(void 0, [normalizeDate(e.target.value), e].concat(_toConsumableArray(rest)));
  }, onChangeProp);
  var onSelect = useMonitoringCallback(function (currentOnSelect) {
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }
    var e = args[0],
      rest = args.slice(1);
    // date is guaranteed to be valid on select
    // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
    currentOnSelect === null || currentOnSelect === void 0 || currentOnSelect.apply(void 0, [normalizeDate(e.target.value), e].concat(_toConsumableArray(rest)));
  }, onSelectProp);
  return /*#__PURE__*/React.createElement(Textbox$1, _extends({
    ref: ref,
    prependIconName: "calendar",
    type: "date",
    value: normalizeDateString(selectedDate)
  }, textboxProps, {
    onChange: onChange,
    onSelect: onSelect
  }));
});
var DateTextbox = /*#__PURE__*/React.forwardRef(function ForwardedDateTextbox(props, ref) {
  var suppressDatepicker = props.suppressDatepicker,
    onChangeProp = props.onChange;
  var getTopIndex = useTopZIndex();
  var onChange = useMonitoringCallback(function (currentOnChange) {
    for (var _len3 = arguments.length, args = new Array(_len3 > 1 ? _len3 - 1 : 0), _key3 = 1; _key3 < _len3; _key3++) {
      args[_key3 - 1] = arguments[_key3];
    }
    currentOnChange === null || currentOnChange === void 0 || currentOnChange.apply(void 0, args);
  }, onChangeProp);
  var datepickerProps = _objectSpread$7(_objectSpread$7({}, pick(props, reactDatepickerPropKeys)), {}, {
    onChange: onChange
  }, props.selectsRange ? {} : {
    selected: normalizeDate(props.selectedDate)
  });
  var textboxProps = pick(omit(props, reactDatepickerPropKeys), textboxKeys);
  var textboxChange = useMonitoringCallback(function (currentOnChange) {
    if (!suppressDatepicker) return;
    for (var _len4 = arguments.length, args = new Array(_len4 > 1 ? _len4 - 1 : 0), _key4 = 1; _key4 < _len4; _key4++) {
      args[_key4 - 1] = arguments[_key4];
    }
    var e = args[0],
      rest = args.slice(1);
    currentOnChange === null || currentOnChange === void 0 || currentOnChange.apply(void 0, [normalizeDate(e.target.value), e].concat(_toConsumableArray(rest)));
  }, [suppressDatepicker], onChangeProp);
  var textbox = /*#__PURE__*/React.createElement(MaskedTextbox$1, _extends({
    maskType: "date",
    placeholder: props.placeholder,
    prependIconName: "calendar",
    ref: ref
  }, textboxProps, {
    onChange: textboxChange
  }));
  return /*#__PURE__*/React.createElement(React.Fragment, null, props.suppressDatepicker ? textbox : /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(DatepickerStyles, {
    topIndex: getTopIndex()
  }), /*#__PURE__*/React.createElement(ReactDatePicker, _extends({
    customInput: textbox,
    placeholderText: props.placeholder,
    calendarContainer: CalendarContainer
  }, datepickerProps))));
});
var DatePicker = /*#__PURE__*/React.forwardRef(function ForwardedDatePicker(_ref6, ref) {
  var selectedDateProp = _ref6.selectedDate,
    onChange = _ref6.onChange,
    allowNativeDatepickerOnMobile = _ref6.allowNativeDatepickerOnMobile,
    props = _objectWithoutProperties(_ref6, _excluded2$2);
  var hasSelectedDate = !props.selectsRange && selectedDateProp;
  var normalizedDateFromProps = hasSelectedDate ? normalizeDate(selectedDateProp) : props.selectsRange ? [null, null] : null;
  var _useState = useState(normalizedDateFromProps),
    _useState2 = _slicedToArray(_useState, 2),
    selectedDate = _useState2[0],
    setSelectedDate = _useState2[1];
  var dateSelected = useCallback(function (date) {
    if (date) {
      setSelectedDate(normalizeDate(date));
    } else if (hasSelectedDate) {
      setSelectedDate(normalizeDate(selectedDateProp));
    } else {
      setSelectedDate(props.selectsRange ? [null, null] : null);
    }
  }, [hasSelectedDate, selectedDateProp, props.selectsRange]);
  useMonitoringEffect(function (currentOnChange) {
    if (!currentOnChange) return;
    if (normalizeDateString(selectedDate) !== normalizeDateString(selectedDateProp)) {
      currentOnChange(selectedDate, undefined);
    }
  }, [selectedDate, selectedDateProp], onChange);
  var windowWidth = useWindowWidth();
  var theme = useTheme();
  var phoneWidth = parseInt(theme.screenSize.phone.toString(), 10) || 0;
  var userAgent = navigator.userAgent.toLowerCase();
  var isAndroid = userAgent.indexOf('android') > -1;
  var DatePickerInput = allowNativeDatepickerOnMobile && windowWidth <= phoneWidth && !isAndroid ? NativeDatePicker : DateTextbox;
  var popperClassName = props.children ? 'has-children' : '';
  var popperPlacement = props.popperPlacement || 'bottom-start';
  return /*#__PURE__*/React.createElement(DatePickerInput, _extends({
    ref: ref
  }, _objectSpread$7(_objectSpread$7({}, props), {}, {
    selectedDate: selectedDate,
    onChange: dateSelected,
    popperClassName: popperClassName,
    popperPlacement: popperPlacement
  })));
});
var DefaultReactDatePicker = /*#__PURE__*/_createClass(function DefaultReactDatePicker() {
  _classCallCheck(this, DefaultReactDatePicker);
});
_defineProperty(DefaultReactDatePicker, "defaultProps", void 0);
var propTypes$1 = _objectSpread$7(_objectSpread$7({}, reactDatePickerPropTypes), {}, {
  suppressDatepicker: PropTypes.bool,
  allowNativeDatepickerOnMobile: PropTypes.bool,
  selectedDate: PropTypes.oneOfType([PropTypes.instanceOf(Date), PropTypes.string])
});
var defaultProps$1 = _objectSpread$7(_objectSpread$7({}, ReactDatePicker.defaultProps), {}, {
  highlightDates: undefined,
  suppressDatepicker: false,
  allowNativeDatepickerOnMobile: true,
  children: undefined
});
DatePicker.propTypes = propTypes$1;
DatePicker.defaultProps = defaultProps$1;
var DatePicker$1 = DatePicker;

function onNonNumericHandler(event) {
  // prevent other normally allowed numeric keys: e, +, -, .
  if (event.key === 'e' || event.key === '+' || event.key === '-' || event.key === '.') {
    event.preventDefault();
  }
}

var _excluded$e = ["date", "onChange", "onKeyDown"];
var DayInput = styled$1(BasicTextbox)(["appearance:textfield;flex:1 0 35px;&::-webkit-inner-spin-button,&::-webkit-outer-spin-button{appearance:none;margin:0;}"]);
var Day = /*#__PURE__*/React.forwardRef(function ForwardedDay(_ref, ref) {
  var date = _ref.date,
    onChange = _ref.onChange,
    onKeyDown = _ref.onKeyDown,
    props = _objectWithoutProperties(_ref, _excluded$e);
  var _useState = useState((date === null || date === void 0 ? void 0 : date.getDate().toString()) || ''),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var onDayChange = useMonitoringCallback(function (currentOnChange, event) {
    var day = event.currentTarget.value;
    day = day.length > 2 ? day.slice(0, 2) : day;
    setValue(day);
    currentOnChange === null || currentOnChange === void 0 || currentOnChange('day', day);
  }, onChange);
  var onDayKeyDown = useMonitoringCallback(function (currentOnKeyDown, ev) {
    onNonNumericHandler(ev);
    if (ev.defaultPrevented) return;
    currentOnKeyDown === null || currentOnKeyDown === void 0 || currentOnKeyDown(ev);
  }, onKeyDown);
  return /*#__PURE__*/React.createElement(DayInput, _extends({
    "aria-label": "Day",
    type: "number",
    inputMode: "numeric",
    pattern: "[0-9]*",
    min: "1",
    max: "31",
    placeholder: "Day"
  }, props, {
    ref: ref,
    onKeyDown: onDayKeyDown,
    onChange: onDayChange,
    value: value
  }));
});
var Day$1 = Day;

var _excluded$d = ["monthNames", "selectOptionText", "date", "onChange"];
var MonthDropdown = styled$1(Dropdown$1)(["flex:3 1 100px;"]);
var Month = /*#__PURE__*/React.forwardRef(function ForwardedMonth(_ref, ref) {
  var _ref$monthNames = _ref.monthNames,
    monthNames = _ref$monthNames === void 0 ? [] : _ref$monthNames,
    selectOptionText = _ref.selectOptionText,
    date = _ref.date,
    onChange = _ref.onChange,
    props = _objectWithoutProperties(_ref, _excluded$d);
  var theme = useTheme();
  var validationState = useContext(ValidationContext$1);
  var _useState = useState(date ? date.getMonth() + 1 : ''),
    _useState2 = _slicedToArray(_useState, 2),
    month = _useState2[0],
    setMonth = _useState2[1];
  var onMonthChange = useMonitoringCallback(function (currentOnChange, event) {
    setMonth(event.target.value);
    currentOnChange === null || currentOnChange === void 0 || currentOnChange('month', event.target.value);
  }, onChange);
  return /*#__PURE__*/React.createElement(MonthDropdown, _extends({
    "aria-label": "Select Month"
  }, theme.validationInputColor[validationState], props, {
    onChange: onMonthChange,
    value: month,
    ref: ref
  }), selectOptionText && /*#__PURE__*/React.createElement("option", {
    value: ""
  }, selectOptionText), monthNames.map(function (value, index) {
    return /*#__PURE__*/React.createElement("option", {
      value: index + 1,
      key: value
    }, value);
  }));
});
var monthNames = ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'];
Month.propTypes = {
  /** array of month names */
  monthNames: PropTypes.arrayOf(PropTypes.oneOfType([PropTypes.oneOf(monthNames), PropTypes.string]).isRequired),
  /** adds an unselected option at the top */
  selectOptionText: PropTypes.string
};
Month.defaultProps = {
  monthNames: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December'],
  selectOptionText: undefined
};
var Month$1 = Month;

var _excluded$c = ["date", "onChange", "onKeyDown"];
var YearInput = styled$1(BasicTextbox)(["appearance:textfield;flex:2 0 40px;&::-webkit-inner-spin-button,&::-webkit-outer-spin-button{appearance:none;margin:0;}"]);
var Year = /*#__PURE__*/React.forwardRef(function ForwardedYear(_ref, ref) {
  var date = _ref.date,
    onChange = _ref.onChange,
    onKeyDown = _ref.onKeyDown,
    props = _objectWithoutProperties(_ref, _excluded$c);
  var _useState = useState((date === null || date === void 0 ? void 0 : date.getFullYear()) || ''),
    _useState2 = _slicedToArray(_useState, 2),
    value = _useState2[0],
    setValue = _useState2[1];
  var onYearChange = useMonitoringCallback(function (currentOnChange, event) {
    var year = event.target.value;
    year = year.length > 4 ? year.slice(0, 4) : year;
    setValue(year);
    currentOnChange === null || currentOnChange === void 0 || currentOnChange('year', year);
  }, onChange);
  var onYearKeyDown = useMonitoringCallback(function (currentOnKeyDown, ev) {
    onNonNumericHandler(ev);
    if (ev.defaultPrevented) return;
    currentOnKeyDown === null || currentOnKeyDown === void 0 || currentOnKeyDown(ev);
  }, onKeyDown);
  return /*#__PURE__*/React.createElement(YearInput, _extends({
    "aria-label": "Year",
    type: "number",
    inputMode: "numeric",
    pattern: "[0-9]*",
    placeholder: "Year"
  }, props, {
    ref: ref,
    onChange: onYearChange,
    onKeyDown: onYearKeyDown,
    value: value
  }));
});
var Year$1 = Year;

var _excluded$b = ["children", "defaultValue", "defaultDay", "id", "maxDate", "minDate", "onChange", "onBlur"];
function ownKeys$6(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$6(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$6(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$6(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Wrapper = styled$1.div(["display:flex;&& > *{margin-right:2px;}@media (min-width:", "){max-width:350px;}"], function (props) {
  return props.theme.screenSize.tablet;
});
function cleanZeroes(day) {
  var cleanDay = day;
  while (cleanDay.charAt(0) === '0') {
    cleanDay = cleanDay.substr(1);
  }
  return cleanDay;
}
function reducer(state, action) {
  switch (action.type) {
    case 'day_updated':
      return _objectSpread$6(_objectSpread$6({}, state), {}, {
        day: action.value
      });
    case 'month_updated':
      return _objectSpread$6(_objectSpread$6({}, state), {}, {
        month: action.value
      });
    case 'year_updated':
      return _objectSpread$6(_objectSpread$6({}, state), {}, {
        year: action.value
      });
    default:
      throw new Error();
  }
}
var getDefaultState = function getDefaultState(defaultValue) {
  var defaultDay = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : '';
  if (!defaultValue) {
    return {
      day: defaultDay,
      month: '',
      year: ''
    };
  }
  return {
    day: defaultValue.getDate().toString(),
    month: "".concat(defaultValue.getMonth() + 1),
    year: defaultValue.getFullYear().toString()
  };
};
var isIterable = function isIterable(value) {
  return typeof value[Symbol.iterator] === 'function';
};
function isReactElementChild(child) {
  return !(typeof child === 'string' || typeof child === 'number' || isBool$1(child) || isIterable(child) || Array.isArray(child));
}
function isDatePartChild(child) {
  return isReactElementChild(child) && (child.type === Day$1 || child.type === Month$1 || child.type === Year$1);
}
var DateInput = /*#__PURE__*/React.forwardRef(function ForwardedDateInput(_ref, ref) {
  var children = _ref.children,
    defaultValue = _ref.defaultValue,
    _ref$defaultDay = _ref.defaultDay,
    defaultDay = _ref$defaultDay === void 0 ? '' : _ref$defaultDay,
    id = _ref.id,
    maxDate = _ref.maxDate,
    minDate = _ref.minDate,
    onChange = _ref.onChange,
    onBlur = _ref.onBlur,
    props = _objectWithoutProperties(_ref, _excluded$b);
  var _useReducer = useReducer(reducer, getDefaultState(defaultValue, defaultDay)),
    _useReducer2 = _slicedToArray(_useReducer, 2),
    state = _useReducer2[0],
    dispatch = _useReducer2[1];
  var hasDayElement = useRef(false);
  useEffect(function () {
    React.Children.forEach(children, function (child) {
      if (!child) return;
      if (!isReactElementChild(child)) return;
      if (child.type === Month$1 && !state.month) {
        if (child.props.selectOptionText) {
          dispatch({
            type: 'month_updated',
            value: 'none'
          });
        }
      }
      if (child.type === Day$1) {
        hasDayElement.current = true;
      }
    });
  }, [children, state.month]);
  var createDate = useCallback(function (year, month, day) {
    var cleanDay = day ? cleanZeroes(day.toString()) : day;
    var date = new Date("".concat(year, "/").concat(month, "/").concat(cleanDay));
    var dateIsValid = month !== 'none' && (year === null || year === void 0 ? void 0 : year.length) === 4 && (hasDayElement.current ? date.getDate().toString() === cleanDay : true) && (month ? (date.getMonth() + 1).toString() === month.toString() : true) && date.getFullYear().toString() === year.toString();
    var isInRange = dateIsValid && (minDate ? isAfter(date, minDate) : true) && (maxDate ? isBefore(date, maxDate) : true);
    return {
      value: dateIsValid ? date : undefined,
      isInRange: isInRange,
      rawValues: {
        year: (year === null || year === void 0 ? void 0 : year.toString()) || '',
        month: month === 'none' ? '' : (month === null || month === void 0 ? void 0 : month.toString()) || '',
        day: (day === null || day === void 0 ? void 0 : day.toString()) || ''
      }
    };
  }, [maxDate, minDate]);
  var onChangeDatePart = useMonitoringCallback(function (currentOnChange, datePart, value) {
    var day = state.day,
      month = state.month,
      year = state.year;
    switch (datePart) {
      case 'day':
        currentOnChange === null || currentOnChange === void 0 || currentOnChange(createDate(year, month, value));
        dispatch({
          type: 'day_updated',
          value: value
        });
        return;
      case 'month':
        currentOnChange === null || currentOnChange === void 0 || currentOnChange(createDate(year, value, day));
        dispatch({
          type: 'month_updated',
          value: value
        });
        return;
      case 'year':
        currentOnChange === null || currentOnChange === void 0 || currentOnChange(createDate(value, month, day));
        dispatch({
          type: 'year_updated',
          value: value
        });
        return;
      default:
        throw new Error();
    }
  }, [createDate, state], onChange);
  var onBlurComponent = useMonitoringCallback(function (currentOnBlur, event) {
    var target = event.currentTarget;
    setTimeout(function () {
      if (!target.contains(target.getRootNode().activeElement || null)) {
        currentOnBlur === null || currentOnBlur === void 0 || currentOnBlur(event);
      }
    }, 0);
  }, onBlur);
  var setId = false;
  return /*#__PURE__*/React.createElement(Wrapper, _extends({
    ref: ref,
    tabIndex: -1
  }, props, {
    onBlur: onBlurComponent
  }), React.Children.map(children, function (child) {
    return isDatePartChild(child) ? /*#__PURE__*/React.cloneElement(child, {
      id: !setId && id ? (setId = true) && id : child.props.id,
      onChange: onChangeDatePart,
      date: createDate(state.year, state.month, state.day).value
    }) : child;
  }));
});
DateInput.propTypes = {
  id: PropTypes.string,
  children: PropTypes.node.isRequired,
  /** set the minimum valid date */
  maxDate: PropTypes.instanceOf(Date),
  /** set the maximum valid date */
  minDate: PropTypes.instanceOf(Date),
  /** returns an object (value, isInRange) */
  onChange: PropTypes.func.isRequired,
  onBlur: PropTypes.func,
  /** set the Date value of the component */
  defaultValue: PropTypes.instanceOf(Date),
  /** Set the default day of the month */
  defaultDay: PropTypes.string
};
DateInput.defaultProps = {
  id: undefined,
  maxDate: undefined,
  minDate: undefined,
  defaultValue: undefined,
  defaultDay: '',
  onBlur: noop$1
};
var setParts = function setParts(Input) {
  Input.Day = Day$1;
  Input.Month = Month$1;
  Input.Year = Year$1;
};
setParts(DateInput);
var DateInput$1 = DateInput;

var _excluded$a = ["startingValue", "incrementAmount", "decrementAmount", "upperThreshold", "lowerThreshold", "useOutlineButton", "onValueUpdated"];
function ownKeys$5(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$5(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$5(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$5(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var IncrementerWrapper = styled$1.div(["align-items:flex-start;display:flex;"]);
var IncrementerTextbox = styled$1(BasicTextbox)(["margin:0 10px;min-width:60px;padding-right:12px;text-align:center;@media (min-width:", "){width:60px;flex:0;}-moz-appearance:textfield;&::-webkit-inner-spin-button,&::-webkit-outer-spin-button{-webkit-appearance:none;margin:0;}&::-ms-clear{display:none;}"], function (props) {
  return props.theme.screenSize.tablet;
});
var IncrementerButton = styled$1(Button$2)(["min-width:0;.es-button__display{min-width:0;}"]);
var isNumber = function isNumber(val) {
  if (val === '') return false;
  return !isNaN(Number(val.toString()));
};
function determineIsDisabled(threshold, newValue) {
  return Number.isFinite(threshold) && newValue === threshold;
}
function sanitizeValue(val, lower, upper) {
  var enteredValue = parseInt(val.toString());
  if (Number.isFinite(enteredValue)) {
    if (upper !== null && enteredValue > upper) {
      return upper;
    }
    if (lower !== null && enteredValue < lower) {
      return lower;
    }
    return enteredValue;
  }
  return lower !== null && lower > 0 ? lower : 0;
}
var ScreenReaderButtonText = screenReaderOnly('span');
var getCount = function getCount(count) {
  return parseInt((count || 0).toString());
};
var Incrementer = /*#__PURE__*/React.forwardRef(function ForwardedIncrementer(_ref, ref) {
  var startingValue = _ref.startingValue,
    _ref$incrementAmount = _ref.incrementAmount,
    incrementAmount = _ref$incrementAmount === void 0 ? 1 : _ref$incrementAmount,
    _ref$decrementAmount = _ref.decrementAmount,
    decrementAmount = _ref$decrementAmount === void 0 ? 1 : _ref$decrementAmount,
    _ref$upperThreshold = _ref.upperThreshold,
    upperThreshold = _ref$upperThreshold === void 0 ? null : _ref$upperThreshold,
    _ref$lowerThreshold = _ref.lowerThreshold,
    lowerThreshold = _ref$lowerThreshold === void 0 ? null : _ref$lowerThreshold,
    useOutlineButton = _ref.useOutlineButton,
    onValueUpdated = _ref.onValueUpdated,
    other = _objectWithoutProperties(_ref, _excluded$a);
  var initialRender = useRef(true);
  var _useState = useState(getCount(startingValue)),
    _useState2 = _slicedToArray(_useState, 2),
    count = _useState2[0],
    setCount = _useState2[1];
  var _useState3 = useState(count.toString()),
    _useState4 = _slicedToArray(_useState3, 2),
    boxValue = _useState4[0],
    setBoxValue = _useState4[1];
  var _useState5 = useState(determineIsDisabled(upperThreshold, count)),
    _useState6 = _slicedToArray(_useState5, 2),
    isIncrementDisabled = _useState6[0],
    setIsIncrementDisabled = _useState6[1];
  var _useState7 = useState(determineIsDisabled(lowerThreshold, count)),
    _useState8 = _slicedToArray(_useState7, 2),
    isDecrementDisabled = _useState8[0],
    setIsDecrementDisabled = _useState8[1];
  useEffect(function updateDisabledState() {
    setIsIncrementDisabled(determineIsDisabled(upperThreshold, count));
    setIsDecrementDisabled(determineIsDisabled(lowerThreshold, count));
  }, [count, upperThreshold, lowerThreshold]);
  useMonitoringEffect(function emitValueUpdated(currentOnValueUpdated) {
    if (initialRender.current) {
      return;
    }
    currentOnValueUpdated === null || currentOnValueUpdated === void 0 || currentOnValueUpdated(count);
  }, [count], onValueUpdated);
  useEffect(function updateBoxValue() {
    setBoxValue(count.toString());
  }, [count]);
  var setValue = useCallback(function (_ref2) {
    var value = _ref2.target.value;
    setBoxValue(value);
    if (isNumber(value)) {
      setCount(getCount(value));
    }
  }, []);
  var decrementValue = useCallback(function () {
    return setCount(sanitizeValue(getCount(count) - getCount(decrementAmount), lowerThreshold, upperThreshold));
  }, [count, decrementAmount, lowerThreshold, upperThreshold]);
  var incrementValue = useCallback(function () {
    return setCount(sanitizeValue(getCount(count) + getCount(incrementAmount), lowerThreshold, upperThreshold));
  }, [count, incrementAmount, lowerThreshold, upperThreshold]);
  useEffect(function setInitialized() {
    initialRender.current = false;
  }, []);
  var handleOnBlur = useCallback(function (event) {
    var sanitizedValue = sanitizeValue(getCount(event.target.value), lowerThreshold, upperThreshold);
    setCount(sanitizedValue);
  }, [lowerThreshold, upperThreshold]);
  var shortcutKeys = useCallback(function (event) {
    if (upperThreshold && event.key === 'End') {
      event.preventDefault();
      setCount(upperThreshold);
    }
    if (lowerThreshold && event.key === 'Home') {
      event.preventDefault();
      setCount(lowerThreshold);
    }
  }, [lowerThreshold, upperThreshold]);
  var RenderedButton = useOutlineButton ? OutlineButton$1 : Button$2;
  return /*#__PURE__*/React.createElement(IncrementerWrapper, {
    ref: ref
  }, /*#__PURE__*/React.createElement(IncrementerButton, {
    as: RenderedButton,
    styleType: "primary",
    onClick: decrementValue,
    disabled: isDecrementDisabled
  }, /*#__PURE__*/React.createElement(ScreenReaderButtonText, null, "Decrement value by", decrementAmount), /*#__PURE__*/React.createElement(Icon$2, {
    name: "minus",
    size: 22
  })), /*#__PURE__*/React.createElement(IncrementerTextbox, _extends({}, other, {
    type: "number",
    role: "spinbutton",
    max: upperThreshold !== null && upperThreshold !== void 0 ? upperThreshold : undefined,
    min: lowerThreshold !== null && lowerThreshold !== void 0 ? lowerThreshold : undefined,
    step: incrementAmount,
    value: boxValue,
    "aria-valuemin": lowerThreshold !== null && lowerThreshold !== void 0 ? lowerThreshold : undefined,
    "aria-valuemax": upperThreshold !== null && upperThreshold !== void 0 ? upperThreshold : undefined,
    "aria-valuenow": count,
    onKeyDown: shortcutKeys,
    onChange: setValue,
    onBlur: handleOnBlur
  })), /*#__PURE__*/React.createElement(IncrementerButton, {
    as: RenderedButton,
    styleType: "primary",
    onClick: incrementValue,
    disabled: isIncrementDisabled
  }, /*#__PURE__*/React.createElement(ScreenReaderButtonText, null, "Increment value by", incrementAmount), /*#__PURE__*/React.createElement(Icon$2, {
    name: "add",
    size: 22
  })));
});
Incrementer.propTypes = _objectSpread$5(_objectSpread$5({}, basicTextboxPropTypes), {}, {
  /** The starting value, 'null' is allowed for a blank value */
  startingValue: PropTypes.number,
  /** The amount to increment the value by */
  incrementAmount: PropTypes.number,
  /** The amount to decrement the value by */
  decrementAmount: PropTypes.number,
  /** The highest value the incrementer can be incremented to */
  upperThreshold: PropTypes.number,
  /** The lowest value the incrementer can be decremented to */
  lowerThreshold: PropTypes.number,
  /** Use outline button styles */
  useOutlineButton: PropTypes.bool,
  /** Function to execute with the new value */
  onValueUpdated: PropTypes.func
});
Incrementer.defaultProps = _objectSpread$5(_objectSpread$5({}, basicTextboxDefaultProps), {}, {
  startingValue: 0,
  incrementAmount: 1,
  decrementAmount: 1,
  onValueUpdated: noop$1,
  upperThreshold: null,
  lowerThreshold: null,
  useOutlineButton: false
});
var Incrementer$1 = Incrementer;

function ownKeys$4(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$4(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$4(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$4(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function getCallToActionChildren(children) {
  var type = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
  var allChildren = React.Children.toArray(children);
  var actionChildren = allChildren.filter(isValidElement).filter(function (child) {
    return child.type.name === 'Action';
  });
  var actions = actionChildren.map(function (action) {
    if (type === 'light') {
      var _styleType = action.props.isPrimary ? 'primary' : 'darkDefault';
      return /*#__PURE__*/React.cloneElement(action, _objectSpread$4(_objectSpread$4({}, action.props), {}, {
        styleType: _styleType
      }));
    }
    var styleType = action.props.isPrimary ? 'primary' : 'default';
    return /*#__PURE__*/React.cloneElement(action, {
      styleType: styleType
    });
  });
  var nonActions = allChildren.filter(function (child) {
    return !actionChildren.includes(child);
  });
  return {
    actions: actions,
    nonActions: nonActions
  };
}

var _excluded$9 = ["children", "isLight"];
function ownKeys$3(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$3(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$3(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$3(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var Container = styled$1.div(["flex-basis:100%;"]);
var CallToActionContainer = styled$1.div(["display:flex;justify-content:flex-end;"]);
var CallToAction = /*#__PURE__*/React.forwardRef(function ForwardedCallToAction(_ref, ref) {
  var children = _ref.children,
    isLight = _ref.isLight,
    rest = _objectWithoutProperties(_ref, _excluded$9);
  var _getCallToActionChild = getCallToActionChildren(children),
    actions = _getCallToActionChild.actions,
    nonActions = _getCallToActionChild.nonActions;
  var props = _objectSpread$3(_objectSpread$3({}, rest), {}, {
    isDismissable: false
  });
  var withinContainerActions = isLight ? /*#__PURE__*/React.createElement(CallToActionContainer, null, actions) : /*#__PURE__*/React.createElement(React.Fragment, null);
  var outsideContainerActions = isLight ? /*#__PURE__*/React.createElement(React.Fragment, null) : /*#__PURE__*/React.createElement(CallToActionContainer, null, actions);
  var CTAContainer = isLight ? LightNotification$1 : Notification$1;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(CTAContainer, _extends({
    ref: ref
  }, props), /*#__PURE__*/React.createElement(Container, null, nonActions), withinContainerActions), outsideContainerActions);
});
CallToAction.propTypes = {
  isLight: PropTypes.bool
};
CallToAction.defaultProps = {
  isLight: false
};
var CallToAction$1 = CallToAction;

function ownKeys$2(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$2(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$2(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$2(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var LightCallToAction = /*#__PURE__*/React.forwardRef(function ForwardedLightCallToAction(props, ref) {
  return /*#__PURE__*/React.createElement(CallToAction$1, _extends({
    ref: ref
  }, props, {
    isLight: true
  }));
});
LightCallToAction.propTypes = _objectSpread$2({}, CallToAction$1.propTypes || {});
LightCallToAction.defaultProps = _objectSpread$2({}, CallToAction$1.defaultProps || {});
var LightCallToAction$1 = LightCallToAction;

var _excluded$8 = ["isPrimary"];
var ActionButton = styled$1(Button$2)([":not(:first-of-type){margin-left:15px;}"]);

// TODO: we should remove the isPrimary prop
// eslint-disable-next-line @typescript-eslint/no-unused-vars
function Action(_ref) {
  _ref.isPrimary;
    var rest = _objectWithoutProperties(_ref, _excluded$8);
  return /*#__PURE__*/React.createElement(ActionButton, rest);
}
Action.propTypes = {
  isPrimary: PropTypes.bool
};
Action.defaultProps = {
  isPrimary: false
};

var _excluded$7 = ["steps", "onPastStepClicked", "onFutureStepClicked", "showNav"];
var getMappedSteps = function getMappedSteps(_ref) {
  var steps = _ref.steps,
    _onPastStepClicked = _ref.onPastStepClicked,
    _onFutureStepClicked = _ref.onFutureStepClicked,
    showNav = _ref.showNav;
  var isPastStep = true;
  return steps.map(function (step, index) {
    isPastStep = !(step.active || !isPastStep);
    return /*#__PURE__*/React.createElement(ProgressItem, {
      key: "".concat(index, "-").concat(step.label),
      active: step.active,
      isPastStep: isPastStep,
      numberOfSteps: steps.length,
      onPastStepClicked: function onPastStepClicked() {
        return _onPastStepClicked(index);
      },
      onFutureStepClicked: function onFutureStepClicked() {
        return _onFutureStepClicked === null || _onFutureStepClicked === void 0 ? void 0 : _onFutureStepClicked(index);
      },
      canClickFutureStep: Boolean(_onFutureStepClicked),
      label: step.label || '',
      showNav: showNav
    });
  });
};
var getIndexOfActiveStep = function getIndexOfActiveStep(steps) {
  return steps.findIndex(function (step) {
    return step.active;
  });
};
var ProgressTracker = /*#__PURE__*/React.forwardRef(function ForwardedProgressTracker(_ref2, ref) {
  var _ref2$steps = _ref2.steps,
    steps = _ref2$steps === void 0 ? [] : _ref2$steps,
    _ref2$onPastStepClick = _ref2.onPastStepClicked,
    onPastStepClicked = _ref2$onPastStepClick === void 0 ? noop$1 : _ref2$onPastStepClick,
    onFutureStepClicked = _ref2.onFutureStepClicked,
    _ref2$showNav = _ref2.showNav,
    showNav = _ref2$showNav === void 0 ? false : _ref2$showNav,
    props = _objectWithoutProperties(_ref2, _excluded$7);
  return /*#__PURE__*/React.createElement(ProgressContainer, _extends({
    ref: ref,
    "data-testid": "progress-tracker",
    activeStepIndex: getIndexOfActiveStep(steps),
    numberOfSteps: steps.length
  }, props), getMappedSteps({
    steps: steps,
    onPastStepClicked: onPastStepClicked,
    onFutureStepClicked: onFutureStepClicked,
    showNav: showNav
  }));
});
ProgressTracker.propTypes = {
  steps: PropTypes.arrayOf(PropTypes.shape({
    active: PropTypes.bool,
    label: PropTypes.string
  }).isRequired),
  onPastStepClicked: PropTypes.func,
  onFutureStepClicked: PropTypes.func,
  showNav: PropTypes.bool
};
ProgressTracker.defaultProps = {
  steps: [],
  onPastStepClicked: noop$1,
  onFutureStepClicked: undefined,
  showNav: true
};
var ProgressTracker$1 = withTheme(ProgressTracker);

var _excluded$6 = ["show", "closeModal", "parentNode"];
formatMessage.setup({
  missingTranslation: 'ignore'
});
var HelpContent = styled$1(Modal.Body)(["max-height:750px;overflow-y:scroll;ul{display:block;list-style-type:disc;margin-bottom:10px;margin-left:0;margin-right:0;padding-left:40px;ul{list-style-type:circle;}}"]);
var CautionRating = styled$1.div(["background-image:url(", "images/poor-performer-mask.svg);background-size:100% 100%;height:30px;width:150px;"], "https://app.qa.viabenefits.com/static/cdn/es-assets/");
var StarRating$2 = styled$1.div(["background-image:url(", "images/star-rating-mask.svg);background-color:#ffc436;height:28px;"], "https://app.qa.viabenefits.com/static/cdn/es-assets/");
var RatingTable = styled$1(Table$1)(["border:1px solid black;text-align:left;margin:15px 0px;thead{font-weight:bold;}th,td{border:1px solid black;padding:8px;vertical-align:middle;}td{height:63px;}"]);
var StrongMessage = function StrongMessage(_ref) {
  var children = _ref.children;
  var key = "bold-".concat(useUniqueId());
  return /*#__PURE__*/React.createElement("strong", {
    key: key
  }, children);
};
var StarRatingExplanation = /*#__PURE__*/React.forwardRef(function ForwardedStarRatingExplanation(_ref2, ref) {
  var show = _ref2.show,
    closeModal = _ref2.closeModal,
    parentNode = _ref2.parentNode,
    props = _objectWithoutProperties(_ref2, _excluded$6);
  return /*#__PURE__*/React.createElement(Modal, _extends({
    show: show,
    size: "large",
    onHide: closeModal,
    parentSelector: function parentSelector() {
      return parentNode;
    },
    overlayRef: function overlayRef(el) {
      return callRef$1(ref, el);
    }
  }, props), /*#__PURE__*/React.createElement(Modal.Header, null, formatMessage('Plan Ratings')), /*#__PURE__*/React.createElement(HelpContent, null, /*#__PURE__*/React.createElement("p", null, formatMessage('The Overall Plan Rating combines scores, as rated by Medicare, for the types of services each plan offers.')), /*#__PURE__*/React.createElement(RatingTable, null, /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("th", null, formatMessage('Legend')), /*#__PURE__*/React.createElement("th", null, formatMessage('Description')))), /*#__PURE__*/React.createElement("tbody", null, /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(CautionRating, null)), /*#__PURE__*/React.createElement("td", null, formatMessage('Caution - The plan has received low summary ratings from Medicare three years in a row.'))), /*#__PURE__*/React.createElement("tr", null, /*#__PURE__*/React.createElement("td", null, /*#__PURE__*/React.createElement(StarRating$2, null)), /*#__PURE__*/React.createElement("td", null, formatMessage("The plan has been given a 5 out 5 stars rating. People with Medicare can switch into these plans at any time during the year, even if it's not during an enrollment period."))))), /*#__PURE__*/React.createElement("strong", null, formatMessage('What is being measured?')), /*#__PURE__*/React.createElement("ul", null, /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>For plans covering health services</s>, the overall score for quality of those services covers <s>36 different topics in 5 categories:</s>', {
    s: StrongMessage
  }), /*#__PURE__*/React.createElement("ul", null, /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Staying healthy: screenings, tests, and vaccines:</s> Includes how often members got various screening tests, vaccines, and other check-ups that help them stay healthy.', {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Managing chronic (long-term) conditions:</s> Includes how often members with different conditions got certain tests and treatments that help them manage their condition.', {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Ratings of health plan responsiveness and care:</s> Includes ratings of member satisfaction with the plan.', {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Member complaints, problems getting services, and choosing to leave the plan:</s> Includes how often members filed complaints against the plan and how often members choose to leave the plan. Includes how often Medicare found problems with the plan.', {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Health plan customer service:</s> Includes how well the plan handles calls and makes decisions about member appeals for health coverage.', {
    s: StrongMessage
  })))), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>For plans covering drug services,</s> the overall score for quality of those services covers <s>17 different topics in 4 categories:</s>', {
    s: StrongMessage
  }), /*#__PURE__*/React.createElement("ul", null, /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Drug plan customer service:</s> Includes how well the plan handles calls and makes decisions about member appeals for drug coverage.', {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Member complaints, problems getting services, and choosing to leave the plan:</s>  Includes how often members filed complaints about the plan and how often members choose to leave the plan. Includes how often Medicare found problems with the plan.', {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich("<s>Member experience with plan's drug services:</s> Includes ratings of member satisfaction with the plan.", {
    s: StrongMessage
  })), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>Drug pricing and patient safety:</s> Includes how well the plan prices prescriptions and provides updated and accurate pricing information for the Medicare website. Includes information on how often members with certain medical conditions get prescription drugs that are considered safer and clinically recommended for their condition. Includes information on whether members are taking certain medications as directed.', {
    s: StrongMessage
  })))), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('<s>For plans covering both health and drug services,</s> the overall score for quality of those services covers <s>all of the 53 topics listed above.</s>', {
    s: StrongMessage
  }))), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("strong", null, formatMessage('Where does the information for the Overall Plan Rating come from?'))), /*#__PURE__*/React.createElement("ul", null, /*#__PURE__*/React.createElement("li", null, formatMessage.rich('For quality of <s>health services</s>, the information comes from sources that include:', {
    s: StrongMessage
  }), /*#__PURE__*/React.createElement("ul", null, /*#__PURE__*/React.createElement("li", null, formatMessage('Member surveys done by Medicare')), /*#__PURE__*/React.createElement("li", null, formatMessage('Information from clinicians')), /*#__PURE__*/React.createElement("li", null, formatMessage('Information submitted by the plans')), /*#__PURE__*/React.createElement("li", null, formatMessage("Results from Medicare's regular monitoring activities")))), /*#__PURE__*/React.createElement("li", null, formatMessage.rich('For quality of <s>drug services</s>, the information comes from sources that include:', {
    s: StrongMessage
  }), /*#__PURE__*/React.createElement("ul", null, /*#__PURE__*/React.createElement("li", null, formatMessage('Member surveys done by Medicare')), /*#__PURE__*/React.createElement("li", null, formatMessage('Reviews of billing and other information that plans submit to Medicare')), /*#__PURE__*/React.createElement("li", null, formatMessage("Results from Medicare's regular monitoring activities"))))), /*#__PURE__*/React.createElement("p", null, /*#__PURE__*/React.createElement("strong", null, formatMessage('Why is the Overall Plan Rating important?'))), /*#__PURE__*/React.createElement("p", null, formatMessage('The Overall Plan Rating gives you a single summary score that makes it easy for you to compare plans based on quality and performance. Learn more about differences among plans by looking at the detailed ratings.')), /*#__PURE__*/React.createElement("p", null, formatMessage('Medicare evaluates plans based on a 5-Star rating system. Star Ratings are calculated each year and may change from one year to the next.'))), /*#__PURE__*/React.createElement(Modal.Footer, null, /*#__PURE__*/React.createElement(ModalButtonContainer, null, /*#__PURE__*/React.createElement(Button$2, {
    onClick: closeModal
  }, formatMessage('Close')))));
});
var StarRatingExplanation$1 = StarRatingExplanation;

var _excluded$5 = ["rating", "isPoorPerformer", "noRatingText", "onClick", "onExplanationOpen"];
formatMessage.setup({
  missingTranslation: 'ignore'
});
var NOT_AVAILABLE_MESSAGE = 'Star Rating not available';
var StarContainer = styled$1.div(["background-color:", ";display:flex;flex-direction:column;height:21px;margin-top:3px;width:133px;@media print{display:block;}"], function (props) {
  return !props.isPoorPerformer ? props.theme.colors.gray5 : 'transparent';
});
var StarRatingLink = styled$1(LinkButton$1)(["color:", ";border-bottom:1px dashed;text-decoration:none;&:hover,&:focus{color:", ";border-bottom:1px solid;}"], function (props) {
  return props.theme.colors.gray8;
}, function (props) {
  return props.theme.colors.gray8;
});
var StarFill = styled$1.span(["background-color:#ffc436;display:block;height:21px;margin-left:2px;width:", ";"], function (props) {
  return props.fillWidth;
});
var StarOverlay = styled$1.div(["background-image:url(", "images/star-rating-mask.svg);height:25px;margin-top:-23px;"], "https://app.qa.viabenefits.com/static/cdn/es-assets/");
var PoorPerformerOverlay = styled$1.div(["background-image:url(", "images/poor-performer-mask.svg);background-size:100% 100%;height:30px;margin-top:-5px;"], "https://app.qa.viabenefits.com/static/cdn/es-assets/");
function getStarRatingBackgroundWidth(rating) {
  var starWidth = 20.2;
  var spaceWidth = 7;
  var ratingFloor = Math.floor(rating);
  var spaceNumber = ratingFloor === rating && rating !== 0 ? ratingFloor - 1 : ratingFloor;
  var spacingAmount = spaceWidth * spaceNumber;
  var width = starWidth * rating;
  return "".concat(width + spacingAmount, "px");
}
function getAriaText(isPoorPerformer, rating) {
  if (isPoorPerformer) {
    return formatMessage('CMS has indicated that this plan is a poor performer');
  }
  if (rating !== null) {
    return formatMessage("CMS has rated this plan {rating} out of five stars", {
      rating: rating
    });
  }
  return '';
}
var StarRating = /*#__PURE__*/React.forwardRef(function ForwardedStarRating(_ref, _ref4) {
  var rating = _ref.rating,
    _ref$isPoorPerformer = _ref.isPoorPerformer,
    isPoorPerformer = _ref$isPoorPerformer === void 0 ? false : _ref$isPoorPerformer,
    _ref$noRatingText = _ref.noRatingText,
    noRatingText = _ref$noRatingText === void 0 ? NOT_AVAILABLE_MESSAGE : _ref$noRatingText,
    onClickProp = _ref.onClick,
    onExplanationOpen = _ref.onExplanationOpen,
    props = _objectWithoutProperties(_ref, _excluded$5);
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    showHelp = _useState2[0],
    setShowHelp = _useState2[1];
  var _useRootNode = useRootNode(document.body),
    _useRootNode2 = _slicedToArray(_useRootNode, 2),
    rootNode = _useRootNode2[0],
    rootNodeRef = _useRootNode2[1];
  var ariaText = getAriaText(isPoorPerformer, rating);
  var onClick = useMonitoringCallback(function (_ref2, e) {
    var _ref3 = _slicedToArray(_ref2, 2),
      currentOnClick = _ref3[0],
      currentOnExplanationOpen = _ref3[1];
    currentOnClick === null || currentOnClick === void 0 || currentOnClick(e);
    currentOnExplanationOpen === null || currentOnExplanationOpen === void 0 || currentOnExplanationOpen();
    setShowHelp(true);
  }, [onClickProp, onExplanationOpen]);
  var closeModal = useCallback(function () {
    setShowHelp(false);
  }, []);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(StarRatingLink, _extends({
    ref: function ref(el) {
      return callRefs(el, rootNodeRef, _ref4);
    }
  }, props, {
    onClick: onClick
  }), rating === null && /*#__PURE__*/React.createElement("span", null, formatMessage(noRatingText)), rating !== null && /*#__PURE__*/React.createElement(StarContainer, {
    "aria-label": ariaText,
    isPoorPerformer: isPoorPerformer
  }, !isPoorPerformer ? /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(StarFill, {
    fillWidth: getStarRatingBackgroundWidth(rating)
  }), /*#__PURE__*/React.createElement(StarOverlay, null)) : /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(PoorPerformerOverlay, null)))), /*#__PURE__*/React.createElement(StarRatingExplanation$1, {
    show: showHelp,
    closeModal: closeModal,
    parentNode: rootNode
  }));
});
StarRating.propTypes = {
  rating: PropTypes.number.isRequired,
  isPoorPerformer: PropTypes.bool,
  onExplanationOpen: PropTypes.func,
  noRatingText: PropTypes.string
};
StarRating.defaultProps = {
  isPoorPerformer: false,
  onExplanationOpen: noop$1,
  noRatingText: NOT_AVAILABLE_MESSAGE
};
var StarRating$1 = StarRating;

var _excluded$4 = ["isDone", "isErrorState", "isActive", "className"],
  _excluded2$1 = ["statusArray", "step", "isErrorState"];
function ownKeys$1(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread$1(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys$1(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys$1(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var List = styled$1.ol(["display:flex;margin:0;padding:0;position:relative;z-index:1;"]);
var ListItem = styled$1.li(["color:", ";list-style-type:none;position:relative;text-align:center;width:", "%;& > .status-text{display:none;.done&,.active&,.error&{color:", ";}.active&,.error&{display:inherit;font-weight:bold;}@media (min-width:", "){display:inherit;}}&&:before{content:'';", " background-color:white;border:3px solid ", ";border-radius:50%;font-weight:bold;height:20px;line-height:20px;margin:5px auto 15px auto;text-align:center;width:20px;display:flex;justify-content:center;align-items:center;.error&,.active&{height:30px;line-height:30px;margin:0 auto 10px auto;width:30px;}.done&,.active&{border-color:", ";color:", ";}.done&{font-size:14px;}.active&{font-size:22px;}.error&{border-color:", ";color:", ";font-size:18px;}@media (min-width:", "){.done&{font-size:22px;}}}&:after{background-color:", ";content:'';height:4px;left:-50%;position:absolute;top:17px;width:100%;z-index:-1;.active&,.done&,.error&{background-color:", ";}}&:first-child:after{content:none;}@media (min-width:", "){.status-text{display:inherit;}&.active:before,&.done:before{height:30px;line-height:30px;margin:0 auto 10px auto;width:30px;}}"], function (props) {
  return props.theme.colors.gray6;
}, function (props) {
  return props.itemWidth;
}, function (props) {
  return props.theme.brandColors.primary1;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.iconStyles;
}, function (props) {
  return props.theme.colors.gray5;
}, function (props) {
  return props.theme.brandColors.primary1;
}, function (props) {
  return props.theme.brandColors.primary1;
}, function (props) {
  return props.theme.colors.danger;
}, function (props) {
  return props.theme.colors.danger;
}, function (props) {
  return props.theme.screenSize.tablet;
}, function (props) {
  return props.theme.colors.gray5;
}, function (props) {
  return props.theme.brandColors.primary1;
}, function (props) {
  return props.theme.screenSize.tablet;
});
var iconClasses = {
  active: 'ok',
  done: 'ok',
  error: 'remove'
};
var iconElements = {};
var StatusTrackerIconContext = /*#__PURE__*/React.createContext(iconElements);
var StatusTrackerItem = /*#__PURE__*/React.forwardRef(function ForwardedStatusTrackerItem(_ref, ref) {
  var isDone = _ref.isDone,
    isErrorState = _ref.isErrorState,
    isActive = _ref.isActive,
    propsClassName = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded$4);
  var statusClass = isDone ? 'done' : isErrorState ? 'error' : isActive ? 'active' : '';
  var iconClass = statusClass ? iconClasses[statusClass] : '';
  var iconEls = React.useContext(StatusTrackerIconContext);
  var targetIconStyles = useIconStyles(iconClass || 'ok', iconEls[iconClass || 'ok']);
  var iconStyles = statusClass ? targetIconStyles : undefined;
  var className = "".concat(statusClass, " ").concat(propsClassName || '').trim();
  return /*#__PURE__*/React.createElement(ListItem, _extends({
    ref: ref
  }, _objectSpread$1(_objectSpread$1({}, props), {}, {
    className: className,
    iconStyles: iconStyles
  })));
});
var StatusTracker = /*#__PURE__*/React.forwardRef(function ForwardedStatusTracker(_ref2, ref) {
  var statusArray = _ref2.statusArray,
    _ref2$step = _ref2.step,
    step = _ref2$step === void 0 ? 1 : _ref2$step,
    isErrorStateProp = _ref2.isErrorState,
    rest = _objectWithoutProperties(_ref2, _excluded2$1);
  var itemWidth = 100 / statusArray.length;
  var _useState = useState(generateAlphaName()),
    _useState2 = _slicedToArray(_useState, 1),
    itemBaseKey = _useState2[0];
  var _useState3 = useState(null),
    _useState4 = _slicedToArray(_useState3, 2),
    okIcon = _useState4[0],
    setOkIcon = _useState4[1];
  var _useState5 = useState(null),
    _useState6 = _slicedToArray(_useState5, 2),
    errorIcon = _useState6[0],
    setErrorIcon = _useState6[1];
  var iconEls = useMemo(function () {
    return {
      ok: okIcon,
      remove: errorIcon
    };
  }, [okIcon, errorIcon]);
  var iconRefs = useMemo(function () {
    return {
      ok: setOkIcon,
      remove: setErrorIcon
    };
  }, [setOkIcon, setErrorIcon]);
  return /*#__PURE__*/React.createElement(RootNodeProvider, null, /*#__PURE__*/React.createElement(StatusTrackerIconContext.Provider, {
    value: iconEls
  }, /*#__PURE__*/React.createElement(HiddenIcons, {
    icons: iconRefs
  }), /*#__PURE__*/React.createElement(List, _extends({
    ref: ref
  }, rest), statusArray.map(function (status, i) {
    var isActive = i + 1 === step;
    var isErrorState = isActive && Boolean(isErrorStateProp);
    var isDone = i + 1 < step;
    return /*#__PURE__*/React.createElement(StatusTrackerItem, {
      key: itemBaseKey + i.toString(),
      itemWidth: itemWidth,
      isErrorState: isErrorState,
      isDone: isDone,
      isActive: isActive
    }, /*#__PURE__*/React.createElement("span", {
      className: "status-text"
    }, status));
  }))));
});
StatusTracker.propTypes = {
  /** Array of status descriptions which display sequentially under each step */
  statusArray: PropTypes.arrayOf(PropTypes.node).isRequired,
  /** Used to set the current active step (1-based) */
  step: PropTypes.number,
  /** Displays the active status with an error state instead of a check mark */
  isErrorState: PropTypes.bool
};
StatusTracker.defaultProps = {
  step: undefined,
  isErrorState: false
};
var StatusTracker$1 = StatusTracker;

function arraysEqual(a, b) {
  return a.length === b.length && a.every(function (v, i) {
    return v === b[i];
  });
}

var _excluded$3 = ["children", "selectedItems", "onSelectionChange", "type", "name"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
var SelectionDrawerContext = /*#__PURE__*/createContext({
  selectedItems: [],
  setSelectedItems: noop$1,
  drawerType: 'checkbox',
  handleCheckboxChange: noop$1,
  labelAlignment: 'left',
  inputAlignment: 'right',
  disableAll: false
});
var isRadioDrawer = function isRadioDrawer(props) {
  return props.type === 'radio';
};
function SelectionDrawerProvider(props) {
  var children = props.children,
    selectedItemsProp = props.selectedItems,
    onSelectionChange = props.onSelectionChange,
    _props$type = props.type,
    type = _props$type === void 0 ? 'checkbox' : _props$type,
    name = props.name,
    contextProps = _objectWithoutProperties(props, _excluded$3);
  var isRadio = isRadioDrawer(props);
  var guaranteedName = isRadio ? props.name : name || '';
  var _useCheckboxGroupActi = useCheckboxGroupActions({
      originalSelectedValues: selectedItemsProp || [],
      onChange: onSelectionChange || noop$1
    }),
    selectedValues = _useCheckboxGroupActi.selectedValues,
    setSelectedValues = _useCheckboxGroupActi.setSelectedValues,
    handleCheckboxChange = _useCheckboxGroupActi.handleCheckboxChange;
  var onRadioChange = useMonitoringCallback(function (currentSetSelected, ev) {
    var value = ev.target.value;
    currentSetSelected([value]);
  }, setSelectedValues);
  useMonitoringEffect(function (currentOnChange) {
    if (arraysEqual(selectedValues || [], selectedItemsProp || [])) return;
    currentOnChange === null || currentOnChange === void 0 || currentOnChange(selectedValues);
  }, [selectedValues, selectedItemsProp], onSelectionChange);
  useMonitoringEffect(function (currentSetSelected) {
    currentSetSelected(selectedItemsProp || []);
  }, [selectedItemsProp], setSelectedValues);
  var radioGroupProps = {
    name: guaranteedName,
    disableAllOptions: contextProps.disableAll,
    onChange: onRadioChange,
    selectedValue: selectedValues[0],
    children: children || ''
  };
  return /*#__PURE__*/React.createElement(SelectionDrawerContext.Provider, {
    value: _objectSpread({
      selectedItems: selectedValues || [],
      setSelectedItems: setSelectedValues,
      drawerType: type || 'checkbox',
      handleCheckboxChange: handleCheckboxChange
    }, contextProps)
  }, isRadio ? /*#__PURE__*/React.createElement(RadioGroup, radioGroupProps) : children);
}
var propTypes = {
  children: PropTypes.node,
  /** The currently selected items */
  selectedItems: PropTypes.arrayOf(PropTypes.string.isRequired),
  /** Function when selected items changes */
  onSelectionChange: PropTypes.func.isRequired,
  /** Type of drawer */
  type: PropTypes.oneOf(['radio', 'checkbox'])
};
var defaultProps = {};
SelectionDrawerProvider.propTypes = propTypes;
SelectionDrawerProvider.defaultProps = defaultProps;
var useSelectionDrawerContext = function useSelectionDrawerContext() {
  return useContext(SelectionDrawerContext);
};

function getFirstDefined() {
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  var firstDefined = args.find(function (arg) {
    return arg !== undefined;
  });
  return firstDefined;
}

var _excluded$2 = ["children"],
  _excluded2 = ["header", "children", "forceOpen", "forceClose", "disabled", "openable", "validationState", "inputAlignment", "labelAlignment", "type", "value", "inputRef"];
var DrawerValidationControl = styled$1(Control$1)(["margin-bottom:0;"]);
var DrawerHeader = styled$1.div(["", ""], function (_ref) {
  var inputAlignment = _ref.inputAlignment,
    labelAlignment = _ref.labelAlignment;
  return css(["display:flex;flex-direction:row;&,& > ", "{flex-wrap:nowrap;align-items:center;column-gap:0.5em;flex-grow:1;margin:0;padding:0;}& > ", "{display:flex;flex-wrap:nowrap;flex-direction:", ";justify-content:", ";}", "{display:block;position:relative;top:0;left:0;}", ",", "{margin:0;}"], Label$2, Label$2, inputAlignment === 'left' ? 'row' : 'row-reverse', inputAlignment !== labelAlignment ? 'space-between' : 'flex-start', CheckboxDisplay, CheckboxDisplay, RadioDisplay);
});
var StyledSelectionDrawerItemContainer = styled$1.div(["", ""], function (_ref2) {
  var borderColor = _ref2.borderColor,
    disabled = _ref2.disabled,
    disabledBgColor = _ref2.disabledBgColor,
    theme = _ref2.theme;
  return css(["border:2px solid ", ";border-radius:0.3rem;display:flex;flex-direction:column;padding:1rem;background-color:inherit;", ""], borderColor, disabled && css(["background-color:", ";border-color:", ";&,& ", "{color:", ";}"], disabledBgColor, theme.colors.disabled || theme.validationInputColor.default.borderColor, Label$2, theme.colors.disabled || theme.validationInputColor.default.borderColor));
});
var StyledDrawerBody = styled$1(Drawer$1.ItemBody)(["flex-shrink:0;padding-top:1rem;transition:padding-top 0.3s linear,height 0.3s ease-in-out;&.rah-static--height-zero,&.rah-animating--up{padding-top:0;}"]);
var StyledOpenerButton = styled$1(Button$2)(["&,&:hover,&:focus,&:active{background-color:transparent;border:none;padding:0;margin:0;min-width:0;display:flex;align-items:center;justify-content:center;}"]);

/* eslint-disable react/prop-types */
var DrawerRadio = function DrawerRadio(props) {
  return /*#__PURE__*/React.createElement(RadioButton, props);
};
var DrawerCheckbox = function DrawerCheckbox(_ref3) {
  var children = _ref3.children,
    props = _objectWithoutProperties(_ref3, _excluded$2);
  var _useDrawerItemContext = useDrawerItemContext(),
    itemKey = _useDrawerItemContext.itemKey;
  var _useSelectionDrawerCo = useSelectionDrawerContext(),
    selectedItems = _useSelectionDrawerCo.selectedItems,
    handleCheckboxChange = _useSelectionDrawerCo.handleCheckboxChange;
  var isSelected = selectedItems.includes(itemKey);
  return /*#__PURE__*/React.createElement(Checkbox$1, _extends({}, props, {
    checked: isSelected,
    onChange: handleCheckboxChange
  }), children);
};
var DrawerControl = function DrawerControl(_ref4) {
  var openable = _ref4.openable,
    setOpen = _ref4.setOpen;
  var _useDrawerItemContext2 = useDrawerItemContext(),
    open = _useDrawerItemContext2.open;
  var label = open ? 'Collapse' : 'Expand';
  return openable ? /*#__PURE__*/React.createElement(Drawer$1.ItemOpener, null, /*#__PURE__*/React.createElement(StyledOpenerButton, {
    onClick: function onClick() {
      return setOpen(!open);
    },
    "aria-label": label
  }, /*#__PURE__*/React.createElement(Icon$2, {
    size: 24,
    name: open ? 'chevron-up' : 'chevron-down'
  }))) : /*#__PURE__*/React.createElement(React.Fragment, null);
};
/* eslint-enable react/prop-types */

/**
 * @visibleName SelectionDrawer.Item
 */
var SelectionDrawerItem = /*#__PURE__*/React.forwardRef(function SelectionDrawerItem(_ref5, ref) {
  var header = _ref5.header,
    children = _ref5.children,
    forceOpen = _ref5.forceOpen,
    forceClose = _ref5.forceClose,
    disabledProp = _ref5.disabled,
    openableProp = _ref5.openable,
    validationStateProp = _ref5.validationState,
    inputAlignmentProp = _ref5.inputAlignment,
    labelAlignmentProp = _ref5.labelAlignment,
    typeProp = _ref5.type,
    valueProp = _ref5.value,
    inputRef = _ref5.inputRef,
    props = _objectWithoutProperties(_ref5, _excluded2);
  var value = (valueProp === null || valueProp === void 0 ? void 0 : valueProp.toString()) || '';
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    open = _useState2[0],
    setOpen = _useState2[1];
  var _useSelectionDrawerCo2 = useSelectionDrawerContext(),
    selectedItems = _useSelectionDrawerCo2.selectedItems,
    contextValidationState = _useSelectionDrawerCo2.validationState,
    contextInputAlignment = _useSelectionDrawerCo2.inputAlignment,
    contextLabelAlignment = _useSelectionDrawerCo2.labelAlignment,
    contextType = _useSelectionDrawerCo2.drawerType,
    contextOpenable = _useSelectionDrawerCo2.openable,
    disableAll = _useSelectionDrawerCo2.disableAll;
  var outerValidationState = useValidationState();
  var type = getFirstDefined(typeProp, contextType) || 'checkbox';
  var openable = Boolean(getFirstDefined(openableProp, contextOpenable));
  var disabled = Boolean(getFirstDefined(disabledProp, disableAll));
  var validationState = getFirstDefined(validationStateProp, contextValidationState, outerValidationState) || 'default';
  var labelAlignment = getFirstDefined(labelAlignmentProp, contextLabelAlignment) || 'left';
  var inputAlignment = getFirstDefined(inputAlignmentProp, contextInputAlignment) || 'right';
  var theme = useTheme$1();
  var isChecked = selectedItems.includes(value);
  var _useMemo = useMemo(function () {
      return getValidationSelectionColors(theme, validationState, isChecked);
    }, [theme, validationState, isChecked]),
    borderColor = _useMemo.fill;
  var disabledBgColor = useMemo(function () {
    return lighten(theme.colors.disabled || theme.validationInputColor.default.borderColor, 20);
  }, [theme]);
  useEffect(function () {
    setOpen(isChecked);
  }, [isChecked]);
  var Input = type === 'radio' ? DrawerRadio : DrawerCheckbox;
  return /*#__PURE__*/React.createElement(StyledSelectionDrawerItemContainer, {
    disabled: disabled,
    validationState: validationState,
    borderColor: borderColor,
    disabledBgColor: disabledBgColor,
    ref: ref
  }, /*#__PURE__*/React.createElement(DrawerValidationControl, {
    validationState: validationState
  }, /*#__PURE__*/React.createElement(Drawer$1.Item, _extends({
    onChange: setOpen,
    panelKey: value
  }, forceOpen ? {
    controlledOpen: true
  } : forceClose ? {
    controlledOpen: false
  } : {
    open: open
  }), /*#__PURE__*/React.createElement(DrawerHeader, {
    inputAlignment: inputAlignment,
    labelAlignment: labelAlignment
  }, /*#__PURE__*/React.createElement(Input, _extends({}, props, {
    disabled: disabled,
    value: value,
    ref: inputRef
  }), /*#__PURE__*/React.createElement("div", null, header)), /*#__PURE__*/React.createElement(DrawerControl, {
    openable: openable,
    setOpen: setOpen
  })), /*#__PURE__*/React.createElement(StyledDrawerBody, {
    applyInlineTransitions: false
  }, children))));
});
SelectionDrawerItem.propTypes = {
  /** The content for the Drawer Item's header */
  header: PropTypes.node.isRequired,
  /** The content for the Drawer Item's body */
  children: PropTypes.node.isRequired,
  /** The left or right alignment of the checkbox/radio input */
  inputAlignment: PropTypes.oneOf(['left', 'right']),
  /** The left or right alignment of the header label */
  labelAlignment: PropTypes.oneOf(['left', 'right']),
  /** Optional validation state */
  validationState: PropTypes.oneOf(validationStyleTypes),
  /** Set the drawer as independently openable */
  openable: PropTypes.bool,
  /** Force the drawer open whether or not it is selected */
  forceOpen: PropTypes.bool,
  /** Force the drawer closed whether or not it is selected */
  forceClose: PropTypes.bool,
  /** Disable the drawer */
  disabled: htmlInputPropTypes.disabled,
  /** The value of the drawer input */
  value: htmlInputPropTypes.value,
  /** The ref for the input element in the drawer */
  inputRef: PropTypes.oneOfType([PropTypes.func.isRequired, PropTypes.shape({
    current: PropTypes.any.isRequired
  }).isRequired]),
  type: PropTypes.oneOf(['radio', 'checkbox'])
};

var _excluded$1 = ["selectedItems", "onSelectionChange", "type", "labelAlignment", "inputAlignment", "validationState", "disableAll", "openable", "name", "children"];
var StyledDrawer = styled$1(Drawer$1)(["display:flex;flex-direction:column;row-gap:1rem;"]);
var SelectionDrawer = /*#__PURE__*/React.forwardRef(function ForwardedSelectionDrawer(_ref, ref) {
  var selectedItems = _ref.selectedItems,
    _ref$onSelectionChang = _ref.onSelectionChange,
    onSelectionChange = _ref$onSelectionChang === void 0 ? noop$1 : _ref$onSelectionChang,
    _ref$type = _ref.type,
    typeProp = _ref$type === void 0 ? 'checkbox' : _ref$type,
    _ref$labelAlignment = _ref.labelAlignment,
    labelAlignment = _ref$labelAlignment === void 0 ? 'left' : _ref$labelAlignment,
    _ref$inputAlignment = _ref.inputAlignment,
    inputAlignment = _ref$inputAlignment === void 0 ? 'right' : _ref$inputAlignment,
    validationState = _ref.validationState,
    disableAll = _ref.disableAll,
    openable = _ref.openable,
    name = _ref.name,
    children = _ref.children,
    drawerProps = _objectWithoutProperties(_ref, _excluded$1);
  var type = typeProp || 'checkbox';
  var providerProps = {
    name: name,
    selectedItems: selectedItems,
    onSelectionChange: onSelectionChange,
    type: type,
    labelAlignment: labelAlignment,
    inputAlignment: inputAlignment,
    disableAll: disableAll,
    openable: openable,
    validationState: validationState
  };
  return /*#__PURE__*/React.createElement(SelectionDrawerProvider, providerProps, /*#__PURE__*/React.createElement(StyledDrawer, _extends({
    ref: ref,
    useDefaultStyles: false,
    isAccordion: type === 'radio'
  }, drawerProps), children));
});
SelectionDrawer.propTypes = {
  /** The left or right alignment of the checkbox/radio input */
  inputAlignment: PropTypes.oneOf(['left', 'right']),
  /** The left or right alignment of the header label */
  labelAlignment: PropTypes.oneOf(['left', 'right']),
  /** The currently selected items */
  selectedItems: PropTypes.arrayOf(PropTypes.string.isRequired),
  /** Optional validation state */
  validationState: PropTypes.oneOf(validationStyleTypes),
  /** Callback when selection changes
   * @param selectedItems The currently selected items
   */
  onSelectionChange: PropTypes.func,
  /** Disable all drawers */
  disableAll: PropTypes.bool,
  /** Set all the drawers as independently openable */
  openable: PropTypes.bool,
  /** The type of input for each drawer */
  type: PropTypes.oneOf(['radio', 'checkbox'])
};
var SelectionDrawerComp = SelectionDrawer;
SelectionDrawerComp.Item = SelectionDrawerItem;
var SelectionDrawerComp$1 = SelectionDrawerComp;

var _excluded = ["title", "description"];
var rotatorAnimation = keyframes(["0%{transform:rotate(0deg);}100%{transform:rotate(270deg);}"]);
var ieAnimation = keyframes(["0%{transform:rotate(0deg);}100%{transform:rotate(360deg);}"]);
var dashAnimation = keyframes(["0%{stroke-dashoffset:187;}50%{stroke-dashoffset:37.4;transform:rotate(135deg);}100%{stroke-dashoffset:187;transform:rotate(450deg);}"]);
var colorsAnimation = function colorsAnimation(props) {
  return keyframes(["0%{stroke:", ";}40%{stroke:", ";}80%{stroke:", ";}100%{stroke:", ";}"], props.theme.brandColors.primary1, props.theme.brandColors.primary2, props.theme.brandColors.primary3, props.theme.brandColors.primary1);
};
var SpinnerSvg = styled$1.svg(["animation:", " 1.4s linear infinite;@media all and (-ms-high-contrast:none),(-ms-high-contrast:active){animation:", " 1.4s linear infinite;}"], rotatorAnimation, ieAnimation);
var SpinnerCircle = styled$1.circle(["stroke:", ";stroke-dasharray:187;stroke-dashoffset:37.4;transform-origin:center;animation:", " 1.4s ease-in-out infinite,", " 3.5s ease-in-out infinite;"], function (props) {
  return props.theme.brandColors.secondary1;
}, dashAnimation, colorsAnimation);

// this should probably be shared

var Spinner = /*#__PURE__*/React.forwardRef(function ForwardedSpinner(_ref, ref) {
  var title = _ref.title,
    description = _ref.description,
    other = _objectWithoutProperties(_ref, _excluded);
  var propId = other.id || '';
  var generatedId = "".concat(useUniqueId(propId), "-title");
  var generatedDesc = "".concat(useUniqueId(propId), "-desc");
  var titleId = title && generatedId || '';
  var descId = description && generatedDesc || '';
  return /*#__PURE__*/React.createElement(SpinnerSvg, _extends({
    ref: ref,
    viewBox: "0 0 66 66",
    xmlns: "http://www.w3.org/2000/svg",
    role: "img",
    "aria-labelledby": "".concat(titleId, " ").concat(descId).trim()
  }, other), title && /*#__PURE__*/React.createElement("title", {
    id: titleId
  }, title), description && /*#__PURE__*/React.createElement("desc", {
    id: descId
  }, description), /*#__PURE__*/React.createElement(SpinnerCircle, {
    fill: "none",
    strokeWidth: "6",
    strokeLinecap: "round",
    cx: "33",
    cy: "33",
    r: "30"
  }));
});
var descriptionTitleProp = function descriptionTitleProp(props, propName, componentName) {
  if (!props.title && !props.description) {
    return new Error("You must provide a title, description, or both to ".concat(componentName, "."));
  }
  return null;
};
Spinner.propTypes = {
  /** The title of the spinner for screen readers. This or `description` is
   * required */
  title: descriptionTitleProp,
  /** The description of the spinner for screen readers. This or `title` is
   * required */
  description: descriptionTitleProp
};
Spinner.defaultProps = {
  title: '',
  description: ''
};
var Spinner$1 = Spinner;

var globalStyleDefaults = css(["", ""], function (_ref) {
  var theme = _ref.theme;
  return (theme === null || theme === void 0 ? void 0 : theme.font) && css(["body,p{", " font-size:1.125rem;line-height:", ";}p{margin:0 0 1em;}", " ", " ", " ", " ", ""], baseFontCss, function (_ref2) {
    var baseLineHeight = _ref2.theme.font.baseLineHeight;
    return baseLineHeight;
  }, globalAnchorCss, globalHeadingsCss, globalButtonCss, globalInputCss, globalDrowdownCss);
});
var GlobalStyleDefaults = createGlobalStyle(["", ""], globalStyleDefaults);

var styleResetCss = css(["html,body,div,span,applet,object,iframe,a,big,cite,code,del,dfn,em,img,ins,kbd,q,s,samp,strike,tt,var,b,u,i,center,fieldset,form,label,legend table,caption,tbody,tfoot,thead,tr,th,td,article,aside,canvas,details,embed,figure,figcaption,footer,header,hgroup,menu,nav,output,ruby,section,summary,time,mark,audio,video{border:0;", " font-size:100%;margin:0;padding:0;vertical-align:baseline;}*:focus-visible,input:focus-visible,select:focus-visible,button:focus-visible{outline:3px solid #3dbbdb;}ul,ol{margin:0 1em 25px;padding-left:1em;list-style-position:outside;}input,button{font:inherit;}table{border-collapse:collapse;border-spacing:0;}small{font-size:85%;}strong,b{", " font-weight:bold;}h1,h2,h3,h4,h5,h6{", " color:inherit;font:inherit;font-weight:300;line-height:1.1;margin-bottom:0.45em;margin-top:0;}h1{font-size:44.78976px;}h2{font-size:37.3248px;}h3{font-size:31.104px;}h4{font-size:25.92px;}h5{font-size:21.6px;}h6{font-size:18px;}"], baseFontCss, baseFontCss, baseFontCss);
var StyleReset = createGlobalStyle(["", " ", ""], styleResetCss, function (_ref) {
  var optOutGlobalStyle = _ref.optOutGlobalStyle;
  return !optOutGlobalStyle && globalStyleDefaults;
});
var StyleReset$1 = StyleReset;

function isValidEmail(emailAddress) {
  var emailRegex = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
  return emailRegex.test(emailAddress);
}

/** Imports */
var LoaderButton = withLoadingStateWhileRunning(Button$2);
var LoaderOutlineButton = withLoadingStateWhileRunning(OutlineButton$1);
var LoaderLinkButton = withLoadingStateWhileRunning(LinkButton$1);
var LoaderActionButton = withLoadingStateWhileRunning(ActionButton$2);

export { Action, ActionButton$2 as ActionButton, AdditionalHelp$1 as AdditionalHelp, Anchor$1 as Anchor, AnswerButton$1 as AnswerButton, AnswerGroup$1 as AnswerGroup, Banner$1 as Banner, Breadcrumb$1 as Breadcrumb, Button$2 as Button, CallToAction$1 as CallToAction, Checkbox$1 as Checkbox, CheckboxGroup$1 as CheckboxGroup, Control$1 as Control, DateInput$1 as DateInput, DatePicker$1 as DatePicker, Drawer$1 as Drawer, DrawerItemContext, Dropdown$1 as Dropdown, DropdownButton$1 as DropdownButton, Fade$1 as Fade, Fieldset$1 as Fieldset, Form$1 as Form, FormContext, FormContextProvider, FullColorIcon$1 as FullColorIcon, GlobalStyleDefaults, Heading$1 as Heading, HorizontalNav$1 as HorizontalNav, HorizontalScrollWrapper$1 as HorizontalScrollWrapper, Icon$2 as Icon, IconButton$1 as IconButton, Incrementer$1 as Incrementer, InlineMessage, Label$2 as Label, LightCallToAction$1 as LightCallToAction, LightNotification$1 as LightNotification, LinkButton$1 as LinkButton, LoaderActionButton, LoaderButton, LoaderLinkButton, LoaderOutlineButton, LoadingSkeleton$1 as LoadingSkeleton, MaskedTextbox$1 as MaskedTextbox, Menu$1 as Menu, Message, MessageNotification$1 as MessageNotification, Modal, ModalButtonContainer, Notification$1 as Notification, OutlineButton$1 as OutlineButton, PageHeading, Popover$1 as Popover, PopoverLink$1 as PopoverLink, ProgressTracker$1 as ProgressTracker, Prompt$1 as Prompt, RadioButton$1 as RadioButton, RadioGroup, ResponsiveTable$1 as ResponsiveTable, RootNodeContext, RootNodeProvider, SelectionDrawerComp$1 as SelectionDrawer, SideNav$1 as SideNav, SlidingPane, Spinner$1 as Spinner, StarRating$1 as StarRating, StarRatingExplanation$1 as StarRatingExplanation, StatusTracker$1 as StatusTracker, StripedContainer$1 as StripedContainer, StyleReset$1 as StyleReset, Switch$1 as Switch, TabPanel$1 as TabPanel, Table$1 as Table, Textarea$1 as Textarea, Textbox$1 as Textbox, ToggleButton$1 as ToggleButton, Tooltip$1 as Tooltip, generateAlphaName, iconNames, isValidEmail, screenReaderOnly, useDrawerItemContext, useLoadingState, useMountedOnlyState, useRootNode, useRootNodeContext, useRootNodeLocator, useTheme, useTopZIndex, useUniqueId, useWindowWidth, withWindowSize };
